package com.appsflyer.internal;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Handler;
import android.os.HandlerThread;
import com.appsflyer.AFLogger;
import java.util.BitSet;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;
/* loaded from: classes.dex */
public final class AFa1cSDK {
    private static volatile AFa1cSDK afInfoLog;
    private static final BitSet afRDLog;
    final Object AFInAppEventParameterName = new Object();
    boolean AFInAppEventType;
    final Handler AFKeystoreWrapper;
    private final Map<AFa1eSDK, Map<String, Object>> AFLogger;
    private final Runnable AFLogger$LogLevel;
    private boolean AFVersionDeclaration;
    final Runnable afDebugLog;
    private final Map<AFa1eSDK, AFa1eSDK> afErrorLog;
    private int afErrorLogForExcManagerOnly;
    private final SensorManager getLevel;
    final Runnable valueOf;
    final Runnable values;

    static {
        BitSet bitSet = new BitSet(6);
        afRDLog = bitSet;
        bitSet.set(1);
        bitSet.set(2);
        bitSet.set(4);
    }

    private AFa1cSDK(SensorManager sensorManager, Handler handler) {
        BitSet bitSet = afRDLog;
        this.afErrorLog = new HashMap(bitSet.size());
        this.AFLogger = new ConcurrentHashMap(bitSet.size());
        this.valueOf = new Runnable() { // from class: com.appsflyer.internal.AFa1cSDK.2
            @Override // java.lang.Runnable
            public final void run() {
                synchronized (AFa1cSDK.this.AFInAppEventParameterName) {
                    final AFa1cSDK aFa1cSDK = AFa1cSDK.this;
                    aFa1cSDK.AFKeystoreWrapper.post(new Runnable() { // from class: com.appsflyer.internal.AFa1cSDK.1
                        @Override // java.lang.Runnable
                        public final void run() {
                            try {
                                for (Sensor sensor : AFa1cSDK.this.getLevel.getSensorList(-1)) {
                                    if (AFa1cSDK.AFInAppEventType(sensor.getType())) {
                                        AFa1eSDK aFa1eSDK = new AFa1eSDK(sensor);
                                        if (!AFa1cSDK.this.afErrorLog.containsKey(aFa1eSDK)) {
                                            AFa1cSDK.this.afErrorLog.put(aFa1eSDK, aFa1eSDK);
                                        }
                                        AFa1cSDK.this.getLevel.registerListener((SensorEventListener) AFa1cSDK.this.afErrorLog.get(aFa1eSDK), sensor, 0, AFa1cSDK.this.AFKeystoreWrapper);
                                    }
                                }
                            } catch (Throwable th) {
                                AFLogger.afErrorLogForExcManagerOnly("registerListeners error", th);
                            }
                            AFa1cSDK.this.AFVersionDeclaration = true;
                        }
                    });
                    AFa1cSDK.this.AFKeystoreWrapper.postDelayed(AFa1cSDK.this.AFLogger$LogLevel, 100L);
                    AFa1cSDK.this.AFInAppEventType = true;
                }
            }
        };
        this.values = new Runnable() { // from class: com.appsflyer.internal.AFa1cSDK.4
            @Override // java.lang.Runnable
            public final void run() {
                synchronized (AFa1cSDK.this.AFInAppEventParameterName) {
                    AFa1cSDK aFa1cSDK = AFa1cSDK.this;
                    aFa1cSDK.AFKeystoreWrapper.post(new AnonymousClass8());
                }
            }
        };
        this.afDebugLog = new Runnable() { // from class: com.appsflyer.internal.AFa1cSDK.5
            @Override // java.lang.Runnable
            public final void run() {
                synchronized (AFa1cSDK.this.AFInAppEventParameterName) {
                    if (AFa1cSDK.this.AFInAppEventType) {
                        AFa1cSDK.this.AFKeystoreWrapper.removeCallbacks(AFa1cSDK.this.valueOf);
                        AFa1cSDK.this.AFKeystoreWrapper.removeCallbacks(AFa1cSDK.this.values);
                        AFa1cSDK aFa1cSDK = AFa1cSDK.this;
                        aFa1cSDK.AFKeystoreWrapper.post(new AnonymousClass8());
                        AFa1cSDK.this.AFInAppEventType = false;
                    }
                }
            }
        };
        this.afErrorLogForExcManagerOnly = 1;
        this.AFLogger$LogLevel = new Runnable() { // from class: com.appsflyer.internal.AFa1cSDK.3
            @Override // java.lang.Runnable
            public final void run() {
                synchronized (AFa1cSDK.this.AFInAppEventParameterName) {
                    if (AFa1cSDK.this.afErrorLogForExcManagerOnly == 0) {
                        AFa1cSDK.this.afErrorLogForExcManagerOnly = 1;
                    }
                    AFa1cSDK.this.AFKeystoreWrapper.postDelayed(AFa1cSDK.this.values, AFa1cSDK.this.afErrorLogForExcManagerOnly * 500);
                }
            }
        };
        this.getLevel = sensorManager;
        this.AFKeystoreWrapper = handler;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static AFa1cSDK AFInAppEventType(Context context) {
        if (afInfoLog != null) {
            return afInfoLog;
        }
        HandlerThread handlerThread = new HandlerThread("internal");
        handlerThread.start();
        return values((SensorManager) context.getApplicationContext().getSystemService("sensor"), new Handler(handlerThread.getLooper()));
    }

    private static AFa1cSDK values(SensorManager sensorManager, Handler handler) {
        if (afInfoLog == null) {
            synchronized (AFa1cSDK.class) {
                if (afInfoLog == null) {
                    afInfoLog = new AFa1cSDK(sensorManager, handler);
                }
            }
        }
        return afInfoLog;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static boolean AFInAppEventType(int i) {
        return i >= 0 && afRDLog.get(i);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public final synchronized void AFKeystoreWrapper() {
        this.AFKeystoreWrapper.post(this.afDebugLog);
    }

    /* renamed from: com.appsflyer.internal.AFa1cSDK$8  reason: invalid class name */
    /* loaded from: classes.dex */
    final class AnonymousClass8 implements Runnable {
        AnonymousClass8() {
        }

        @Override // java.lang.Runnable
        public final void run() {
            try {
                if (!AFa1cSDK.this.afErrorLog.isEmpty()) {
                    for (AFa1eSDK aFa1eSDK : AFa1cSDK.this.afErrorLog.values()) {
                        AFa1cSDK.this.getLevel.unregisterListener(aFa1eSDK);
                        aFa1eSDK.AFInAppEventParameterName(AFa1cSDK.this.AFLogger, true);
                    }
                }
            } catch (Throwable th) {
                AFLogger.afErrorLogForExcManagerOnly("error while unregistering listeners", th);
            }
            AFa1cSDK.this.afErrorLogForExcManagerOnly = 0;
            AFa1cSDK.this.AFVersionDeclaration = false;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public final List<Map<String, Object>> valueOf() {
        for (AFa1eSDK aFa1eSDK : this.afErrorLog.values()) {
            aFa1eSDK.AFInAppEventParameterName(this.AFLogger, true);
        }
        Map<AFa1eSDK, Map<String, Object>> map = this.AFLogger;
        if (map == null || map.isEmpty()) {
            return new CopyOnWriteArrayList(Collections.emptyList());
        }
        return new CopyOnWriteArrayList(this.AFLogger.values());
    }

    private List<Map<String, Object>> AFInAppEventType() {
        synchronized (this.AFInAppEventParameterName) {
            if (!this.afErrorLog.isEmpty() && this.AFVersionDeclaration) {
                for (AFa1eSDK aFa1eSDK : this.afErrorLog.values()) {
                    aFa1eSDK.AFInAppEventParameterName(this.AFLogger, false);
                }
            }
            if (this.AFLogger.isEmpty()) {
                return new CopyOnWriteArrayList(Collections.emptyList());
            }
            return new CopyOnWriteArrayList(this.AFLogger.values());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public final Map<String, Object> values() {
        ConcurrentHashMap concurrentHashMap = new ConcurrentHashMap();
        List<Map<String, Object>> AFInAppEventType = AFInAppEventType();
        if (!AFInAppEventType.isEmpty()) {
            concurrentHashMap.put("sensors", AFInAppEventType);
        } else {
            List<Map<String, Object>> valueOf = valueOf();
            if (!valueOf.isEmpty()) {
                concurrentHashMap.put("sensors", valueOf);
            }
        }
        return concurrentHashMap;
    }
}
