package com.appsflyer.internal;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Looper;
import android.os.Parcel;
import android.os.RemoteException;
import com.appsflyer.AFLogger;
import java.io.IOException;
import java.util.ArrayList;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.regex.Pattern;
@Deprecated
/* loaded from: classes.dex */
public final class AFa1dSDK {
    public final String[] AFInAppEventType;

    AFa1dSDK() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static AFa1xSDK values(Context context) throws Exception {
        if (Looper.myLooper() == Looper.getMainLooper()) {
            throw new IllegalStateException("Cannot be called from the main thread");
        }
        context.getPackageManager().getPackageInfo("com.android.vending", 0);
        AFa1vSDK aFa1vSDK = new AFa1vSDK((byte) 0);
        Intent intent = new Intent("com.google.android.gms.ads.identifier.service.START");
        intent.setPackage("com.google.android.gms");
        try {
            if (!context.bindService(intent, aFa1vSDK, 1)) {
                if (context != null) {
                    context.unbindService(aFa1vSDK);
                }
                throw new IOException("Google Play connection failed");
            } else if (aFa1vSDK.AFKeystoreWrapper) {
                throw new IllegalStateException("Cannot call get on this connection more than once");
            } else {
                aFa1vSDK.AFKeystoreWrapper = true;
                IBinder poll = aFa1vSDK.AFInAppEventType.poll(10L, TimeUnit.SECONDS);
                if (poll != null) {
                    AFa1zSDK aFa1zSDK = new AFa1zSDK(poll);
                    return new AFa1xSDK(aFa1zSDK.valueOf(), aFa1zSDK.AFKeystoreWrapper());
                }
                throw new TimeoutException("Timed out waiting for the service connection");
            }
        } finally {
            if (context != null) {
                context.unbindService(aFa1vSDK);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static final class AFa1xSDK {
        private final boolean AFInAppEventParameterName;
        final String values;

        AFa1xSDK(String str, boolean z) {
            this.values = str;
            this.AFInAppEventParameterName = z;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public final boolean values() {
            return this.AFInAppEventParameterName;
        }
    }

    /* loaded from: classes.dex */
    static final class AFa1vSDK implements ServiceConnection {
        final LinkedBlockingQueue<IBinder> AFInAppEventType;
        boolean AFKeystoreWrapper;

        @Override // android.content.ServiceConnection
        public final void onServiceDisconnected(ComponentName componentName) {
        }

        private AFa1vSDK() {
            this.AFInAppEventType = new LinkedBlockingQueue<>(1);
            this.AFKeystoreWrapper = false;
        }

        /* synthetic */ AFa1vSDK(byte b) {
            this();
        }

        @Override // android.content.ServiceConnection
        public final void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            try {
                this.AFInAppEventType.put(iBinder);
            } catch (InterruptedException e) {
                AFLogger.afErrorLogForExcManagerOnly("onServiceConnected Interrupted", e);
            }
        }
    }

    /* loaded from: classes.dex */
    static final class AFa1zSDK implements IInterface {
        private final IBinder values;

        AFa1zSDK(IBinder iBinder) {
            this.values = iBinder;
        }

        @Override // android.os.IInterface
        public final IBinder asBinder() {
            return this.values;
        }

        public final String valueOf() throws RemoteException {
            Parcel obtain = Parcel.obtain();
            Parcel obtain2 = Parcel.obtain();
            try {
                obtain.writeInterfaceToken("com.google.android.gms.ads.identifier.internal.IAdvertisingIdService");
                this.values.transact(1, obtain, obtain2, 0);
                obtain2.readException();
                return obtain2.readString();
            } finally {
                obtain2.recycle();
                obtain.recycle();
            }
        }

        final boolean AFKeystoreWrapper() throws RemoteException {
            Parcel obtain = Parcel.obtain();
            Parcel obtain2 = Parcel.obtain();
            try {
                obtain.writeInterfaceToken("com.google.android.gms.ads.identifier.internal.IAdvertisingIdService");
                obtain.writeInt(1);
                this.values.transact(2, obtain, obtain2, 0);
                obtain2.readException();
                return obtain2.readInt() != 0;
            } finally {
                obtain2.recycle();
                obtain.recycle();
            }
        }
    }

    public AFa1dSDK(String... strArr) {
        if (strArr == null || strArr.length == 0) {
            this.AFInAppEventType = null;
            return;
        }
        Pattern compile = Pattern.compile("[\\w]{1,45}");
        ArrayList arrayList = new ArrayList();
        for (String str : strArr) {
            if (str != null && compile.matcher(str).matches()) {
                arrayList.add(str.toLowerCase());
            } else {
                AFLogger.afWarnLog("Invalid partner name: ".concat(String.valueOf(str)));
            }
        }
        if (arrayList.contains("all")) {
            this.AFInAppEventType = new String[]{"all"};
        } else if (arrayList.isEmpty()) {
            this.AFInAppEventType = null;
        } else {
            this.AFInAppEventType = (String[]) arrayList.toArray(new String[0]);
        }
    }
}
