package com.appsflyer.internal;

import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.os.Looper;
import com.appsflyer.unity.BuildConfig;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.Executor;
import java.util.concurrent.Executors;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public final class AFa1eSDK implements SensorEventListener {
    private final int AFInAppEventType;
    private final String AFKeystoreWrapper;
    private Executor AFLogger;
    private double afDebugLog;
    private long afErrorLog;
    private final int afRDLog;
    private final String values;
    private final float[][] valueOf = new float[2];
    private final long[] AFInAppEventParameterName = new long[2];

    @Override // android.hardware.SensorEventListener
    public final void onAccuracyChanged(Sensor sensor, int i) {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public AFa1eSDK(Sensor sensor) {
        int type = sensor.getType();
        this.AFInAppEventType = type;
        String name = sensor.getName();
        String str = BuildConfig.FLAVOR;
        name = name == null ? BuildConfig.FLAVOR : name;
        this.AFKeystoreWrapper = name;
        String vendor = sensor.getVendor();
        str = vendor != null ? vendor : str;
        this.values = str;
        this.afRDLog = ((((type + 31) * 31) + name.hashCode()) * 31) + str.hashCode();
    }

    private synchronized Executor AFKeystoreWrapper() {
        if (this.AFLogger == null) {
            this.AFLogger = Executors.newSingleThreadExecutor();
        }
        return this.AFLogger;
    }

    private static double AFKeystoreWrapper(float[] fArr, float[] fArr2) {
        int min = Math.min(fArr.length, fArr2.length);
        double d = 0.0d;
        for (int i = 0; i < min; i++) {
            d += StrictMath.pow(fArr[i] - fArr2[i], 2.0d);
        }
        return Math.sqrt(d);
    }

    private static List<Float> AFInAppEventParameterName(float[] fArr) {
        ArrayList arrayList = new ArrayList(fArr.length);
        for (float f : fArr) {
            arrayList.add(Float.valueOf(f));
        }
        return arrayList;
    }

    @Override // android.hardware.SensorEventListener
    public final void onSensorChanged(final SensorEvent sensorEvent) {
        if (Looper.myLooper() == Looper.getMainLooper()) {
            AFKeystoreWrapper().execute(new Runnable() { // from class: com.appsflyer.internal.AFa1eSDK$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    AFa1eSDK.this.AFInAppEventParameterName(sensorEvent);
                }
            });
        } else {
            AFInAppEventParameterName(sensorEvent);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: AFKeystoreWrapper */
    public void AFInAppEventParameterName(SensorEvent sensorEvent) {
        long j = sensorEvent.timestamp;
        float[] fArr = sensorEvent.values;
        long currentTimeMillis = System.currentTimeMillis();
        float[][] fArr2 = this.valueOf;
        float[] fArr3 = fArr2[0];
        if (fArr3 == null) {
            fArr2[0] = Arrays.copyOf(fArr, fArr.length);
            this.AFInAppEventParameterName[0] = currentTimeMillis;
            return;
        }
        float[] fArr4 = fArr2[1];
        if (fArr4 == null) {
            float[] copyOf = Arrays.copyOf(fArr, fArr.length);
            this.valueOf[1] = copyOf;
            this.AFInAppEventParameterName[1] = currentTimeMillis;
            this.afDebugLog = AFKeystoreWrapper(fArr3, copyOf);
        } else if (50000000 <= j - this.afErrorLog) {
            this.afErrorLog = j;
            if (Arrays.equals(fArr4, fArr)) {
                this.AFInAppEventParameterName[1] = currentTimeMillis;
                return;
            }
            double AFKeystoreWrapper = AFKeystoreWrapper(fArr3, fArr);
            if (AFKeystoreWrapper > this.afDebugLog) {
                this.valueOf[1] = Arrays.copyOf(fArr, fArr.length);
                this.AFInAppEventParameterName[1] = currentTimeMillis;
                this.afDebugLog = AFKeystoreWrapper;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public final void AFInAppEventParameterName(Map<AFa1eSDK, Map<String, Object>> map, boolean z) {
        if (AFInAppEventParameterName()) {
            map.put(this, AFInAppEventType());
            if (z) {
                int length = this.valueOf.length;
                for (int i = 0; i < length; i++) {
                    this.valueOf[i] = null;
                }
                int length2 = this.AFInAppEventParameterName.length;
                for (int i2 = 0; i2 < length2; i2++) {
                    this.AFInAppEventParameterName[i2] = 0;
                }
                this.afDebugLog = 0.0d;
                this.afErrorLog = 0L;
            }
        } else if (!map.containsKey(this)) {
            map.put(this, AFInAppEventType());
        }
    }

    private boolean AFInAppEventType(int i, String str, String str2) {
        return this.AFInAppEventType == i && this.AFKeystoreWrapper.equals(str) && this.values.equals(str2);
    }

    private Map<String, Object> AFInAppEventType() {
        ConcurrentHashMap concurrentHashMap = new ConcurrentHashMap(7);
        concurrentHashMap.put("sT", Integer.valueOf(this.AFInAppEventType));
        concurrentHashMap.put("sN", this.AFKeystoreWrapper);
        concurrentHashMap.put("sV", this.values);
        float[] fArr = this.valueOf[0];
        if (fArr != null) {
            concurrentHashMap.put("sVS", AFInAppEventParameterName(fArr));
        }
        float[] fArr2 = this.valueOf[1];
        if (fArr2 != null) {
            concurrentHashMap.put("sVE", AFInAppEventParameterName(fArr2));
        }
        return concurrentHashMap;
    }

    private boolean AFInAppEventParameterName() {
        return this.valueOf[0] != null;
    }

    public final int hashCode() {
        return this.afRDLog;
    }

    public final boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof AFa1eSDK) {
            AFa1eSDK aFa1eSDK = (AFa1eSDK) obj;
            return AFInAppEventType(aFa1eSDK.AFInAppEventType, aFa1eSDK.AFKeystoreWrapper, aFa1eSDK.values);
        }
        return false;
    }
}
