package com.appsflyer.internal;

import android.content.Context;
import android.content.pm.PackageItemInfo;
import android.content.pm.PackageManager;
import android.content.pm.ProviderInfo;
import com.appsflyer.AFLogger;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;
import java.util.Arrays;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.FutureTask;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
/* loaded from: classes.dex */
public abstract class AFb1cSDK<T> {
    private final String[] AFInAppEventParameterName;
    public final AFb1aSDK AFInAppEventType;
    public final String AFKeystoreWrapper;
    public final FutureTask<T> valueOf = new FutureTask<>(new Callable<T>() { // from class: com.appsflyer.internal.AFb1cSDK.1
        @Override // java.util.concurrent.Callable
        public final T call() {
            if (AFb1cSDK.this.AFKeystoreWrapper()) {
                return (T) AFb1cSDK.this.AFInAppEventType();
            }
            return null;
        }
    });
    public final Context values;

    protected abstract T AFInAppEventType();

    public AFb1cSDK(Context context, AFb1aSDK aFb1aSDK, String str, String... strArr) {
        this.values = context;
        this.AFKeystoreWrapper = str;
        this.AFInAppEventParameterName = strArr;
        this.AFInAppEventType = aFb1aSDK;
    }

    public T AFInAppEventParameterName() {
        try {
            return this.valueOf.get(500L, TimeUnit.MILLISECONDS);
        } catch (InterruptedException | ExecutionException | TimeoutException e) {
            AFLogger.afErrorLog(e.getMessage(), e);
            return null;
        }
    }

    public final boolean AFKeystoreWrapper() {
        try {
            ProviderInfo resolveContentProvider = this.values.getPackageManager().resolveContentProvider(this.AFKeystoreWrapper, 128);
            if (resolveContentProvider != null) {
                return Arrays.asList(this.AFInAppEventParameterName).contains(AFb1wSDK.values(this.values.getPackageManager(), ((PackageItemInfo) resolveContentProvider).packageName));
            }
            return false;
        } catch (PackageManager.NameNotFoundException | NoSuchAlgorithmException | CertificateException e) {
            AFLogger.afErrorLog(e.getMessage(), e);
            return false;
        }
    }
}
