package com.appsflyer.internal;

import android.content.ContentResolver;
import android.content.Context;
import android.os.Build;
import android.provider.Settings;
import com.appsflyer.AFLogger;
import com.appsflyer.AppsFlyerProperties;
import com.appsflyer.internal.AFa1dSDK;
import com.appsflyer.oaid.OaidClient;
import com.appsflyer.unity.BuildConfig;
import com.google.android.gms.ads.identifier.AdvertisingIdClient;
import com.google.android.gms.common.GoogleApiAvailability;
import java.util.Map;
import java.util.concurrent.ExecutorService;
/* loaded from: classes.dex */
public final class AFb1ySDK {
    static String AFInAppEventParameterName;
    static Boolean AFKeystoreWrapper;
    private final ExecutorService AFInAppEventType;
    public final AFc1pSDK valueOf;

    public AFb1ySDK() {
    }

    public static AFa1rSDK values(ContentResolver contentResolver) {
        String str;
        if (AFInAppEventType() && contentResolver != null && AppsFlyerProperties.getInstance().getString("amazon_aid") == null && "Amazon".equals(Build.MANUFACTURER)) {
            int i = Settings.Secure.getInt(contentResolver, "limit_ad_tracking", 2);
            if (i == 0) {
                return new AFa1rSDK(Settings.Secure.getString(contentResolver, "advertising_id"), Boolean.FALSE);
            }
            if (i == 2) {
                return null;
            }
            try {
                str = Settings.Secure.getString(contentResolver, "advertising_id");
            } catch (Throwable th) {
                AFLogger.afErrorLog("Couldn't fetch Amazon Advertising ID (Ad-Tracking is limited!)", th);
                str = BuildConfig.FLAVOR;
            }
            return new AFa1rSDK(str, Boolean.TRUE);
        }
        return null;
    }

    /* JADX WARN: Removed duplicated region for block: B:29:0x0055  */
    /* JADX WARN: Removed duplicated region for block: B:31:0x0061 A[RETURN] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static AFa1rSDK AFInAppEventParameterName(Context context) {
        Boolean bool;
        OaidClient.Info fetch;
        AppsFlyerProperties appsFlyerProperties = AppsFlyerProperties.getInstance();
        String str = AFInAppEventParameterName;
        boolean z = str != null;
        if (!z) {
            Boolean bool2 = AFKeystoreWrapper;
            if ((bool2 != null && bool2.booleanValue()) || (AFKeystoreWrapper == null && appsFlyerProperties.getBoolean(AppsFlyerProperties.COLLECT_OAID, true))) {
                try {
                    OaidClient oaidClient = new OaidClient(context);
                    oaidClient.setLogging(appsFlyerProperties.isEnableLog());
                    fetch = oaidClient.fetch();
                } catch (Throwable th) {
                    th = th;
                    str = null;
                }
                if (fetch != null) {
                    String id = fetch.getId();
                    try {
                        bool = fetch.getLat();
                        str = id;
                    } catch (Throwable th2) {
                        th = th2;
                        str = id;
                        AFLogger.afErrorLogForExcManagerOnly("No OAID library", th);
                        AFLogger.afDebugLog("No OAID library");
                        bool = null;
                        if (str == null) {
                        }
                    }
                    if (str == null) {
                        AFa1rSDK aFa1rSDK = new AFa1rSDK(str, bool);
                        aFa1rSDK.AFInAppEventParameterName = Boolean.valueOf(z);
                        return aFa1rSDK;
                    }
                    return null;
                }
            }
            bool = null;
            str = null;
            if (str == null) {
            }
        }
        bool = null;
        if (str == null) {
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:17:0x0045, code lost:
        if (r8.length() == 0) goto L16;
     */
    /* JADX WARN: Removed duplicated region for block: B:46:0x0107  */
    /* JADX WARN: Removed duplicated region for block: B:49:0x012b  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static AFa1rSDK values(Context context, Map<String, Object> map) {
        Throwable th;
        boolean z;
        Boolean bool;
        String str;
        AdvertisingIdClient.Info advertisingIdInfo;
        Boolean bool2 = null;
        if (AFInAppEventType()) {
            AFLogger.afInfoLog("Trying to fetch GAID..");
            StringBuilder sb = new StringBuilder();
            int i = -1;
            try {
                i = GoogleApiAvailability.getInstance().isGooglePlayServicesAvailable(context);
            } catch (Throwable th2) {
                AFLogger.afErrorLogForExcManagerOnly("isGooglePlayServicesAvailable error", th2);
            }
            try {
                Class.forName("com.google.android.gms.ads.identifier.AdvertisingIdClient");
                advertisingIdInfo = AdvertisingIdClient.getAdvertisingIdInfo(context);
            } catch (Throwable th3) {
                th = th3;
                z = false;
                bool = null;
            }
            if (advertisingIdInfo != null) {
                String id = advertisingIdInfo.getId();
                try {
                    bool2 = Boolean.valueOf(advertisingIdInfo.isLimitAdTrackingEnabled());
                    if (id != 0) {
                        try {
                        } catch (Throwable th4) {
                            th = th4;
                            z = true;
                            Throwable th5 = th;
                            bool = bool2;
                            bool2 = id;
                            th = th5;
                            AFLogger.afErrorLog(th.getMessage(), th);
                            sb.append(th.getClass().getSimpleName());
                            sb.append(" |");
                            AFLogger.afInfoLog("WARNING: Google Play Services is missing.");
                            if (AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.ENABLE_GPS_FALLBACK, true)) {
                                try {
                                    AFa1dSDK.AFa1xSDK values = AFa1dSDK.values(context);
                                    String str2 = values.values;
                                    bool2 = Boolean.valueOf(values.values());
                                    if (str2 == null || str2.length() == 0) {
                                        sb.append("emptyOrNull (bypass) |");
                                    }
                                    str = str2;
                                } catch (Throwable th6) {
                                    AFLogger.afErrorLog(th6.getMessage(), th6, true, false, false);
                                    sb.append(th6.getClass().getSimpleName());
                                    sb.append(" |");
                                    String string = AppsFlyerProperties.getInstance().getString("advertiserId");
                                    Boolean valueOf = Boolean.valueOf(!Boolean.parseBoolean(AppsFlyerProperties.getInstance().getString("advertiserIdEnabled")));
                                    if (th6.getLocalizedMessage() != null) {
                                        AFLogger.afInfoLog(th6.getLocalizedMessage());
                                    } else {
                                        AFLogger.afInfoLog(th6.toString());
                                    }
                                    bool2 = valueOf;
                                    str = string;
                                }
                            } else {
                                str = bool2;
                                bool2 = bool;
                            }
                            if (context.getClass().getName().equals("android.app.ReceiverRestrictedContext")) {
                            }
                            if (sb.length() > 0) {
                            }
                            if (str != null) {
                                map.put("advertiserId", str);
                                map.put("advertiserIdEnabled", String.valueOf(!bool2.booleanValue()));
                                AppsFlyerProperties.getInstance().set("advertiserId", str);
                                AppsFlyerProperties.getInstance().set("advertiserIdEnabled", String.valueOf(!bool2.booleanValue()));
                                map.put("isGaidWithGps", String.valueOf(z));
                            }
                            return new AFa1rSDK(str, bool2);
                        }
                    }
                    sb.append("emptyOrNull |");
                    z = true;
                    str = id;
                } catch (Throwable th7) {
                    th = th7;
                    z = false;
                }
                if (context.getClass().getName().equals("android.app.ReceiverRestrictedContext")) {
                    str = AppsFlyerProperties.getInstance().getString("advertiserId");
                    bool2 = Boolean.valueOf(!Boolean.parseBoolean(AppsFlyerProperties.getInstance().getString("advertiserIdEnabled")));
                    sb.append("context = android.app.ReceiverRestrictedContext |");
                }
                if (sb.length() > 0) {
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append(i);
                    sb2.append(": ");
                    sb2.append((Object) sb);
                    map.put("gaidError", sb2.toString());
                }
                if (str != null && bool2 != null) {
                    map.put("advertiserId", str);
                    map.put("advertiserIdEnabled", String.valueOf(!bool2.booleanValue()));
                    AppsFlyerProperties.getInstance().set("advertiserId", str);
                    AppsFlyerProperties.getInstance().set("advertiserIdEnabled", String.valueOf(!bool2.booleanValue()));
                    map.put("isGaidWithGps", String.valueOf(z));
                }
                return new AFa1rSDK(str, bool2);
            }
            sb.append("gpsAdInfo-null |");
            throw new IllegalStateException("GpsAdIndo is null");
        }
        return null;
    }

    private static boolean AFInAppEventType() {
        Boolean bool = AFKeystoreWrapper;
        return bool == null || bool.booleanValue();
    }

    public AFb1ySDK(AFc1pSDK aFc1pSDK, ExecutorService executorService) {
        this.valueOf = aFc1pSDK;
        this.AFInAppEventType = executorService;
    }
}
