package com.appsflyer.internal;

import android.app.Activity;
import android.app.Application;
import android.app.UiModeManager;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.ProviderInfo;
import android.content.pm.ResolveInfo;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.os.Process;
import android.os.StatFs;
import android.os.SystemClock;
import android.provider.Settings;
import android.text.TextUtils;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.WindowManager;
import com.appsflyer.AFInAppEventParameterName;
import com.appsflyer.AFInAppEventType;
import com.appsflyer.AFKeystoreWrapper;
import com.appsflyer.AFLogger;
import com.appsflyer.AFVersionDeclaration;
import com.appsflyer.AppsFlyerConversionListener;
import com.appsflyer.AppsFlyerInAppPurchaseValidatorListener;
import com.appsflyer.AppsFlyerLib;
import com.appsflyer.AppsFlyerProperties;
import com.appsflyer.PurchaseHandler;
import com.appsflyer.attribution.AppsFlyerRequestListener;
import com.appsflyer.attribution.RequestError;
import com.appsflyer.deeplink.DeepLinkListener;
import com.appsflyer.deeplink.DeepLinkResult;
import com.appsflyer.internal.AFa1kSDK;
import com.appsflyer.internal.AFa1lSDK;
import com.appsflyer.internal.AFa1vSDK;
import com.appsflyer.internal.AFb1zSDK;
import com.appsflyer.internal.AFc1gSDK;
import com.appsflyer.internal.AFd1oSDK;
import com.appsflyer.internal.AFe1dSDK;
import com.appsflyer.internal.components.network.http.ResponseNetwork;
import com.appsflyer.unity.BuildConfig;
import com.google.android.gms.common.GoogleApiAvailability;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.lang.ref.WeakReference;
import java.lang.reflect.InvocationHandler;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;
import java.net.HttpURLConnection;
import java.net.URI;
import java.security.KeyStoreException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Properties;
import java.util.TimeZone;
import java.util.UUID;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.Executors;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;
import kotlin.text.Typography;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes.dex */
public final class AFb1zSDK extends AppsFlyerLib {
    public static volatile AppsFlyerConversionListener AFInAppEventParameterName = null;
    static final String AFInAppEventType;
    public static final String AFKeystoreWrapper;
    private static String AFLogger = null;
    private static String AFLogger$LogLevel = null;
    private static String AFVersionDeclaration = null;
    private static int AppsFlyerConversionListener = 1;
    private static char AppsFlyerInAppPurchaseValidatorListener;
    private static String afDebugLog;
    private static AFb1zSDK afErrorLogForExcManagerOnly;
    private static final String afInfoLog;
    private static String afWarnLog;
    private static String getLevel;
    private static int onResponseError;
    private static char[] onValidateInApp;
    static AppsFlyerInAppPurchaseValidatorListener valueOf;
    public static final String values;
    public AFa1dSDK afErrorLog;
    String afRDLog;
    private String init;
    private SharedPreferences onAppOpenAttribution;
    private Map<Long, String> onAppOpenAttributionNative;
    private String onAttributionFailure;
    private boolean onAttributionFailureNative;
    private Map<String, Object> onConversionDataFail;
    private boolean onConversionDataSuccess;
    private Application onDeepLinkingNative;
    private AFb1dSDK onResponse;
    private final AFc1zSDK onValidateInAppFailure;
    private long AppsFlyer2dXConversionCallback = -1;
    private long onInstallConversionFailureNative = -1;
    private long onInstallConversionDataLoadedNative = TimeUnit.SECONDS.toMillis(5);
    private final AFb1uSDK onResponseErrorNative = new AFb1uSDK();
    private boolean onResponseNative = false;
    private boolean onDeepLinking = false;

    static void values() {
        onValidateInApp = new char[]{13800, 13748, 13815, 13820, 13811, 13802, 13801, 13804, 13810, 13803, 13805, 13819, 13806, 13765, 13812, 13739, 13782, 13822, 13807, 13817, 13823, 13808, 13816, 13790, 13809};
        AppsFlyerInAppPurchaseValidatorListener = (char) 5;
    }

    static /* synthetic */ long AFInAppEventParameterName(AFb1zSDK aFb1zSDK, long j) {
        int i = onResponseError;
        int i2 = i + 27;
        AppsFlyerConversionListener = i2 % 128;
        int i3 = i2 % 2;
        aFb1zSDK.onInstallConversionFailureNative = j;
        int i4 = i + 57;
        AppsFlyerConversionListener = i4 % 128;
        if ((i4 % 2 == 0 ? '3' : (char) 7) != '3') {
            return j;
        }
        int i5 = 24 / 0;
        return j;
    }

    static /* synthetic */ void AFInAppEventParameterName(AFb1zSDK aFb1zSDK) {
        int i = onResponseError + 91;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        aFb1zSDK.afInfoLog();
        int i3 = onResponseError + 81;
        AppsFlyerConversionListener = i3 % 128;
        if (!(i3 % 2 == 0)) {
            return;
        }
        Object obj = null;
        super.hashCode();
    }

    static /* synthetic */ void AFInAppEventParameterName(ScheduledExecutorService scheduledExecutorService, Runnable runnable, TimeUnit timeUnit) {
        int i = AppsFlyerConversionListener + 13;
        onResponseError = i % 128;
        int i2 = i % 2;
        AFKeystoreWrapper(scheduledExecutorService, runnable, 0L, timeUnit);
        int i3 = AppsFlyerConversionListener + 85;
        onResponseError = i3 % 128;
        if ((i3 % 2 != 0 ? 'T' : (char) 16) != 'T') {
            return;
        }
        int i4 = 57 / 0;
    }

    static /* synthetic */ Map AFInAppEventType(AFb1zSDK aFb1zSDK) {
        int i = onResponseError + 95;
        AppsFlyerConversionListener = i % 128;
        boolean z = i % 2 == 0;
        Map<String, Object> map = aFb1zSDK.onConversionDataFail;
        if (z) {
            int i2 = 48 / 0;
        }
        return map;
    }

    static /* synthetic */ Application AFKeystoreWrapper(AFb1zSDK aFb1zSDK) {
        int i = onResponseError;
        int i2 = i + 107;
        AppsFlyerConversionListener = i2 % 128;
        char c = i2 % 2 == 0 ? ';' : 'c';
        Application application = aFb1zSDK.onDeepLinkingNative;
        if (c == ';') {
            Object[] objArr = null;
            int length = objArr.length;
        }
        int i3 = i + 53;
        AppsFlyerConversionListener = i3 % 128;
        int i4 = i3 % 2;
        return application;
    }

    static /* synthetic */ void AFKeystoreWrapper(AFb1zSDK aFb1zSDK, AFa1qSDK aFa1qSDK) {
        int i = onResponseError + 109;
        AppsFlyerConversionListener = i % 128;
        char c = i % 2 == 0 ? '[' : '!';
        aFb1zSDK.AFKeystoreWrapper(aFa1qSDK);
        if (c != '!') {
            Object[] objArr = null;
            int length = objArr.length;
        }
        int i2 = AppsFlyerConversionListener + 119;
        onResponseError = i2 % 128;
        int i3 = i2 % 2;
    }

    static /* synthetic */ boolean AFKeystoreWrapper(AFb1zSDK aFb1zSDK, boolean z) {
        int i = AppsFlyerConversionListener + 17;
        onResponseError = i % 128;
        boolean z2 = i % 2 == 0;
        Object obj = null;
        aFb1zSDK.onResponseNative = z;
        if (!z2) {
            super.hashCode();
        }
        int i2 = onResponseError + 7;
        AppsFlyerConversionListener = i2 % 128;
        if (i2 % 2 == 0) {
            super.hashCode();
            return z;
        }
        return z;
    }

    static /* synthetic */ boolean valueOf(AFb1zSDK aFb1zSDK, AFa1qSDK aFa1qSDK, SharedPreferences sharedPreferences) {
        int i = AppsFlyerConversionListener + 89;
        onResponseError = i % 128;
        char c = i % 2 != 0 ? '\'' : (char) 7;
        boolean AFInAppEventParameterName2 = aFb1zSDK.AFInAppEventParameterName(aFa1qSDK, sharedPreferences);
        if (c == '\'') {
            Object obj = null;
            super.hashCode();
        }
        return AFInAppEventParameterName2;
    }

    static /* synthetic */ AFc1zSDK values(AFb1zSDK aFb1zSDK) {
        int i = AppsFlyerConversionListener;
        int i2 = i + 75;
        onResponseError = i2 % 128;
        int i3 = i2 % 2;
        AFc1zSDK aFc1zSDK = aFb1zSDK.onValidateInAppFailure;
        int i4 = i + 77;
        onResponseError = i4 % 128;
        int i5 = i4 % 2;
        return aFc1zSDK;
    }

    static {
        values();
        AFInAppEventType = "225";
        Object[] objArr = new Object[1];
        AFKeystoreWrapper((byte) (7 - TextUtils.indexOf((CharSequence) BuildConfig.FLAVOR, '0')), "㖼", 1 - (ViewConfiguration.getMaximumFlingVelocity() >> 16), objArr);
        String substring = "6.9.4".substring(0, "6.9.4".lastIndexOf(((String) objArr[0]).intern()));
        values = substring;
        afDebugLog = "https://%sstats.%s/stats";
        StringBuilder sb = new StringBuilder();
        sb.append(substring);
        sb.append("/androidevent?buildnumber=6.9.4&app_id=");
        AFKeystoreWrapper = sb.toString();
        AFLogger = "https://%sadrevenue.%s/api/v2/generic/v6.9.4/android?app_id=";
        StringBuilder sb2 = new StringBuilder();
        sb2.append(substring);
        sb2.append("/androidevent?app_id=");
        String obj = sb2.toString();
        afInfoLog = obj;
        StringBuilder sb3 = new StringBuilder("https://%sconversions.%s/api/v");
        sb3.append(obj);
        AFLogger$LogLevel = sb3.toString();
        StringBuilder sb4 = new StringBuilder("https://%slaunches.%s/api/v");
        sb4.append(obj);
        AFVersionDeclaration = sb4.toString();
        StringBuilder sb5 = new StringBuilder("https://%sinapps.%s/api/v");
        sb5.append(obj);
        getLevel = sb5.toString();
        StringBuilder sb6 = new StringBuilder("https://%sattr.%s/api/v");
        sb6.append(obj);
        afWarnLog = sb6.toString();
        valueOf = null;
        AFInAppEventParameterName = null;
        afErrorLogForExcManagerOnly = new AFb1zSDK();
        int i = AppsFlyerConversionListener + 29;
        onResponseError = i % 128;
        if (i % 2 == 0) {
            return;
        }
        int i2 = 71 / 0;
    }

    public final AFb1aSDK valueOf() {
        int i = onResponseError + 41;
        AppsFlyerConversionListener = i % 128;
        if (!(i % 2 != 0)) {
            AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
            Object[] objArr = null;
            int length = objArr.length;
            return aFc1zSDK;
        }
        return this.onValidateInAppFailure;
    }

    public AFb1zSDK() {
        Executors.newSingleThreadExecutor();
        AFVersionDeclaration.init();
        AFc1zSDK aFc1zSDK = new AFc1zSDK();
        this.onValidateInAppFailure = aFc1zSDK;
        AFc1gSDK afDebugLog2 = aFc1zSDK.afDebugLog();
        afDebugLog2.AFInAppEventType.add(new AFa1ySDK(this, (byte) 0));
    }

    public static AFb1zSDK AFInAppEventType() {
        int i = onResponseError + 63;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? '.' : 'D') != 'D') {
            AFb1zSDK aFb1zSDK = afErrorLogForExcManagerOnly;
            Object[] objArr = null;
            int length = objArr.length;
            return aFb1zSDK;
        }
        return afErrorLogForExcManagerOnly;
    }

    /* JADX WARN: Code restructure failed: missing block: B:13:0x0020, code lost:
        if ((r6 != null ? 'U' : '\n') != 'U') goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x002b, code lost:
        if (r6.toString().isEmpty() == false) goto L9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x002d, code lost:
        r5 = new java.lang.StringBuilder("Link is \"");
        r5.append(r6);
        r5.append("\"");
        com.appsflyer.internal.AFb1kSDK.AFKeystoreWrapper(r5.toString(), com.appsflyer.deeplink.DeepLinkResult.Error.NETWORK);
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0043, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0044, code lost:
        if (r5 != null) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0046, code lost:
        r6 = new java.lang.StringBuilder("Context is \"");
        r6.append(r5);
        r6.append("\"");
        com.appsflyer.internal.AFb1kSDK.AFKeystoreWrapper(r6.toString(), com.appsflyer.deeplink.DeepLinkResult.Error.NETWORK);
        r5 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 11;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r5 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0066, code lost:
        if ((r5 % 2) == 0) goto L22;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0068, code lost:
        r5 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x006a, code lost:
        r5 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x006b, code lost:
        if (r5 == false) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x006d, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x006e, code lost:
        super.hashCode();
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0071, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0074, code lost:
        com.appsflyer.internal.AFa1sSDK.AFInAppEventType();
        com.appsflyer.internal.AFa1sSDK.valueOf(r5, new java.util.HashMap(), android.net.Uri.parse(r6.toString()));
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0087, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x0012, code lost:
        if (r6 != null) goto L7;
     */
    @Override // com.appsflyer.AppsFlyerLib
    @Deprecated
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void performOnAppAttribution(Context context, URI uri) {
        int i = onResponseError + 111;
        AppsFlyerConversionListener = i % 128;
        Object obj = null;
        if (i % 2 == 0) {
            super.hashCode();
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    @Deprecated
    public final void setSharingFilter(String... strArr) {
        int i = AppsFlyerConversionListener + 31;
        onResponseError = i % 128;
        int i2 = i % 2;
        setSharingFilterForPartners(strArr);
        int i3 = AppsFlyerConversionListener + 39;
        onResponseError = i3 % 128;
        if (!(i3 % 2 != 0)) {
            return;
        }
        Object[] objArr = null;
        int length = objArr.length;
    }

    @Override // com.appsflyer.AppsFlyerLib
    @Deprecated
    public final void setSharingFilterForAllPartners() {
        int i = onResponseError + 57;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        setSharingFilterForPartners("all");
        int i3 = onResponseError + 43;
        AppsFlyerConversionListener = i3 % 128;
        if ((i3 % 2 == 0 ? 'G' : 'P') != 'G') {
            return;
        }
        int i4 = 84 / 0;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setSharingFilterForPartners(String... strArr) {
        this.afErrorLog = new AFa1dSDK(strArr);
        int i = AppsFlyerConversionListener + 47;
        onResponseError = i % 128;
        if (!(i % 2 != 0)) {
            return;
        }
        Object[] objArr = null;
        int length = objArr.length;
    }

    /* JADX WARN: Code restructure failed: missing block: B:16:0x0026, code lost:
        if ((r4 == null) != false) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0029, code lost:
        r0.valueOf = r4.getApplicationContext();
        r4 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 111;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r4 % 128;
        r4 = r4 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x001a, code lost:
        if (r4 != null) goto L9;
     */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void sendPurchaseData(Context context, Map<String, Object> map, PurchaseHandler.PurchaseValidationCallback purchaseValidationCallback) {
        AFc1xSDK aFc1xSDK;
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        Context applicationContext = context.getApplicationContext();
        if (applicationContext != null) {
            int i = AppsFlyerConversionListener + 45;
            onResponseError = i % 128;
            if (i % 2 != 0) {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
                Object obj = null;
                super.hashCode();
            } else {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
            }
        }
        PurchaseHandler afErrorLog = valueOf().afErrorLog();
        if (afErrorLog.AFKeystoreWrapper(map, purchaseValidationCallback, "subscriptions")) {
            AFd1ySDK aFd1ySDK = new AFd1ySDK(map, purchaseValidationCallback, afErrorLog.values);
            AFc1gSDK aFc1gSDK = afErrorLog.AFInAppEventType;
            aFc1gSDK.valueOf.execute(new AFc1gSDK.AnonymousClass1(aFd1ySDK));
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void appendParametersToDeepLinkingURL(String str, Map<String, String> map) {
        int i = onResponseError + 53;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        AFa1sSDK AFInAppEventType2 = AFa1sSDK.AFInAppEventType();
        AFInAppEventType2.AFInAppEventParameterName = str;
        AFInAppEventType2.afRDLog = map;
        int i3 = onResponseError + 51;
        AppsFlyerConversionListener = i3 % 128;
        if ((i3 % 2 == 0 ? '^' : (char) 20) != '^') {
            return;
        }
        Object[] objArr = null;
        int length = objArr.length;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void subscribeForDeepLink(DeepLinkListener deepLinkListener) {
        int i = onResponseError + 87;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        subscribeForDeepLink(deepLinkListener, TimeUnit.SECONDS.toMillis(3L));
        int i3 = onResponseError + 57;
        AppsFlyerConversionListener = i3 % 128;
        int i4 = i3 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void subscribeForDeepLink(DeepLinkListener deepLinkListener, long j) {
        int i = onResponseError + 105;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        AFa1sSDK.AFInAppEventType().AFInAppEventType = deepLinkListener;
        AFb1mSDK.getLevel = j;
        int i3 = onResponseError + 123;
        AppsFlyerConversionListener = i3 % 128;
        if (!(i3 % 2 != 0)) {
            Object obj = null;
            super.hashCode();
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void performOnDeepLinking(final Intent intent, Context context) {
        if (intent == null) {
            AFb1kSDK.AFKeystoreWrapper("performOnDeepLinking was called with null intent", DeepLinkResult.Error.DEVELOPER_ERROR);
            return;
        }
        if ((context == null ? (char) 2 : '0') != '0') {
            AFb1kSDK.AFKeystoreWrapper("performOnDeepLinking was called with null context", DeepLinkResult.Error.DEVELOPER_ERROR);
            int i = AppsFlyerConversionListener + 15;
            onResponseError = i % 128;
            int i2 = i % 2;
            return;
        }
        final Context applicationContext = context.getApplicationContext();
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if ((applicationContext != null ? Typography.quote : (char) 25) == '\"') {
            AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
            if (applicationContext != null) {
                aFc1xSDK.valueOf = applicationContext.getApplicationContext();
                int i3 = AppsFlyerConversionListener + 27;
                onResponseError = i3 % 128;
                int i4 = i3 % 2;
            }
        }
        this.onValidateInAppFailure.AFKeystoreWrapper().execute(new Runnable() { // from class: com.appsflyer.internal.AFb1zSDK$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                AFb1zSDK.this.AFInAppEventType(applicationContext, intent);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void AFInAppEventType(Context context, Intent intent) {
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if (context != null) {
            AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
            if (context != null) {
                aFc1xSDK.valueOf = context.getApplicationContext();
            }
        }
        AFa1sSDK.AFInAppEventType();
        Context context2 = this.onValidateInAppFailure.AFInAppEventType.valueOf;
        if (context2 != null) {
            AFb1bSDK aFb1bSDK = new AFb1bSDK(AFKeystoreWrapper(context2));
            Uri values2 = AFa1sSDK.values(intent);
            boolean z = (values2 == null || values2.toString().isEmpty()) ? false : true;
            if (aFb1bSDK.values("ddl_sent") && !z) {
                AFb1kSDK.AFKeystoreWrapper("No direct deep link", null);
                return;
            } else {
                AFa1sSDK.AFInAppEventType().AFInAppEventType(new HashMap(), intent, context);
                return;
            }
        }
        throw new IllegalStateException("Context must be set via setContext method before calling this dependency.");
    }

    /* JADX WARN: Code restructure failed: missing block: B:17:0x003d, code lost:
        if ((!r0.contains(r4)) != false) goto L12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x003f, code lost:
        r0.add(r4);
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0025, code lost:
        if (r1 == false) goto L12;
     */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void addPushNotificationDeepLinkPath(String... strArr) {
        List<String> asList;
        List<List<String>> list;
        int i = AppsFlyerConversionListener + 99;
        onResponseError = i % 128;
        if ((i % 2 != 0 ? 'V' : '5') != '5') {
            asList = Arrays.asList(strArr);
            list = AFa1sSDK.AFInAppEventType().afInfoLog;
            boolean contains = list.contains(asList);
            Object[] objArr = null;
            int length = objArr.length;
        } else {
            asList = Arrays.asList(strArr);
            list = AFa1sSDK.AFInAppEventType().afInfoLog;
        }
        int i2 = AppsFlyerConversionListener + 75;
        onResponseError = i2 % 128;
        int i3 = i2 % 2;
    }

    /* JADX WARN: Code restructure failed: missing block: B:16:0x0037, code lost:
        if (r3 != false) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0045, code lost:
        if ((!r7.isEmpty()) != false) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0047, code lost:
        r1 = new java.lang.StringBuilder("Setting partner data for ");
        r1.append(r6);
        r1.append(": ");
        r1.append(r7);
        com.appsflyer.AFLogger.afDebugLog(r1.toString());
        r1 = new org.json.JSONObject(r7).toString().length();
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x006f, code lost:
        if (r1 <= 1000) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0071, code lost:
        com.appsflyer.AFLogger.afWarnLog("Partner data 1000 characters limit exceeded");
        r7 = new java.util.HashMap();
        r7.put("error", "limit exceeded: ".concat(java.lang.String.valueOf(r1)));
        r0.AFInAppEventType.put(r6, r7);
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x008f, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0090, code lost:
        r0.values.put(r6, r7);
        r0.AFInAppEventType.remove(r6);
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x009a, code lost:
        return;
     */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void setPartnerData(String str, Map<String, Object> map) {
        String str2;
        if (this.onResponse == null) {
            this.onResponse = new AFb1dSDK();
        }
        AFb1dSDK aFb1dSDK = this.onResponse;
        if (str != null) {
            int i = onResponseError + 59;
            AppsFlyerConversionListener = i % 128;
            int i2 = i % 2;
            if (!str.isEmpty()) {
                if (map != null) {
                    int i3 = onResponseError + 57;
                    AppsFlyerConversionListener = i3 % 128;
                    if (i3 % 2 == 0) {
                        boolean isEmpty = map.isEmpty();
                        Object[] objArr = null;
                        int length = objArr.length;
                    }
                }
                if (!(aFb1dSDK.values.remove(str) == null)) {
                    str2 = "Cleared partner data for ".concat(String.valueOf(str));
                    int i4 = onResponseError + 53;
                    AppsFlyerConversionListener = i4 % 128;
                    int i5 = i4 % 2;
                } else {
                    str2 = "Partner data is missing or `null`";
                }
                AFLogger.afWarnLog(str2);
                return;
            }
        }
        AFLogger.afWarnLog("Partner ID is missing or `null`");
    }

    /* JADX WARN: Code restructure failed: missing block: B:13:0x002f, code lost:
        if ((!r6 ? kotlin.text.Typography.amp : kotlin.text.Typography.less) != '<') goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0044, code lost:
        if (r4 != 3) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0046, code lost:
        r6 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0048, code lost:
        r6 = false;
     */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void setDisableAdvertisingIdentifiers(boolean z) {
        boolean z2;
        int i = AppsFlyerConversionListener + 59;
        onResponseError = i % 128;
        char c = i % 2 != 0 ? '\n' : 'H';
        Object[] objArr = null;
        char c2 = Typography.less;
        if (c != 'H') {
            AFLogger.afDebugLog("setDisableAdvertisingIdentifiers: ".concat(String.valueOf(z)));
            super.hashCode();
        } else {
            AFLogger.afDebugLog("setDisableAdvertisingIdentifiers: ".concat(String.valueOf(z)));
            if (z) {
                c2 = 3;
            }
        }
        AFb1ySDK.AFKeystoreWrapper = Boolean.valueOf(z2);
        AppsFlyerProperties.getInstance().remove("advertiserIdEnabled");
        AppsFlyerProperties.getInstance().remove("advertiserId");
        int i2 = onResponseError + 43;
        AppsFlyerConversionListener = i2 % 128;
        if (i2 % 2 == 0) {
            int length = objArr.length;
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setDisableNetworkData(boolean z) {
        int i = AppsFlyerConversionListener + 3;
        onResponseError = i % 128;
        int i2 = i % 2;
        AFLogger.afDebugLog("setDisableNetworkData: ".concat(String.valueOf(z)));
        values(AppsFlyerProperties.DISABLE_NETWORK_DATA, z);
        int i3 = AppsFlyerConversionListener + 117;
        onResponseError = i3 % 128;
        int i4 = i3 % 2;
    }

    /* JADX WARN: Code restructure failed: missing block: B:19:0x0065, code lost:
        if ((r0 ? 6 : 'I') != 'I') goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0082, code lost:
        if (com.appsflyer.AppsFlyerProperties.getInstance().AFInAppEventParameterName() != false) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0084, code lost:
        com.appsflyer.AFLogger.afInfoLog("onReceive: isLaunchCalled");
        values(r4, com.appsflyer.internal.AFe1ySDK.onReceive);
        AFKeystoreWrapper(r4, r5);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void valueOf(Context context, Intent intent) {
        if (intent.getStringExtra("appsflyer_preinstall") != null) {
            valueOf(intent.getStringExtra("appsflyer_preinstall"));
        }
        AFLogger.afInfoLog("****** onReceive called *******");
        AppsFlyerProperties.getInstance();
        String stringExtra = intent.getStringExtra("referrer");
        AFLogger.afInfoLog("Play store referrer: ".concat(String.valueOf(stringExtra)));
        if (stringExtra != null) {
            int i = AppsFlyerConversionListener + 23;
            onResponseError = i % 128;
            if (i % 2 != 0) {
                AFInAppEventParameterName(context).values("referrer", stringExtra);
                AppsFlyerProperties appsFlyerProperties = AppsFlyerProperties.getInstance();
                appsFlyerProperties.set("AF_REFERRER", stringExtra);
                appsFlyerProperties.AFInAppEventParameterName = stringExtra;
                boolean AFInAppEventParameterName2 = AppsFlyerProperties.getInstance().AFInAppEventParameterName();
                Object obj = null;
                super.hashCode();
            } else {
                AFInAppEventParameterName(context).values("referrer", stringExtra);
                AppsFlyerProperties appsFlyerProperties2 = AppsFlyerProperties.getInstance();
                appsFlyerProperties2.set("AF_REFERRER", stringExtra);
                appsFlyerProperties2.AFInAppEventParameterName = stringExtra;
            }
        }
        int i2 = AppsFlyerConversionListener + 55;
        onResponseError = i2 % 128;
        int i3 = i2 % 2;
    }

    private static void values(JSONObject jSONObject) {
        String str;
        ArrayList arrayList = new ArrayList();
        Iterator<String> keys = jSONObject.keys();
        int i = onResponseError + 51;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        while (keys.hasNext()) {
            try {
                JSONArray jSONArray = new JSONArray((String) jSONObject.get(keys.next()));
                int i3 = 0;
                while (true) {
                    if (i3 < jSONArray.length()) {
                        int i4 = AppsFlyerConversionListener + 97;
                        onResponseError = i4 % 128;
                        if (i4 % 2 != 0) {
                            arrayList.add(Long.valueOf(jSONArray.getLong(i3)));
                            i3 += 14;
                        } else {
                            arrayList.add(Long.valueOf(jSONArray.getLong(i3)));
                            i3++;
                        }
                    }
                }
            } catch (JSONException e) {
                AFLogger.afErrorLogForExcManagerOnly("error at timeStampArr", e);
            }
        }
        Collections.sort(arrayList);
        Iterator<String> keys2 = jSONObject.keys();
        loop2: while (true) {
            str = null;
            while (true) {
                if (!(keys2.hasNext())) {
                    break loop2;
                }
                int i5 = AppsFlyerConversionListener + 65;
                onResponseError = i5 % 128;
                int i6 = i5 % 2;
                if (str != null) {
                    break loop2;
                }
                String next = keys2.next();
                try {
                    JSONArray jSONArray2 = new JSONArray((String) jSONObject.get(next));
                    int i7 = 0;
                    while (i7 < jSONArray2.length()) {
                        int i8 = AppsFlyerConversionListener + 45;
                        onResponseError = i8 % 128;
                        if (i8 % 2 != 0) {
                            if ((jSONArray2.getLong(i7) != ((Long) arrayList.get(1)).longValue() ? 'P' : 'F') != 'F') {
                                if (jSONArray2.getLong(i7) == ((Long) arrayList.get(1)).longValue() && jSONArray2.getLong(i7) != ((Long) arrayList.get(arrayList.size() - 1)).longValue()) {
                                    i7++;
                                    str = next;
                                }
                            }
                        } else {
                            if (jSONArray2.getLong(i7) == ((Long) arrayList.get(0)).longValue()) {
                                break;
                            }
                            if (jSONArray2.getLong(i7) == ((Long) arrayList.get(1)).longValue()) {
                                break;
                            }
                            i7++;
                            str = next;
                        }
                    }
                    continue;
                } catch (JSONException e2) {
                    AFLogger.afErrorLogForExcManagerOnly("error at manageExtraReferrers", e2);
                }
            }
        }
        if ((str != null ? '^' : '\\') != '\\') {
            jSONObject.remove(str);
        }
    }

    public final void valueOf(Context context, String str) {
        JSONArray jSONArray;
        JSONArray jSONArray2;
        JSONObject jSONObject;
        AFLogger.afDebugLog("received a new (extra) referrer: ".concat(String.valueOf(str)));
        try {
            long currentTimeMillis = System.currentTimeMillis();
            String string = AFKeystoreWrapper(context).getString("extraReferrers", null);
            if (string == null) {
                jSONObject = new JSONObject();
                jSONArray2 = new JSONArray();
            } else {
                JSONObject jSONObject2 = new JSONObject(string);
                if (jSONObject2.has(str)) {
                    jSONArray = new JSONArray((String) jSONObject2.get(str));
                } else {
                    jSONArray = new JSONArray();
                }
                jSONArray2 = jSONArray;
                jSONObject = jSONObject2;
            }
            if (!(((long) jSONArray2.length()) >= 5)) {
                int i = AppsFlyerConversionListener + 117;
                onResponseError = i % 128;
                int i2 = i % 2;
                jSONArray2.put(currentTimeMillis);
            }
            if ((((long) jSONObject.length()) >= 4 ? Typography.quote : 'G') == '\"') {
                values(jSONObject);
            }
            jSONObject.put(str, jSONArray2.toString());
            AFInAppEventParameterName(context).values("extraReferrers", jSONObject.toString());
            int i3 = AppsFlyerConversionListener + 121;
            onResponseError = i3 % 128;
            int i4 = i3 % 2;
        } catch (JSONException e) {
            AFLogger.afErrorLogForExcManagerOnly("error at addReferrer", e);
        } catch (Throwable th) {
            StringBuilder sb = new StringBuilder("Couldn't save referrer - ");
            sb.append(str);
            sb.append(": ");
            AFLogger.afErrorLog(sb.toString(), th);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:15:0x0026, code lost:
        if ((r9 == null) != true) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x002d, code lost:
        if (r9 != null) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x002f, code lost:
        r0.valueOf = r9.getApplicationContext();
     */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void stop(boolean z, Context context) {
        AFc1xSDK aFc1xSDK;
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        int i = 0;
        if ((context != null ? (char) 27 : (char) 29) != 29) {
            int i2 = AppsFlyerConversionListener + 3;
            onResponseError = i2 % 128;
            if (i2 % 2 != 0) {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
                Object obj = null;
                super.hashCode();
            } else {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
            }
        }
        this.onValidateInAppFailure.AFLogger$LogLevel().valueOf = z;
        try {
            File file = new File(this.onValidateInAppFailure.afErrorLogForExcManagerOnly().AFKeystoreWrapper.valueOf.getFilesDir(), "AFRequestCache");
            if (!file.exists()) {
                int i3 = onResponseError + 39;
                AppsFlyerConversionListener = i3 % 128;
                int i4 = i3 % 2;
                file.mkdir();
            } else {
                File[] listFiles = file.listFiles();
                if (listFiles != null) {
                    int length = listFiles.length;
                    while (i < length) {
                        File file2 = listFiles[i];
                        StringBuilder sb = new StringBuilder("CACHE: Found cached request");
                        sb.append(file2.getName());
                        AFLogger.afInfoLog(sb.toString());
                        StringBuilder sb2 = new StringBuilder("CACHE: Deleting ");
                        sb2.append(file2.getName());
                        sb2.append(" from cache");
                        AFLogger.afInfoLog(sb2.toString());
                        file2.delete();
                        i++;
                        int i5 = onResponseError + 15;
                        AppsFlyerConversionListener = i5 % 128;
                        int i6 = i5 % 2;
                    }
                }
            }
        } catch (Exception e) {
            AFLogger.afErrorLog("CACHE: Could not cache request", e);
        }
        if ((z ? ')' : (char) 5) == ')') {
            AFInAppEventParameterName(context).AFInAppEventParameterName("is_stop_tracking_used", true);
        }
        int i7 = onResponseError + 3;
        AppsFlyerConversionListener = i7 % 128;
        int i8 = i7 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final String getSdkVersion() {
        AFb1aSDK valueOf2;
        int i = onResponseError + 89;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? (char) 5 : 'M') != 5) {
            valueOf2 = valueOf();
            valueOf2.getLevel().values("getSdkVersion", new String[0]);
        } else {
            valueOf2 = valueOf();
            valueOf2.getLevel().values("getSdkVersion", new String[0]);
        }
        valueOf2.values();
        String AFKeystoreWrapper2 = AFc1ySDK.AFKeystoreWrapper();
        int i2 = onResponseError + 81;
        AppsFlyerConversionListener = i2 % 128;
        if ((i2 % 2 == 0 ? (char) 19 : 'b') != 19) {
            return AFKeystoreWrapper2;
        }
        Object[] objArr = null;
        int length = objArr.length;
        return AFKeystoreWrapper2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void onPause(Context context) {
        int i = AppsFlyerConversionListener + 57;
        onResponseError = i % 128;
        int i2 = i % 2;
        if (AFb1xSDK.AFKeystoreWrapper != null) {
            AFb1xSDK.AFKeystoreWrapper.values(context);
        }
        int i3 = onResponseError + 21;
        AppsFlyerConversionListener = i3 % 128;
        if ((i3 % 2 == 0 ? 'P' : '`') != 'P') {
            return;
        }
        Object obj = null;
        super.hashCode();
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void updateServerUninstallToken(Context context, String str) {
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if (context != null) {
            AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
            if (context != null) {
                aFc1xSDK.valueOf = context.getApplicationContext();
            }
        }
        AFd1dSDK aFd1dSDK = new AFd1dSDK(context);
        if (str == null || str.trim().isEmpty()) {
            AFLogger.afWarnLog("[register] Firebase Token is either empty or null and was not registered.");
            return;
        }
        AFLogger.afInfoLog("[register] Firebase Refreshed Token = ".concat(String.valueOf(str)));
        AFb1rSDK AFInAppEventType2 = aFd1dSDK.AFInAppEventType();
        if (AFInAppEventType2 == null || !str.equals(AFInAppEventType2.values)) {
            long currentTimeMillis = System.currentTimeMillis();
            boolean z = AFInAppEventType2 == null || currentTimeMillis - AFInAppEventType2.AFInAppEventParameterName > TimeUnit.SECONDS.toMillis(2L);
            AFb1rSDK aFb1rSDK = new AFb1rSDK(str, currentTimeMillis, !z);
            aFd1dSDK.AFInAppEventType.values("afUninstallToken", aFb1rSDK.values);
            aFd1dSDK.AFInAppEventType.valueOf("afUninstallToken_received_time", aFb1rSDK.AFInAppEventParameterName);
            aFd1dSDK.AFInAppEventType.AFInAppEventParameterName("afUninstallToken_queued", aFb1rSDK.AFKeystoreWrapper());
            if (z) {
                AFd1dSDK.values(str);
            }
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setDebugLog(boolean z) {
        AFLogger.LogLevel logLevel;
        if ((z ? 'Q' : '1') != 'Q') {
            logLevel = AFLogger.LogLevel.NONE;
            int i = AppsFlyerConversionListener + 113;
            onResponseError = i % 128;
            int i2 = i % 2;
        } else {
            int i3 = onResponseError + 105;
            AppsFlyerConversionListener = i3 % 128;
            int i4 = i3 % 2;
            logLevel = AFLogger.LogLevel.DEBUG;
        }
        setLogLevel(logLevel);
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setOaidData(String str) {
        int i = AppsFlyerConversionListener + 13;
        onResponseError = i % 128;
        if ((i % 2 != 0 ? '%' : 'X') != 'X') {
            AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
            String[] strArr = new String[1];
            strArr[1] = str;
            AFInAppEventType2.values("setOaidData", strArr);
        } else {
            AFb1nSDK.AFInAppEventType().values("setOaidData", str);
        }
        AFb1ySDK.AFInAppEventParameterName = str;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setAndroidIdData(String str) {
        int i = onResponseError + 9;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? 'F' : '@') != 'F') {
            AFb1nSDK.AFInAppEventType().values("setAndroidIdData", str);
        } else {
            AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
            String[] strArr = new String[1];
            strArr[1] = str;
            AFInAppEventType2.values("setAndroidIdData", strArr);
        }
        this.afRDLog = str;
    }

    private static void values(String str, String str2) {
        int i = AppsFlyerConversionListener + 59;
        onResponseError = i % 128;
        int i2 = i % 2;
        AppsFlyerProperties.getInstance().set(str, str2);
        int i3 = AppsFlyerConversionListener + 103;
        onResponseError = i3 % 128;
        int i4 = i3 % 2;
    }

    private static void values(String str, boolean z) {
        int i = onResponseError + 35;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? '\r' : '@') != '\r') {
            AppsFlyerProperties.getInstance().set(str, z);
            return;
        }
        AppsFlyerProperties.getInstance().set(str, z);
        int i2 = 95 / 0;
    }

    private static String AFInAppEventParameterName(String str) {
        String string;
        int i = onResponseError + 47;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? (char) 3 : Typography.less) != '<') {
            string = AppsFlyerProperties.getInstance().getString(str);
            int i2 = 75 / 0;
        } else {
            string = AppsFlyerProperties.getInstance().getString(str);
        }
        int i3 = onResponseError + 117;
        AppsFlyerConversionListener = i3 % 128;
        if (i3 % 2 != 0) {
            return string;
        }
        int i4 = 65 / 0;
        return string;
    }

    private static boolean AFInAppEventType(String str, boolean z) {
        int i = onResponseError + 27;
        AppsFlyerConversionListener = i % 128;
        if (i % 2 == 0) {
            boolean z2 = AppsFlyerProperties.getInstance().getBoolean(str, z);
            Object[] objArr = null;
            int length = objArr.length;
            return z2;
        }
        return AppsFlyerProperties.getInstance().getBoolean(str, z);
    }

    /* JADX WARN: Code restructure failed: missing block: B:15:0x0025, code lost:
        if ((!AFInAppEventType(com.appsflyer.AppsFlyerProperties.AF_WAITFOR_CUSTOMERID, false)) != true) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x002d, code lost:
        if (AFKeystoreWrapper() != null) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x002f, code lost:
        r0 = '\t';
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0032, code lost:
        r0 = '\\';
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0034, code lost:
        if (r0 == '\t') goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0037, code lost:
        r0 = com.appsflyer.internal.AFb1zSDK.onResponseError + 61;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r0 % 128;
        r0 = r0 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0041, code lost:
        return true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0019, code lost:
        if (AFInAppEventType(com.appsflyer.AppsFlyerProperties.AF_WAITFOR_CUSTOMERID, false) != false) goto L10;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final boolean AFInAppEventParameterName() {
        int i = onResponseError + 59;
        AppsFlyerConversionListener = i % 128;
        if (i % 2 == 0) {
        }
        return false;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void waitForCustomerUserId(boolean z) {
        String concat;
        boolean z2;
        int i = AppsFlyerConversionListener + 95;
        onResponseError = i % 128;
        if ((i % 2 != 0 ? '%' : 'C') != '%') {
            concat = "initAfterCustomerUserID: ".concat(String.valueOf(z));
            z2 = true;
        } else {
            concat = "initAfterCustomerUserID: ".concat(String.valueOf(z));
            z2 = false;
        }
        AFLogger.afInfoLog(concat, z2);
        values(AppsFlyerProperties.AF_WAITFOR_CUSTOMERID, z);
        int i2 = onResponseError + 73;
        AppsFlyerConversionListener = i2 % 128;
        int i3 = i2 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setCustomerIdAndLogSession(String str, Context context) {
        if (!(context == null)) {
            if (AFInAppEventParameterName()) {
                setCustomerUserId(str);
                StringBuilder sb = new StringBuilder("CustomerUserId set: ");
                sb.append(str);
                sb.append(" - Initializing AppsFlyer Tacking");
                AFLogger.afInfoLog(sb.toString(), true);
                String referrer = AppsFlyerProperties.getInstance().getReferrer(context);
                values(context, AFe1ySDK.setCustomerIdAndLogSession);
                String str2 = this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType;
                if ((referrer == null ? (char) 22 : (char) 26) == 22) {
                    int i = AppsFlyerConversionListener + 27;
                    onResponseError = i % 128;
                    int i2 = i % 2;
                    referrer = BuildConfig.FLAVOR;
                }
                String str3 = referrer;
                if (context instanceof Activity) {
                    int i3 = onResponseError + 85;
                    AppsFlyerConversionListener = i3 % 128;
                    int i4 = i3 % 2;
                    ((Activity) context).getIntent();
                }
                AFKeystoreWrapper(context, null, null, str3, null);
                return;
            }
            setCustomerUserId(str);
            AFLogger.afInfoLog("waitForCustomerUserId is false; setting CustomerUserID: ".concat(String.valueOf(str)), true);
            int i5 = AppsFlyerConversionListener + 67;
            onResponseError = i5 % 128;
            int i6 = i5 % 2;
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final String getOutOfStore(Context context) {
        String string = AppsFlyerProperties.getInstance().getString("api_store_value");
        Object[] objArr = null;
        if (string == null) {
            String values2 = values(context, "AF_STORE");
            if ((values2 != null ? Typography.greater : '?') == '>') {
                int i = AppsFlyerConversionListener + 95;
                onResponseError = i % 128;
                int i2 = i % 2;
                return values2;
            }
            AFLogger.afInfoLog("No out-of-store value set");
            return null;
        }
        int i3 = AppsFlyerConversionListener + 39;
        onResponseError = i3 % 128;
        if (i3 % 2 != 0) {
            int length = objArr.length;
        }
        return string;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setOutOfStore(String str) {
        if ((str != null ? '\f' : 'B') != 'B') {
            int i = onResponseError + 61;
            AppsFlyerConversionListener = i % 128;
            int i2 = i % 2;
            String lowerCase = str.toLowerCase();
            AppsFlyerProperties.getInstance().set("api_store_value", lowerCase);
            AFLogger.afInfoLog("Store API set with value: ".concat(String.valueOf(lowerCase)), true);
            return;
        }
        AFLogger.AFKeystoreWrapper("Cannot set setOutOfStore with null");
        int i3 = AppsFlyerConversionListener + 81;
        onResponseError = i3 % 128;
        int i4 = i3 % 2;
    }

    /* JADX WARN: Code restructure failed: missing block: B:19:0x004c, code lost:
        if ((!r0) != false) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0066, code lost:
        if ((!r7.equals(com.appsflyer.AppsFlyerProperties.getInstance().getString(com.appsflyer.AppsFlyerProperties.ONELINK_ID)) ? '1' : '.') != '1') goto L16;
     */
    /* JADX WARN: Removed duplicated region for block: B:32:0x0093  */
    /* JADX WARN: Removed duplicated region for block: B:34:0x0096 A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:39:0x0097 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void setAppInviteOneLink(String str) {
        int i;
        AFb1nSDK.AFInAppEventType().values("setAppInviteOneLink", str);
        AFLogger.afInfoLog("setAppInviteOneLink = ".concat(String.valueOf(str)));
        Object[] objArr = null;
        if (!(str == null)) {
            int i2 = onResponseError + 99;
            AppsFlyerConversionListener = i2 % 128;
            if (!(i2 % 2 != 0)) {
                boolean equals = str.equals(AppsFlyerProperties.getInstance().getString(AppsFlyerProperties.ONELINK_ID));
                super.hashCode();
            }
            values(AppsFlyerProperties.ONELINK_ID, str);
            i = onResponseError + 7;
            AppsFlyerConversionListener = i % 128;
            if (i % 2 != 0) {
                int length = objArr.length;
                return;
            }
            return;
        }
        AppsFlyerProperties.getInstance().remove(AppsFlyerProperties.ONELINK_DOMAIN);
        AppsFlyerProperties.getInstance().remove("onelinkVersion");
        AppsFlyerProperties.getInstance().remove(AppsFlyerProperties.ONELINK_SCHEME);
        values(AppsFlyerProperties.ONELINK_ID, str);
        i = onResponseError + 7;
        AppsFlyerConversionListener = i % 128;
        if (i % 2 != 0) {
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setAdditionalData(Map<String, Object> map) {
        int i = AppsFlyerConversionListener + 125;
        onResponseError = i % 128;
        if (!(i % 2 == 0)) {
            Object obj = null;
            super.hashCode();
            if (map == null) {
                return;
            }
        } else if (map == null) {
            return;
        }
        AFb1nSDK.AFInAppEventType().values("setAdditionalData", map.toString());
        AppsFlyerProperties.getInstance().setCustomData(new JSONObject(map).toString());
        int i2 = onResponseError + 73;
        AppsFlyerConversionListener = i2 % 128;
        int i3 = i2 % 2;
    }

    /* JADX WARN: Removed duplicated region for block: B:77:0x01dc  */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void sendPushNotificationData(Activity activity) {
        long j;
        String str;
        char c;
        String str2 = "pid";
        if (activity != null && activity.getIntent() != null) {
            AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
            StringBuilder sb = new StringBuilder("activity_intent_");
            sb.append(activity.getIntent().toString());
            AFInAppEventType2.values("sendPushNotificationData", activity.getLocalClassName(), sb.toString());
        } else if (activity == null) {
            AFb1nSDK.AFInAppEventType().values("sendPushNotificationData", "activity_null");
        } else {
            int i = onResponseError + 99;
            AppsFlyerConversionListener = i % 128;
            if (i % 2 == 0) {
                AFb1nSDK.AFInAppEventType().values("sendPushNotificationData", activity.getLocalClassName(), "activity_intent_null");
            } else {
                AFb1nSDK.AFInAppEventType().values("sendPushNotificationData", activity.getLocalClassName(), "activity_intent_null");
            }
        }
        String AFInAppEventParameterName2 = AFInAppEventParameterName(activity);
        this.init = AFInAppEventParameterName2;
        if (AFInAppEventParameterName2 == null) {
            return;
        }
        long currentTimeMillis = System.currentTimeMillis();
        if (this.onAppOpenAttributionNative == null) {
            AFLogger.afInfoLog("pushes: initializing pushes history..");
            this.onAppOpenAttributionNative = new ConcurrentHashMap();
            int i2 = AppsFlyerConversionListener + 79;
            onResponseError = i2 % 128;
            int i3 = i2 % 2;
            j = currentTimeMillis;
        } else {
            try {
                long j2 = AppsFlyerProperties.getInstance().getLong("pushPayloadMaxAging", 1800000L);
                j = currentTimeMillis;
                for (Long l : this.onAppOpenAttributionNative.keySet()) {
                    try {
                        JSONObject jSONObject = new JSONObject(this.init);
                        JSONObject jSONObject2 = new JSONObject(this.onAppOpenAttributionNative.get(l));
                        if (jSONObject.opt(str2).equals(jSONObject2.opt(str2))) {
                            c = 15;
                            str = str2;
                        } else {
                            str = str2;
                            c = 18;
                        }
                        Object[] objArr = null;
                        if (c != 18 && jSONObject.opt("c").equals(jSONObject2.opt("c"))) {
                            StringBuilder sb2 = new StringBuilder("PushNotificationMeasurement: A previous payload with same PID and campaign was already acknowledged! (old: ");
                            sb2.append(jSONObject2);
                            sb2.append(", new: ");
                            sb2.append(jSONObject);
                            sb2.append(")");
                            AFLogger.afInfoLog(sb2.toString());
                            this.init = null;
                            int i4 = AppsFlyerConversionListener + 39;
                            onResponseError = i4 % 128;
                            if ((i4 % 2 != 0 ? (char) 20 : 'H') != 20) {
                                return;
                            }
                            super.hashCode();
                            return;
                        }
                        if (currentTimeMillis - l.longValue() > j2) {
                            int i5 = AppsFlyerConversionListener + 101;
                            onResponseError = i5 % 128;
                            if (i5 % 2 != 0) {
                                this.onAppOpenAttributionNative.remove(l);
                                int i6 = 18 / 0;
                            } else {
                                this.onAppOpenAttributionNative.remove(l);
                            }
                        }
                        if (l.longValue() <= j) {
                            int i7 = AppsFlyerConversionListener + 59;
                            onResponseError = i7 % 128;
                            if (i7 % 2 != 0) {
                                j = l.longValue();
                                int length = objArr.length;
                            } else {
                                j = l.longValue();
                            }
                        }
                        str2 = str;
                    } catch (Throwable th) {
                        th = th;
                        StringBuilder sb3 = new StringBuilder("Error while handling push notification measurement: ");
                        sb3.append(th.getClass().getSimpleName());
                        AFLogger.afErrorLog(sb3.toString(), th);
                        if (this.onAppOpenAttributionNative.size() == AppsFlyerProperties.getInstance().getInt("pushPayloadHistorySize", 2)) {
                        }
                        this.onAppOpenAttributionNative.put(Long.valueOf(currentTimeMillis), this.init);
                        start(activity);
                    }
                }
                int i8 = AppsFlyerConversionListener + 27;
                onResponseError = i8 % 128;
                int i9 = i8 % 2;
            } catch (Throwable th2) {
                th = th2;
                j = currentTimeMillis;
            }
        }
        if (this.onAppOpenAttributionNative.size() == AppsFlyerProperties.getInstance().getInt("pushPayloadHistorySize", 2)) {
            StringBuilder sb4 = new StringBuilder("pushes: removing oldest overflowing push (oldest push:");
            sb4.append(j);
            sb4.append(")");
            AFLogger.afInfoLog(sb4.toString());
            this.onAppOpenAttributionNative.remove(Long.valueOf(j));
        }
        this.onAppOpenAttributionNative.put(Long.valueOf(currentTimeMillis), this.init);
        start(activity);
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setUserEmails(String... strArr) {
        int i = AppsFlyerConversionListener + 83;
        onResponseError = i % 128;
        if (!(i % 2 != 0)) {
            AFb1nSDK.AFInAppEventType().values("setUserEmails", strArr);
            setUserEmails(AppsFlyerProperties.EmailsCryptType.NONE, strArr);
            return;
        }
        AFb1nSDK.AFInAppEventType().values("setUserEmails", strArr);
        setUserEmails(AppsFlyerProperties.EmailsCryptType.NONE, strArr);
        Object[] objArr = null;
        int length = objArr.length;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setUserEmails(AppsFlyerProperties.EmailsCryptType emailsCryptType, String... strArr) {
        ArrayList arrayList = new ArrayList(strArr.length + 1);
        arrayList.add(emailsCryptType.toString());
        arrayList.addAll(Arrays.asList(strArr));
        AFb1nSDK.AFInAppEventType().values("setUserEmails", (String[]) arrayList.toArray(new String[strArr.length + 1]));
        AppsFlyerProperties.getInstance().set(AppsFlyerProperties.EMAIL_CRYPT_TYPE, emailsCryptType.getValue());
        HashMap hashMap = new HashMap();
        String str = null;
        ArrayList arrayList2 = new ArrayList();
        int length = strArr.length;
        int i = 0;
        while (true) {
            if (!(i < length)) {
                hashMap.put(str, arrayList2);
                AppsFlyerProperties.getInstance().setUserEmails(new JSONObject(hashMap).toString());
                return;
            }
            int i2 = onResponseError + 11;
            AppsFlyerConversionListener = i2 % 128;
            int i3 = i2 % 2;
            String str2 = strArr[i];
            if (AnonymousClass10.values[emailsCryptType.ordinal()] != 2) {
                arrayList2.add(AFb1vSDK.AFInAppEventParameterName(str2));
                int i4 = onResponseError + 23;
                AppsFlyerConversionListener = i4 % 128;
                int i5 = i4 % 2;
                str = "sha256_el_arr";
            } else {
                arrayList2.add(str2);
                str = "plain_el_arr";
            }
            i++;
        }
    }

    /* renamed from: com.appsflyer.internal.AFb1zSDK$10  reason: invalid class name */
    /* loaded from: classes.dex */
    static /* synthetic */ class AnonymousClass10 {
        static final /* synthetic */ int[] values;

        static {
            int[] iArr = new int[AppsFlyerProperties.EmailsCryptType.values().length];
            values = iArr;
            try {
                iArr[AppsFlyerProperties.EmailsCryptType.SHA256.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                values[AppsFlyerProperties.EmailsCryptType.NONE.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setCollectAndroidID(boolean z) {
        int i = AppsFlyerConversionListener + 19;
        onResponseError = i % 128;
        if (i % 2 == 0) {
            AFb1nSDK.AFInAppEventType().values("setCollectAndroidID", String.valueOf(z));
        } else {
            AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
            String[] strArr = new String[0];
            strArr[1] = String.valueOf(z);
            AFInAppEventType2.values("setCollectAndroidID", strArr);
        }
        values(AppsFlyerProperties.COLLECT_ANDROID_ID, Boolean.toString(z));
        values(AppsFlyerProperties.COLLECT_ANDROID_ID_FORCE_BY_USER, Boolean.toString(z));
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setCollectIMEI(boolean z) {
        int i = AppsFlyerConversionListener + 97;
        onResponseError = i % 128;
        if (!(i % 2 == 0)) {
            AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
            String[] strArr = new String[0];
            strArr[1] = String.valueOf(z);
            AFInAppEventType2.values("setCollectIMEI", strArr);
        } else {
            AFb1nSDK.AFInAppEventType().values("setCollectIMEI", String.valueOf(z));
        }
        values(AppsFlyerProperties.COLLECT_IMEI, Boolean.toString(z));
        values(AppsFlyerProperties.COLLECT_IMEI_FORCE_BY_USER, Boolean.toString(z));
        int i2 = onResponseError + 25;
        AppsFlyerConversionListener = i2 % 128;
        if ((i2 % 2 == 0 ? '=' : 'J') != '=') {
            return;
        }
        Object[] objArr = null;
        int length = objArr.length;
    }

    @Override // com.appsflyer.AppsFlyerLib
    @Deprecated
    public final void setCollectOaid(boolean z) {
        int i = onResponseError + 113;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        AFb1nSDK.AFInAppEventType().values("setCollectOaid", String.valueOf(z));
        values(AppsFlyerProperties.COLLECT_OAID, Boolean.toString(z));
        int i3 = onResponseError + 7;
        AppsFlyerConversionListener = i3 % 128;
        int i4 = i3 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setResolveDeepLinkURLs(String... strArr) {
        int i = AppsFlyerConversionListener + 75;
        onResponseError = i % 128;
        int i2 = i % 2;
        AFLogger.afDebugLog(String.format("setResolveDeepLinkURLs %s", Arrays.toString(strArr)));
        AFa1sSDK.values.clear();
        AFa1sSDK.values.addAll(Arrays.asList(strArr));
        int i3 = onResponseError + 25;
        AppsFlyerConversionListener = i3 % 128;
        if ((i3 % 2 == 0 ? (char) 27 : (char) 11) != 11) {
            int i4 = 84 / 0;
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setOneLinkCustomDomain(String... strArr) {
        int i = AppsFlyerConversionListener + 33;
        onResponseError = i % 128;
        int i2 = i % 2;
        AFLogger.afDebugLog(String.format("setOneLinkCustomDomain %s", Arrays.toString(strArr)));
        AFa1sSDK.valueOf = strArr;
        int i3 = onResponseError + 31;
        AppsFlyerConversionListener = i3 % 128;
        if (!(i3 % 2 == 0)) {
            return;
        }
        Object obj = null;
        super.hashCode();
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final AppsFlyerLib init(String str, AppsFlyerConversionListener appsFlyerConversionListener, Context context) {
        String str2;
        if (!this.onConversionDataSuccess) {
            this.onConversionDataSuccess = true;
            this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType = str;
            AFb1rSDK.values(str);
            if (context != null) {
                this.onDeepLinkingNative = (Application) context.getApplicationContext();
                AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
                if (context != null) {
                    AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
                    if (context != null) {
                        int i = onResponseError + 59;
                        AppsFlyerConversionListener = i % 128;
                        if (i % 2 == 0) {
                            aFc1xSDK.valueOf = context.getApplicationContext();
                            int i2 = 10 / 0;
                        } else {
                            aFc1xSDK.valueOf = context.getApplicationContext();
                        }
                    }
                }
                valueOf().AFLogger().AFInAppEventType = System.currentTimeMillis();
                valueOf().afRDLog().AFInAppEventParameterName((AFd1mSDK) null);
                AFe1aSDK AFVersionDeclaration2 = valueOf().AFVersionDeclaration();
                final AFe1fSDK aFe1fSDK = new AFe1fSDK(new AnonymousClass1());
                Runnable runnable = new Runnable() { // from class: com.appsflyer.internal.AFb1zSDK.5
                    @Override // java.lang.Runnable
                    public final void run() {
                        SharedPreferences AFKeystoreWrapper2 = AFb1zSDK.AFKeystoreWrapper(AFb1zSDK.AFKeystoreWrapper(AFb1zSDK.this));
                        int AFInAppEventParameterName2 = AFb1zSDK.AFInAppEventParameterName(AFKeystoreWrapper2, false);
                        boolean z = AFKeystoreWrapper2.getBoolean(AppsFlyerProperties.NEW_REFERRER_SENT, false);
                        boolean z2 = aFe1fSDK.afErrorLog == AFe1dSDK.AFa1zSDK.NOT_STARTED;
                        if (AFInAppEventParameterName2 == 1) {
                            if (z2 || z) {
                                AFb1zSDK aFb1zSDK = AFb1zSDK.this;
                                AFe1pSDK aFe1pSDK = new AFe1pSDK();
                                Application AFKeystoreWrapper3 = AFb1zSDK.AFKeystoreWrapper(AFb1zSDK.this);
                                if (AFKeystoreWrapper3 != null) {
                                    aFe1pSDK.valueOf = (Application) AFKeystoreWrapper3.getApplicationContext();
                                }
                                AFb1zSDK.AFKeystoreWrapper(aFb1zSDK, aFe1pSDK);
                            }
                        }
                    }
                };
                AFVersionDeclaration2.AFInAppEventType(aFe1fSDK);
                AFVersionDeclaration2.AFInAppEventType(new AFf1zSDK(runnable));
                AFVersionDeclaration2.AFInAppEventType(new AFe1cSDK(runnable, valueOf()));
                AFVersionDeclaration2.AFInAppEventType(new AFe1eSDK(runnable, valueOf()));
                Application application = this.onDeepLinkingNative;
                AFb1aSDK valueOf2 = valueOf();
                if (Build.VERSION.SDK_INT >= 19) {
                    List<ResolveInfo> queryIntentContentProviders = application.getPackageManager().queryIntentContentProviders(new Intent("com.appsflyer.referrer.INSTALL_PROVIDER"), 0);
                    if ((queryIntentContentProviders != null) && !queryIntentContentProviders.isEmpty()) {
                        ArrayList arrayList = new ArrayList();
                        Iterator<ResolveInfo> it = queryIntentContentProviders.iterator();
                        while (true) {
                            if (!it.hasNext()) {
                                break;
                            }
                            ProviderInfo providerInfo = it.next().providerInfo;
                            if (providerInfo != null) {
                                arrayList.add(new AFe1bSDK(providerInfo, runnable, valueOf2));
                            } else {
                                AFLogger.afWarnLog("[Preinstall]: com.appsflyer.referrer.INSTALL_PROVIDER Action is set for non ContentProvider component");
                            }
                        }
                        if (!arrayList.isEmpty()) {
                            AFVersionDeclaration2.AFInAppEventType.addAll(arrayList);
                            StringBuilder sb = new StringBuilder("[Preinstall]: Detected ");
                            sb.append(arrayList.size());
                            sb.append(" valid preinstall provider(s)");
                            AFLogger.afDebugLog(sb.toString());
                            int i3 = onResponseError + 39;
                            AppsFlyerConversionListener = i3 % 128;
                            int i4 = i3 % 2;
                        }
                    }
                }
                for (AFe1dSDK aFe1dSDK : AFVersionDeclaration2.valueOf()) {
                    aFe1dSDK.AFInAppEventType(this.onDeepLinkingNative);
                }
                this.onValidateInAppFailure.AFLogger$LogLevel().valueOf();
                AFb1gSDK.AFKeystoreWrapper = this.onDeepLinkingNative;
            } else {
                AFLogger.afWarnLog("context is null, Google Install Referrer will be not initialized");
            }
            AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
            String[] strArr = new String[2];
            strArr[0] = str;
            if (appsFlyerConversionListener == null) {
                int i5 = AppsFlyerConversionListener + 117;
                onResponseError = i5 % 128;
                int i6 = i5 % 2;
                str2 = "null";
            } else {
                str2 = "conversionDataListener";
            }
            strArr[1] = str2;
            AFInAppEventType2.values("init", strArr);
            AFLogger.AFInAppEventType(String.format("Initializing AppsFlyer SDK: (v%s.%s)", "6.9.4", AFInAppEventType));
            AFInAppEventParameterName = appsFlyerConversionListener;
        }
        return this;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: com.appsflyer.internal.AFb1zSDK$1  reason: invalid class name */
    /* loaded from: classes.dex */
    public final class AnonymousClass1 implements Runnable {
        AnonymousClass1() {
        }

        @Override // java.lang.Runnable
        public final void run() {
            AFb1zSDK.AFInAppEventParameterName(AFb1zSDK.values(AFb1zSDK.this).AFInAppEventParameterName(), new Runnable() { // from class: com.appsflyer.internal.AFb1zSDK$1$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    AFb1zSDK.AnonymousClass1.this.valueOf();
                }
            }, TimeUnit.MILLISECONDS);
        }

        /* JADX INFO: Access modifiers changed from: private */
        public /* synthetic */ void valueOf() {
            try {
                AFe1pSDK aFe1pSDK = new AFe1pSDK();
                Application AFKeystoreWrapper = AFb1zSDK.AFKeystoreWrapper(AFb1zSDK.this);
                if (AFKeystoreWrapper != null) {
                    aFe1pSDK.valueOf = (Application) AFKeystoreWrapper.getApplicationContext();
                }
                AFb1zSDK aFb1zSDK = AFb1zSDK.this;
                if (AFb1zSDK.valueOf(aFb1zSDK, aFe1pSDK, AFb1zSDK.AFKeystoreWrapper(AFb1zSDK.AFKeystoreWrapper(aFb1zSDK)))) {
                    AFb1zSDK.AFKeystoreWrapper(AFb1zSDK.this, aFe1pSDK);
                }
            } catch (Throwable th) {
                AFLogger.afErrorLog(th.getMessage(), th);
            }
        }
    }

    private void afErrorLog(Context context) {
        this.onConversionDataFail = new HashMap();
        final long currentTimeMillis = System.currentTimeMillis();
        final AFa1lSDK.AFa1wSDK aFa1wSDK = new AFa1lSDK.AFa1wSDK() { // from class: com.appsflyer.internal.AFb1zSDK.4
            @Override // com.appsflyer.internal.AFa1lSDK.AFa1wSDK
            public final void AFKeystoreWrapper(String str, String str2, String str3) {
                if (str != null) {
                    AFLogger.afInfoLog("Facebook Deferred AppLink data received: ".concat(String.valueOf(str)));
                    AFb1zSDK.AFInAppEventType(AFb1zSDK.this).put("link", str);
                    if (str2 != null) {
                        AFb1zSDK.AFInAppEventType(AFb1zSDK.this).put("target_url", str2);
                    }
                    if (str3 != null) {
                        HashMap hashMap = new HashMap();
                        HashMap hashMap2 = new HashMap();
                        hashMap2.put("promo_code", str3);
                        hashMap.put("deeplink_context", hashMap2);
                        AFb1zSDK.AFInAppEventType(AFb1zSDK.this).put("extras", hashMap);
                    }
                } else {
                    AFb1zSDK.AFInAppEventType(AFb1zSDK.this).put("link", BuildConfig.FLAVOR);
                }
                AFb1zSDK.AFInAppEventType(AFb1zSDK.this).put("ttr", String.valueOf(System.currentTimeMillis() - currentTimeMillis));
            }

            @Override // com.appsflyer.internal.AFa1lSDK.AFa1wSDK
            public final void AFInAppEventType(String str) {
                AFb1zSDK.AFInAppEventType(AFb1zSDK.this).put("error", str);
            }
        };
        try {
            Class.forName("com.facebook.FacebookSdk").getMethod("sdkInitialize", Context.class).invoke(null, context);
            final Class<?> cls = Class.forName("com.facebook.applinks.AppLinkData");
            Class<?> cls2 = Class.forName("com.facebook.applinks.AppLinkData$CompletionHandler");
            Method method = cls.getMethod("fetchDeferredAppLinkData", Context.class, String.class, cls2);
            Object newProxyInstance = Proxy.newProxyInstance(cls2.getClassLoader(), new Class[]{cls2}, new InvocationHandler() { // from class: com.appsflyer.internal.AFa1lSDK.4
                @Override // java.lang.reflect.InvocationHandler
                public final Object invoke(Object obj, Method method2, Object[] objArr) throws Throwable {
                    String str;
                    String str2;
                    String str3;
                    Bundle bundle;
                    if (method2.getName().equals("onDeferredAppLinkDataFetched")) {
                        if (objArr[0] != null) {
                            Bundle bundle2 = (Bundle) Bundle.class.cast(cls.getMethod("getArgumentBundle", new Class[0]).invoke(cls.cast(objArr[0]), new Object[0]));
                            if (bundle2 != null) {
                                str2 = bundle2.getString("com.facebook.platform.APPLINK_NATIVE_URL");
                                str3 = bundle2.getString("target_url");
                                Bundle bundle3 = bundle2.getBundle("extras");
                                str = (bundle3 == null || (bundle = bundle3.getBundle("deeplink_context")) == null) ? null : bundle.getString("promo_code");
                            } else {
                                str = null;
                                str2 = null;
                                str3 = null;
                            }
                            AFa1wSDK aFa1wSDK2 = aFa1wSDK;
                            if (aFa1wSDK2 != null) {
                                aFa1wSDK2.AFKeystoreWrapper(str2, str3, str);
                            }
                        } else {
                            AFa1wSDK aFa1wSDK3 = aFa1wSDK;
                            if (aFa1wSDK3 != null) {
                                aFa1wSDK3.AFKeystoreWrapper(null, null, null);
                            }
                        }
                        return null;
                    }
                    AFa1wSDK aFa1wSDK4 = aFa1wSDK;
                    if (aFa1wSDK4 != null) {
                        aFa1wSDK4.AFInAppEventType("onDeferredAppLinkDataFetched invocation failed");
                    }
                    return null;
                }
            });
            String string = context.getString(context.getResources().getIdentifier("facebook_app_id", "string", context.getPackageName()));
            if (!(TextUtils.isEmpty(string))) {
                method.invoke(null, context, string, newProxyInstance);
                return;
            }
            int i = AppsFlyerConversionListener + 123;
            onResponseError = i % 128;
            if ((i % 2 != 0 ? 'Q' : 'a') != 'a') {
                aFa1wSDK.AFInAppEventType("Facebook app id not defined in resources");
                int i2 = 68 / 0;
                return;
            }
            aFa1wSDK.AFInAppEventType("Facebook app id not defined in resources");
        } catch (ClassNotFoundException e) {
            AFLogger.afErrorLogForExcManagerOnly("FB class missing error", e);
            aFa1wSDK.AFInAppEventType(e.toString());
        } catch (IllegalAccessException e2) {
            AFLogger.afErrorLogForExcManagerOnly("FB illegal access", e2);
            aFa1wSDK.AFInAppEventType(e2.toString());
        } catch (NoSuchMethodException e3) {
            AFLogger.afErrorLogForExcManagerOnly("FB method missing error", e3);
            aFa1wSDK.AFInAppEventType(e3.toString());
        } catch (InvocationTargetException e4) {
            AFLogger.afErrorLogForExcManagerOnly("FB invocation error", e4);
            aFa1wSDK.AFInAppEventType(e4.toString());
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void enableFacebookDeferredApplinks(boolean z) {
        int i = onResponseError + 63;
        int i2 = i % 128;
        AppsFlyerConversionListener = i2;
        int i3 = i % 2;
        this.onDeepLinking = z;
        int i4 = i2 + 21;
        onResponseError = i4 % 128;
        int i5 = i4 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void start(Context context) {
        int i = AppsFlyerConversionListener + 57;
        onResponseError = i % 128;
        boolean z = i % 2 == 0;
        start(context, null);
        if (!z) {
            int i2 = 22 / 0;
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void start(Context context, String str) {
        int i = onResponseError + 119;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        Object obj = null;
        start(context, str, null);
        int i3 = AppsFlyerConversionListener + 49;
        onResponseError = i3 % 128;
        if (i3 % 2 == 0) {
            return;
        }
        super.hashCode();
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0018, code lost:
        if (com.appsflyer.internal.AFb1xSDK.AFKeystoreWrapper != null) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x001f, code lost:
        if (com.appsflyer.internal.AFb1xSDK.AFKeystoreWrapper != null) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0021, code lost:
        r9 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 105;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r9 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x002a, code lost:
        if ((r9 % 2) == 0) goto L58;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x002c, code lost:
        super.hashCode();
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x002f, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0032, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0035, code lost:
        if (r8.onConversionDataSuccess != false) goto L20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0037, code lost:
        com.appsflyer.AFLogger.afWarnLog("ERROR: AppsFlyer SDK is not initialized! The API call 'start()' must be called after the 'init(String, AppsFlyerConversionListener)' API method, which should be called on the Application's onCreate.");
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x003c, code lost:
        if (r10 != null) goto L20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x003e, code lost:
        r9 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 27;
        r10 = r9 % 128;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r10;
        r9 = r9 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x0047, code lost:
        if (r11 == null) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0049, code lost:
        r10 = r10 + 33;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r10 % 128;
        r10 = r10 % 2;
        r11.onError(com.appsflyer.attribution.RequestError.NO_DEV_KEY, com.appsflyer.internal.AFb1eSDK.AFInAppEventParameterName);
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0057, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0058, code lost:
        r0 = r8.onValidateInAppFailure;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x005a, code lost:
        if (r9 == null) goto L55;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x005c, code lost:
        r5 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x005e, code lost:
        r5 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x005f, code lost:
        if (r5 == true) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0062, code lost:
        r0 = r0.AFInAppEventType;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x0066, code lost:
        if (r9 == null) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x0068, code lost:
        r6 = '5';
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x006b, code lost:
        r6 = '/';
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x006d, code lost:
        if (r6 == '/') goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x006f, code lost:
        r0.valueOf = r9.getApplicationContext();
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0075, code lost:
        r0 = valueOf().AFLogger();
        r0.AFInAppEventParameterName(com.appsflyer.internal.AFa1mSDK.AFInAppEventParameterName(r9));
        r8.onDeepLinkingNative = (android.app.Application) r9.getApplicationContext();
        com.appsflyer.internal.AFb1nSDK.AFInAppEventType().values("start", r10);
        r6 = com.appsflyer.internal.AFb1zSDK.AFInAppEventType;
        com.appsflyer.AFLogger.afInfoLog(java.lang.String.format("Starting AppsFlyer: (v%s.%s)", "6.9.4", r6));
        r2 = new java.lang.StringBuilder("Build Number: ");
        r2.append(r6);
        com.appsflyer.AFLogger.afInfoLog(r2.toString());
        com.appsflyer.AppsFlyerProperties.getInstance().loadProperties(r8.onDeepLinkingNative.getApplicationContext());
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x00ce, code lost:
        if (android.text.TextUtils.isEmpty(r10) != false) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x00d0, code lost:
        r8.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType = r10;
        com.appsflyer.internal.AFb1rSDK.values(r10);
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x00e8, code lost:
        if (android.text.TextUtils.isEmpty(r8.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType) == false) goto L33;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x00ea, code lost:
        r9 = com.appsflyer.internal.AFb1zSDK.onResponseError + 43;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r9 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x00f5, code lost:
        if ((r9 % 2) != 0) goto L52;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00f7, code lost:
        com.appsflyer.AFLogger.afWarnLog("ERROR: AppsFlyer SDK is not initialized! You must provide AppsFlyer Dev-Key either in the 'init' API method (should be called on Application's onCreate),or in the start() API (should be called on Activity's onCreate).");
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00fc, code lost:
        r9 = 24 / 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x00fd, code lost:
        if (r11 == null) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x0102, code lost:
        com.appsflyer.AFLogger.afWarnLog("ERROR: AppsFlyer SDK is not initialized! You must provide AppsFlyer Dev-Key either in the 'init' API method (should be called on Application's onCreate),or in the start() API (should be called on Activity's onCreate).");
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x0105, code lost:
        if (r11 == null) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x0107, code lost:
        r11.onError(com.appsflyer.attribution.RequestError.NO_DEV_KEY, com.appsflyer.internal.AFb1eSDK.AFInAppEventParameterName);
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x010e, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x010f, code lost:
        valueOf().afRDLog().AFInAppEventParameterName((com.appsflyer.internal.AFd1mSDK) null);
        afInfoLog();
        afDebugLog(r8.onDeepLinkingNative.getBaseContext());
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x0128, code lost:
        if (r8.onDeepLinking == false) goto L36;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x012a, code lost:
        afErrorLog(r8.onDeepLinkingNative.getApplicationContext());
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x0133, code lost:
        com.appsflyer.internal.AFb1xSDK.AFInAppEventType(r9, new com.appsflyer.internal.AFb1zSDK.AnonymousClass3(r8), r8.onValidateInAppFailure.AFInAppEventType());
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x0141, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:71:?, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:?, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:73:?, code lost:
        return;
     */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void start(Context context, String str, final AppsFlyerRequestListener appsFlyerRequestListener) {
        int i = AppsFlyerConversionListener + 13;
        onResponseError = i % 128;
        Object obj = null;
        if (i % 2 != 0) {
            int i2 = 4 / 0;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:18:0x0053, code lost:
        if ((r5 != 0 ? kotlin.text.Typography.amp : 23) != 23) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x006b, code lost:
        if ((r5.getResources().getIdentifier("appsflyer_backup_rules", "xml", r5.getPackageName()) != 0 ? 'W' : 'K') != 'K') goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x006d, code lost:
        r5 = com.appsflyer.internal.AFb1zSDK.onResponseError + 21;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r5 % 128;
        r5 = r5 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x0077, code lost:
        com.appsflyer.AFLogger.afInfoLog("appsflyer_backup_rules.xml detected, using AppsFlyer defined backup rules for AppsFlyer SDK data", true);
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x007d, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x007e, code lost:
        com.appsflyer.AFLogger.AFKeystoreWrapper("'allowBackup' is set to true; appsflyer_backup_rules.xml not detected.\nAppsFlyer shared preferences should be excluded from auto backup by adding: <exclude domain=\"sharedpref\" path=\"appsflyer-data\"/> to the Application's <full-backup-content> rules");
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0083, code lost:
        r5 = com.appsflyer.internal.AFb1zSDK.onResponseError + 23;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r5 % 128;
        r5 = r5 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x008c, code lost:
        return;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static void afDebugLog(Context context) {
        int i = onResponseError + 89;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        try {
            if (((context.getPackageManager().getPackageInfo(context.getPackageName(), 0).applicationInfo.flags & 32768) != 0 ? 'K' : (char) 27) != 'K') {
                return;
            }
            int i3 = onResponseError + 23;
            AppsFlyerConversionListener = i3 % 128;
            if (i3 % 2 == 0) {
                int identifier = context.getResources().getIdentifier("appsflyer_backup_rules", "xml", context.getPackageName());
                Object obj = null;
                super.hashCode();
            }
        } catch (Exception e) {
            AFLogger.afErrorLogForExcManagerOnly("checkBackupRules Exception", e);
            AFLogger.afRDLog("checkBackupRules Exception: ".concat(String.valueOf(e)));
        }
    }

    private static void AFLogger(Context context) {
        int i;
        if (AFb1wSDK.valueOf()) {
            i = 23;
            AFLogger.afRDLog("OPPO device found");
        } else {
            i = 18;
        }
        if (Build.VERSION.SDK_INT >= i && !AFInAppEventType(AppsFlyerProperties.DISABLE_KEYSTORE, true)) {
            StringBuilder sb = new StringBuilder("OS SDK is=");
            sb.append(Build.VERSION.SDK_INT);
            sb.append("; use KeyStore");
            AFLogger.afRDLog(sb.toString());
            AFKeystoreWrapper aFKeystoreWrapper = new AFKeystoreWrapper(context);
            if (!aFKeystoreWrapper.AFInAppEventType()) {
                aFKeystoreWrapper.valueOf = AFb1sSDK.AFInAppEventType(new WeakReference(context));
                aFKeystoreWrapper.AFInAppEventType = 0;
                aFKeystoreWrapper.AFInAppEventType(aFKeystoreWrapper.valueOf());
            } else {
                String valueOf2 = aFKeystoreWrapper.valueOf();
                synchronized (aFKeystoreWrapper.values) {
                    aFKeystoreWrapper.AFInAppEventType++;
                    AFLogger.afInfoLog("Deleting key with alias: ".concat(String.valueOf(valueOf2)));
                    try {
                        synchronized (aFKeystoreWrapper.values) {
                            aFKeystoreWrapper.AFKeystoreWrapper.deleteEntry(valueOf2);
                        }
                    } catch (KeyStoreException e) {
                        StringBuilder sb2 = new StringBuilder("Exception ");
                        sb2.append(e.getMessage());
                        sb2.append(" occurred");
                        AFLogger.afErrorLog(sb2.toString(), e);
                    }
                }
                aFKeystoreWrapper.AFInAppEventType(aFKeystoreWrapper.valueOf());
            }
            values("KSAppsFlyerId", aFKeystoreWrapper.AFInAppEventParameterName());
            values("KSAppsFlyerRICounter", String.valueOf(aFKeystoreWrapper.values()));
            return;
        }
        StringBuilder sb3 = new StringBuilder("OS SDK is=");
        sb3.append(Build.VERSION.SDK_INT);
        sb3.append("; no KeyStore usage");
        AFLogger.afRDLog(sb3.toString());
    }

    public static String AFKeystoreWrapper() {
        int i = onResponseError + 25;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        String AFInAppEventParameterName2 = AFInAppEventParameterName(AppsFlyerProperties.APP_USER_ID);
        int i3 = AppsFlyerConversionListener + 43;
        onResponseError = i3 % 128;
        if (i3 % 2 == 0) {
            return AFInAppEventParameterName2;
        }
        Object obj = null;
        super.hashCode();
        return AFInAppEventParameterName2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setCustomerUserId(String str) {
        int i = AppsFlyerConversionListener + 59;
        onResponseError = i % 128;
        int i2 = i % 2;
        AFb1nSDK.AFInAppEventType().values("setCustomerUserId", str);
        AFLogger.afInfoLog("setCustomerUserId = ".concat(String.valueOf(str)));
        values(AppsFlyerProperties.APP_USER_ID, str);
        values(AppsFlyerProperties.AF_WAITFOR_CUSTOMERID, false);
        int i3 = onResponseError + 27;
        AppsFlyerConversionListener = i3 % 128;
        int i4 = i3 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setPhoneNumber(String str) {
        int i = onResponseError + 35;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        this.onAttributionFailure = AFb1vSDK.AFInAppEventParameterName(str);
        int i3 = onResponseError + 113;
        AppsFlyerConversionListener = i3 % 128;
        int i4 = i3 % 2;
    }

    private static String AFLogger() {
        String AFInAppEventParameterName2;
        int i = onResponseError + 63;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? 'A' : 'N') != 'A') {
            AFInAppEventParameterName2 = AFInAppEventParameterName(AppsFlyerProperties.APP_ID);
        } else {
            AFInAppEventParameterName2 = AFInAppEventParameterName(AppsFlyerProperties.APP_ID);
            int i2 = 71 / 0;
        }
        int i3 = AppsFlyerConversionListener + 97;
        onResponseError = i3 % 128;
        if (i3 % 2 == 0) {
            return AFInAppEventParameterName2;
        }
        Object obj = null;
        super.hashCode();
        return AFInAppEventParameterName2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setAppId(String str) {
        int i = onResponseError + 109;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? 'L' : '*') != '*') {
            AFb1nSDK.AFInAppEventType().values("setAppId", str);
        } else {
            AFb1nSDK.AFInAppEventType().values("setAppId", str);
        }
        values(AppsFlyerProperties.APP_ID, str);
        int i2 = AppsFlyerConversionListener + 29;
        onResponseError = i2 % 128;
        int i3 = i2 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setExtension(String str) {
        int i = onResponseError + 59;
        AppsFlyerConversionListener = i % 128;
        if (i % 2 != 0) {
            AFb1nSDK.AFInAppEventType().values("setExtension", str);
        } else {
            AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
            String[] strArr = new String[1];
            strArr[1] = str;
            AFInAppEventType2.values("setExtension", strArr);
        }
        AppsFlyerProperties.getInstance().set(AppsFlyerProperties.EXTENSION, str);
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setIsUpdate(boolean z) {
        int i = onResponseError + 67;
        AppsFlyerConversionListener = i % 128;
        if (i % 2 == 0) {
            AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
            String[] strArr = new String[0];
            strArr[1] = String.valueOf(z);
            AFInAppEventType2.values("setIsUpdate", strArr);
        } else {
            AFb1nSDK.AFInAppEventType().values("setIsUpdate", String.valueOf(z));
        }
        AppsFlyerProperties.getInstance().set(AppsFlyerProperties.IS_UPDATE, z);
        int i2 = AppsFlyerConversionListener + 49;
        onResponseError = i2 % 128;
        if ((i2 % 2 != 0 ? (char) 29 : 'H') != 29) {
            return;
        }
        Object obj = null;
        super.hashCode();
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setCurrencyCode(String str) {
        int i = onResponseError + 37;
        AppsFlyerConversionListener = i % 128;
        if (i % 2 == 0) {
            AFb1nSDK.AFInAppEventType().values("setCurrencyCode", str);
        } else {
            AFb1nSDK.AFInAppEventType().values("setCurrencyCode", str);
        }
        AppsFlyerProperties.getInstance().set(AppsFlyerProperties.CURRENCY_CODE, str);
        int i2 = onResponseError + 85;
        AppsFlyerConversionListener = i2 % 128;
        int i3 = i2 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void logLocation(Context context, double d, double d2) {
        AFb1nSDK.AFInAppEventType().values("logLocation", String.valueOf(d), String.valueOf(d2));
        HashMap hashMap = new HashMap();
        hashMap.put(AFInAppEventParameterName.LONGTITUDE, Double.toString(d2));
        hashMap.put(AFInAppEventParameterName.LATITUDE, Double.toString(d));
        AFInAppEventType(context, AFInAppEventType.LOCATION_COORDINATES, hashMap);
        int i = onResponseError + 99;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? 'L' : '\r') != 'L') {
            return;
        }
        Object[] objArr = null;
        int length = objArr.length;
    }

    final void AFKeystoreWrapper(WeakReference<Context> weakReference) {
        int i = AppsFlyerConversionListener + 27;
        onResponseError = i % 128;
        int i2 = i % 2;
        if (weakReference.get() == null) {
            return;
        }
        AFLogger.afInfoLog("app went to background");
        SharedPreferences AFKeystoreWrapper2 = AFKeystoreWrapper(weakReference.get());
        AppsFlyerProperties.getInstance().saveProperties(AFKeystoreWrapper2);
        long j = valueOf().AFLogger().afWarnLog;
        HashMap hashMap = new HashMap();
        String str = this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType;
        if ((str == null ? Typography.dollar : '7') != '7') {
            AFLogger.afWarnLog("[callStats] AppsFlyer's SDK cannot send any event without providing DevKey.");
            return;
        }
        String AFInAppEventParameterName2 = AFInAppEventParameterName("KSAppsFlyerId");
        if (AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.DEVICE_TRACKING_DISABLED, false)) {
            int i3 = onResponseError + 27;
            AppsFlyerConversionListener = i3 % 128;
            if (i3 % 2 == 0) {
                hashMap.put(AppsFlyerProperties.DEVICE_TRACKING_DISABLED, "true");
                Object[] objArr = null;
                int length = objArr.length;
            } else {
                hashMap.put(AppsFlyerProperties.DEVICE_TRACKING_DISABLED, "true");
            }
        }
        AFa1rSDK values2 = AFb1ySDK.values(weakReference.get().getContentResolver());
        if (values2 != null) {
            hashMap.put("amazon_aid", values2.AFKeystoreWrapper);
            hashMap.put("amazon_aid_limit", String.valueOf(values2.values));
        }
        String string = AppsFlyerProperties.getInstance().getString("advertiserId");
        if (string != null) {
            int i4 = onResponseError + 73;
            AppsFlyerConversionListener = i4 % 128;
            int i5 = i4 % 2;
            hashMap.put("advertiserId", string);
        }
        hashMap.put("app_id", weakReference.get().getPackageName());
        hashMap.put("devkey", str);
        hashMap.put("uid", AFb1sSDK.AFInAppEventType(weakReference));
        hashMap.put("time_in_app", String.valueOf(j));
        hashMap.put("statType", "user_closed_app");
        hashMap.put("platform", "Android");
        hashMap.put("launch_counter", Integer.toString(AFInAppEventParameterName(AFKeystoreWrapper2, false)));
        hashMap.put(AppsFlyerProperties.CHANNEL, values(weakReference.get()));
        if (!(AFInAppEventParameterName2 != null)) {
            int i6 = onResponseError + 23;
            AppsFlyerConversionListener = i6 % 128;
            int i7 = i6 % 2;
            AFInAppEventParameterName2 = BuildConfig.FLAVOR;
        }
        hashMap.put("originalAppsflyerId", AFInAppEventParameterName2);
        if (!this.onResponseNative) {
            AFLogger.afDebugLog("Stats call is disabled, ignore ...");
            return;
        }
        AFe1nSDK aFe1nSDK = new AFe1nSDK();
        aFe1nSDK.afWarnLog = isStopped();
        AFd1rSDK aFd1rSDK = new AFd1rSDK((AFe1nSDK) aFe1nSDK.AFInAppEventParameterName(this.onValidateInAppFailure.values().valueOf.AFInAppEventType("appsFlyerCount")).values(hashMap).AFInAppEventType(String.format(afDebugLog, AppsFlyerLib.getInstance().getHostPrefix(), AFInAppEventType().getHostName())), this.onValidateInAppFailure);
        AFc1gSDK afDebugLog2 = this.onValidateInAppFailure.afDebugLog();
        afDebugLog2.valueOf.execute(new AFc1gSDK.AnonymousClass1(aFd1rSDK));
        int i8 = AppsFlyerConversionListener + 107;
        onResponseError = i8 % 128;
        int i9 = i8 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void logSession(Context context) {
        int i = AppsFlyerConversionListener + 123;
        onResponseError = i % 128;
        if (!(i % 2 != 0)) {
            AFb1nSDK.AFInAppEventType().values("logSession", new String[0]);
        } else {
            AFb1nSDK.AFInAppEventType().values("logSession", new String[1]);
        }
        AFb1nSDK.AFInAppEventType().afErrorLog();
        values(context, AFe1ySDK.logSession);
        AFInAppEventType(context, (String) null, (Map<String, Object>) null);
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void logEvent(Context context, String str, Map<String, Object> map) {
        int i = onResponseError + 111;
        AppsFlyerConversionListener = i % 128;
        char c = i % 2 == 0 ? ')' : '=';
        Object[] objArr = null;
        logEvent(context, str, map, null);
        if (c != ')') {
            return;
        }
        int length = objArr.length;
    }

    private void AFInAppEventType(Context context, String str, Map<String, Object> map) {
        Activity activity;
        AFe1tSDK aFe1tSDK = new AFe1tSDK();
        if (!(context == null)) {
            int i = onResponseError + 11;
            AppsFlyerConversionListener = i % 128;
            int i2 = i % 2;
            aFe1tSDK.valueOf = (Application) context.getApplicationContext();
        }
        aFe1tSDK.afDebugLog = str;
        aFe1tSDK.AFKeystoreWrapper = map;
        Activity activity2 = null;
        if (!(context instanceof Activity ? false : true)) {
            int i3 = onResponseError + 99;
            AppsFlyerConversionListener = i3 % 128;
            if (i3 % 2 == 0) {
                activity = (Activity) context;
                super.hashCode();
            } else {
                activity = (Activity) context;
            }
            activity2 = activity;
        }
        AFInAppEventParameterName(aFe1tSDK, activity2);
    }

    /* JADX WARN: Removed duplicated region for block: B:22:0x0055  */
    /* JADX WARN: Removed duplicated region for block: B:29:0x006f  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    final void AFInAppEventParameterName(AFa1qSDK aFa1qSDK, Activity activity) {
        String str;
        int i = AppsFlyerConversionListener + 69;
        onResponseError = i % 128;
        int i2 = i % 2;
        Application application = aFa1qSDK.valueOf;
        String str2 = BuildConfig.FLAVOR;
        if (activity != null) {
            int i3 = onResponseError + 119;
            AppsFlyerConversionListener = i3 % 128;
            int i4 = i3 % 2;
            if (activity.getIntent() != null) {
                int i5 = AppsFlyerConversionListener + 67;
                onResponseError = i5 % 128;
                int i6 = i5 % 2;
                Uri AFInAppEventType2 = AFb1iSDK.AFInAppEventType(activity);
                if (AFInAppEventType2 != null) {
                    int i7 = AppsFlyerConversionListener + 39;
                    onResponseError = i7 % 128;
                    boolean z = i7 % 2 != 0;
                    str = AFInAppEventType2.toString();
                    if (z) {
                        Object[] objArr = null;
                        int length = objArr.length;
                    }
                    if (this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType != null) {
                        AFLogger.afWarnLog("[LogEvent/Launch] AppsFlyer's SDK cannot send any event without providing DevKey.");
                        AppsFlyerRequestListener appsFlyerRequestListener = aFa1qSDK.values;
                        if ((appsFlyerRequestListener != null ? Typography.greater : '4') != '4') {
                            appsFlyerRequestListener.onError(RequestError.NO_DEV_KEY, AFb1eSDK.AFInAppEventParameterName);
                            return;
                        }
                        return;
                    }
                    String referrer = AppsFlyerProperties.getInstance().getReferrer(application);
                    if (referrer == null) {
                        int i8 = onResponseError + 9;
                        AppsFlyerConversionListener = i8 % 128;
                        int i9 = i8 % 2;
                    } else {
                        str2 = referrer;
                    }
                    aFa1qSDK.afRDLog = str2;
                    aFa1qSDK.AFInAppEventParameterName = str;
                    valueOf(aFa1qSDK);
                    int i10 = onResponseError + 83;
                    AppsFlyerConversionListener = i10 % 128;
                    int i11 = i10 % 2;
                    return;
                }
            }
        }
        str = BuildConfig.FLAVOR;
        if (this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType != null) {
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void anonymizeUser(boolean z) {
        int i = onResponseError + 111;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? '2' : '9') != '9') {
            AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
            String[] strArr = new String[0];
            strArr[0] = String.valueOf(z);
            AFInAppEventType2.values("anonymizeUser", strArr);
        } else {
            AFb1nSDK.AFInAppEventType().values("anonymizeUser", String.valueOf(z));
        }
        AppsFlyerProperties.getInstance().set(AppsFlyerProperties.DEVICE_TRACKING_DISABLED, z);
        int i2 = onResponseError + 65;
        AppsFlyerConversionListener = i2 % 128;
        if (i2 % 2 != 0) {
            return;
        }
        Object obj = null;
        super.hashCode();
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void registerConversionListener(Context context, AppsFlyerConversionListener appsFlyerConversionListener) {
        int i = onResponseError + 81;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        AFb1nSDK.AFInAppEventType().values("registerConversionListener", new String[0]);
        valueOf(appsFlyerConversionListener);
        int i3 = onResponseError + 119;
        AppsFlyerConversionListener = i3 % 128;
        int i4 = i3 % 2;
    }

    private static void valueOf(AppsFlyerConversionListener appsFlyerConversionListener) {
        int i = AppsFlyerConversionListener;
        int i2 = i + 109;
        onResponseError = i2 % 128;
        int i3 = i2 % 2;
        if (appsFlyerConversionListener != null) {
            AFInAppEventParameterName = appsFlyerConversionListener;
            return;
        }
        int i4 = i + 39;
        onResponseError = i4 % 128;
        if ((i4 % 2 != 0 ? 'W' : 'F') != 'F') {
            Object[] objArr = null;
            int length = objArr.length;
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void unregisterConversionListener() {
        int i = AppsFlyerConversionListener + 59;
        onResponseError = i % 128;
        if (!(i % 2 != 0)) {
            AFb1nSDK.AFInAppEventType().values("unregisterConversionListener", new String[0]);
        } else {
            AFb1nSDK.AFInAppEventType().values("unregisterConversionListener", new String[0]);
        }
        AFInAppEventParameterName = null;
        int i2 = AppsFlyerConversionListener + 51;
        onResponseError = i2 % 128;
        int i3 = i2 % 2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void registerValidatorListener(Context context, AppsFlyerInAppPurchaseValidatorListener appsFlyerInAppPurchaseValidatorListener) {
        int i = AppsFlyerConversionListener + 53;
        onResponseError = i % 128;
        int i2 = i % 2;
        AFb1nSDK.AFInAppEventType().values("registerValidatorListener", new String[0]);
        AFLogger.afDebugLog("registerValidatorListener called");
        if (!(appsFlyerInAppPurchaseValidatorListener != null)) {
            int i3 = onResponseError + 95;
            AppsFlyerConversionListener = i3 % 128;
            boolean z = i3 % 2 == 0;
            AFLogger.afDebugLog("registerValidatorListener null listener");
            if (z) {
                Object obj = null;
                super.hashCode();
                return;
            }
            return;
        }
        valueOf = appsFlyerInAppPurchaseValidatorListener;
    }

    public static String values(SimpleDateFormat simpleDateFormat, long j) {
        simpleDateFormat.setTimeZone(TimeZone.getTimeZone("UTC"));
        String format = simpleDateFormat.format(new Date(j));
        int i = AppsFlyerConversionListener + 49;
        onResponseError = i % 128;
        int i2 = i % 2;
        return format;
    }

    private void AFKeystoreWrapper(Context context, String str, Map<String, Object> map, String str2, String str3) {
        AFa1qSDK aFe1lSDK;
        int i = AppsFlyerConversionListener + 113;
        onResponseError = i % 128;
        int i2 = i % 2;
        if ((str == null) || str.trim().isEmpty()) {
            aFe1lSDK = new AFe1lSDK();
        } else {
            aFe1lSDK = new AFe1tSDK();
        }
        if (!(context == null)) {
            aFe1lSDK.valueOf = (Application) context.getApplicationContext();
        }
        aFe1lSDK.afDebugLog = str;
        aFe1lSDK.AFKeystoreWrapper = map;
        aFe1lSDK.afRDLog = str2;
        aFe1lSDK.AFInAppEventParameterName = str3;
        valueOf(aFe1lSDK);
        int i3 = AppsFlyerConversionListener + 23;
        onResponseError = i3 % 128;
        int i4 = i3 % 2;
    }

    private boolean afErrorLog() {
        int i = onResponseError + 31;
        AppsFlyerConversionListener = i % 128;
        if (i % 2 != 0 ? this.AppsFlyer2dXConversionCallback > 0 : this.AppsFlyer2dXConversionCallback > 0) {
            long currentTimeMillis = System.currentTimeMillis() - this.AppsFlyer2dXConversionCallback;
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss.SSS Z", Locale.US);
            String values2 = values(simpleDateFormat, this.AppsFlyer2dXConversionCallback);
            String values3 = values(simpleDateFormat, this.onInstallConversionFailureNative);
            if (currentTimeMillis < this.onInstallConversionDataLoadedNative) {
                if (!isStopped()) {
                    int i2 = onResponseError + 23;
                    AppsFlyerConversionListener = i2 % 128;
                    int i3 = i2 % 2;
                    AFLogger.afInfoLog(String.format(Locale.US, "Last Launch attempt: %s;\nLast successful Launch event: %s;\nThis launch is blocked: %s ms < %s ms", values2, values3, Long.valueOf(currentTimeMillis), Long.valueOf(this.onInstallConversionDataLoadedNative)));
                    int i4 = AppsFlyerConversionListener + 93;
                    onResponseError = i4 % 128;
                    int i5 = i4 % 2;
                    return true;
                }
            }
            if ((!isStopped() ? (char) 16 : Typography.amp) != '&') {
                int i6 = onResponseError + 49;
                AppsFlyerConversionListener = i6 % 128;
                int i7 = i6 % 2;
                AFLogger.afInfoLog(String.format(Locale.US, "Last Launch attempt: %s;\nLast successful Launch event: %s;\nSending launch (+%s ms)", values2, values3, Long.valueOf(currentTimeMillis)));
            }
        } else if (!isStopped()) {
            AFLogger.afInfoLog("Sending first launch for this session!");
            int i8 = AppsFlyerConversionListener + 29;
            onResponseError = i8 % 128;
            int i9 = i8 % 2;
        }
        return false;
    }

    private void AFKeystoreWrapper(Context context, String str) {
        AFe1qSDK aFe1qSDK = new AFe1qSDK();
        if (context != null) {
            aFe1qSDK.valueOf = (Application) context.getApplicationContext();
        }
        AFa1qSDK AFInAppEventParameterName2 = aFe1qSDK.AFInAppEventParameterName(this.onValidateInAppFailure.values().valueOf.AFInAppEventType("appsFlyerCount"));
        AFInAppEventParameterName2.afRDLog = str;
        if ((str != null ? '[' : '_') != '[') {
            return;
        }
        int i = AppsFlyerConversionListener + 111;
        onResponseError = i % 128;
        if (i % 2 != 0) {
            if ((str.length() > 4 ? 'U' : '#') == '#') {
                return;
            }
        } else {
            if (str.length() <= 5) {
                return;
            }
        }
        if (AFInAppEventParameterName(AFInAppEventParameterName2, AFKeystoreWrapper(context))) {
            AFKeystoreWrapper(this.onValidateInAppFailure.AFInAppEventParameterName(), new AFa1zSDK(this, AFInAppEventParameterName2, (byte) 0), 5L, TimeUnit.MILLISECONDS);
            int i2 = AppsFlyerConversionListener + 15;
            onResponseError = i2 % 128;
            int i3 = i2 % 2;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:64:0x01e5, code lost:
        if (r2 == false) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:69:0x01ee, code lost:
        if (afRDLog() == false) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:70:0x01f0, code lost:
        com.appsflyer.AFLogger.afDebugLog("fetching Facebook deferred AppLink data, wait ...");
        r9 = true;
     */
    /* JADX WARN: Removed duplicated region for block: B:74:0x0204  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void AFKeystoreWrapper(AFa1qSDK aFa1qSDK) {
        AFe1dSDK[] afDebugLog2;
        int length;
        int i = onResponseError + 109;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        Application application = aFa1qSDK.valueOf;
        if (application == null) {
            int i3 = AppsFlyerConversionListener + 107;
            onResponseError = i3 % 128;
            int i4 = i3 % 2;
            AFLogger.afDebugLog("sendWithEvent - got null context. skipping event/launch.");
            return;
        }
        SharedPreferences AFKeystoreWrapper2 = AFKeystoreWrapper(application);
        AppsFlyerProperties.getInstance().saveProperties(AFKeystoreWrapper2);
        if (!this.onValidateInAppFailure.AFLogger$LogLevel().values()) {
            StringBuilder sb = new StringBuilder("sendWithEvent from activity: ");
            sb.append(application.getClass().getName());
            AFLogger.afInfoLog(sb.toString());
        }
        boolean values2 = aFa1qSDK.values();
        boolean z = aFa1qSDK instanceof AFe1uSDK;
        boolean z2 = aFa1qSDK instanceof AFe1qSDK;
        boolean z3 = aFa1qSDK instanceof AFe1pSDK;
        Map<String, ?> AFInAppEventParameterName2 = AFInAppEventParameterName(aFa1qSDK);
        String str = (String) AFInAppEventParameterName2.get("appsflyerKey");
        if (str != null) {
            int i5 = onResponseError + 47;
            AppsFlyerConversionListener = i5 % 128;
            int i6 = i5 % 2;
            if (str.length() != 0) {
                if (!isStopped()) {
                    AFLogger.afInfoLog("AppsFlyerLib.sendWithEvent");
                }
                int AFInAppEventParameterName3 = AFInAppEventParameterName(AFKeystoreWrapper2, false);
                String format = (z3 || z2) ? String.format(afWarnLog, AppsFlyerLib.getInstance().getHostPrefix(), AFInAppEventType().getHostName()) : z ? String.format(AFLogger, AppsFlyerLib.getInstance().getHostPrefix(), AFInAppEventType().getHostName()) : values2 ? AFInAppEventParameterName3 < 2 ? String.format(AFLogger$LogLevel, AppsFlyerLib.getInstance().getHostPrefix(), AFInAppEventType().getHostName()) : String.format(AFVersionDeclaration, AppsFlyerLib.getInstance().getHostPrefix(), AFInAppEventType().getHostName()) : String.format(getLevel, AppsFlyerLib.getInstance().getHostPrefix(), AFInAppEventType().getHostName());
                StringBuilder sb2 = new StringBuilder();
                sb2.append(format);
                sb2.append(application.getPackageName());
                String obj = sb2.toString();
                String values3 = values(application);
                if (!z) {
                    StringBuilder sb3 = new StringBuilder();
                    sb3.append(obj);
                    sb3.append("&buildnumber=6.9.4");
                    obj = sb3.toString();
                }
                if (values3 != null) {
                    StringBuilder sb4 = new StringBuilder();
                    sb4.append(obj);
                    sb4.append("&channel=");
                    sb4.append(values3);
                    obj = sb4.toString();
                }
                AFInAppEventParameterName(AFInAppEventParameterName2);
                AFa1wSDK aFa1wSDK = new AFa1wSDK(this, aFa1qSDK.AFInAppEventType(obj).values(AFInAppEventParameterName2).AFInAppEventParameterName(AFInAppEventParameterName3), (byte) 0);
                Object[] objArr = null;
                if (values2) {
                    int i7 = AppsFlyerConversionListener + 97;
                    onResponseError = i7 % 128;
                    if (i7 % 2 != 0) {
                        afDebugLog2 = afDebugLog();
                        length = afDebugLog2.length;
                    } else {
                        afDebugLog2 = afDebugLog();
                        length = afDebugLog2.length;
                    }
                    boolean z4 = false;
                    for (int i8 = 0; i8 < length; i8++) {
                        AFe1dSDK aFe1dSDK = afDebugLog2[i8];
                        if (aFe1dSDK.afErrorLog == AFe1dSDK.AFa1zSDK.STARTED) {
                            StringBuilder sb5 = new StringBuilder("Failed to get ");
                            sb5.append(aFe1dSDK.valueOf);
                            sb5.append(" referrer, wait ...");
                            AFLogger.afDebugLog(sb5.toString());
                            z4 = true;
                        }
                    }
                    if ((this.onDeepLinking ? '^' : '\n') == '^') {
                        int i9 = AppsFlyerConversionListener + 7;
                        onResponseError = i9 % 128;
                        if (!(i9 % 2 == 0)) {
                            boolean afRDLog = afRDLog();
                            super.hashCode();
                        }
                        if (this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType()) {
                            r9 = true;
                        }
                    }
                    r9 = z4;
                    if (this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType()) {
                    }
                }
                ScheduledExecutorService AFInAppEventParameterName4 = this.onValidateInAppFailure.AFInAppEventParameterName();
                long j = 500;
                if (r9) {
                    int i10 = AppsFlyerConversionListener + 41;
                    onResponseError = i10 % 128;
                    if (i10 % 2 != 0) {
                        int length2 = objArr.length;
                    }
                } else {
                    j = 0;
                }
                AFKeystoreWrapper(AFInAppEventParameterName4, aFa1wSDK, j, TimeUnit.MILLISECONDS);
                return;
            }
        }
        AFLogger.afDebugLog("Not sending data yet, waiting for dev key");
        AppsFlyerRequestListener appsFlyerRequestListener = aFa1qSDK.values;
        if (appsFlyerRequestListener != null) {
            appsFlyerRequestListener.onError(RequestError.NO_DEV_KEY, AFb1eSDK.AFInAppEventParameterName);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:14:0x002b, code lost:
        if ((r0 == 1 ? '7' : 22) != 22) goto L7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x002f, code lost:
        if ((r6 instanceof com.appsflyer.internal.AFe1pSDK) != false) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0031, code lost:
        r6 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0033, code lost:
        r6 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 65;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r6 % 128;
        r6 = r6 % 2;
        r6 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x001b, code lost:
        if ((r0 == 0 ? kotlin.text.Typography.dollar : 'E') != '$') goto L38;
     */
    /* JADX WARN: Removed duplicated region for block: B:41:0x007f  */
    /* JADX WARN: Removed duplicated region for block: B:46:0x0084 A[RETURN] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean AFInAppEventParameterName(AFa1qSDK aFa1qSDK, SharedPreferences sharedPreferences) {
        int AFInAppEventParameterName2;
        boolean z;
        boolean z2;
        int i;
        int i2 = onResponseError + 27;
        AppsFlyerConversionListener = i2 % 128;
        if (i2 % 2 == 0) {
            AFInAppEventParameterName2 = AFInAppEventParameterName(sharedPreferences, false);
        } else {
            AFInAppEventParameterName2 = AFInAppEventParameterName(sharedPreferences, false);
        }
        if (!(sharedPreferences.getBoolean(AppsFlyerProperties.NEW_REFERRER_SENT, false))) {
            int i3 = onResponseError + 123;
            int i4 = i3 % 128;
            AppsFlyerConversionListener = i4;
            if ((i3 % 2 != 0) ? AFInAppEventParameterName2 == 1 : AFInAppEventParameterName2 == 1) {
                int i5 = i4 + 19;
                onResponseError = i5 % 128;
                int i6 = i5 % 2;
                z2 = true;
                if (!z2 || z) {
                    i = onResponseError + 23;
                    AppsFlyerConversionListener = i % 128;
                    if (i % 2 != 0) {
                        Object[] objArr = null;
                        int length = objArr.length;
                        return true;
                    }
                    return true;
                }
                return false;
            }
        }
        z2 = false;
        if (z2) {
        }
        i = onResponseError + 23;
        AppsFlyerConversionListener = i % 128;
        if (i % 2 != 0) {
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:28:0x0061, code lost:
        if ((r5.remove("android_id") != null ? 23 : 11) != 11) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x006a, code lost:
        if (r5.remove("android_id") != null) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x006c, code lost:
        com.appsflyer.AFLogger.afInfoLog("validateGaidAndIMEI :: removing: android_id");
     */
    /* JADX WARN: Removed duplicated region for block: B:16:0x003e  */
    /* JADX WARN: Removed duplicated region for block: B:17:0x0040  */
    /* JADX WARN: Removed duplicated region for block: B:19:0x0043  */
    /* JADX WARN: Removed duplicated region for block: B:38:0x0081  */
    /* JADX WARN: Removed duplicated region for block: B:39:0x0084  */
    /* JADX WARN: Removed duplicated region for block: B:42:0x0089  */
    /* JADX WARN: Removed duplicated region for block: B:67:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void AFInAppEventParameterName(Map<String, Object> map) {
        boolean z;
        int i = onResponseError + 39;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        if (!AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.COLLECT_ANDROID_ID_FORCE_BY_USER, false)) {
            if (!(AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.COLLECT_IMEI_FORCE_BY_USER, false))) {
                z = false;
                if (!z && map.get("advertiserId") != null) {
                    try {
                    } catch (Exception e) {
                        AFLogger.afErrorLog("failed to remove IMEI or AndroidID key from params; ", e);
                    }
                    if (!(AFb1qSDK.values(this.afRDLog))) {
                        int i3 = AppsFlyerConversionListener + 35;
                        onResponseError = i3 % 128;
                        if (i3 % 2 != 0) {
                            int i4 = 42 / 0;
                        }
                        AFLogger.afErrorLog("failed to remove IMEI or AndroidID key from params; ", e);
                    }
                    if ((!AFb1qSDK.values(this.onValidateInAppFailure.AFLogger$LogLevel().values) ? 'c' : 'X') == 'c') {
                        return;
                    }
                    int i5 = onResponseError + 109;
                    AppsFlyerConversionListener = i5 % 128;
                    if (i5 % 2 == 0) {
                        Object remove = map.remove("imei");
                        Object[] objArr = null;
                        int length = objArr.length;
                        if (remove == null) {
                            return;
                        }
                    } else if (map.remove("imei") == null) {
                        return;
                    }
                    AFLogger.afInfoLog("validateGaidAndIMEI :: removing: imei");
                    return;
                }
                int i6 = onResponseError + 65;
                AppsFlyerConversionListener = i6 % 128;
                int i7 = i6 % 2;
            }
        }
        z = true;
        if (!z) {
            if (!(AFb1qSDK.values(this.afRDLog))) {
            }
            if ((!AFb1qSDK.values(this.onValidateInAppFailure.AFLogger$LogLevel().values) ? 'c' : 'X') == 'c') {
            }
        }
        int i62 = onResponseError + 65;
        AppsFlyerConversionListener = i62 % 128;
        int i72 = i62 % 2;
    }

    /* JADX WARN: Removed duplicated region for block: B:26:0x0045 A[RETURN] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean afRDLog() {
        int i = AppsFlyerConversionListener;
        int i2 = i + 95;
        onResponseError = i2 % 128;
        int i3 = i2 % 2;
        Map<String, Object> map = this.onConversionDataFail;
        if ((map != null ? (char) 27 : '\t') == 27) {
            int i4 = i + 39;
            onResponseError = i4 % 128;
            if (i4 % 2 != 0) {
                boolean isEmpty = map.isEmpty();
                Object obj = null;
                super.hashCode();
                if (!isEmpty) {
                    return true;
                }
            } else {
                if ((!map.isEmpty() ? '\'' : Typography.dollar) != '\'') {
                }
            }
        }
        return false;
    }

    /* JADX WARN: Code restructure failed: missing block: B:17:0x002f, code lost:
        if ((r3.containsKey("meta") ? 'S' : 'V') != 'V') goto L11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0031, code lost:
        r0 = com.appsflyer.internal.AFb1zSDK.onResponseError + 57;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r0 % 128;
        r0 = r0 % 2;
        r3 = (java.util.Map) r3.get("meta");
        r0 = com.appsflyer.internal.AFb1zSDK.onResponseError + 49;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r0 % 128;
        r0 = r0 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x004c, code lost:
        r0 = new java.util.HashMap();
        r3.put("meta", r0);
        r3 = com.appsflyer.internal.AFb1zSDK.onResponseError + 121;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r3 % 128;
        r3 = r3 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x005f, code lost:
        return r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:?, code lost:
        return r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x001b, code lost:
        if (r3.containsKey("meta") != false) goto L11;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static Map<String, Object> AFInAppEventType(Map<String, Object> map) {
        int i = onResponseError + 17;
        AppsFlyerConversionListener = i % 128;
        if ((i % 2 == 0 ? '6' : (char) 25) == '6') {
            int i2 = 36 / 0;
        }
    }

    private static boolean AFInAppEventType(SharedPreferences sharedPreferences) {
        int i = onResponseError + 75;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        Object[] objArr = null;
        boolean parseBoolean = Boolean.parseBoolean(sharedPreferences.getString("sentSuccessfully", null));
        int i3 = onResponseError + 111;
        AppsFlyerConversionListener = i3 % 128;
        if (i3 % 2 != 0) {
            return parseBoolean;
        }
        int length = objArr.length;
        return parseBoolean;
    }

    private static void AFKeystoreWrapper(Context context, Map<String, Object> map) {
        String str;
        WindowManager windowManager = (WindowManager) context.getSystemService("window");
        if ((windowManager != null ? '\b' : (char) 31) != 31) {
            int rotation = windowManager.getDefaultDisplay().getRotation();
            if (rotation == 0) {
                str = "p";
            } else if (rotation == 1) {
                str = "l";
            } else if (rotation == 2) {
                str = "pr";
            } else if (rotation != 3) {
                str = BuildConfig.FLAVOR;
            } else {
                int i = onResponseError + 125;
                AppsFlyerConversionListener = i % 128;
                int i2 = i % 2;
                str = "lr";
            }
            map.put("sc_o", str);
            int i3 = AppsFlyerConversionListener + 9;
            onResponseError = i3 % 128;
            int i4 = i3 % 2;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:14:0x0051, code lost:
        if (r6 <= 2) goto L11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0057, code lost:
        if (r6 <= 2) goto L11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0059, code lost:
        r0.putAll(com.appsflyer.internal.AFa1cSDK.AFInAppEventType(r3).values());
        r4 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 75;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r4 % 128;
        r4 = r4 % 2;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static void values(Context context, boolean z, Map<String, Object> map, int i) {
        HashMap hashMap = new HashMap();
        hashMap.put("cpu_abi", AFInAppEventType("ro.product.cpu.abi"));
        hashMap.put("cpu_abi2", AFInAppEventType("ro.product.cpu.abi2"));
        hashMap.put("arch", AFInAppEventType("os.arch"));
        hashMap.put("build_display_id", AFInAppEventType("ro.build.display.id"));
        if ((z ? 'M' : '+') == 'M') {
            int i2 = AppsFlyerConversionListener + 93;
            onResponseError = i2 % 128;
            if (i2 % 2 == 0) {
                valueOf(context, hashMap);
            } else {
                valueOf(context, hashMap);
            }
        }
        hashMap.put("dim", AFa1bSDK.valueOf(context));
        map.put("deviceData", hashMap);
    }

    public static void values(Context context, Map<String, ? super String> map) {
        int i = onResponseError + 113;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        boolean AFInAppEventType2 = AFInAppEventType(AppsFlyerProperties.DISABLE_NETWORK_DATA, false);
        AFa1kSDK aFa1kSDK = AFa1kSDK.AFa1zSDK.valueOf;
        AFa1kSDK.AFa1xSDK AFInAppEventParameterName2 = AFa1kSDK.AFInAppEventParameterName(context);
        map.put("network", AFInAppEventParameterName2.valueOf);
        if ((AFInAppEventType2 ? false : true) && AFInAppEventParameterName2.values != null) {
            map.put("operator", AFInAppEventParameterName2.values);
            int i3 = AppsFlyerConversionListener + 45;
            onResponseError = i3 % 128;
            int i4 = i3 % 2;
        }
        if (AFInAppEventType2 || AFInAppEventParameterName2.AFInAppEventType == null) {
            return;
        }
        int i5 = AppsFlyerConversionListener + 105;
        onResponseError = i5 % 128;
        if ((i5 % 2 != 0 ? '\b' : (char) 21) != '\b') {
            map.put("carrier", AFInAppEventParameterName2.AFInAppEventType);
            return;
        }
        map.put("carrier", AFInAppEventParameterName2.AFInAppEventType);
        Object obj = null;
        super.hashCode();
    }

    private static void valueOf(Context context, Map<String, Object> map) {
        AFa1vSDK.AFa1ySDK AFInAppEventType2;
        int i = AppsFlyerConversionListener + 61;
        onResponseError = i % 128;
        if ((i % 2 != 0 ? '7' : ' ') != ' ') {
            AFInAppEventType2 = AFa1vSDK.AFa1wSDK.AFInAppEventType.AFInAppEventType(context);
            map.put("btl", Float.toString(AFInAppEventType2.AFKeystoreWrapper));
            String str = AFInAppEventType2.AFInAppEventType;
            Object obj = null;
            super.hashCode();
            if (str == null) {
                return;
            }
        } else {
            AFInAppEventType2 = AFa1vSDK.AFa1wSDK.AFInAppEventType.AFInAppEventType(context);
            map.put("btl", Float.toString(AFInAppEventType2.AFKeystoreWrapper));
            if ((AFInAppEventType2.AFInAppEventType != null ? '9' : '=') == '=') {
                return;
            }
        }
        int i2 = AppsFlyerConversionListener + 43;
        onResponseError = i2 % 128;
        int i3 = i2 % 2;
        map.put("btch", AFInAppEventType2.AFInAppEventType);
        int i4 = AppsFlyerConversionListener + 25;
        onResponseError = i4 % 128;
        int i5 = i4 % 2;
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x002b, code lost:
        if (r0 != null) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0045, code lost:
        if ((r0 == null) != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0048, code lost:
        r4 = com.appsflyer.internal.AFb1zSDK.onResponseError + 19;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r4 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0054, code lost:
        if ((r4 % 2) != 0) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0056, code lost:
        r7.put("onelink_id", r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0059, code lost:
        r0 = r3.length;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x005d, code lost:
        r7.put("onelink_id", r0);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static void AFKeystoreWrapper(Map<String, Object> map) {
        String string;
        String string2;
        int i = onResponseError + 25;
        AppsFlyerConversionListener = i % 128;
        Object[] objArr = null;
        if ((i % 2 == 0 ? '\f' : (char) 4) != 4) {
            string = AppsFlyerProperties.getInstance().getString(AppsFlyerProperties.ONELINK_ID);
            string2 = AppsFlyerProperties.getInstance().getString("onelinkVersion");
            int length = objArr.length;
        } else {
            string = AppsFlyerProperties.getInstance().getString(AppsFlyerProperties.ONELINK_ID);
            string2 = AppsFlyerProperties.getInstance().getString("onelinkVersion");
        }
        if (!(string2 != null)) {
            return;
        }
        map.put("onelink_ver", string2);
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x001c, code lost:
        if ((r7 != null ? kotlin.text.Typography.amp : '#') != '&') goto L40;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0021, code lost:
        if (r7 != null) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0023, code lost:
        r1 = r7.getIntent();
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0027, code lost:
        if (r1 == null) goto L40;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0029, code lost:
        r3 = r1.getExtras();
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x002d, code lost:
        if (r3 == null) goto L37;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x002f, code lost:
        r4 = r3.getString("af");
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0033, code lost:
        if (r4 == null) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0035, code lost:
        com.appsflyer.AFLogger.afInfoLog("Push Notification received af payload = ".concat(java.lang.String.valueOf(r4)));
        r3.remove("af");
        r7.setIntent(r1.putExtras(r3));
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x004d, code lost:
        r7 = th;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x004f, code lost:
        r4 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0050, code lost:
        r7 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 105;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r7 % 128;
        r7 = r7 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x005b, code lost:
        r7 = th;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x005c, code lost:
        r4 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x005d, code lost:
        com.appsflyer.AFLogger.afErrorLog(r7.getMessage(), r7);
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0065, code lost:
        r4 = null;
     */
    /* JADX WARN: Removed duplicated region for block: B:33:0x0074  */
    /* JADX WARN: Removed duplicated region for block: B:34:0x0077  */
    /* JADX WARN: Removed duplicated region for block: B:36:0x007b A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:45:0x007c A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static String AFInAppEventParameterName(Activity activity) {
        String str;
        int i = onResponseError + 51;
        AppsFlyerConversionListener = i % 128;
        Object[] objArr = null;
        if (i % 2 == 0) {
            int i2 = 40 / 0;
        }
        int i3 = onResponseError + 79;
        AppsFlyerConversionListener = i3 % 128;
        if ((i3 % 2 != 0 ? (char) 30 : (char) 26) == 30) {
            return str;
        }
        int length = objArr.length;
        return str;
    }

    private static int valueOf(SharedPreferences sharedPreferences) {
        int i = onResponseError + 71;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        int AFInAppEventParameterName2 = AFInAppEventParameterName(sharedPreferences, "appsFlyerAdRevenueCount", true);
        int i3 = AppsFlyerConversionListener + 89;
        onResponseError = i3 % 128;
        if (i3 % 2 == 0) {
            return AFInAppEventParameterName2;
        }
        int i4 = 88 / 0;
        return AFInAppEventParameterName2;
    }

    /* JADX WARN: Code restructure failed: missing block: B:30:0x0063, code lost:
        if ((r5 != null) != false) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x007f, code lost:
        if ((r4.AFInAppEventParameterName != null ? 17 : '^') != '^') goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x0083, code lost:
        if (r4.afRDLog == null) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x0085, code lost:
        r5 = com.appsflyer.internal.AFb1zSDK.onResponseError + 79;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r5 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x0091, code lost:
        if ((r5 % 2) != 0) goto L57;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0093, code lost:
        r5 = '9';
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0096, code lost:
        r5 = 'b';
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x0098, code lost:
        if (r5 == 'b') goto L55;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x00a2, code lost:
        r6 = 52 / 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x00a3, code lost:
        if (r2.contains(r4.AFInAppEventParameterName) == false) goto L42;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x00a5, code lost:
        r3 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00a6, code lost:
        if (r3 == false) goto L43;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x00b1, code lost:
        if (r2.contains(r4.AFInAppEventParameterName) == false) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x00b3, code lost:
        r3 = android.net.Uri.parse(r2).buildUpon();
        r5 = android.net.Uri.EMPTY.buildUpon();
        r4 = r4.afRDLog.entrySet().iterator();
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x00d1, code lost:
        if (r4.hasNext() == false) goto L51;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x00d3, code lost:
        r2 = 'L';
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x00d6, code lost:
        r2 = '\t';
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x00d8, code lost:
        if (r2 == 'L') goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x00da, code lost:
        r2 = r3.build().toString();
        r10.put("appended_query_params", r5.build().getEncodedQuery());
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x00f0, code lost:
        r2 = r4.next();
        r3.appendQueryParameter(r2.getKey(), r2.getValue());
        r5.appendQueryParameter(r2.getKey(), r2.getValue());
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x0115, code lost:
        r10.put("af_deeplink", r2);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void AFInAppEventType(Context context, Map<String, Object> map, Uri uri) {
        String AFKeystoreWrapper2;
        AFa1sSDK AFInAppEventType2;
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if (context != null) {
            AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
            if ((context != null ? Typography.less : (char) 20) != 20) {
                int i = onResponseError + 51;
                AppsFlyerConversionListener = i % 128;
                if (i % 2 == 0) {
                    aFc1xSDK.valueOf = context.getApplicationContext();
                    int i2 = 39 / 0;
                } else {
                    aFc1xSDK.valueOf = context.getApplicationContext();
                }
            }
        }
        boolean z = true;
        if (!map.containsKey("af_deeplink")) {
            int i3 = AppsFlyerConversionListener + 31;
            onResponseError = i3 % 128;
            if (i3 % 2 != 0) {
                AFKeystoreWrapper2 = AFKeystoreWrapper(uri.toString());
                AFInAppEventType2 = AFa1sSDK.AFInAppEventType();
                String str = AFInAppEventType2.AFInAppEventParameterName;
                Object obj = null;
                super.hashCode();
            } else {
                AFKeystoreWrapper2 = AFKeystoreWrapper(uri.toString());
                AFInAppEventType2 = AFa1sSDK.AFInAppEventType();
            }
        }
        HashMap hashMap = new HashMap();
        hashMap.put("link", uri.toString());
        AFd1oSDK aFd1oSDK = new AFd1oSDK(valueOf(), UUID.randomUUID(), uri);
        if (aFd1oSDK.afWarnLog()) {
            int i4 = onResponseError + 101;
            AppsFlyerConversionListener = i4 % 128;
            if (i4 % 2 == 0) {
                map.put("isBrandedDomain", Boolean.TRUE);
                int i5 = 49 / 0;
            } else {
                map.put("isBrandedDomain", Boolean.TRUE);
            }
        }
        AFb1wSDK.AFKeystoreWrapper(context, hashMap, uri);
        if (!aFd1oSDK.afErrorLogForExcManagerOnly()) {
            AFb1kSDK.valueOf(hashMap);
            return;
        }
        aFd1oSDK.afDebugLog = values(hashMap);
        AFc1gSDK afDebugLog2 = this.onValidateInAppFailure.afDebugLog();
        afDebugLog2.valueOf.execute(new AFc1gSDK.AnonymousClass1(aFd1oSDK));
    }

    /* JADX WARN: Code restructure failed: missing block: B:19:0x0031, code lost:
        if ((r9.contains("access_token") ? 'a' : 17) != 17) goto L18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x003a, code lost:
        if (r9.contains("access_token") != false) goto L18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x003c, code lost:
        r0 = values(r9);
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0046, code lost:
        if (r0.length() != 0) goto L50;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0048, code lost:
        r1 = 15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x004b, code lost:
        r1 = 18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x004d, code lost:
        if (r1 == 15) goto L58;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x004f, code lost:
        r1 = new java.util.ArrayList();
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x005a, code lost:
        if (r0.contains("&") == false) goto L49;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x005c, code lost:
        r1 = new java.util.ArrayList(java.util.Arrays.asList(r0.split("&")));
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x006a, code lost:
        r1.add(r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x006d, code lost:
        r4 = new java.lang.StringBuilder();
        r1 = r1.iterator();
        r5 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 45;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r5 % 128;
        r5 = r5 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x0086, code lost:
        if (r1.hasNext() == false) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0088, code lost:
        r5 = 'A';
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x008b, code lost:
        r5 = '1';
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x008d, code lost:
        if (r5 == 'A') goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x0097, code lost:
        return r9.replace(r0, r4.toString());
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x0098, code lost:
        r5 = (java.lang.String) r1.next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x00a2, code lost:
        if (r5.contains("access_token") == false) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x00a4, code lost:
        r1.remove();
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x00ac, code lost:
        if (r4.length() == 0) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x00ae, code lost:
        r6 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 79;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r6 % 128;
        r6 = r6 % 2;
        r4.append("&");
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x00c2, code lost:
        if (r5.startsWith("?") != false) goto L36;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00c4, code lost:
        r7 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 121;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r7 % 128;
        r7 = r7 % 2;
        r4.append("?");
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00d1, code lost:
        r4.append(r5);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static String AFKeystoreWrapper(String str) {
        if (str == null) {
            return null;
        }
        if (str.matches("fb\\d*?://authorize.*")) {
            int i = onResponseError + 89;
            AppsFlyerConversionListener = i % 128;
            if (!(i % 2 != 0)) {
                int i2 = 31 / 0;
            }
        }
        return str;
    }

    /* JADX WARN: Code restructure failed: missing block: B:15:0x0027, code lost:
        if ((r0 == -1) != false) goto L11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0029, code lost:
        r0 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 93;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r0 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0035, code lost:
        if ((r0 % 2) == 0) goto L20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0039, code lost:
        r0 = 96 / 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x003a, code lost:
        return com.appsflyer.unity.BuildConfig.FLAVOR;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x003d, code lost:
        return com.appsflyer.unity.BuildConfig.FLAVOR;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0042, code lost:
        return r4.substring(r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x001a, code lost:
        if (r0 == (-1)) goto L11;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static String values(String str) {
        int indexOf;
        int i = AppsFlyerConversionListener + 95;
        onResponseError = i % 128;
        if (i % 2 == 0) {
            indexOf = str.indexOf(63);
        } else {
            indexOf = str.indexOf(19);
        }
    }

    private AFd1oSDK.AFa1zSDK values(final Map<String, String> map) {
        AFd1oSDK.AFa1zSDK aFa1zSDK = new AFd1oSDK.AFa1zSDK() { // from class: com.appsflyer.internal.AFb1zSDK.2
            @Override // com.appsflyer.internal.AFd1oSDK.AFa1zSDK
            public final void AFKeystoreWrapper(Map<String, String> map2) {
                for (String str : map2.keySet()) {
                    map.put(str, map2.get(str));
                }
                AFb1kSDK.valueOf(map);
            }

            @Override // com.appsflyer.internal.AFd1oSDK.AFa1zSDK
            public final void AFKeystoreWrapper(String str) {
                AFb1kSDK.AFKeystoreWrapper(str, DeepLinkResult.Error.NETWORK);
            }
        };
        int i = onResponseError + 45;
        AppsFlyerConversionListener = i % 128;
        if (!(i % 2 == 0)) {
            return aFa1zSDK;
        }
        Object[] objArr = null;
        int length = objArr.length;
        return aFa1zSDK;
    }

    private static void values(Context context, Map<String, Object> map, String str) {
        int i = AppsFlyerConversionListener + 17;
        onResponseError = i % 128;
        int i2 = i % 2;
        SharedPreferences AFKeystoreWrapper2 = AFKeystoreWrapper(context);
        SharedPreferences.Editor edit = AFKeystoreWrapper2.edit();
        Object obj = null;
        try {
            String string = AFKeystoreWrapper2.getString("prev_event_name", null);
            if (string != null) {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("prev_event_timestamp", AFKeystoreWrapper2.getLong("prev_event_timestamp", -1L));
                jSONObject.put("prev_event_name", string);
                map.put("prev_event", jSONObject);
            }
            edit.putString("prev_event_name", str).putLong("prev_event_timestamp", System.currentTimeMillis()).apply();
            int i3 = onResponseError + 91;
            AppsFlyerConversionListener = i3 % 128;
            if ((i3 % 2 == 0 ? 'Y' : ' ') != 'Y') {
                return;
            }
            super.hashCode();
        } catch (Exception e) {
            AFLogger.afErrorLog("Error while processing previous event.", e);
        }
    }

    public static boolean AFInAppEventType(Context context) {
        try {
            if (GoogleApiAvailability.getInstance().isGooglePlayServicesAvailable(context) == 0) {
                int i = onResponseError + 33;
                AppsFlyerConversionListener = i % 128;
                return (i % 2 == 0 ? 'a' : 'I') != 'a';
            }
        } catch (Throwable th) {
            AFLogger.afErrorLog("WARNING:  Google play services is unavailable. ", th);
        }
        try {
            context.getPackageManager().getPackageInfo("com.google.android.gms", 0);
            int i2 = AppsFlyerConversionListener + 73;
            onResponseError = i2 % 128;
            int i3 = i2 % 2;
            return true;
        } catch (PackageManager.NameNotFoundException e) {
            AFLogger.afErrorLog("WARNING:  Google Play Services is unavailable. ", e);
            return false;
        }
    }

    private void AFInAppEventParameterName(Context context, Map<String, Object> map) {
        AppsFlyerProperties appsFlyerProperties = AppsFlyerProperties.getInstance();
        if (appsFlyerProperties.getBoolean(AppsFlyerProperties.DEVICE_TRACKING_DISABLED, false)) {
            map.put(AppsFlyerProperties.DEVICE_TRACKING_DISABLED, "true");
            return;
        }
        Context context2 = this.onValidateInAppFailure.AFInAppEventType.valueOf;
        if (context2 != null) {
            AFb1bSDK aFb1bSDK = new AFb1bSDK(AFKeystoreWrapper(context2));
            String AFInAppEventParameterName2 = this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventParameterName(aFb1bSDK);
            if (!AFb1qSDK.values(AFInAppEventParameterName2)) {
                map.put("imei", AFInAppEventParameterName2);
            }
            boolean z = appsFlyerProperties.getBoolean(AppsFlyerProperties.COLLECT_ANDROID_ID, false);
            String str = null;
            String AFKeystoreWrapper2 = aFb1bSDK.AFKeystoreWrapper("androidIdCached", (String) null);
            if (z && AFb1qSDK.values(this.afRDLog)) {
                if (afRDLog(context)) {
                    try {
                        String string = Settings.Secure.getString(context.getContentResolver(), "android_id");
                        if (string != null) {
                            str = string;
                        } else if (AFKeystoreWrapper2 != null) {
                            AFLogger.afDebugLog("use cached AndroidId: ".concat(String.valueOf(AFKeystoreWrapper2)));
                            str = AFKeystoreWrapper2;
                        }
                    } catch (Exception e) {
                        if (AFKeystoreWrapper2 != null) {
                            AFLogger.afDebugLog("use cached AndroidId: ".concat(String.valueOf(AFKeystoreWrapper2)));
                            str = AFKeystoreWrapper2;
                        }
                        AFLogger.afErrorLog(e.getMessage(), e);
                    }
                }
            } else {
                String str2 = this.afRDLog;
                if (str2 != null) {
                    str = str2;
                }
            }
            if (str != null) {
                aFb1bSDK.values("androidIdCached", str);
                map.put("android_id", str);
            } else {
                AFLogger.afInfoLog("Android ID was not collected.");
            }
            AFa1rSDK AFInAppEventParameterName3 = AFb1ySDK.AFInAppEventParameterName(context);
            if (AFInAppEventParameterName3 != null) {
                HashMap hashMap = new HashMap();
                hashMap.put("isManual", AFInAppEventParameterName3.AFInAppEventParameterName);
                hashMap.put("val", AFInAppEventParameterName3.AFKeystoreWrapper);
                Boolean bool = AFInAppEventParameterName3.values;
                if (bool != null) {
                    hashMap.put("isLat", bool);
                }
                map.put("oaid", hashMap);
                return;
            }
            return;
        }
        throw new IllegalStateException("Context must be set via setContext method before calling this dependency.");
    }

    /* JADX WARN: Code restructure failed: missing block: B:14:0x0039, code lost:
        if ((!com.appsflyer.AppsFlyerProperties.getInstance().getBoolean(com.appsflyer.AppsFlyerProperties.COLLECT_IMEI_FORCE_BY_USER, false)) != true) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x004d, code lost:
        if ((com.appsflyer.AppsFlyerProperties.getInstance().getBoolean(com.appsflyer.AppsFlyerProperties.COLLECT_IMEI_FORCE_BY_USER, false) ? '\'' : 20) != 20) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0050, code lost:
        r0 = false;
     */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0055  */
    /* JADX WARN: Removed duplicated region for block: B:33:0x006d  */
    /* JADX WARN: Removed duplicated region for block: B:38:0x0074 A[RETURN] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static boolean afRDLog(Context context) {
        boolean z;
        int i;
        int i2 = onResponseError + 5;
        AppsFlyerConversionListener = i2 % 128;
        int i3 = i2 % 2;
        if (!AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.COLLECT_ANDROID_ID_FORCE_BY_USER, false)) {
            int i4 = AppsFlyerConversionListener + 95;
            onResponseError = i4 % 128;
            if ((i4 % 2 != 0 ? '*' : (char) 1) != 1) {
            }
            if (!z) {
                if (AFInAppEventType(context)) {
                    return false;
                }
            }
            i = AppsFlyerConversionListener + 125;
            onResponseError = i % 128;
            if (i % 2 == 0) {
                Object obj = null;
                super.hashCode();
                return true;
            }
            return true;
        }
        z = true;
        if (!z) {
        }
        i = AppsFlyerConversionListener + 125;
        onResponseError = i % 128;
        if (i % 2 == 0) {
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0022, code lost:
        if ((!r4 ? '@' : 'C') != '@') goto L13;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0037, code lost:
        if ((!AFKeystoreWrapper(r4).contains("appsFlyerCount") ? 1 : kotlin.text.Typography.quote) != '\"') goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0039, code lost:
        r4 = com.appsflyer.internal.AFb1zSDK.onResponseError + 125;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r4 % 128;
        r4 = r4 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0043, code lost:
        return true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0044, code lost:
        r0 = com.appsflyer.internal.AFb1zSDK.onResponseError + 99;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r0 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x004f, code lost:
        if ((r0 % 2) != 0) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0051, code lost:
        r0 = r2.length;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0052, code lost:
        return false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0055, code lost:
        return false;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static boolean afInfoLog(Context context) {
        int i = AppsFlyerConversionListener + 57;
        onResponseError = i % 128;
        Object[] objArr = null;
        if (i % 2 != 0) {
            boolean contains = AFKeystoreWrapper(context).contains("appsFlyerCount");
            int length = objArr.length;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:14:0x002c, code lost:
        if ((r0.contains("INSTALL_STORE") ? false : true) != false) goto L7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0032, code lost:
        if (afInfoLog(r7) == false) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0034, code lost:
        r0 = afWarnLog(r7);
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0039, code lost:
        r0 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x003a, code lost:
        AFInAppEventParameterName(r7).values("INSTALL_STORE", r0);
        r7 = com.appsflyer.internal.AFb1zSDK.onResponseError + 49;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r7 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x004d, code lost:
        if ((r7 % 2) != 0) goto L22;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x004f, code lost:
        r7 = kotlin.text.Typography.greater;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0052, code lost:
        r7 = 30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0054, code lost:
        if (r7 == 30) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0056, code lost:
        super.hashCode();
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0059, code lost:
        return r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x005c, code lost:
        return r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x005d, code lost:
        r7 = r0.getString("INSTALL_STORE", null);
        r0 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 95;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r0 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x006b, code lost:
        if ((r0 % 2) == 0) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x006d, code lost:
        r0 = r2.length;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x006e, code lost:
        return r7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x0071, code lost:
        return r7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x001b, code lost:
        if (r0.contains("INSTALL_STORE") != false) goto L24;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private String afErrorLogForExcManagerOnly(Context context) {
        SharedPreferences AFKeystoreWrapper2;
        int i = onResponseError + 111;
        AppsFlyerConversionListener = i % 128;
        Object[] objArr = null;
        if (i % 2 == 0) {
            AFKeystoreWrapper2 = AFKeystoreWrapper(context);
            int i2 = 37 / 0;
        } else {
            AFKeystoreWrapper2 = AFKeystoreWrapper(context);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x0022, code lost:
        if ((r0 != null) != true) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x002f, code lost:
        if (r0 != null) goto L12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0031, code lost:
        r5 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 19;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r5 % 128;
        r5 = r5 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x003b, code lost:
        return r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0042, code lost:
        return values(r5, "AF_STORE");
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private String afWarnLog(Context context) {
        String string;
        int i = AppsFlyerConversionListener + 15;
        onResponseError = i % 128;
        if (!(i % 2 == 0)) {
            string = AppsFlyerProperties.getInstance().getString("api_store_value");
            Object[] objArr = null;
            int length = objArr.length;
        } else {
            string = AppsFlyerProperties.getInstance().getString("api_store_value");
        }
    }

    private static String AFInAppEventType(String str) {
        String str2;
        Object[] objArr = null;
        try {
            str2 = (String) Class.forName("android.os.SystemProperties").getMethod("get", String.class).invoke(null, str);
            int i = AppsFlyerConversionListener + 49;
            onResponseError = i % 128;
            int i2 = i % 2;
        } catch (Throwable th) {
            AFLogger.afErrorLog(th.getMessage(), th);
            str2 = null;
        }
        int i3 = onResponseError + 71;
        AppsFlyerConversionListener = i3 % 128;
        if (i3 % 2 == 0) {
            int length = objArr.length;
            return str2;
        }
        return str2;
    }

    private String values(Context context, String str) {
        if (context == null) {
            int i = onResponseError + 29;
            AppsFlyerConversionListener = i % 128;
            Object[] objArr = null;
            if (i % 2 == 0) {
                int length = objArr.length;
                return null;
            }
            return null;
        }
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if (context != null) {
            AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
            if ((context != null ? ';' : 'X') == ';') {
                int i2 = onResponseError + 93;
                AppsFlyerConversionListener = i2 % 128;
                int i3 = i2 % 2;
                aFc1xSDK.valueOf = context.getApplicationContext();
                int i4 = onResponseError + 29;
                AppsFlyerConversionListener = i4 % 128;
                int i5 = i4 % 2;
            }
        }
        return valueOf().values().AFInAppEventType(str);
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setPreinstallAttribution(String str, String str2, String str3) {
        AFLogger.afDebugLog("setPreinstallAttribution API called");
        JSONObject jSONObject = new JSONObject();
        if ((str != null ? Typography.greater : (char) 3) == '>') {
            int i = onResponseError + 123;
            AppsFlyerConversionListener = i % 128;
            int i2 = i % 2;
            try {
                jSONObject.put("pid", str);
            } catch (JSONException e) {
                AFLogger.afErrorLog(e.getMessage(), e);
            }
        }
        if (str2 != null) {
            jSONObject.put("c", str2);
        }
        if ((str3 != null ? (char) 30 : (char) 22) != 22) {
            jSONObject.put("af_siteid", str3);
        }
        int i3 = onResponseError + 75;
        AppsFlyerConversionListener = i3 % 128;
        int i4 = i3 % 2;
        if (!jSONObject.has("pid")) {
            AFLogger.afWarnLog("Cannot set preinstall attribution data without a media source");
            int i5 = AppsFlyerConversionListener + 61;
            onResponseError = i5 % 128;
            int i6 = i5 % 2;
            return;
        }
        int i7 = onResponseError + 47;
        AppsFlyerConversionListener = i7 % 128;
        if (i7 % 2 != 0) {
            values("preInstallName", jSONObject.toString());
            return;
        }
        values("preInstallName", jSONObject.toString());
        Object[] objArr = null;
        int length = objArr.length;
    }

    private static void valueOf(String str) {
        try {
            if (!new JSONObject(str).has("pid")) {
                AFLogger.afWarnLog("Cannot set preinstall attribution data without a media source");
                return;
            }
            int i = AppsFlyerConversionListener + 87;
            onResponseError = i % 128;
            int i2 = i % 2;
            values("preInstallName", str);
            int i3 = AppsFlyerConversionListener + 19;
            onResponseError = i3 % 128;
            int i4 = i3 % 2;
        } catch (JSONException e) {
            AFLogger.afErrorLog("Error parsing JSON for preinstall", e);
        }
    }

    private String AFLogger$LogLevel(Context context) {
        int i = AppsFlyerConversionListener + 89;
        onResponseError = i % 128;
        int i2 = i % 2;
        File afDebugLog2 = afDebugLog(AFInAppEventType("ro.appsflyer.preinstall.path"));
        if (AFKeystoreWrapper(afDebugLog2)) {
            int i3 = AppsFlyerConversionListener + 53;
            onResponseError = i3 % 128;
            int i4 = i3 % 2;
            afDebugLog2 = afDebugLog(values(context, "AF_PRE_INSTALL_PATH"));
        }
        if (!(!AFKeystoreWrapper(afDebugLog2))) {
            int i5 = onResponseError + 107;
            AppsFlyerConversionListener = i5 % 128;
            boolean z = i5 % 2 == 0;
            afDebugLog2 = afDebugLog("/data/local/tmp/pre_install.appsflyer");
            if (z) {
                int i6 = 58 / 0;
            }
        }
        if ((AFKeystoreWrapper(afDebugLog2) ? (char) 17 : Typography.less) == 17) {
            int i7 = onResponseError + 51;
            AppsFlyerConversionListener = i7 % 128;
            int i8 = i7 % 2;
            afDebugLog2 = afDebugLog("/etc/pre_install.appsflyer");
        }
        if ((AFKeystoreWrapper(afDebugLog2) ? '\r' : (char) 20) != '\r') {
            return valueOf(afDebugLog2, context.getPackageName());
        }
        return null;
    }

    private static String valueOf(File file, String str) {
        FileReader fileReader;
        int i;
        Properties properties;
        try {
            try {
                try {
                    properties = new Properties();
                    fileReader = new FileReader(file);
                } catch (Throwable th) {
                    if (fileReader != null) {
                        try {
                            fileReader.close();
                        } catch (Throwable th2) {
                            AFLogger.afErrorLog(th2.getMessage(), th2);
                        }
                    }
                    throw th;
                }
            } catch (FileNotFoundException unused) {
                fileReader = null;
            } catch (Throwable th3) {
                th = th3;
                fileReader = null;
            }
        } catch (Throwable th4) {
            AFLogger.afErrorLog(th4.getMessage(), th4);
        }
        try {
            properties.load(fileReader);
            AFLogger.afInfoLog("Found PreInstall property!");
            String property = properties.getProperty(str);
            try {
                fileReader.close();
                int i2 = onResponseError + 125;
                AppsFlyerConversionListener = i2 % 128;
                int i3 = i2 % 2;
            } catch (Throwable th5) {
                AFLogger.afErrorLog(th5.getMessage(), th5);
            }
            return property;
        } catch (FileNotFoundException unused2) {
            StringBuilder sb = new StringBuilder("PreInstall file wasn't found: ");
            sb.append(file.getAbsolutePath());
            AFLogger.afDebugLog(sb.toString());
            if (fileReader != null) {
                fileReader.close();
            }
            i = onResponseError + 43;
            AppsFlyerConversionListener = i % 128;
            int i4 = i % 2;
            return null;
        } catch (Throwable th6) {
            th = th6;
            AFLogger.afErrorLog(th.getMessage(), th);
            if (fileReader != null) {
                fileReader.close();
                i = onResponseError + 27;
                AppsFlyerConversionListener = i % 128;
                int i42 = i % 2;
            }
            return null;
        }
    }

    private static boolean AFKeystoreWrapper(File file) {
        if ((file != null ? 'E' : Typography.dollar) == 'E') {
            int i = onResponseError + 93;
            AppsFlyerConversionListener = i % 128;
            int i2 = i % 2;
            if ((!file.exists() ? '\\' : ',') == ',') {
                return false;
            }
        }
        int i3 = onResponseError + 59;
        AppsFlyerConversionListener = i3 % 128;
        int i4 = i3 % 2;
        return true;
    }

    /* JADX WARN: Code restructure failed: missing block: B:13:0x001c, code lost:
        if ((r4 != null ? kotlin.text.Typography.dollar : '4') != '4') goto L7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0043, code lost:
        if (r4.trim().length() > 0) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x000e, code lost:
        if (r4 != null) goto L7;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static File afDebugLog(String str) {
        int i = onResponseError;
        int i2 = i + 111;
        AppsFlyerConversionListener = i2 % 128;
        Object[] objArr = null;
        if (i2 % 2 == 0) {
            try {
                int length = objArr.length;
            } catch (Throwable th) {
                AFLogger.afErrorLog(th.getMessage(), th);
            }
        }
        int i3 = i + 15;
        AppsFlyerConversionListener = i3 % 128;
        if (!(i3 % 2 != 0)) {
            int i4 = 0 / 0;
            if (str.trim().length() > 0) {
            }
            return null;
        }
        return new File(str.trim());
    }

    private String AFVersionDeclaration(Context context) {
        String str;
        SharedPreferences AFKeystoreWrapper2 = AFKeystoreWrapper(context);
        String AFInAppEventParameterName2 = AFInAppEventParameterName("preInstallName");
        if (AFInAppEventParameterName2 == null) {
            if (AFKeystoreWrapper2.contains("preInstallName")) {
                str = AFKeystoreWrapper2.getString("preInstallName", null);
            } else {
                if (afInfoLog(context) && (AFInAppEventParameterName2 = AFLogger$LogLevel(context)) == null) {
                    AFInAppEventParameterName2 = values(context, "AF_PRE_INSTALL_NAME");
                }
                if (AFInAppEventParameterName2 != null) {
                    AFInAppEventParameterName(context).values("preInstallName", AFInAppEventParameterName2);
                    int i = onResponseError + 33;
                    AppsFlyerConversionListener = i % 128;
                    int i2 = i % 2;
                }
                str = AFInAppEventParameterName2;
            }
            if (str != null) {
                values("preInstallName", str);
            }
            return str;
        }
        int i3 = onResponseError + 63;
        AppsFlyerConversionListener = i3 % 128;
        int i4 = i3 % 2;
        return AFInAppEventParameterName2;
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x001b, code lost:
        if ((r5 != null) != false) goto L11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0026, code lost:
        if ((r5 == null) != false) goto L20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0029, code lost:
        r1 = com.appsflyer.internal.AFb1zSDK.onResponseError + 63;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r1 % 128;
        r1 = r1 % 2;
        r0.valueOf = r5.getApplicationContext();
     */
    @Deprecated
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final String values(Context context) {
        AFc1xSDK aFc1xSDK;
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if (context != null) {
            int i = AppsFlyerConversionListener + 71;
            onResponseError = i % 128;
            if (i % 2 != 0) {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
                Object obj = null;
                super.hashCode();
            } else {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
            }
        }
        return this.onValidateInAppFailure.values().AFInAppEventParameterName();
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final boolean isPreInstalledApp(Context context) {
        int i = onResponseError + 115;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        try {
            if (((context.getPackageManager().getApplicationInfo(context.getPackageName(), 0).flags & 1) != 0 ? 'a' : (char) 6) != 6) {
                int i3 = onResponseError + 75;
                AppsFlyerConversionListener = i3 % 128;
                return (i3 % 2 == 0 ? '0' : 'S') != '0';
            }
        } catch (PackageManager.NameNotFoundException e) {
            AFLogger.afErrorLog("Could not check if app is pre installed", e);
        }
        return false;
    }

    public static String valueOf(AFd1mSDK aFd1mSDK, String str) {
        int i = onResponseError + 13;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        String AFKeystoreWrapper2 = aFd1mSDK.AFKeystoreWrapper("CACHED_CHANNEL", (String) null);
        if (!(AFKeystoreWrapper2 != null)) {
            aFd1mSDK.values("CACHED_CHANNEL", str);
            return str;
        }
        int i3 = AppsFlyerConversionListener + 1;
        onResponseError = i3 % 128;
        if (i3 % 2 != 0) {
            int i4 = 69 / 0;
        }
        return AFKeystoreWrapper2;
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x0029, code lost:
        if ((r0 == null ? '1' : '%') != '1') goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0035, code lost:
        if (r0 == null) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x003b, code lost:
        if (afInfoLog(r7) == false) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x003d, code lost:
        com.appsflyer.AFLogger.afDebugLog("AppsFlyer: first launch detected");
        r6 = r6.format(new java.util.Date());
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x004b, code lost:
        r0 = r6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x004d, code lost:
        r6 = com.appsflyer.unity.BuildConfig.FLAVOR;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0050, code lost:
        AFInAppEventParameterName(r7).values("appsFlyerFirstInstall", r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0057, code lost:
        com.appsflyer.AFLogger.afInfoLog("AppsFlyer: first launch date: ".concat(java.lang.String.valueOf(r0)));
        r6 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 117;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r6 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x006e, code lost:
        if ((r6 % 2) == 0) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0072, code lost:
        r6 = 29 / 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0074, code lost:
        return r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0077, code lost:
        return r0;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private String values(SimpleDateFormat simpleDateFormat, Context context) {
        String string;
        int i = onResponseError + 121;
        AppsFlyerConversionListener = i % 128;
        Object[] objArr = null;
        if ((i % 2 == 0 ? (char) 20 : '1') != 20) {
            string = AFKeystoreWrapper(context).getString("appsFlyerFirstInstall", null);
        } else {
            string = AFKeystoreWrapper(context).getString("appsFlyerFirstInstall", null);
            int length = objArr.length;
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final String getAttributionId(Context context) {
        try {
            String valueOf2 = new AFa1aSDK(context, valueOf()).valueOf();
            int i = onResponseError + 65;
            AppsFlyerConversionListener = i % 128;
            int i2 = i % 2;
            return valueOf2;
        } catch (Throwable th) {
            AFLogger.afErrorLog("Could not collect facebook attribution id. ", th);
            return null;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:9:0x0019, code lost:
        if (AFInAppEventType().onAppOpenAttribution == null) goto L15;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static synchronized SharedPreferences AFKeystoreWrapper(Context context) {
        SharedPreferences sharedPreferences;
        synchronized (AFb1zSDK.class) {
            int i = onResponseError + 17;
            AppsFlyerConversionListener = i % 128;
            if (i % 2 == 0) {
                int i2 = 68 / 0;
            } else {
                if (!(AFInAppEventType().onAppOpenAttribution == null)) {
                    sharedPreferences = AFInAppEventType().onAppOpenAttribution;
                }
                AFInAppEventType().onAppOpenAttribution = context.getApplicationContext().getSharedPreferences("appsflyer-data", 0);
                int i3 = AppsFlyerConversionListener + 51;
                onResponseError = i3 % 128;
                int i4 = i3 % 2;
                sharedPreferences = AFInAppEventType().onAppOpenAttribution;
            }
        }
        return sharedPreferences;
    }

    public final AFd1mSDK AFInAppEventParameterName(Context context) {
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if (context != null) {
            AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
            if (context != null) {
                aFc1xSDK.valueOf = context.getApplicationContext();
            }
        }
        Context context2 = this.onValidateInAppFailure.AFInAppEventType.valueOf;
        if (context2 != null) {
            return new AFb1bSDK(AFKeystoreWrapper(context2));
        }
        throw new IllegalStateException("Context must be set via setContext method before calling this dependency.");
    }

    public static int AFInAppEventParameterName(SharedPreferences sharedPreferences, boolean z) {
        int i = onResponseError + 45;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        int AFInAppEventParameterName2 = AFInAppEventParameterName(sharedPreferences, "appsFlyerCount", z);
        int i3 = onResponseError + 89;
        AppsFlyerConversionListener = i3 % 128;
        if (!(i3 % 2 != 0)) {
            int i4 = 82 / 0;
            return AFInAppEventParameterName2;
        }
        return AFInAppEventParameterName2;
    }

    private static int AFInAppEventType(SharedPreferences sharedPreferences, boolean z) {
        int i = AppsFlyerConversionListener + 85;
        onResponseError = i % 128;
        boolean z2 = i % 2 != 0;
        int AFInAppEventParameterName2 = AFInAppEventParameterName(sharedPreferences, "appsFlyerInAppEventCount", z);
        if (z2) {
            Object[] objArr = null;
            int length = objArr.length;
        }
        return AFInAppEventParameterName2;
    }

    private static int AFInAppEventParameterName(SharedPreferences sharedPreferences, String str, boolean z) {
        int i = AppsFlyerConversionListener + 19;
        onResponseError = i % 128;
        int i2 = i % 2;
        int i3 = sharedPreferences.getInt(str, 0);
        if ((z ? '?' : (char) 5) == '?') {
            int i4 = AppsFlyerConversionListener + 67;
            onResponseError = i4 % 128;
            i3 = i4 % 2 != 0 ? i3 + 111 : i3 + 1;
            sharedPreferences.edit().putInt(str, i3).apply();
        }
        if (AFb1nSDK.AFInAppEventType().afDebugLog()) {
            int i5 = AppsFlyerConversionListener + 49;
            onResponseError = i5 % 128;
            int i6 = i5 % 2;
            AFb1nSDK.AFInAppEventType().values(String.valueOf(i3));
        }
        int i7 = onResponseError + 95;
        AppsFlyerConversionListener = i7 % 128;
        if (i7 % 2 == 0) {
            Object[] objArr = null;
            int length = objArr.length;
            return i3;
        }
        return i3;
    }

    private long getLevel(Context context) {
        long j = AFKeystoreWrapper(context).getLong("AppsFlyerTimePassedSincePrevLaunch", 0L);
        long currentTimeMillis = System.currentTimeMillis();
        AFInAppEventParameterName(context).valueOf("AppsFlyerTimePassedSincePrevLaunch", currentTimeMillis);
        if ((j > 0 ? 'b' : (char) 28) != 28) {
            int i = onResponseError + 113;
            int i2 = i % 128;
            AppsFlyerConversionListener = i2;
            int i3 = i % 2;
            int i4 = i2 + 101;
            onResponseError = i4 % 128;
            int i5 = i4 % 2;
            return (currentTimeMillis - j) / 1000;
        }
        return -1L;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void validateAndLogInAppPurchase(Context context, String str, String str2, String str3, String str4, String str5, Map<String, String> map) {
        AFb1nSDK AFInAppEventType2 = AFb1nSDK.AFInAppEventType();
        String[] strArr = new String[6];
        strArr[0] = str;
        strArr[1] = str2;
        strArr[2] = str3;
        strArr[3] = str4;
        strArr[4] = str5;
        strArr[5] = map == null ? BuildConfig.FLAVOR : map.toString();
        AFInAppEventType2.values("validateAndTrackInAppPurchase", strArr);
        if (!isStopped()) {
            StringBuilder sb = new StringBuilder("Validate in app called with parameters: ");
            sb.append(str3);
            sb.append(" ");
            sb.append(str4);
            sb.append(" ");
            sb.append(str5);
            AFLogger.afInfoLog(sb.toString());
        }
        if (str == null || str4 == null || str2 == null || str5 == null || str3 == null) {
            AppsFlyerInAppPurchaseValidatorListener appsFlyerInAppPurchaseValidatorListener = valueOf;
            if (appsFlyerInAppPurchaseValidatorListener != null) {
                appsFlyerInAppPurchaseValidatorListener.onValidateInAppFailure("Please provide purchase parameters");
                return;
            }
            return;
        }
        Context applicationContext = context.getApplicationContext();
        String str6 = this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType;
        if (context instanceof Activity) {
            ((Activity) context).getIntent();
        }
        new Thread(new AFa1fSDK(applicationContext, str6, str, str2, str3, str4, str5, map)).start();
    }

    private static void AFKeystoreWrapper(ScheduledExecutorService scheduledExecutorService, Runnable runnable, long j, TimeUnit timeUnit) {
        int i = AppsFlyerConversionListener + 93;
        onResponseError = i % 128;
        int i2 = i % 2;
        try {
            scheduledExecutorService.schedule(runnable, j, timeUnit);
            int i3 = onResponseError + 105;
            AppsFlyerConversionListener = i3 % 128;
            if (i3 % 2 != 0) {
                return;
            }
            Object[] objArr = null;
            int length = objArr.length;
        } catch (RejectedExecutionException e) {
            AFLogger.afErrorLog("scheduleJob failed with RejectedExecutionException Exception", e);
        } catch (Throwable th) {
            AFLogger.afErrorLog("scheduleJob failed with Exception", th);
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    @Deprecated
    public final boolean isStopped() {
        int i = onResponseError + 15;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        boolean values2 = this.onValidateInAppFailure.AFLogger$LogLevel().values();
        int i3 = AppsFlyerConversionListener + 107;
        onResponseError = i3 % 128;
        if (i3 % 2 == 0) {
            return values2;
        }
        int i4 = 86 / 0;
        return values2;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v0 */
    /* JADX WARN: Type inference failed for: r2v1, types: [java.io.Reader] */
    /* JADX WARN: Type inference failed for: r2v17 */
    /* JADX WARN: Type inference failed for: r2v18 */
    @Deprecated
    public static String AFKeystoreWrapper(HttpURLConnection httpURLConnection) {
        String obj;
        InputStreamReader inputStreamReader;
        char c;
        StringBuilder sb = new StringBuilder();
        ?? r2 = 0;
        r2 = 0;
        try {
            try {
                InputStream errorStream = httpURLConnection.getErrorStream();
                if (errorStream == null) {
                    int i = onResponseError + 51;
                    AppsFlyerConversionListener = i % 128;
                    if ((i % 2 == 0 ? '^' : (char) 21) != 21) {
                        errorStream = httpURLConnection.getInputStream();
                        int length = r2.length;
                    } else {
                        errorStream = httpURLConnection.getInputStream();
                    }
                }
                inputStreamReader = new InputStreamReader(errorStream);
                try {
                    BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
                    int i2 = onResponseError + 103;
                    AppsFlyerConversionListener = i2 % 128;
                    int i3 = i2 % 2;
                    boolean z = false;
                    while (true) {
                        try {
                            String readLine = bufferedReader.readLine();
                            if (readLine == null) {
                                break;
                            }
                            int i4 = AppsFlyerConversionListener + 15;
                            int i5 = i4 % 128;
                            onResponseError = i5;
                            int i6 = i4 % 2;
                            if (z) {
                                int i7 = i5 + 87;
                                AppsFlyerConversionListener = i7 % 128;
                                int i8 = i7 % 2;
                                c = '\n';
                            } else {
                                c = BuildConfig.FLAVOR;
                            }
                            sb.append(c);
                            sb.append(readLine);
                            z = true;
                        } catch (Throwable th) {
                            th = th;
                            r2 = bufferedReader;
                            try {
                                StringBuilder sb2 = new StringBuilder("Could not read connection response from: ");
                                sb2.append(httpURLConnection.getURL().toString());
                                AFLogger.afErrorLog(sb2.toString(), th);
                                if (r2 != 0) {
                                    r2.close();
                                }
                                if ((inputStreamReader != null ? '_' : 'I') == '_') {
                                    int i9 = onResponseError + 107;
                                    AppsFlyerConversionListener = i9 % 128;
                                    int i10 = i9 % 2;
                                    inputStreamReader.close();
                                }
                                obj = sb.toString();
                                new JSONObject(obj);
                                return obj;
                            } catch (Throwable th2) {
                                if (r2 != 0) {
                                    try {
                                        r2.close();
                                    } catch (Throwable th3) {
                                        AFLogger.afErrorLogForExcManagerOnly("readServerResponse error", th3);
                                        throw th2;
                                    }
                                }
                                if ((inputStreamReader != null ? 'U' : '\'') != '\'') {
                                    int i11 = AppsFlyerConversionListener + 39;
                                    onResponseError = i11 % 128;
                                    int i12 = i11 % 2;
                                    inputStreamReader.close();
                                }
                                throw th2;
                            }
                        }
                    }
                    bufferedReader.close();
                    inputStreamReader.close();
                } catch (Throwable th4) {
                    th = th4;
                }
            } catch (Throwable th5) {
                th = th5;
                inputStreamReader = null;
            }
        } catch (Throwable th6) {
            AFLogger.afErrorLogForExcManagerOnly("readServerResponse error", th6);
        }
        obj = sb.toString();
        try {
            new JSONObject(obj);
            return obj;
        } catch (JSONException e) {
            AFLogger.afErrorLogForExcManagerOnly("error while parsing readServerResponse", e);
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put("string_response", obj);
                return jSONObject.toString();
            } catch (JSONException e2) {
                AFLogger.afErrorLogForExcManagerOnly("RESPONSE_NOT_JSON error", e2);
                return new JSONObject().toString();
            }
        }
    }

    private static float AppsFlyer2dXConversionCallback(Context context) {
        int intExtra;
        int intExtra2;
        float f = 1.0f;
        try {
            Intent registerReceiver = context.getApplicationContext().registerReceiver(null, new IntentFilter("android.intent.action.BATTERY_CHANGED"));
            intExtra = registerReceiver.getIntExtra("level", -1);
            intExtra2 = registerReceiver.getIntExtra("scale", -1);
        } catch (Throwable th) {
            AFLogger.afErrorLog(th.getMessage(), th);
        }
        if (!(intExtra == -1)) {
            int i = onResponseError + 111;
            AppsFlyerConversionListener = i % 128;
            int i2 = i % 2;
            if (!(intExtra2 == -1)) {
                f = (intExtra / intExtra2) * 100.0f;
                int i3 = onResponseError + 51;
                AppsFlyerConversionListener = i3 % 128;
                int i4 = i3 % 2;
                return f;
            }
            return 50.0f;
        }
        return 50.0f;
    }

    /* JADX WARN: Code restructure failed: missing block: B:14:0x0024, code lost:
        if ((android.os.Build.VERSION.SDK_INT < 73) != false) goto L12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x002b, code lost:
        if (android.os.Build.VERSION.SDK_INT >= 23) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x002d, code lost:
        r9 = (android.net.ConnectivityManager) r9.getSystemService("connectivity");
        r0 = r9.getAllNetworks();
        r4 = r0.length;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x003a, code lost:
        r5 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x003b, code lost:
        if (r5 >= r4) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x003d, code lost:
        r6 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x003f, code lost:
        r6 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0042, code lost:
        if (r6 == false) goto L52;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0044, code lost:
        r6 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 35;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r6 % 128;
        r6 = r6 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x004e, code lost:
        r6 = r9.getNetworkCapabilities(r0[r5]);
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0059, code lost:
        if (r6.hasTransport(4) == false) goto L50;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x005f, code lost:
        if (r6.hasCapability(15) != false) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0061, code lost:
        return true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0062, code lost:
        r5 = r5 + 1;
        r6 = com.appsflyer.internal.AFb1zSDK.onResponseError + 61;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r6 % 128;
        r6 = r6 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x006f, code lost:
        r9 = com.appsflyer.internal.AFb1zSDK.onResponseError + 15;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r9 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x007a, code lost:
        if ((r9 % 2) != 0) goto L65;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x007c, code lost:
        r9 = '\r';
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x007f, code lost:
        r9 = 'W';
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x0081, code lost:
        if (r9 == 'W') goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0083, code lost:
        r9 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x0084, code lost:
        r9 = r9.length;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x0085, code lost:
        return false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x0088, code lost:
        return false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0089, code lost:
        r9 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x008a, code lost:
        com.appsflyer.AFLogger.afErrorLog("Failed collecting ivc data", r9);
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x0092, code lost:
        if (android.os.Build.VERSION.SDK_INT < 16) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x0094, code lost:
        r9 = new java.util.ArrayList();
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0099, code lost:
        r0 = java.util.Collections.list(java.net.NetworkInterface.getNetworkInterfaces()).iterator();
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00a9, code lost:
        if (r0.hasNext() == false) goto L27;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00ab, code lost:
        r3 = com.appsflyer.internal.AFb1zSDK.onResponseError + 97;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r3 % 128;
        r3 = r3 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x00b5, code lost:
        r3 = (java.net.NetworkInterface) r0.next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x00bf, code lost:
        if (r3.isUp() == false) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x00c1, code lost:
        r9.add(r3.getName());
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x00cf, code lost:
        return r9.contains("tun0");
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x00d0, code lost:
        r9 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x00d1, code lost:
        com.appsflyer.AFLogger.afErrorLog("Failed collecting ivc data", r9);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static boolean onInstallConversionFailureNative(Context context) {
        if ((context != null ? '!' : '\f') != '\f') {
            int i = AppsFlyerConversionListener + 101;
            onResponseError = i % 128;
            if (i % 2 != 0) {
            }
        }
        return false;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setLogLevel(AFLogger.LogLevel logLevel) {
        boolean z;
        if (!(logLevel.getLevel() <= AFLogger.LogLevel.NONE.getLevel())) {
            int i = AppsFlyerConversionListener + 65;
            int i2 = i % 128;
            onResponseError = i2;
            int i3 = i % 2;
            int i4 = i2 + 73;
            AppsFlyerConversionListener = i4 % 128;
            int i5 = i4 % 2;
            z = true;
        } else {
            z = false;
        }
        this.onValidateInAppFailure.getLevel().values("log", String.valueOf(z));
        AppsFlyerProperties.getInstance().set("logLevel", logLevel.getLevel());
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setHost(String str, String str2) {
        if (str != null) {
            int i = AppsFlyerConversionListener + 23;
            onResponseError = i % 128;
            int i2 = i % 2;
            values("custom_host_prefix", str);
        }
        if (!(str2 == null)) {
            if ((!str2.isEmpty() ? 'T' : (char) 11) == 'T') {
                int i3 = AppsFlyerConversionListener + 123;
                onResponseError = i3 % 128;
                boolean z = i3 % 2 != 0;
                values("custom_host", str2);
                if (z) {
                    int i4 = 80 / 0;
                    return;
                }
                return;
            }
        }
        AFLogger.afWarnLog("hostName cannot be null or empty");
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final String getHostName() {
        int i = AppsFlyerConversionListener + 111;
        onResponseError = i % 128;
        int i2 = i % 2;
        String AFInAppEventParameterName2 = AFInAppEventParameterName("custom_host");
        if (AFInAppEventParameterName2 == null) {
            return "appsflyer.com";
        }
        int i3 = AppsFlyerConversionListener + 105;
        onResponseError = i3 % 128;
        int i4 = i3 % 2;
        return AFInAppEventParameterName2;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final String getHostPrefix() {
        int i = onResponseError + 41;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        String AFInAppEventParameterName2 = AFInAppEventParameterName("custom_host_prefix");
        if (!(AFInAppEventParameterName2 == null)) {
            int i3 = AppsFlyerConversionListener + 77;
            onResponseError = i3 % 128;
            if ((i3 % 2 != 0 ? 'U' : 'b') != 'b') {
                Object obj = null;
                super.hashCode();
            }
            return AFInAppEventParameterName2;
        }
        return BuildConfig.FLAVOR;
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setMinTimeBetweenSessions(int i) {
        int i2 = onResponseError + 123;
        AppsFlyerConversionListener = i2 % 128;
        if ((i2 % 2 == 0 ? '=' : 'X') != '=') {
            this.onInstallConversionDataLoadedNative = TimeUnit.SECONDS.toMillis(i);
            return;
        }
        this.onInstallConversionDataLoadedNative = TimeUnit.SECONDS.toMillis(i);
        Object[] objArr = null;
        int length = objArr.length;
    }

    private AFe1dSDK[] afDebugLog() {
        int i = AppsFlyerConversionListener + 29;
        onResponseError = i % 128;
        if ((i % 2 != 0 ? '^' : (char) 1) != 1) {
            AFe1dSDK[] valueOf2 = valueOf().AFVersionDeclaration().valueOf();
            Object obj = null;
            super.hashCode();
            return valueOf2;
        }
        return valueOf().AFVersionDeclaration().valueOf();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class AFa1zSDK implements Runnable {
        private final AFa1qSDK AFInAppEventType;

        /* synthetic */ AFa1zSDK(AFb1zSDK aFb1zSDK, AFa1qSDK aFa1qSDK, byte b) {
            this(aFa1qSDK);
        }

        private AFa1zSDK(AFa1qSDK aFa1qSDK) {
            this.AFInAppEventType = aFa1qSDK;
        }

        @Override // java.lang.Runnable
        public final void run() {
            AFb1zSDK.AFKeystoreWrapper(AFb1zSDK.this, this.AFInAppEventType);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class AFa1wSDK implements Runnable {
        private final AFa1qSDK valueOf;

        /* synthetic */ AFa1wSDK(AFb1zSDK aFb1zSDK, AFa1qSDK aFa1qSDK, byte b) {
            this(aFa1qSDK);
        }

        private AFa1wSDK(AFa1qSDK aFa1qSDK) {
            this.valueOf = aFa1qSDK;
        }

        @Override // java.lang.Runnable
        public final void run() {
            AFd1pSDK aFd1pSDK;
            if (this.valueOf.values()) {
                AFd1pSDK aFd1pSDK2 = new AFd1pSDK(this.valueOf, AFb1zSDK.this.valueOf());
                aFd1pSDK2.afWarnLog = AFb1zSDK.AFInAppEventType(AFb1zSDK.this);
                aFd1pSDK = aFd1pSDK2;
            } else {
                aFd1pSDK = new AFd1rSDK(this.valueOf, AFb1zSDK.this.valueOf());
            }
            AFc1gSDK afDebugLog = AFb1zSDK.this.valueOf().afDebugLog();
            afDebugLog.valueOf.execute(new AFc1gSDK.AnonymousClass1(aFd1pSDK));
        }
    }

    /* loaded from: classes.dex */
    class AFa1ySDK implements AFc1hSDK {
        @Override // com.appsflyer.internal.AFc1hSDK
        public final void AFInAppEventParameterName(AFc1eSDK<?> aFc1eSDK) {
        }

        private AFa1ySDK() {
        }

        /* synthetic */ AFa1ySDK(AFb1zSDK aFb1zSDK, byte b) {
            this();
        }

        @Override // com.appsflyer.internal.AFc1hSDK
        public final void values(AFc1eSDK<?> aFc1eSDK) {
            if (aFc1eSDK instanceof AFd1pSDK) {
                AFb1zSDK.this.valueOf().AFLogger().values(((AFd1rSDK) aFc1eSDK).afDebugLog.afInfoLog);
            }
        }

        @Override // com.appsflyer.internal.AFc1hSDK
        public final void AFInAppEventType(AFc1eSDK<?> aFc1eSDK, AFc1lSDK aFc1lSDK) {
            JSONObject AFInAppEventParameterName;
            AFb1rSDK AFInAppEventType;
            if (aFc1eSDK instanceof AFd1rSDK) {
                AFd1rSDK aFd1rSDK = (AFd1rSDK) aFc1eSDK;
                boolean z = aFc1eSDK instanceof AFd1pSDK;
                if (z && AFKeystoreWrapper()) {
                    AFd1pSDK aFd1pSDK = (AFd1pSDK) aFc1eSDK;
                    boolean z2 = true;
                    if (aFd1pSDK.AFKeystoreWrapper != AFc1lSDK.SUCCESS && aFd1pSDK.valueOf != 1) {
                        z2 = false;
                    }
                    if (z2) {
                        Context context = AFb1zSDK.values(AFb1zSDK.this).AFInAppEventType.valueOf;
                        if (context != null) {
                            AFd1cSDK aFd1cSDK = new AFd1cSDK(aFd1pSDK, new AFb1bSDK(AFb1zSDK.AFKeystoreWrapper(context)));
                            AFc1gSDK afDebugLog = AFb1zSDK.values(AFb1zSDK.this).afDebugLog();
                            afDebugLog.valueOf.execute(new AFc1gSDK.AnonymousClass1(aFd1cSDK));
                        } else {
                            throw new IllegalStateException("Context must be set via setContext method before calling this dependency.");
                        }
                    }
                }
                if (aFc1lSDK == AFc1lSDK.SUCCESS) {
                    AFb1zSDK aFb1zSDK = AFb1zSDK.this;
                    aFb1zSDK.AFInAppEventParameterName(AFb1zSDK.AFKeystoreWrapper(aFb1zSDK)).values("sentSuccessfully", "true");
                    if (!(aFc1eSDK instanceof AFd1lSDK) && (AFInAppEventType = new AFd1dSDK(AFb1zSDK.AFKeystoreWrapper(AFb1zSDK.this)).AFInAppEventType()) != null && AFInAppEventType.AFKeystoreWrapper()) {
                        String str = AFInAppEventType.values;
                        AFLogger.afDebugLog("Resending Uninstall token to AF servers: ".concat(String.valueOf(str)));
                        AFd1dSDK.values(str);
                    }
                    ResponseNetwork responseNetwork = ((AFd1vSDK) aFd1rSDK).AFLogger;
                    if (responseNetwork != null && (AFInAppEventParameterName = AFb1oSDK.AFInAppEventParameterName((String) responseNetwork.getBody())) != null) {
                        AFb1zSDK.AFKeystoreWrapper(AFb1zSDK.this, AFInAppEventParameterName.optBoolean("send_background", false));
                    }
                    if (z) {
                        AFb1zSDK.AFInAppEventParameterName(AFb1zSDK.this, System.currentTimeMillis());
                    }
                }
            } else if (!(aFc1eSDK instanceof AFd1cSDK) || aFc1lSDK == AFc1lSDK.SUCCESS) {
            } else {
                AFd1aSDK aFd1aSDK = new AFd1aSDK(AFb1zSDK.values(AFb1zSDK.this));
                AFc1gSDK afDebugLog2 = AFb1zSDK.values(AFb1zSDK.this).afDebugLog();
                afDebugLog2.valueOf.execute(new AFc1gSDK.AnonymousClass1(aFd1aSDK));
            }
        }

        private static boolean AFKeystoreWrapper() {
            return AFb1zSDK.AFInAppEventParameterName != null;
        }
    }

    public final void valueOf(Context context) {
        int i = onResponseError;
        int i2 = i + 93;
        AppsFlyerConversionListener = i2 % 128;
        int i3 = i2 % 2;
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if ((context != null ? (char) 16 : ')') != ')') {
            int i4 = i + 29;
            AppsFlyerConversionListener = i4 % 128;
            int i5 = i4 % 2;
            AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
            if ((context != null ? (char) 3 : (char) 15) != 15) {
                aFc1xSDK.valueOf = context.getApplicationContext();
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:14:0x002f, code lost:
        if ((r4 != null) != true) goto L22;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0036, code lost:
        if (r4 != null) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0038, code lost:
        r0.valueOf = r4.getApplicationContext();
     */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void sendInAppPurchaseData(Context context, Map<String, Object> map, PurchaseHandler.PurchaseValidationCallback purchaseValidationCallback) {
        AFc1xSDK aFc1xSDK;
        int i = onResponseError + 13;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        Context applicationContext = context.getApplicationContext();
        if (applicationContext != null) {
            int i3 = AppsFlyerConversionListener + 53;
            onResponseError = i3 % 128;
            if ((i3 % 2 != 0 ? (char) 29 : (char) 6) != 6) {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
                int i4 = 97 / 0;
            } else {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
            }
        }
        PurchaseHandler afErrorLog = valueOf().afErrorLog();
        if (afErrorLog.AFKeystoreWrapper(map, purchaseValidationCallback, "purchases")) {
            AFd1xSDK aFd1xSDK = new AFd1xSDK(map, purchaseValidationCallback, afErrorLog.values);
            AFc1gSDK aFc1gSDK = afErrorLog.AFInAppEventType;
            aFc1gSDK.valueOf.execute(new AFc1gSDK.AnonymousClass1(aFd1xSDK));
        }
        int i5 = onResponseError + 31;
        AppsFlyerConversionListener = i5 % 128;
        if (i5 % 2 == 0) {
            Object obj = null;
            super.hashCode();
        }
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void setImeiData(String str) {
        int i = AppsFlyerConversionListener + 115;
        onResponseError = i % 128;
        int i2 = i % 2;
        AFb1nSDK.AFInAppEventType().values("setImeiData", str);
        this.onValidateInAppFailure.AFLogger$LogLevel().values = str;
        int i3 = AppsFlyerConversionListener + 117;
        onResponseError = i3 % 128;
        if (i3 % 2 == 0) {
            return;
        }
        int i4 = 11 / 0;
    }

    /* JADX WARN: Code restructure failed: missing block: B:15:0x0022, code lost:
        if ((r6 == null) != true) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0024, code lost:
        r0 = r0.AFInAppEventType;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0026, code lost:
        if (r6 == null) goto L7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0028, code lost:
        r3 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 123;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r3 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0034, code lost:
        if ((r3 % 2) == 0) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0036, code lost:
        r3 = 'c';
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0039, code lost:
        r3 = 'N';
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x003b, code lost:
        if (r3 == 'N') goto L28;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x003d, code lost:
        r0.valueOf = r6.getApplicationContext();
        r0 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0044, code lost:
        super.hashCode();
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x004a, code lost:
        r0.valueOf = r6.getApplicationContext();
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0050, code lost:
        r0 = com.appsflyer.internal.AFb1zSDK.onResponseError + 29;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r0 % 128;
        r0 = r0 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0015, code lost:
        if (r6 != null) goto L15;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void values(Context context, AFe1ySDK aFe1ySDK) {
        AFc1zSDK aFc1zSDK;
        int i = AppsFlyerConversionListener + 117;
        onResponseError = i % 128;
        if (i % 2 == 0) {
            aFc1zSDK = this.onValidateInAppFailure;
        } else {
            aFc1zSDK = this.onValidateInAppFailure;
            int i2 = 82 / 0;
        }
        AFe1vSDK AFLogger2 = valueOf().AFLogger();
        AFe1xSDK AFInAppEventParameterName2 = AFa1mSDK.AFInAppEventParameterName(context);
        if (AFLogger2.valueOf()) {
            int i3 = onResponseError + 51;
            AppsFlyerConversionListener = i3 % 128;
            int i4 = i3 % 2;
            AFLogger2.valueOf.put("api_name", aFe1ySDK.toString());
            AFLogger2.AFInAppEventParameterName(AFInAppEventParameterName2);
        }
        AFLogger2.AFInAppEventType();
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void logEvent(Context context, String str, Map<String, Object> map, AppsFlyerRequestListener appsFlyerRequestListener) {
        HashMap hashMap = map == null ? null : new HashMap(map);
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if (context != null) {
            AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
            if (context != null) {
                aFc1xSDK.valueOf = context.getApplicationContext();
            }
        }
        AFe1tSDK aFe1tSDK = new AFe1tSDK();
        if (context != null) {
            aFe1tSDK.valueOf = (Application) context.getApplicationContext();
        }
        aFe1tSDK.afDebugLog = str;
        aFe1tSDK.values = appsFlyerRequestListener;
        if (hashMap != null && hashMap.containsKey(AFInAppEventParameterName.TOUCH_OBJ)) {
            HashMap hashMap2 = new HashMap();
            Object obj = hashMap.get(AFInAppEventParameterName.TOUCH_OBJ);
            if (obj instanceof MotionEvent) {
                MotionEvent motionEvent = (MotionEvent) obj;
                HashMap hashMap3 = new HashMap();
                hashMap3.put("x", Float.valueOf(motionEvent.getX()));
                hashMap3.put("y", Float.valueOf(motionEvent.getY()));
                hashMap2.put("loc", hashMap3);
                hashMap2.put("pf", Float.valueOf(motionEvent.getPressure()));
                hashMap2.put("rad", Float.valueOf(motionEvent.getTouchMajor() / 2.0f));
            } else {
                hashMap2.put("error", "Parsing failed due to invalid input in 'af_touch_obj'.");
                AFLogger.AFKeystoreWrapper("Parsing failed due to invalid input in 'af_touch_obj'.");
            }
            Map<String, ?> singletonMap = Collections.singletonMap("tch_data", hashMap2);
            hashMap.remove(AFInAppEventParameterName.TOUCH_OBJ);
            aFe1tSDK.values(singletonMap);
        }
        aFe1tSDK.AFKeystoreWrapper = hashMap;
        AFb1nSDK level = valueOf().getLevel();
        String[] strArr = new String[2];
        strArr[0] = str;
        strArr[1] = new JSONObject(aFe1tSDK.AFKeystoreWrapper == null ? new HashMap() : aFe1tSDK.AFKeystoreWrapper).toString();
        level.values("logEvent", strArr);
        if (str == null) {
            values(context, AFe1ySDK.logEvent);
        }
        AFInAppEventParameterName(aFe1tSDK, context instanceof Activity ? (Activity) context : null);
    }

    @Override // com.appsflyer.AppsFlyerLib
    public final void sendAdRevenue(Context context, Map<String, Object> map) {
        int i = AppsFlyerConversionListener + 113;
        onResponseError = i % 128;
        int i2 = i % 2;
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if (context != null) {
            AFc1xSDK aFc1xSDK = aFc1zSDK.AFInAppEventType;
            if ((context != null ? (char) 30 : ']') == 30) {
                int i3 = AppsFlyerConversionListener + 81;
                onResponseError = i3 % 128;
                if ((i3 % 2 != 0 ? (char) 26 : 'S') != 'S') {
                    aFc1xSDK.valueOf = context.getApplicationContext();
                    int i4 = 15 / 0;
                } else {
                    aFc1xSDK.valueOf = context.getApplicationContext();
                }
            }
        }
        AFe1uSDK aFe1uSDK = new AFe1uSDK();
        if (!(context == null)) {
            int i5 = onResponseError + 1;
            AppsFlyerConversionListener = i5 % 128;
            int i6 = i5 % 2;
            aFe1uSDK.valueOf = (Application) context.getApplicationContext();
        }
        int valueOf2 = valueOf(AFKeystoreWrapper(context));
        aFe1uSDK.valueOf().put("ad_network", map);
        aFe1uSDK.valueOf().put("adrevenue_counter", Integer.valueOf(valueOf2));
        AFInAppEventParameterName(aFe1uSDK, context instanceof Activity ? (Activity) context : null);
    }

    /* JADX WARN: Code restructure failed: missing block: B:26:0x0061, code lost:
        if ((afErrorLog() ? 'K' : 14) != 14) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x006b, code lost:
        if (afErrorLog() != false) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x006d, code lost:
        r6 = r6.values;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x006f, code lost:
        if (r6 == null) goto L28;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0071, code lost:
        r6.onError(com.appsflyer.attribution.RequestError.EVENT_TIMEOUT, com.appsflyer.internal.AFb1eSDK.values);
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x0078, code lost:
        r6 = com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener + 29;
        com.appsflyer.internal.AFb1zSDK.onResponseError = r6 % 128;
        r6 = r6 % 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x0081, code lost:
        return;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void valueOf(AFa1qSDK aFa1qSDK) {
        boolean z = aFa1qSDK.afDebugLog == null;
        if (AFInAppEventParameterName()) {
            int i = AppsFlyerConversionListener + 87;
            onResponseError = i % 128;
            if (i % 2 != 0) {
                AFLogger.afInfoLog("CustomerUserId not set, reporting is disabled", true);
                return;
            } else {
                AFLogger.afInfoLog("CustomerUserId not set, reporting is disabled", true);
                return;
            }
        }
        if (z) {
            int i2 = AppsFlyerConversionListener + 17;
            onResponseError = i2 % 128;
            int i3 = i2 % 2;
            if (AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.LAUNCH_PROTECT_ENABLED, true)) {
                int i4 = onResponseError + 7;
                AppsFlyerConversionListener = i4 % 128;
                if ((i4 % 2 == 0 ? 'S' : (char) 29) == 'S') {
                    int i5 = 48 / 0;
                }
            } else {
                AFLogger.afInfoLog("Allowing multiple launches within a 5 second time window.");
            }
            this.AppsFlyer2dXConversionCallback = System.currentTimeMillis();
        }
        AFKeystoreWrapper(this.onValidateInAppFailure.AFInAppEventParameterName(), new AFa1zSDK(this, aFa1qSDK, (byte) 0), 0L, TimeUnit.MILLISECONDS);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:182:0x0458 A[Catch: all -> 0x07e1, TryCatch #1 {all -> 0x07e1, blocks: (B:15:0x00b9, B:17:0x00bf, B:21:0x00cc, B:23:0x00dc, B:24:0x00e4, B:26:0x00f7, B:31:0x010f, B:33:0x012b, B:34:0x0130, B:36:0x0138, B:37:0x013d, B:39:0x0143, B:41:0x014b, B:46:0x0158, B:48:0x01e1, B:50:0x01e7, B:52:0x01ed, B:53:0x01fa, B:55:0x0203, B:58:0x0216, B:60:0x021d, B:61:0x0224, B:63:0x022a, B:56:0x020c, B:64:0x0231, B:66:0x0248, B:67:0x024d, B:70:0x0255, B:71:0x0258, B:73:0x025e, B:74:0x0261, B:76:0x026b, B:78:0x0271, B:79:0x0274, B:81:0x027c, B:82:0x0285, B:87:0x0298, B:89:0x02a3, B:92:0x02ad, B:93:0x02b2, B:95:0x02ba, B:97:0x02ce, B:100:0x02de, B:102:0x02e8, B:103:0x02f2, B:105:0x02fa, B:106:0x02ff, B:108:0x030d, B:113:0x031a, B:115:0x0322, B:117:0x0328, B:118:0x032b, B:120:0x0339, B:124:0x0343, B:125:0x0348, B:127:0x034e, B:128:0x0357, B:130:0x035d, B:131:0x0366, B:133:0x036c, B:136:0x0379, B:138:0x037f, B:144:0x0398, B:146:0x039e, B:147:0x03a3, B:149:0x03ab, B:154:0x03c4, B:155:0x03d0, B:157:0x03d6, B:158:0x03df, B:160:0x03e7, B:162:0x03ee, B:163:0x0404, B:164:0x0409, B:166:0x0411, B:167:0x0416, B:182:0x0458, B:180:0x044c, B:183:0x045d, B:184:0x0460, B:186:0x046b, B:191:0x0488, B:195:0x0498, B:196:0x049d, B:200:0x04ad, B:201:0x04b2, B:205:0x04c2, B:206:0x04c7, B:207:0x04de, B:209:0x04eb, B:242:0x05af, B:244:0x05cc, B:246:0x05d5, B:248:0x05d9, B:250:0x05e1, B:251:0x05e7, B:252:0x05fc, B:254:0x0608, B:257:0x061d, B:259:0x062f, B:258:0x062a, B:264:0x064f, B:266:0x0655, B:270:0x0663, B:271:0x066a, B:273:0x0674, B:274:0x0686, B:278:0x06a7, B:282:0x06b7, B:283:0x06bb, B:287:0x06c6, B:289:0x0701, B:290:0x0711, B:292:0x077f, B:294:0x07a2, B:296:0x07cb, B:298:0x07cf, B:293:0x0790, B:263:0x0635, B:241:0x05a9, B:216:0x04fc, B:190:0x0473, B:150:0x03b1, B:152:0x03b9, B:139:0x0385, B:141:0x038f, B:143:0x0395, B:299:0x07d5, B:112:0x0315, B:86:0x028e, B:96:0x02cb, B:45:0x0153, B:30:0x010a, B:22:0x00d7, B:169:0x042c, B:170:0x0430), top: B:305:0x00b9, inners: #4, #6, #7, #8, #9, #10, #11, #14 }] */
    /* JADX WARN: Removed duplicated region for block: B:186:0x046b A[Catch: Exception -> 0x0471, all -> 0x07e1, TRY_LEAVE, TryCatch #9 {Exception -> 0x0471, blocks: (B:184:0x0460, B:186:0x046b), top: B:320:0x0460, outer: #1 }] */
    /* JADX WARN: Removed duplicated region for block: B:244:0x05cc A[Catch: all -> 0x07e1, TryCatch #1 {all -> 0x07e1, blocks: (B:15:0x00b9, B:17:0x00bf, B:21:0x00cc, B:23:0x00dc, B:24:0x00e4, B:26:0x00f7, B:31:0x010f, B:33:0x012b, B:34:0x0130, B:36:0x0138, B:37:0x013d, B:39:0x0143, B:41:0x014b, B:46:0x0158, B:48:0x01e1, B:50:0x01e7, B:52:0x01ed, B:53:0x01fa, B:55:0x0203, B:58:0x0216, B:60:0x021d, B:61:0x0224, B:63:0x022a, B:56:0x020c, B:64:0x0231, B:66:0x0248, B:67:0x024d, B:70:0x0255, B:71:0x0258, B:73:0x025e, B:74:0x0261, B:76:0x026b, B:78:0x0271, B:79:0x0274, B:81:0x027c, B:82:0x0285, B:87:0x0298, B:89:0x02a3, B:92:0x02ad, B:93:0x02b2, B:95:0x02ba, B:97:0x02ce, B:100:0x02de, B:102:0x02e8, B:103:0x02f2, B:105:0x02fa, B:106:0x02ff, B:108:0x030d, B:113:0x031a, B:115:0x0322, B:117:0x0328, B:118:0x032b, B:120:0x0339, B:124:0x0343, B:125:0x0348, B:127:0x034e, B:128:0x0357, B:130:0x035d, B:131:0x0366, B:133:0x036c, B:136:0x0379, B:138:0x037f, B:144:0x0398, B:146:0x039e, B:147:0x03a3, B:149:0x03ab, B:154:0x03c4, B:155:0x03d0, B:157:0x03d6, B:158:0x03df, B:160:0x03e7, B:162:0x03ee, B:163:0x0404, B:164:0x0409, B:166:0x0411, B:167:0x0416, B:182:0x0458, B:180:0x044c, B:183:0x045d, B:184:0x0460, B:186:0x046b, B:191:0x0488, B:195:0x0498, B:196:0x049d, B:200:0x04ad, B:201:0x04b2, B:205:0x04c2, B:206:0x04c7, B:207:0x04de, B:209:0x04eb, B:242:0x05af, B:244:0x05cc, B:246:0x05d5, B:248:0x05d9, B:250:0x05e1, B:251:0x05e7, B:252:0x05fc, B:254:0x0608, B:257:0x061d, B:259:0x062f, B:258:0x062a, B:264:0x064f, B:266:0x0655, B:270:0x0663, B:271:0x066a, B:273:0x0674, B:274:0x0686, B:278:0x06a7, B:282:0x06b7, B:283:0x06bb, B:287:0x06c6, B:289:0x0701, B:290:0x0711, B:292:0x077f, B:294:0x07a2, B:296:0x07cb, B:298:0x07cf, B:293:0x0790, B:263:0x0635, B:241:0x05a9, B:216:0x04fc, B:190:0x0473, B:150:0x03b1, B:152:0x03b9, B:139:0x0385, B:141:0x038f, B:143:0x0395, B:299:0x07d5, B:112:0x0315, B:86:0x028e, B:96:0x02cb, B:45:0x0153, B:30:0x010a, B:22:0x00d7, B:169:0x042c, B:170:0x0430), top: B:305:0x00b9, inners: #4, #6, #7, #8, #9, #10, #11, #14 }] */
    /* JADX WARN: Removed duplicated region for block: B:246:0x05d5 A[Catch: all -> 0x07e1, TryCatch #1 {all -> 0x07e1, blocks: (B:15:0x00b9, B:17:0x00bf, B:21:0x00cc, B:23:0x00dc, B:24:0x00e4, B:26:0x00f7, B:31:0x010f, B:33:0x012b, B:34:0x0130, B:36:0x0138, B:37:0x013d, B:39:0x0143, B:41:0x014b, B:46:0x0158, B:48:0x01e1, B:50:0x01e7, B:52:0x01ed, B:53:0x01fa, B:55:0x0203, B:58:0x0216, B:60:0x021d, B:61:0x0224, B:63:0x022a, B:56:0x020c, B:64:0x0231, B:66:0x0248, B:67:0x024d, B:70:0x0255, B:71:0x0258, B:73:0x025e, B:74:0x0261, B:76:0x026b, B:78:0x0271, B:79:0x0274, B:81:0x027c, B:82:0x0285, B:87:0x0298, B:89:0x02a3, B:92:0x02ad, B:93:0x02b2, B:95:0x02ba, B:97:0x02ce, B:100:0x02de, B:102:0x02e8, B:103:0x02f2, B:105:0x02fa, B:106:0x02ff, B:108:0x030d, B:113:0x031a, B:115:0x0322, B:117:0x0328, B:118:0x032b, B:120:0x0339, B:124:0x0343, B:125:0x0348, B:127:0x034e, B:128:0x0357, B:130:0x035d, B:131:0x0366, B:133:0x036c, B:136:0x0379, B:138:0x037f, B:144:0x0398, B:146:0x039e, B:147:0x03a3, B:149:0x03ab, B:154:0x03c4, B:155:0x03d0, B:157:0x03d6, B:158:0x03df, B:160:0x03e7, B:162:0x03ee, B:163:0x0404, B:164:0x0409, B:166:0x0411, B:167:0x0416, B:182:0x0458, B:180:0x044c, B:183:0x045d, B:184:0x0460, B:186:0x046b, B:191:0x0488, B:195:0x0498, B:196:0x049d, B:200:0x04ad, B:201:0x04b2, B:205:0x04c2, B:206:0x04c7, B:207:0x04de, B:209:0x04eb, B:242:0x05af, B:244:0x05cc, B:246:0x05d5, B:248:0x05d9, B:250:0x05e1, B:251:0x05e7, B:252:0x05fc, B:254:0x0608, B:257:0x061d, B:259:0x062f, B:258:0x062a, B:264:0x064f, B:266:0x0655, B:270:0x0663, B:271:0x066a, B:273:0x0674, B:274:0x0686, B:278:0x06a7, B:282:0x06b7, B:283:0x06bb, B:287:0x06c6, B:289:0x0701, B:290:0x0711, B:292:0x077f, B:294:0x07a2, B:296:0x07cb, B:298:0x07cf, B:293:0x0790, B:263:0x0635, B:241:0x05a9, B:216:0x04fc, B:190:0x0473, B:150:0x03b1, B:152:0x03b9, B:139:0x0385, B:141:0x038f, B:143:0x0395, B:299:0x07d5, B:112:0x0315, B:86:0x028e, B:96:0x02cb, B:45:0x0153, B:30:0x010a, B:22:0x00d7, B:169:0x042c, B:170:0x0430), top: B:305:0x00b9, inners: #4, #6, #7, #8, #9, #10, #11, #14 }] */
    /* JADX WARN: Removed duplicated region for block: B:266:0x0655 A[Catch: all -> 0x07e1, TryCatch #1 {all -> 0x07e1, blocks: (B:15:0x00b9, B:17:0x00bf, B:21:0x00cc, B:23:0x00dc, B:24:0x00e4, B:26:0x00f7, B:31:0x010f, B:33:0x012b, B:34:0x0130, B:36:0x0138, B:37:0x013d, B:39:0x0143, B:41:0x014b, B:46:0x0158, B:48:0x01e1, B:50:0x01e7, B:52:0x01ed, B:53:0x01fa, B:55:0x0203, B:58:0x0216, B:60:0x021d, B:61:0x0224, B:63:0x022a, B:56:0x020c, B:64:0x0231, B:66:0x0248, B:67:0x024d, B:70:0x0255, B:71:0x0258, B:73:0x025e, B:74:0x0261, B:76:0x026b, B:78:0x0271, B:79:0x0274, B:81:0x027c, B:82:0x0285, B:87:0x0298, B:89:0x02a3, B:92:0x02ad, B:93:0x02b2, B:95:0x02ba, B:97:0x02ce, B:100:0x02de, B:102:0x02e8, B:103:0x02f2, B:105:0x02fa, B:106:0x02ff, B:108:0x030d, B:113:0x031a, B:115:0x0322, B:117:0x0328, B:118:0x032b, B:120:0x0339, B:124:0x0343, B:125:0x0348, B:127:0x034e, B:128:0x0357, B:130:0x035d, B:131:0x0366, B:133:0x036c, B:136:0x0379, B:138:0x037f, B:144:0x0398, B:146:0x039e, B:147:0x03a3, B:149:0x03ab, B:154:0x03c4, B:155:0x03d0, B:157:0x03d6, B:158:0x03df, B:160:0x03e7, B:162:0x03ee, B:163:0x0404, B:164:0x0409, B:166:0x0411, B:167:0x0416, B:182:0x0458, B:180:0x044c, B:183:0x045d, B:184:0x0460, B:186:0x046b, B:191:0x0488, B:195:0x0498, B:196:0x049d, B:200:0x04ad, B:201:0x04b2, B:205:0x04c2, B:206:0x04c7, B:207:0x04de, B:209:0x04eb, B:242:0x05af, B:244:0x05cc, B:246:0x05d5, B:248:0x05d9, B:250:0x05e1, B:251:0x05e7, B:252:0x05fc, B:254:0x0608, B:257:0x061d, B:259:0x062f, B:258:0x062a, B:264:0x064f, B:266:0x0655, B:270:0x0663, B:271:0x066a, B:273:0x0674, B:274:0x0686, B:278:0x06a7, B:282:0x06b7, B:283:0x06bb, B:287:0x06c6, B:289:0x0701, B:290:0x0711, B:292:0x077f, B:294:0x07a2, B:296:0x07cb, B:298:0x07cf, B:293:0x0790, B:263:0x0635, B:241:0x05a9, B:216:0x04fc, B:190:0x0473, B:150:0x03b1, B:152:0x03b9, B:139:0x0385, B:141:0x038f, B:143:0x0395, B:299:0x07d5, B:112:0x0315, B:86:0x028e, B:96:0x02cb, B:45:0x0153, B:30:0x010a, B:22:0x00d7, B:169:0x042c, B:170:0x0430), top: B:305:0x00b9, inners: #4, #6, #7, #8, #9, #10, #11, #14 }] */
    /* JADX WARN: Removed duplicated region for block: B:273:0x0674 A[Catch: all -> 0x07e1, TryCatch #1 {all -> 0x07e1, blocks: (B:15:0x00b9, B:17:0x00bf, B:21:0x00cc, B:23:0x00dc, B:24:0x00e4, B:26:0x00f7, B:31:0x010f, B:33:0x012b, B:34:0x0130, B:36:0x0138, B:37:0x013d, B:39:0x0143, B:41:0x014b, B:46:0x0158, B:48:0x01e1, B:50:0x01e7, B:52:0x01ed, B:53:0x01fa, B:55:0x0203, B:58:0x0216, B:60:0x021d, B:61:0x0224, B:63:0x022a, B:56:0x020c, B:64:0x0231, B:66:0x0248, B:67:0x024d, B:70:0x0255, B:71:0x0258, B:73:0x025e, B:74:0x0261, B:76:0x026b, B:78:0x0271, B:79:0x0274, B:81:0x027c, B:82:0x0285, B:87:0x0298, B:89:0x02a3, B:92:0x02ad, B:93:0x02b2, B:95:0x02ba, B:97:0x02ce, B:100:0x02de, B:102:0x02e8, B:103:0x02f2, B:105:0x02fa, B:106:0x02ff, B:108:0x030d, B:113:0x031a, B:115:0x0322, B:117:0x0328, B:118:0x032b, B:120:0x0339, B:124:0x0343, B:125:0x0348, B:127:0x034e, B:128:0x0357, B:130:0x035d, B:131:0x0366, B:133:0x036c, B:136:0x0379, B:138:0x037f, B:144:0x0398, B:146:0x039e, B:147:0x03a3, B:149:0x03ab, B:154:0x03c4, B:155:0x03d0, B:157:0x03d6, B:158:0x03df, B:160:0x03e7, B:162:0x03ee, B:163:0x0404, B:164:0x0409, B:166:0x0411, B:167:0x0416, B:182:0x0458, B:180:0x044c, B:183:0x045d, B:184:0x0460, B:186:0x046b, B:191:0x0488, B:195:0x0498, B:196:0x049d, B:200:0x04ad, B:201:0x04b2, B:205:0x04c2, B:206:0x04c7, B:207:0x04de, B:209:0x04eb, B:242:0x05af, B:244:0x05cc, B:246:0x05d5, B:248:0x05d9, B:250:0x05e1, B:251:0x05e7, B:252:0x05fc, B:254:0x0608, B:257:0x061d, B:259:0x062f, B:258:0x062a, B:264:0x064f, B:266:0x0655, B:270:0x0663, B:271:0x066a, B:273:0x0674, B:274:0x0686, B:278:0x06a7, B:282:0x06b7, B:283:0x06bb, B:287:0x06c6, B:289:0x0701, B:290:0x0711, B:292:0x077f, B:294:0x07a2, B:296:0x07cb, B:298:0x07cf, B:293:0x0790, B:263:0x0635, B:241:0x05a9, B:216:0x04fc, B:190:0x0473, B:150:0x03b1, B:152:0x03b9, B:139:0x0385, B:141:0x038f, B:143:0x0395, B:299:0x07d5, B:112:0x0315, B:86:0x028e, B:96:0x02cb, B:45:0x0153, B:30:0x010a, B:22:0x00d7, B:169:0x042c, B:170:0x0430), top: B:305:0x00b9, inners: #4, #6, #7, #8, #9, #10, #11, #14 }] */
    /* JADX WARN: Removed duplicated region for block: B:276:0x06a4  */
    /* JADX WARN: Removed duplicated region for block: B:277:0x06a6  */
    /* JADX WARN: Removed duplicated region for block: B:280:0x06b4  */
    /* JADX WARN: Removed duplicated region for block: B:285:0x06c3  */
    /* JADX WARN: Removed duplicated region for block: B:286:0x06c5  */
    /* JADX WARN: Removed duplicated region for block: B:289:0x0701 A[Catch: all -> 0x07e1, TryCatch #1 {all -> 0x07e1, blocks: (B:15:0x00b9, B:17:0x00bf, B:21:0x00cc, B:23:0x00dc, B:24:0x00e4, B:26:0x00f7, B:31:0x010f, B:33:0x012b, B:34:0x0130, B:36:0x0138, B:37:0x013d, B:39:0x0143, B:41:0x014b, B:46:0x0158, B:48:0x01e1, B:50:0x01e7, B:52:0x01ed, B:53:0x01fa, B:55:0x0203, B:58:0x0216, B:60:0x021d, B:61:0x0224, B:63:0x022a, B:56:0x020c, B:64:0x0231, B:66:0x0248, B:67:0x024d, B:70:0x0255, B:71:0x0258, B:73:0x025e, B:74:0x0261, B:76:0x026b, B:78:0x0271, B:79:0x0274, B:81:0x027c, B:82:0x0285, B:87:0x0298, B:89:0x02a3, B:92:0x02ad, B:93:0x02b2, B:95:0x02ba, B:97:0x02ce, B:100:0x02de, B:102:0x02e8, B:103:0x02f2, B:105:0x02fa, B:106:0x02ff, B:108:0x030d, B:113:0x031a, B:115:0x0322, B:117:0x0328, B:118:0x032b, B:120:0x0339, B:124:0x0343, B:125:0x0348, B:127:0x034e, B:128:0x0357, B:130:0x035d, B:131:0x0366, B:133:0x036c, B:136:0x0379, B:138:0x037f, B:144:0x0398, B:146:0x039e, B:147:0x03a3, B:149:0x03ab, B:154:0x03c4, B:155:0x03d0, B:157:0x03d6, B:158:0x03df, B:160:0x03e7, B:162:0x03ee, B:163:0x0404, B:164:0x0409, B:166:0x0411, B:167:0x0416, B:182:0x0458, B:180:0x044c, B:183:0x045d, B:184:0x0460, B:186:0x046b, B:191:0x0488, B:195:0x0498, B:196:0x049d, B:200:0x04ad, B:201:0x04b2, B:205:0x04c2, B:206:0x04c7, B:207:0x04de, B:209:0x04eb, B:242:0x05af, B:244:0x05cc, B:246:0x05d5, B:248:0x05d9, B:250:0x05e1, B:251:0x05e7, B:252:0x05fc, B:254:0x0608, B:257:0x061d, B:259:0x062f, B:258:0x062a, B:264:0x064f, B:266:0x0655, B:270:0x0663, B:271:0x066a, B:273:0x0674, B:274:0x0686, B:278:0x06a7, B:282:0x06b7, B:283:0x06bb, B:287:0x06c6, B:289:0x0701, B:290:0x0711, B:292:0x077f, B:294:0x07a2, B:296:0x07cb, B:298:0x07cf, B:293:0x0790, B:263:0x0635, B:241:0x05a9, B:216:0x04fc, B:190:0x0473, B:150:0x03b1, B:152:0x03b9, B:139:0x0385, B:141:0x038f, B:143:0x0395, B:299:0x07d5, B:112:0x0315, B:86:0x028e, B:96:0x02cb, B:45:0x0153, B:30:0x010a, B:22:0x00d7, B:169:0x042c, B:170:0x0430), top: B:305:0x00b9, inners: #4, #6, #7, #8, #9, #10, #11, #14 }] */
    /* JADX WARN: Removed duplicated region for block: B:292:0x077f A[Catch: all -> 0x07e1, TryCatch #1 {all -> 0x07e1, blocks: (B:15:0x00b9, B:17:0x00bf, B:21:0x00cc, B:23:0x00dc, B:24:0x00e4, B:26:0x00f7, B:31:0x010f, B:33:0x012b, B:34:0x0130, B:36:0x0138, B:37:0x013d, B:39:0x0143, B:41:0x014b, B:46:0x0158, B:48:0x01e1, B:50:0x01e7, B:52:0x01ed, B:53:0x01fa, B:55:0x0203, B:58:0x0216, B:60:0x021d, B:61:0x0224, B:63:0x022a, B:56:0x020c, B:64:0x0231, B:66:0x0248, B:67:0x024d, B:70:0x0255, B:71:0x0258, B:73:0x025e, B:74:0x0261, B:76:0x026b, B:78:0x0271, B:79:0x0274, B:81:0x027c, B:82:0x0285, B:87:0x0298, B:89:0x02a3, B:92:0x02ad, B:93:0x02b2, B:95:0x02ba, B:97:0x02ce, B:100:0x02de, B:102:0x02e8, B:103:0x02f2, B:105:0x02fa, B:106:0x02ff, B:108:0x030d, B:113:0x031a, B:115:0x0322, B:117:0x0328, B:118:0x032b, B:120:0x0339, B:124:0x0343, B:125:0x0348, B:127:0x034e, B:128:0x0357, B:130:0x035d, B:131:0x0366, B:133:0x036c, B:136:0x0379, B:138:0x037f, B:144:0x0398, B:146:0x039e, B:147:0x03a3, B:149:0x03ab, B:154:0x03c4, B:155:0x03d0, B:157:0x03d6, B:158:0x03df, B:160:0x03e7, B:162:0x03ee, B:163:0x0404, B:164:0x0409, B:166:0x0411, B:167:0x0416, B:182:0x0458, B:180:0x044c, B:183:0x045d, B:184:0x0460, B:186:0x046b, B:191:0x0488, B:195:0x0498, B:196:0x049d, B:200:0x04ad, B:201:0x04b2, B:205:0x04c2, B:206:0x04c7, B:207:0x04de, B:209:0x04eb, B:242:0x05af, B:244:0x05cc, B:246:0x05d5, B:248:0x05d9, B:250:0x05e1, B:251:0x05e7, B:252:0x05fc, B:254:0x0608, B:257:0x061d, B:259:0x062f, B:258:0x062a, B:264:0x064f, B:266:0x0655, B:270:0x0663, B:271:0x066a, B:273:0x0674, B:274:0x0686, B:278:0x06a7, B:282:0x06b7, B:283:0x06bb, B:287:0x06c6, B:289:0x0701, B:290:0x0711, B:292:0x077f, B:294:0x07a2, B:296:0x07cb, B:298:0x07cf, B:293:0x0790, B:263:0x0635, B:241:0x05a9, B:216:0x04fc, B:190:0x0473, B:150:0x03b1, B:152:0x03b9, B:139:0x0385, B:141:0x038f, B:143:0x0395, B:299:0x07d5, B:112:0x0315, B:86:0x028e, B:96:0x02cb, B:45:0x0153, B:30:0x010a, B:22:0x00d7, B:169:0x042c, B:170:0x0430), top: B:305:0x00b9, inners: #4, #6, #7, #8, #9, #10, #11, #14 }] */
    /* JADX WARN: Removed duplicated region for block: B:293:0x0790 A[Catch: all -> 0x07e1, TryCatch #1 {all -> 0x07e1, blocks: (B:15:0x00b9, B:17:0x00bf, B:21:0x00cc, B:23:0x00dc, B:24:0x00e4, B:26:0x00f7, B:31:0x010f, B:33:0x012b, B:34:0x0130, B:36:0x0138, B:37:0x013d, B:39:0x0143, B:41:0x014b, B:46:0x0158, B:48:0x01e1, B:50:0x01e7, B:52:0x01ed, B:53:0x01fa, B:55:0x0203, B:58:0x0216, B:60:0x021d, B:61:0x0224, B:63:0x022a, B:56:0x020c, B:64:0x0231, B:66:0x0248, B:67:0x024d, B:70:0x0255, B:71:0x0258, B:73:0x025e, B:74:0x0261, B:76:0x026b, B:78:0x0271, B:79:0x0274, B:81:0x027c, B:82:0x0285, B:87:0x0298, B:89:0x02a3, B:92:0x02ad, B:93:0x02b2, B:95:0x02ba, B:97:0x02ce, B:100:0x02de, B:102:0x02e8, B:103:0x02f2, B:105:0x02fa, B:106:0x02ff, B:108:0x030d, B:113:0x031a, B:115:0x0322, B:117:0x0328, B:118:0x032b, B:120:0x0339, B:124:0x0343, B:125:0x0348, B:127:0x034e, B:128:0x0357, B:130:0x035d, B:131:0x0366, B:133:0x036c, B:136:0x0379, B:138:0x037f, B:144:0x0398, B:146:0x039e, B:147:0x03a3, B:149:0x03ab, B:154:0x03c4, B:155:0x03d0, B:157:0x03d6, B:158:0x03df, B:160:0x03e7, B:162:0x03ee, B:163:0x0404, B:164:0x0409, B:166:0x0411, B:167:0x0416, B:182:0x0458, B:180:0x044c, B:183:0x045d, B:184:0x0460, B:186:0x046b, B:191:0x0488, B:195:0x0498, B:196:0x049d, B:200:0x04ad, B:201:0x04b2, B:205:0x04c2, B:206:0x04c7, B:207:0x04de, B:209:0x04eb, B:242:0x05af, B:244:0x05cc, B:246:0x05d5, B:248:0x05d9, B:250:0x05e1, B:251:0x05e7, B:252:0x05fc, B:254:0x0608, B:257:0x061d, B:259:0x062f, B:258:0x062a, B:264:0x064f, B:266:0x0655, B:270:0x0663, B:271:0x066a, B:273:0x0674, B:274:0x0686, B:278:0x06a7, B:282:0x06b7, B:283:0x06bb, B:287:0x06c6, B:289:0x0701, B:290:0x0711, B:292:0x077f, B:294:0x07a2, B:296:0x07cb, B:298:0x07cf, B:293:0x0790, B:263:0x0635, B:241:0x05a9, B:216:0x04fc, B:190:0x0473, B:150:0x03b1, B:152:0x03b9, B:139:0x0385, B:141:0x038f, B:143:0x0395, B:299:0x07d5, B:112:0x0315, B:86:0x028e, B:96:0x02cb, B:45:0x0153, B:30:0x010a, B:22:0x00d7, B:169:0x042c, B:170:0x0430), top: B:305:0x00b9, inners: #4, #6, #7, #8, #9, #10, #11, #14 }] */
    /* JADX WARN: Removed duplicated region for block: B:296:0x07cb A[Catch: all -> 0x07e1, TryCatch #1 {all -> 0x07e1, blocks: (B:15:0x00b9, B:17:0x00bf, B:21:0x00cc, B:23:0x00dc, B:24:0x00e4, B:26:0x00f7, B:31:0x010f, B:33:0x012b, B:34:0x0130, B:36:0x0138, B:37:0x013d, B:39:0x0143, B:41:0x014b, B:46:0x0158, B:48:0x01e1, B:50:0x01e7, B:52:0x01ed, B:53:0x01fa, B:55:0x0203, B:58:0x0216, B:60:0x021d, B:61:0x0224, B:63:0x022a, B:56:0x020c, B:64:0x0231, B:66:0x0248, B:67:0x024d, B:70:0x0255, B:71:0x0258, B:73:0x025e, B:74:0x0261, B:76:0x026b, B:78:0x0271, B:79:0x0274, B:81:0x027c, B:82:0x0285, B:87:0x0298, B:89:0x02a3, B:92:0x02ad, B:93:0x02b2, B:95:0x02ba, B:97:0x02ce, B:100:0x02de, B:102:0x02e8, B:103:0x02f2, B:105:0x02fa, B:106:0x02ff, B:108:0x030d, B:113:0x031a, B:115:0x0322, B:117:0x0328, B:118:0x032b, B:120:0x0339, B:124:0x0343, B:125:0x0348, B:127:0x034e, B:128:0x0357, B:130:0x035d, B:131:0x0366, B:133:0x036c, B:136:0x0379, B:138:0x037f, B:144:0x0398, B:146:0x039e, B:147:0x03a3, B:149:0x03ab, B:154:0x03c4, B:155:0x03d0, B:157:0x03d6, B:158:0x03df, B:160:0x03e7, B:162:0x03ee, B:163:0x0404, B:164:0x0409, B:166:0x0411, B:167:0x0416, B:182:0x0458, B:180:0x044c, B:183:0x045d, B:184:0x0460, B:186:0x046b, B:191:0x0488, B:195:0x0498, B:196:0x049d, B:200:0x04ad, B:201:0x04b2, B:205:0x04c2, B:206:0x04c7, B:207:0x04de, B:209:0x04eb, B:242:0x05af, B:244:0x05cc, B:246:0x05d5, B:248:0x05d9, B:250:0x05e1, B:251:0x05e7, B:252:0x05fc, B:254:0x0608, B:257:0x061d, B:259:0x062f, B:258:0x062a, B:264:0x064f, B:266:0x0655, B:270:0x0663, B:271:0x066a, B:273:0x0674, B:274:0x0686, B:278:0x06a7, B:282:0x06b7, B:283:0x06bb, B:287:0x06c6, B:289:0x0701, B:290:0x0711, B:292:0x077f, B:294:0x07a2, B:296:0x07cb, B:298:0x07cf, B:293:0x0790, B:263:0x0635, B:241:0x05a9, B:216:0x04fc, B:190:0x0473, B:150:0x03b1, B:152:0x03b9, B:139:0x0385, B:141:0x038f, B:143:0x0395, B:299:0x07d5, B:112:0x0315, B:86:0x028e, B:96:0x02cb, B:45:0x0153, B:30:0x010a, B:22:0x00d7, B:169:0x042c, B:170:0x0430), top: B:305:0x00b9, inners: #4, #6, #7, #8, #9, #10, #11, #14 }] */
    /* JADX WARN: Removed duplicated region for block: B:316:0x0608 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:338:0x0517 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final Map<String, Object> AFInAppEventParameterName(AFa1qSDK aFa1qSDK) {
        String str;
        String str2;
        Object obj;
        String str3;
        PackageManager.NameNotFoundException nameNotFoundException;
        String str4;
        SimpleDateFormat simpleDateFormat;
        boolean z;
        AppsFlyerProperties appsFlyerProperties;
        AFb1fSDK aFb1fSDK;
        Throwable th;
        AFa1rSDK values2;
        long availableBlocks;
        long blockCount;
        AFa1dSDK aFa1dSDK;
        Object obj2;
        PackageInfo packageInfo;
        Object AFInAppEventType2;
        UiModeManager uiModeManager;
        Context context = aFa1qSDK.valueOf;
        String str5 = this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType;
        String str6 = aFa1qSDK.afDebugLog;
        Object jSONObject = new JSONObject(aFa1qSDK.AFKeystoreWrapper == null ? new HashMap() : aFa1qSDK.AFKeystoreWrapper).toString();
        String str7 = aFa1qSDK.afRDLog;
        SharedPreferences AFKeystoreWrapper2 = AFKeystoreWrapper(context);
        boolean values3 = aFa1qSDK.values();
        Object obj3 = aFa1qSDK.AFInAppEventParameterName;
        Map<String, Object> map = aFa1qSDK.AFInAppEventType;
        AFb1ySDK.values(context, map);
        Boolean bool = AFb1ySDK.AFKeystoreWrapper;
        if (bool == null || bool.booleanValue()) {
            str = "Exception while collecting facebook's attribution ID. ";
            str2 = AppsFlyerProperties.APP_ID;
            obj = obj3;
        } else {
            obj = obj3;
            Map<String, Object> AFInAppEventType3 = AFInAppEventType(map);
            str = "Exception while collecting facebook's attribution ID. ";
            Boolean bool2 = Boolean.TRUE;
            str2 = AppsFlyerProperties.APP_ID;
            AFInAppEventType3.put("ad_ids_disabled", bool2);
        }
        long time = new Date().getTime();
        Object[] objArr = new Object[1];
        AFKeystoreWrapper((byte) ((Process.myTid() >> 22) + 120), "\r\u0001\u000e\r\u0000\u0003\u0015\u0005\r\f\u0000\u0007", (Process.myPid() >> 22) + 12, objArr);
        map.put(((String) objArr[0]).intern(), Long.toString(time));
        Object values4 = AFa1xSDK.values(context, time);
        if (values4 != null) {
            map.put("cksm_v1", values4);
        }
        try {
            if (!isStopped()) {
                StringBuilder sb = new StringBuilder("******* sendTrackingWithEvent: ");
                sb.append(values3 ? "Launch" : str6);
                AFLogger.afInfoLog(sb.toString());
            } else {
                AFLogger.afInfoLog("Reporting has been stopped");
            }
            AFa1mSDK afErrorLogForExcManagerOnly2 = valueOf().afErrorLogForExcManagerOnly();
            try {
                if (!new File(afErrorLogForExcManagerOnly2.AFKeystoreWrapper.valueOf.getFilesDir(), "AFRequestCache").exists()) {
                    new File(afErrorLogForExcManagerOnly2.AFKeystoreWrapper.valueOf.getFilesDir(), "AFRequestCache").mkdir();
                }
            } catch (Exception e) {
                AFLogger.afErrorLog("CACHE: Could not create cache directory", e);
            }
            try {
                List asList = Arrays.asList(context.getPackageManager().getPackageInfo(context.getPackageName(), 4096).requestedPermissions);
                if (!asList.contains("android.permission.INTERNET")) {
                    AFLogger.afWarnLog("Permission android.permission.INTERNET is missing in the AndroidManifest.xml");
                }
                if (!asList.contains("android.permission.ACCESS_NETWORK_STATE")) {
                    AFLogger.afWarnLog("Permission android.permission.ACCESS_NETWORK_STATE is missing in the AndroidManifest.xml");
                }
                if (Build.VERSION.SDK_INT > 32 && !asList.contains("com.google.android.gms.permission.AD_ID")) {
                    AFLogger.afWarnLog("Permission com.google.android.gms.permission.AD_ID is missing in the AndroidManifest.xml");
                }
            } catch (Exception e2) {
                AFLogger.afErrorLog("Exception while validation permissions. ", e2);
            }
            Object[] objArr2 = new Object[1];
            AFKeystoreWrapper((byte) (View.MeasureSpec.getMode(0) + 77), "㗸", (ViewConfiguration.getMinimumFlingVelocity() >> 16) + 1, objArr2);
            map.put("af_events_api", ((String) objArr2[0]).intern());
            Object[] objArr3 = new Object[1];
            AFKeystoreWrapper((byte) (9 - (SystemClock.currentThreadTimeMillis() > (-1L) ? 1 : (SystemClock.currentThreadTimeMillis() == (-1L) ? 0 : -1))), "\u0014\u0002\f\n㘆", (ViewConfiguration.getTouchSlop() >> 8) + 5, objArr3);
            map.put(((String) objArr3[0]).intern(), Build.BRAND);
            map.put("device", Build.DEVICE);
            map.put("product", Build.PRODUCT);
            map.put("sdk", Integer.toString(Build.VERSION.SDK_INT));
            map.put("model", Build.MODEL);
            map.put("deviceType", Build.TYPE);
            AFKeystoreWrapper(context, map);
            AppsFlyerProperties appsFlyerProperties2 = AppsFlyerProperties.getInstance();
            AFb1fSDK aFb1fSDK2 = new AFb1fSDK(context);
            AFe1vSDK AFLogger2 = valueOf().AFLogger();
            if (values3) {
                if (afInfoLog(context)) {
                    if (!appsFlyerProperties2.isOtherSdkStringDisabled()) {
                        map.put("batteryLevel", String.valueOf(AppsFlyer2dXConversionCallback(context)));
                    }
                    AFLogger(context);
                    if (Build.VERSION.SDK_INT >= 23) {
                        uiModeManager = (UiModeManager) context.getSystemService(UiModeManager.class);
                    } else {
                        uiModeManager = (UiModeManager) context.getSystemService("uimode");
                    }
                    if (uiModeManager != null && uiModeManager.getCurrentModeType() == 4) {
                        map.put("tv", Boolean.TRUE);
                    }
                    if (AFe1wSDK.AFKeystoreWrapper(context)) {
                        map.put("inst_app", Boolean.TRUE);
                    }
                }
                map.put("timepassedsincelastlaunch", Long.toString(getLevel(context)));
                AFKeystoreWrapper(map);
                valueOf(map, AFLogger2);
                Object obj4 = this.onAttributionFailure;
                if (obj4 != null) {
                    map.put("phone", obj4);
                }
                if (!TextUtils.isEmpty(str7)) {
                    map.put("referrer", str7);
                }
                Object string = AFKeystoreWrapper2.getString("extraReferrers", null);
                if (string != null) {
                    map.put("extraReferrers", string);
                }
                String referrer = appsFlyerProperties2.getReferrer(context);
                if (!TextUtils.isEmpty(referrer) && map.get("referrer") == null) {
                    map.put("referrer", referrer);
                }
                long j = AFLogger2.afWarnLog;
                if (j != 0) {
                    map.put("prev_session_dur", Long.valueOf(j));
                }
                map.put("exception_number", Long.valueOf(AFb1gSDK.AFKeystoreWrapper == null ? -1L : AFKeystoreWrapper(AFb1gSDK.AFKeystoreWrapper).getLong("exception_number", 0L)));
                AFb1dSDK aFb1dSDK = this.onResponse;
                if (aFb1dSDK != null) {
                    if (!aFb1dSDK.values.isEmpty()) {
                        map.put("partner_data", aFb1dSDK.values);
                    }
                    if (!aFb1dSDK.AFInAppEventType.isEmpty()) {
                        AFInAppEventType(map).put("partner_data", aFb1dSDK.AFInAppEventType);
                        aFb1dSDK.AFInAppEventType = new HashMap();
                    }
                }
            } else {
                values(context, map, str6);
            }
            Object AFInAppEventParameterName2 = AFInAppEventParameterName("KSAppsFlyerId");
            String AFInAppEventParameterName3 = AFInAppEventParameterName("KSAppsFlyerRICounter");
            if (AFInAppEventParameterName2 != null && AFInAppEventParameterName3 != null && Integer.valueOf(AFInAppEventParameterName3).intValue() > 0) {
                map.put("reinstallCounter", AFInAppEventParameterName3);
                map.put("originalAppsflyerId", AFInAppEventParameterName2);
            }
            Object AFInAppEventParameterName4 = AFInAppEventParameterName(AppsFlyerProperties.ADDITIONAL_CUSTOM_DATA);
            if (AFInAppEventParameterName4 != null) {
                map.put("customData", AFInAppEventParameterName4);
            }
            try {
                String installerPackageName = context.getPackageManager().getInstallerPackageName(context.getPackageName());
                if (installerPackageName != null) {
                    map.put("installer_package", installerPackageName);
                }
            } catch (Exception e3) {
                AFLogger.afErrorLog("Exception while getting the app's installer package. ", e3);
            }
            String string2 = appsFlyerProperties2.getString(AppsFlyerProperties.EXTENSION);
            if (string2 != null && string2.length() > 0) {
                map.put(AppsFlyerProperties.EXTENSION, string2);
            }
            String values5 = values(context);
            String valueOf2 = valueOf(AFInAppEventParameterName(context), values5);
            if ((valueOf2 != null && !valueOf2.equals(values5)) || (valueOf2 == null && values5 != null)) {
                map.put("af_latestchannel", values5);
            }
            String afErrorLogForExcManagerOnly3 = afErrorLogForExcManagerOnly(context);
            if (afErrorLogForExcManagerOnly3 != null) {
                map.put("af_installstore", afErrorLogForExcManagerOnly3.toLowerCase());
            }
            String AFVersionDeclaration2 = AFVersionDeclaration(context);
            if (AFVersionDeclaration2 != null) {
                map.put("af_preinstall_name", AFVersionDeclaration2.toLowerCase());
            }
            String afWarnLog2 = afWarnLog(context);
            if (afWarnLog2 != null) {
                map.put("af_currentstore", afWarnLog2.toLowerCase());
            }
            if (str5 != null && str5.length() > 0) {
                map.put("appsflyerKey", str5);
            } else {
                String str8 = this.onValidateInAppFailure.AFLogger$LogLevel().AFInAppEventType;
                if (str8 != null && str8.length() > 0) {
                    map.put("appsflyerKey", str8);
                } else {
                    AFLogger.afInfoLog("AppsFlyer dev key is missing!!! Please use  AppsFlyerLib.getInstance().setAppsFlyerKey(...) to set it. ");
                    AFLogger.afInfoLog("AppsFlyer will not track this event.");
                    return null;
                }
            }
            Object AFKeystoreWrapper3 = AFKeystoreWrapper();
            if (AFKeystoreWrapper3 != null) {
                map.put("appUserId", AFKeystoreWrapper3);
            }
            Object string3 = appsFlyerProperties2.getString(AppsFlyerProperties.USER_EMAILS);
            if (string3 != null) {
                map.put("user_emails", string3);
            } else {
                String AFInAppEventParameterName5 = AFInAppEventParameterName(AppsFlyerProperties.USER_EMAIL);
                if (AFInAppEventParameterName5 != null) {
                    map.put("sha1_el", AFb1vSDK.AFInAppEventType(AFInAppEventParameterName5));
                }
            }
            if (str6 != null) {
                map.put("eventName", str6);
                map.put("eventValue", jSONObject);
            }
            if (AFLogger() != null) {
                map.put(str2, AFInAppEventParameterName(str2));
            }
            String AFInAppEventParameterName6 = AFInAppEventParameterName(AppsFlyerProperties.CURRENCY_CODE);
            if (AFInAppEventParameterName6 != null) {
                if (AFInAppEventParameterName6.length() != 3) {
                    StringBuilder sb2 = new StringBuilder("WARNING: currency code should be 3 characters!!! '");
                    sb2.append(AFInAppEventParameterName6);
                    sb2.append("' is not a legal value.");
                    AFLogger.afWarnLog(sb2.toString());
                }
                map.put("currency", AFInAppEventParameterName6);
            }
            Object AFInAppEventParameterName7 = AFInAppEventParameterName(AppsFlyerProperties.IS_UPDATE);
            if (AFInAppEventParameterName7 != null) {
                map.put("isUpdate", AFInAppEventParameterName7);
            }
            map.put("af_preinstalled", Boolean.toString(isPreInstalledApp(context)));
            if (appsFlyerProperties2.getBoolean(AppsFlyerProperties.COLLECT_FACEBOOK_ATTR_ID, true)) {
                try {
                } catch (PackageManager.NameNotFoundException e4) {
                    str3 = str;
                    nameNotFoundException = e4;
                }
                try {
                    context.getPackageManager().getApplicationInfo("com.facebook.katana", 0);
                    str4 = getAttributionId(context);
                } catch (PackageManager.NameNotFoundException e5) {
                    nameNotFoundException = e5;
                    str3 = str;
                    AFLogger.afErrorLogForExcManagerOnly("com.facebook.katana not found", nameNotFoundException, true);
                    AFLogger.afWarnLog(str3);
                    str4 = null;
                    if (str4 != null) {
                    }
                    AFInAppEventParameterName(context, map);
                    AFInAppEventType2 = AFb1sSDK.AFInAppEventType(new WeakReference(context));
                    if (AFInAppEventType2 != null) {
                    }
                    map.put("lang", Locale.getDefault().getDisplayLanguage());
                    map.put("lang_code", Locale.getDefault().getLanguage());
                    map.put("country", Locale.getDefault().getCountry());
                    map.put("platformextension", this.onResponseErrorNative.values());
                    values(context, map);
                    simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd_HHmmssZ", Locale.US);
                    z = values3;
                    try {
                        map.put("installDate", values(simpleDateFormat, context.getPackageManager().getPackageInfo(context.getPackageName(), 0).firstInstallTime));
                    } catch (Exception e6) {
                        e = e6;
                        AFLogger.afErrorLog("Exception while collecting install date. ", e);
                        packageInfo = context.getPackageManager().getPackageInfo(context.getPackageName(), 0);
                        if (packageInfo.versionCode > AFKeystoreWrapper2.getInt("versionCode", 0)) {
                        }
                        map.put("app_version_code", Integer.toString(packageInfo.versionCode));
                        map.put("app_version_name", packageInfo.versionName);
                        long j2 = packageInfo.firstInstallTime;
                        long j3 = packageInfo.lastUpdateTime;
                        aFb1fSDK = aFb1fSDK2;
                        appsFlyerProperties = appsFlyerProperties2;
                        try {
                            map.put("date1", new SimpleDateFormat("yyyy-MM-dd_HHmmssZ", Locale.US).format(new Date(j2)));
                            map.put("date2", new SimpleDateFormat("yyyy-MM-dd_HHmmssZ", Locale.US).format(new Date(j3)));
                            Object values6 = values(simpleDateFormat, context);
                            Object[] objArr4 = new Object[1];
                            AFKeystoreWrapper((byte) (TextUtils.lastIndexOf(BuildConfig.FLAVOR, '0', 0) + 127), "\u0004\u0000\u0001\u0005\u000b\u0011\r\u0010\u0013\u0018\r\u0003\f\r㙽", 14 - TextUtils.lastIndexOf(BuildConfig.FLAVOR, '0'), objArr4);
                            map.put(((String) objArr4[0]).intern(), values6);
                        } catch (Throwable th2) {
                            th = th2;
                            th = th;
                            AFLogger.afErrorLog("Exception while collecting app version data ", th, true);
                            this.onAttributionFailureNative = AFd1dSDK.AFInAppEventType(context);
                            StringBuilder sb3 = new StringBuilder("didConfigureTokenRefreshService=");
                            sb3.append(this.onAttributionFailureNative);
                            AFLogger.afDebugLog(sb3.toString());
                            if (!this.onAttributionFailureNative) {
                            }
                            if (z) {
                            }
                            if (!z) {
                            }
                            if (AFInAppEventParameterName("advertiserId") == null) {
                            }
                            values2 = AFb1ySDK.values(context.getContentResolver());
                            if (values2 != null) {
                            }
                            map.put("registeredUninstall", Boolean.valueOf(AFd1dSDK.valueOf(AFKeystoreWrapper2)));
                            int AFInAppEventParameterName8 = AFInAppEventParameterName(AFKeystoreWrapper2, z);
                            map.put("counter", Integer.toString(AFInAppEventParameterName8));
                            map.put("iaecounter", Integer.toString(AFInAppEventType(AFKeystoreWrapper2, str6 == null)));
                            if (z) {
                            }
                            map.put("isFirstCall", Boolean.toString(AFInAppEventType(AFKeystoreWrapper2)));
                            values(context, z, map, AFInAppEventParameterName8);
                            new AFb1vSDK();
                            map.put("af_v", AFb1vSDK.AFInAppEventType(map));
                            new AFb1vSDK();
                            map.put("af_v2", AFb1vSDK.values(map));
                            map.put("ivc", Boolean.valueOf(onInstallConversionFailureNative(context)));
                            if (AFKeystoreWrapper2.contains("is_stop_tracking_used")) {
                            }
                            HashMap hashMap = new HashMap();
                            hashMap.put("mcc", Integer.valueOf(context.getResources().getConfiguration().mcc));
                            hashMap.put("mnc", Integer.valueOf(context.getResources().getConfiguration().mnc));
                            map.put("cell", hashMap);
                            AFb1fSDK aFb1fSDK3 = aFb1fSDK;
                            map.put("sig", AFb1wSDK.values(aFb1fSDK3.AFKeystoreWrapper.getPackageManager(), aFb1fSDK3.AFKeystoreWrapper.getPackageName()));
                            map.put("last_boot_time", Long.valueOf(System.currentTimeMillis() - SystemClock.elapsedRealtime()));
                            StatFs statFs = new StatFs(Environment.getDataDirectory().getAbsolutePath());
                            if (Build.VERSION.SDK_INT < 18) {
                            }
                            double pow = Math.pow(2.0d, 20.0d);
                            StringBuilder sb4 = new StringBuilder();
                            sb4.append((long) (availableBlocks / pow));
                            sb4.append("/");
                            sb4.append((long) (blockCount / pow));
                            map.put("disk", sb4.toString());
                            aFa1dSDK = this.afErrorLog;
                            if (aFa1dSDK != null) {
                            }
                            return map;
                        }
                        this.onAttributionFailureNative = AFd1dSDK.AFInAppEventType(context);
                        StringBuilder sb32 = new StringBuilder("didConfigureTokenRefreshService=");
                        sb32.append(this.onAttributionFailureNative);
                        AFLogger.afDebugLog(sb32.toString());
                        if (!this.onAttributionFailureNative) {
                        }
                        if (z) {
                        }
                        if (!z) {
                        }
                        if (AFInAppEventParameterName("advertiserId") == null) {
                        }
                        values2 = AFb1ySDK.values(context.getContentResolver());
                        if (values2 != null) {
                        }
                        map.put("registeredUninstall", Boolean.valueOf(AFd1dSDK.valueOf(AFKeystoreWrapper2)));
                        int AFInAppEventParameterName82 = AFInAppEventParameterName(AFKeystoreWrapper2, z);
                        map.put("counter", Integer.toString(AFInAppEventParameterName82));
                        map.put("iaecounter", Integer.toString(AFInAppEventType(AFKeystoreWrapper2, str6 == null)));
                        if (z) {
                            appsFlyerProperties.AFKeystoreWrapper = true;
                        }
                        map.put("isFirstCall", Boolean.toString(AFInAppEventType(AFKeystoreWrapper2)));
                        values(context, z, map, AFInAppEventParameterName82);
                        new AFb1vSDK();
                        map.put("af_v", AFb1vSDK.AFInAppEventType(map));
                        new AFb1vSDK();
                        map.put("af_v2", AFb1vSDK.values(map));
                        map.put("ivc", Boolean.valueOf(onInstallConversionFailureNative(context)));
                        if (AFKeystoreWrapper2.contains("is_stop_tracking_used")) {
                        }
                        HashMap hashMap2 = new HashMap();
                        hashMap2.put("mcc", Integer.valueOf(context.getResources().getConfiguration().mcc));
                        hashMap2.put("mnc", Integer.valueOf(context.getResources().getConfiguration().mnc));
                        map.put("cell", hashMap2);
                        AFb1fSDK aFb1fSDK32 = aFb1fSDK;
                        map.put("sig", AFb1wSDK.values(aFb1fSDK32.AFKeystoreWrapper.getPackageManager(), aFb1fSDK32.AFKeystoreWrapper.getPackageName()));
                        map.put("last_boot_time", Long.valueOf(System.currentTimeMillis() - SystemClock.elapsedRealtime()));
                        StatFs statFs2 = new StatFs(Environment.getDataDirectory().getAbsolutePath());
                        if (Build.VERSION.SDK_INT < 18) {
                        }
                        double pow2 = Math.pow(2.0d, 20.0d);
                        StringBuilder sb42 = new StringBuilder();
                        sb42.append((long) (availableBlocks / pow2));
                        sb42.append("/");
                        sb42.append((long) (blockCount / pow2));
                        map.put("disk", sb42.toString());
                        aFa1dSDK = this.afErrorLog;
                        if (aFa1dSDK != null) {
                            map.put("sharing_filter", obj2);
                        }
                        return map;
                    }
                    packageInfo = context.getPackageManager().getPackageInfo(context.getPackageName(), 0);
                    if (packageInfo.versionCode > AFKeystoreWrapper2.getInt("versionCode", 0)) {
                    }
                    map.put("app_version_code", Integer.toString(packageInfo.versionCode));
                    map.put("app_version_name", packageInfo.versionName);
                    long j22 = packageInfo.firstInstallTime;
                    long j32 = packageInfo.lastUpdateTime;
                    aFb1fSDK = aFb1fSDK2;
                    try {
                        appsFlyerProperties = appsFlyerProperties2;
                        map.put("date1", new SimpleDateFormat("yyyy-MM-dd_HHmmssZ", Locale.US).format(new Date(j22)));
                        map.put("date2", new SimpleDateFormat("yyyy-MM-dd_HHmmssZ", Locale.US).format(new Date(j32)));
                        Object values62 = values(simpleDateFormat, context);
                        Object[] objArr42 = new Object[1];
                        AFKeystoreWrapper((byte) (TextUtils.lastIndexOf(BuildConfig.FLAVOR, '0', 0) + 127), "\u0004\u0000\u0001\u0005\u000b\u0011\r\u0010\u0013\u0018\r\u0003\f\r㙽", 14 - TextUtils.lastIndexOf(BuildConfig.FLAVOR, '0'), objArr42);
                        map.put(((String) objArr42[0]).intern(), values62);
                    } catch (Throwable th3) {
                        th = th3;
                        appsFlyerProperties = appsFlyerProperties2;
                        th = th;
                        AFLogger.afErrorLog("Exception while collecting app version data ", th, true);
                        this.onAttributionFailureNative = AFd1dSDK.AFInAppEventType(context);
                        StringBuilder sb322 = new StringBuilder("didConfigureTokenRefreshService=");
                        sb322.append(this.onAttributionFailureNative);
                        AFLogger.afDebugLog(sb322.toString());
                        if (!this.onAttributionFailureNative) {
                        }
                        if (z) {
                        }
                        if (!z) {
                        }
                        if (AFInAppEventParameterName("advertiserId") == null) {
                        }
                        values2 = AFb1ySDK.values(context.getContentResolver());
                        if (values2 != null) {
                        }
                        map.put("registeredUninstall", Boolean.valueOf(AFd1dSDK.valueOf(AFKeystoreWrapper2)));
                        int AFInAppEventParameterName822 = AFInAppEventParameterName(AFKeystoreWrapper2, z);
                        map.put("counter", Integer.toString(AFInAppEventParameterName822));
                        map.put("iaecounter", Integer.toString(AFInAppEventType(AFKeystoreWrapper2, str6 == null)));
                        if (z) {
                        }
                        map.put("isFirstCall", Boolean.toString(AFInAppEventType(AFKeystoreWrapper2)));
                        values(context, z, map, AFInAppEventParameterName822);
                        new AFb1vSDK();
                        map.put("af_v", AFb1vSDK.AFInAppEventType(map));
                        new AFb1vSDK();
                        map.put("af_v2", AFb1vSDK.values(map));
                        map.put("ivc", Boolean.valueOf(onInstallConversionFailureNative(context)));
                        if (AFKeystoreWrapper2.contains("is_stop_tracking_used")) {
                        }
                        HashMap hashMap22 = new HashMap();
                        hashMap22.put("mcc", Integer.valueOf(context.getResources().getConfiguration().mcc));
                        hashMap22.put("mnc", Integer.valueOf(context.getResources().getConfiguration().mnc));
                        map.put("cell", hashMap22);
                        AFb1fSDK aFb1fSDK322 = aFb1fSDK;
                        map.put("sig", AFb1wSDK.values(aFb1fSDK322.AFKeystoreWrapper.getPackageManager(), aFb1fSDK322.AFKeystoreWrapper.getPackageName()));
                        map.put("last_boot_time", Long.valueOf(System.currentTimeMillis() - SystemClock.elapsedRealtime()));
                        StatFs statFs22 = new StatFs(Environment.getDataDirectory().getAbsolutePath());
                        if (Build.VERSION.SDK_INT < 18) {
                        }
                        double pow22 = Math.pow(2.0d, 20.0d);
                        StringBuilder sb422 = new StringBuilder();
                        sb422.append((long) (availableBlocks / pow22));
                        sb422.append("/");
                        sb422.append((long) (blockCount / pow22));
                        map.put("disk", sb422.toString());
                        aFa1dSDK = this.afErrorLog;
                        if (aFa1dSDK != null) {
                        }
                        return map;
                    }
                    this.onAttributionFailureNative = AFd1dSDK.AFInAppEventType(context);
                    StringBuilder sb3222 = new StringBuilder("didConfigureTokenRefreshService=");
                    sb3222.append(this.onAttributionFailureNative);
                    AFLogger.afDebugLog(sb3222.toString());
                    if (!this.onAttributionFailureNative) {
                    }
                    if (z) {
                    }
                    if (!z) {
                    }
                    if (AFInAppEventParameterName("advertiserId") == null) {
                    }
                    values2 = AFb1ySDK.values(context.getContentResolver());
                    if (values2 != null) {
                    }
                    map.put("registeredUninstall", Boolean.valueOf(AFd1dSDK.valueOf(AFKeystoreWrapper2)));
                    int AFInAppEventParameterName8222 = AFInAppEventParameterName(AFKeystoreWrapper2, z);
                    map.put("counter", Integer.toString(AFInAppEventParameterName8222));
                    map.put("iaecounter", Integer.toString(AFInAppEventType(AFKeystoreWrapper2, str6 == null)));
                    if (z) {
                    }
                    map.put("isFirstCall", Boolean.toString(AFInAppEventType(AFKeystoreWrapper2)));
                    values(context, z, map, AFInAppEventParameterName8222);
                    new AFb1vSDK();
                    map.put("af_v", AFb1vSDK.AFInAppEventType(map));
                    new AFb1vSDK();
                    map.put("af_v2", AFb1vSDK.values(map));
                    map.put("ivc", Boolean.valueOf(onInstallConversionFailureNative(context)));
                    if (AFKeystoreWrapper2.contains("is_stop_tracking_used")) {
                    }
                    HashMap hashMap222 = new HashMap();
                    hashMap222.put("mcc", Integer.valueOf(context.getResources().getConfiguration().mcc));
                    hashMap222.put("mnc", Integer.valueOf(context.getResources().getConfiguration().mnc));
                    map.put("cell", hashMap222);
                    AFb1fSDK aFb1fSDK3222 = aFb1fSDK;
                    map.put("sig", AFb1wSDK.values(aFb1fSDK3222.AFKeystoreWrapper.getPackageManager(), aFb1fSDK3222.AFKeystoreWrapper.getPackageName()));
                    map.put("last_boot_time", Long.valueOf(System.currentTimeMillis() - SystemClock.elapsedRealtime()));
                    StatFs statFs222 = new StatFs(Environment.getDataDirectory().getAbsolutePath());
                    if (Build.VERSION.SDK_INT < 18) {
                    }
                    double pow222 = Math.pow(2.0d, 20.0d);
                    StringBuilder sb4222 = new StringBuilder();
                    sb4222.append((long) (availableBlocks / pow222));
                    sb4222.append("/");
                    sb4222.append((long) (blockCount / pow222));
                    map.put("disk", sb4222.toString());
                    aFa1dSDK = this.afErrorLog;
                    if (aFa1dSDK != null) {
                    }
                    return map;
                }
                if (str4 != null) {
                    map.put("fb", str4);
                }
            }
            AFInAppEventParameterName(context, map);
            try {
                AFInAppEventType2 = AFb1sSDK.AFInAppEventType(new WeakReference(context));
                if (AFInAppEventType2 != null) {
                    map.put("uid", AFInAppEventType2);
                }
            } catch (Exception e7) {
                StringBuilder sb5 = new StringBuilder("ERROR: could not get uid ");
                sb5.append(e7.getMessage());
                AFLogger.afErrorLog(sb5.toString(), e7);
            }
            try {
                map.put("lang", Locale.getDefault().getDisplayLanguage());
            } catch (Exception e8) {
                AFLogger.afErrorLog("Exception while collecting display language name. ", e8);
            }
            try {
                map.put("lang_code", Locale.getDefault().getLanguage());
            } catch (Exception e9) {
                AFLogger.afErrorLog("Exception while collecting display language code. ", e9);
            }
            try {
                map.put("country", Locale.getDefault().getCountry());
            } catch (Exception e10) {
                AFLogger.afErrorLog("Exception while collecting country name. ", e10);
            }
            map.put("platformextension", this.onResponseErrorNative.values());
            values(context, map);
            simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd_HHmmssZ", Locale.US);
            try {
                z = values3;
                map.put("installDate", values(simpleDateFormat, context.getPackageManager().getPackageInfo(context.getPackageName(), 0).firstInstallTime));
            } catch (Exception e11) {
                e = e11;
                z = values3;
            }
            try {
                packageInfo = context.getPackageManager().getPackageInfo(context.getPackageName(), 0);
                if (packageInfo.versionCode > AFKeystoreWrapper2.getInt("versionCode", 0)) {
                    try {
                        AFInAppEventParameterName(context).AFKeystoreWrapper("versionCode", packageInfo.versionCode);
                    } catch (Throwable th4) {
                        th = th4;
                        appsFlyerProperties = appsFlyerProperties2;
                        aFb1fSDK = aFb1fSDK2;
                        AFLogger.afErrorLog("Exception while collecting app version data ", th, true);
                        this.onAttributionFailureNative = AFd1dSDK.AFInAppEventType(context);
                        StringBuilder sb32222 = new StringBuilder("didConfigureTokenRefreshService=");
                        sb32222.append(this.onAttributionFailureNative);
                        AFLogger.afDebugLog(sb32222.toString());
                        if (!this.onAttributionFailureNative) {
                        }
                        if (z) {
                        }
                        if (!z) {
                        }
                        if (AFInAppEventParameterName("advertiserId") == null) {
                        }
                        values2 = AFb1ySDK.values(context.getContentResolver());
                        if (values2 != null) {
                        }
                        map.put("registeredUninstall", Boolean.valueOf(AFd1dSDK.valueOf(AFKeystoreWrapper2)));
                        int AFInAppEventParameterName82222 = AFInAppEventParameterName(AFKeystoreWrapper2, z);
                        map.put("counter", Integer.toString(AFInAppEventParameterName82222));
                        map.put("iaecounter", Integer.toString(AFInAppEventType(AFKeystoreWrapper2, str6 == null)));
                        if (z) {
                        }
                        map.put("isFirstCall", Boolean.toString(AFInAppEventType(AFKeystoreWrapper2)));
                        values(context, z, map, AFInAppEventParameterName82222);
                        new AFb1vSDK();
                        map.put("af_v", AFb1vSDK.AFInAppEventType(map));
                        new AFb1vSDK();
                        map.put("af_v2", AFb1vSDK.values(map));
                        map.put("ivc", Boolean.valueOf(onInstallConversionFailureNative(context)));
                        if (AFKeystoreWrapper2.contains("is_stop_tracking_used")) {
                        }
                        HashMap hashMap2222 = new HashMap();
                        hashMap2222.put("mcc", Integer.valueOf(context.getResources().getConfiguration().mcc));
                        hashMap2222.put("mnc", Integer.valueOf(context.getResources().getConfiguration().mnc));
                        map.put("cell", hashMap2222);
                        AFb1fSDK aFb1fSDK32222 = aFb1fSDK;
                        map.put("sig", AFb1wSDK.values(aFb1fSDK32222.AFKeystoreWrapper.getPackageManager(), aFb1fSDK32222.AFKeystoreWrapper.getPackageName()));
                        map.put("last_boot_time", Long.valueOf(System.currentTimeMillis() - SystemClock.elapsedRealtime()));
                        StatFs statFs2222 = new StatFs(Environment.getDataDirectory().getAbsolutePath());
                        if (Build.VERSION.SDK_INT < 18) {
                        }
                        double pow2222 = Math.pow(2.0d, 20.0d);
                        StringBuilder sb42222 = new StringBuilder();
                        sb42222.append((long) (availableBlocks / pow2222));
                        sb42222.append("/");
                        sb42222.append((long) (blockCount / pow2222));
                        map.put("disk", sb42222.toString());
                        aFa1dSDK = this.afErrorLog;
                        if (aFa1dSDK != null) {
                        }
                        return map;
                    }
                }
                map.put("app_version_code", Integer.toString(packageInfo.versionCode));
                map.put("app_version_name", packageInfo.versionName);
                try {
                    long j222 = packageInfo.firstInstallTime;
                    long j322 = packageInfo.lastUpdateTime;
                    aFb1fSDK = aFb1fSDK2;
                    appsFlyerProperties = appsFlyerProperties2;
                    map.put("date1", new SimpleDateFormat("yyyy-MM-dd_HHmmssZ", Locale.US).format(new Date(j222)));
                    map.put("date2", new SimpleDateFormat("yyyy-MM-dd_HHmmssZ", Locale.US).format(new Date(j322)));
                    Object values622 = values(simpleDateFormat, context);
                    Object[] objArr422 = new Object[1];
                    AFKeystoreWrapper((byte) (TextUtils.lastIndexOf(BuildConfig.FLAVOR, '0', 0) + 127), "\u0004\u0000\u0001\u0005\u000b\u0011\r\u0010\u0013\u0018\r\u0003\f\r㙽", 14 - TextUtils.lastIndexOf(BuildConfig.FLAVOR, '0'), objArr422);
                    map.put(((String) objArr422[0]).intern(), values622);
                } catch (Throwable th5) {
                    th = th5;
                    aFb1fSDK = aFb1fSDK2;
                }
            } catch (Throwable th6) {
                th = th6;
                appsFlyerProperties = appsFlyerProperties2;
                aFb1fSDK = aFb1fSDK2;
            }
            this.onAttributionFailureNative = AFd1dSDK.AFInAppEventType(context);
            StringBuilder sb322222 = new StringBuilder("didConfigureTokenRefreshService=");
            sb322222.append(this.onAttributionFailureNative);
            AFLogger.afDebugLog(sb322222.toString());
            if (!this.onAttributionFailureNative) {
                map.put("tokenRefreshConfigured", Boolean.FALSE);
            }
            if (z) {
                if (this.init != null) {
                    if (map.get("af_deeplink") != null) {
                        AFLogger.afDebugLog("Skip 'af' payload as deeplink was found by path");
                    } else {
                        JSONObject jSONObject2 = new JSONObject(this.init);
                        jSONObject2.put("isPush", "true");
                        map.put("af_deeplink", jSONObject2.toString());
                    }
                }
                this.init = null;
                map.put("open_referrer", obj);
            }
            if (!z) {
                try {
                    AFa1cSDK AFInAppEventType4 = AFa1cSDK.AFInAppEventType(context);
                    Map<? extends String, ? extends Object> concurrentHashMap = new ConcurrentHashMap<>();
                    List<Map<String, Object>> valueOf3 = AFInAppEventType4.valueOf();
                    if (!valueOf3.isEmpty()) {
                        concurrentHashMap.put("sensors", new AFa1tSDK().valueOf(valueOf3));
                    } else {
                        concurrentHashMap.put("sensors", "na");
                    }
                    map.putAll(concurrentHashMap);
                } catch (Exception e12) {
                    AFLogger.afErrorLogForExcManagerOnly("error while getting sensors data", e12);
                    StringBuilder sb6 = new StringBuilder("Unexpected exception from AFSensorManager: ");
                    sb6.append(e12.getMessage());
                    AFLogger.afRDLog(sb6.toString());
                }
            }
            if (AFInAppEventParameterName("advertiserId") == null) {
                AFb1ySDK.values(context, map);
                map.put("GAID_retry", String.valueOf(AFInAppEventParameterName("advertiserId") != null));
            }
            values2 = AFb1ySDK.values(context.getContentResolver());
            if (values2 != null) {
                map.put("amazon_aid", values2.AFKeystoreWrapper);
                map.put("amazon_aid_limit", String.valueOf(values2.values));
            }
            map.put("registeredUninstall", Boolean.valueOf(AFd1dSDK.valueOf(AFKeystoreWrapper2)));
            int AFInAppEventParameterName822222 = AFInAppEventParameterName(AFKeystoreWrapper2, z);
            map.put("counter", Integer.toString(AFInAppEventParameterName822222));
            map.put("iaecounter", Integer.toString(AFInAppEventType(AFKeystoreWrapper2, str6 == null)));
            if (z && AFInAppEventParameterName822222 == 1) {
                appsFlyerProperties.AFKeystoreWrapper = true;
            }
            map.put("isFirstCall", Boolean.toString(AFInAppEventType(AFKeystoreWrapper2)));
            values(context, z, map, AFInAppEventParameterName822222);
            new AFb1vSDK();
            map.put("af_v", AFb1vSDK.AFInAppEventType(map));
            new AFb1vSDK();
            map.put("af_v2", AFb1vSDK.values(map));
            map.put("ivc", Boolean.valueOf(onInstallConversionFailureNative(context)));
            if (AFKeystoreWrapper2.contains("is_stop_tracking_used")) {
                map.put("istu", String.valueOf(AFKeystoreWrapper2.getBoolean("is_stop_tracking_used", false)));
            }
            HashMap hashMap22222 = new HashMap();
            hashMap22222.put("mcc", Integer.valueOf(context.getResources().getConfiguration().mcc));
            hashMap22222.put("mnc", Integer.valueOf(context.getResources().getConfiguration().mnc));
            map.put("cell", hashMap22222);
            AFb1fSDK aFb1fSDK322222 = aFb1fSDK;
            map.put("sig", AFb1wSDK.values(aFb1fSDK322222.AFKeystoreWrapper.getPackageManager(), aFb1fSDK322222.AFKeystoreWrapper.getPackageName()));
            map.put("last_boot_time", Long.valueOf(System.currentTimeMillis() - SystemClock.elapsedRealtime()));
            StatFs statFs22222 = new StatFs(Environment.getDataDirectory().getAbsolutePath());
            if (Build.VERSION.SDK_INT < 18) {
                long blockSizeLong = statFs22222.getBlockSizeLong();
                availableBlocks = statFs22222.getAvailableBlocksLong() * blockSizeLong;
                blockCount = statFs22222.getBlockCountLong() * blockSizeLong;
            } else {
                int blockSize = statFs22222.getBlockSize();
                availableBlocks = statFs22222.getAvailableBlocks() * blockSize;
                blockCount = statFs22222.getBlockCount() * blockSize;
            }
            double pow22222 = Math.pow(2.0d, 20.0d);
            StringBuilder sb422222 = new StringBuilder();
            sb422222.append((long) (availableBlocks / pow22222));
            sb422222.append("/");
            sb422222.append((long) (blockCount / pow22222));
            map.put("disk", sb422222.toString());
            aFa1dSDK = this.afErrorLog;
            if (aFa1dSDK != null && (obj2 = aFa1dSDK.AFInAppEventType) != null) {
                map.put("sharing_filter", obj2);
            }
        } catch (Throwable th7) {
            AFLogger.afErrorLog(th7.getLocalizedMessage(), th7, true);
        }
        return map;
    }

    private static void valueOf(Map<String, Object> map, AFe1vSDK aFe1vSDK) {
        HashMap hashMap = new HashMap(aFe1vSDK.values);
        aFe1vSDK.values.clear();
        aFe1vSDK.AFKeystoreWrapper.AFInAppEventParameterName("gcd");
        if (!hashMap.isEmpty()) {
            int i = AppsFlyerConversionListener + 69;
            onResponseError = i % 128;
            if (!(i % 2 == 0)) {
                AFInAppEventType(map).put("gcd", hashMap);
                Object[] objArr = null;
                int length = objArr.length;
            } else {
                AFInAppEventType(map).put("gcd", hashMap);
            }
        }
        int i2 = onResponseError + 67;
        AppsFlyerConversionListener = i2 % 128;
        int i3 = i2 % 2;
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x0022, code lost:
        if (r0 != false) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0024, code lost:
        r0 = com.appsflyer.internal.AFb1zSDK.onResponseError + 3;
        com.appsflyer.internal.AFb1zSDK.AppsFlyerConversionListener = r0 % 128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x002e, code lost:
        if ((r0 % 2) != 0) goto L22;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0030, code lost:
        r0 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0032, code lost:
        r0 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0033, code lost:
        if (r0 == true) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0037, code lost:
        r0 = 23 / 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0038, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x003b, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x003c, code lost:
        r0 = valueOf();
        r1 = r0.afDebugLog();
        r1.valueOf.execute(new com.appsflyer.internal.AFc1gSDK.AnonymousClass1(r1, new com.appsflyer.internal.AFd1wSDK(r0)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0053, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0017, code lost:
        if (com.appsflyer.internal.AFd1wSDK.AFLogger() != false) goto L10;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void afInfoLog() {
        int i = AppsFlyerConversionListener + 103;
        onResponseError = i % 128;
        if (!(i % 2 == 0)) {
            boolean AFLogger2 = AFd1wSDK.AFLogger();
            Object obj = null;
            super.hashCode();
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:25:0x0050, code lost:
        if ((r5 != null ? ']' : '6') != ']') goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0058, code lost:
        if (r5 != null) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x005a, code lost:
        r0.valueOf = r5.getApplicationContext();
     */
    @Override // com.appsflyer.AppsFlyerLib
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final String getAppsFlyerUID(Context context) {
        AFc1xSDK aFc1xSDK;
        int i = onResponseError + 23;
        AppsFlyerConversionListener = i % 128;
        int i2 = i % 2;
        AFb1nSDK.AFInAppEventType().values("getAppsFlyerUID", new String[0]);
        if (context == null) {
            int i3 = onResponseError + 7;
            AppsFlyerConversionListener = i3 % 128;
            Object[] objArr = null;
            if (i3 % 2 == 0) {
                int length = objArr.length;
                return null;
            }
            return null;
        }
        AFc1zSDK aFc1zSDK = this.onValidateInAppFailure;
        if (context != null) {
            int i4 = onResponseError + 27;
            AppsFlyerConversionListener = i4 % 128;
            if ((i4 % 2 == 0 ? (char) 0 : 'O') != 0) {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
            } else {
                aFc1xSDK = aFc1zSDK.AFInAppEventType;
                int i5 = 11 / 0;
            }
        }
        return AFb1sSDK.AFInAppEventType(new WeakReference(this.onValidateInAppFailure.values().AFInAppEventParameterName.valueOf));
    }

    /* JADX WARN: Code restructure failed: missing block: B:0:?, code lost:
        r11 = r11;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static void AFKeystoreWrapper(byte b, String str, int i, Object[] objArr) {
        char[] cArr;
        int i2;
        String str2;
        if (str != null) {
            cArr = str.toCharArray();
        }
        char[] cArr2 = cArr;
        synchronized (AFf1iSDK.afErrorLog) {
            char[] cArr3 = onValidateInApp;
            char c = AppsFlyerInAppPurchaseValidatorListener;
            char[] cArr4 = new char[i];
            if (i % 2 != 0) {
                i2 = i - 1;
                cArr4[i2] = (char) (cArr2[i2] - b);
            } else {
                i2 = i;
            }
            if (i2 > 1) {
                AFf1iSDK.valueOf = 0;
                while (AFf1iSDK.valueOf < i2) {
                    AFf1iSDK.AFInAppEventParameterName = cArr2[AFf1iSDK.valueOf];
                    AFf1iSDK.values = cArr2[AFf1iSDK.valueOf + 1];
                    if (AFf1iSDK.AFInAppEventParameterName == AFf1iSDK.values) {
                        cArr4[AFf1iSDK.valueOf] = (char) (AFf1iSDK.AFInAppEventParameterName - b);
                        cArr4[AFf1iSDK.valueOf + 1] = (char) (AFf1iSDK.values - b);
                    } else {
                        AFf1iSDK.AFKeystoreWrapper = AFf1iSDK.AFInAppEventParameterName / c;
                        AFf1iSDK.afDebugLog = AFf1iSDK.AFInAppEventParameterName % c;
                        AFf1iSDK.AFInAppEventType = AFf1iSDK.values / c;
                        AFf1iSDK.afInfoLog = AFf1iSDK.values % c;
                        if (AFf1iSDK.afDebugLog == AFf1iSDK.afInfoLog) {
                            AFf1iSDK.AFKeystoreWrapper = ((AFf1iSDK.AFKeystoreWrapper + c) - 1) % c;
                            AFf1iSDK.AFInAppEventType = ((AFf1iSDK.AFInAppEventType + c) - 1) % c;
                            int i3 = (AFf1iSDK.AFKeystoreWrapper * c) + AFf1iSDK.afDebugLog;
                            int i4 = (AFf1iSDK.AFInAppEventType * c) + AFf1iSDK.afInfoLog;
                            cArr4[AFf1iSDK.valueOf] = cArr3[i3];
                            cArr4[AFf1iSDK.valueOf + 1] = cArr3[i4];
                        } else if (AFf1iSDK.AFKeystoreWrapper == AFf1iSDK.AFInAppEventType) {
                            AFf1iSDK.afDebugLog = ((AFf1iSDK.afDebugLog + c) - 1) % c;
                            AFf1iSDK.afInfoLog = ((AFf1iSDK.afInfoLog + c) - 1) % c;
                            int i5 = (AFf1iSDK.AFKeystoreWrapper * c) + AFf1iSDK.afDebugLog;
                            int i6 = (AFf1iSDK.AFInAppEventType * c) + AFf1iSDK.afInfoLog;
                            cArr4[AFf1iSDK.valueOf] = cArr3[i5];
                            cArr4[AFf1iSDK.valueOf + 1] = cArr3[i6];
                        } else {
                            int i7 = (AFf1iSDK.AFKeystoreWrapper * c) + AFf1iSDK.afInfoLog;
                            int i8 = (AFf1iSDK.AFInAppEventType * c) + AFf1iSDK.afDebugLog;
                            cArr4[AFf1iSDK.valueOf] = cArr3[i7];
                            cArr4[AFf1iSDK.valueOf + 1] = cArr3[i8];
                        }
                    }
                    AFf1iSDK.valueOf += 2;
                }
            }
            for (int i9 = 0; i9 < i; i9++) {
                cArr4[i9] = (char) (cArr4[i9] ^ 13722);
            }
            str2 = new String(cArr4);
        }
        objArr[0] = str2;
    }
}
