package com.appsflyer.internal;

import android.os.Build;
import com.appsflyer.AppsFlyerProperties;
import com.appsflyer.PurchaseHandler;
import com.appsflyer.attribution.AppsFlyerRequestListener;
import com.appsflyer.internal.components.network.http.ResponseNetwork;
import java.lang.ref.WeakReference;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public abstract class AFc1cSDK extends AFd1vSDK<String> {
    private final AFd1mSDK AFLogger$LogLevel;
    private final Map<String, Object> AFVersionDeclaration;
    private final AFc1ySDK afDebugLog;
    private final PurchaseHandler.PurchaseValidationCallback getLevel;

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final boolean AFLogger() {
        return true;
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final AppsFlyerRequestListener afInfoLog() {
        return null;
    }

    public AFc1cSDK(AFc1fSDK aFc1fSDK, AFc1fSDK[] aFc1fSDKArr, AFb1aSDK aFb1aSDK, String str, Map<String, Object> map, PurchaseHandler.PurchaseValidationCallback purchaseValidationCallback) {
        super(aFc1fSDK, aFc1fSDKArr, aFb1aSDK, str);
        AFc1ySDK values = aFb1aSDK.values();
        this.afDebugLog = values;
        AFd1mSDK afInfoLog = aFb1aSDK.afInfoLog();
        this.AFLogger$LogLevel = afInfoLog;
        HashMap hashMap = new HashMap(new HashMap(map));
        hashMap.put("app_id", values.AFInAppEventParameterName.valueOf.getPackageName());
        String valueOf = AFc1ySDK.valueOf();
        if (valueOf != null) {
            hashMap.put("cuid", valueOf);
        }
        hashMap.put("app_version_name", AFb1wSDK.AFInAppEventType(values.AFInAppEventParameterName.valueOf, values.AFInAppEventParameterName.valueOf.getPackageName()));
        HashMap hashMap2 = new HashMap();
        AFa1rSDK values2 = AFb1ySDK.values(values.AFInAppEventParameterName.valueOf, new HashMap());
        String str2 = values2 != null ? values2.AFKeystoreWrapper : null;
        if (!AFb1qSDK.values(str2)) {
            hashMap2.put("advertising_id", str2);
        }
        AFa1rSDK values3 = AFb1ySDK.values(values.AFInAppEventParameterName.valueOf.getContentResolver());
        String str3 = values3 != null ? values3.AFKeystoreWrapper : null;
        if (!AFb1qSDK.values(str3)) {
            hashMap2.put("oaid", str3);
        }
        AFa1rSDK values4 = AFb1ySDK.values(values.AFInAppEventParameterName.valueOf.getContentResolver());
        String str4 = values4 != null ? values4.AFKeystoreWrapper : null;
        if (!AFb1qSDK.values(str4)) {
            hashMap2.put("amazon_aid", str4);
        }
        if (!AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.DEVICE_TRACKING_DISABLED, false)) {
            String AFInAppEventParameterName = ((AFd1vSDK) this).afRDLog.AFInAppEventParameterName(afInfoLog);
            if (!AFb1qSDK.values(AFInAppEventParameterName)) {
                hashMap2.put("imei", AFInAppEventParameterName);
            }
        }
        hashMap2.put("appsflyer_id", AFb1sSDK.AFInAppEventType(new WeakReference(values.AFInAppEventParameterName.valueOf)));
        StringBuilder sb = new StringBuilder();
        sb.append(Build.VERSION.SDK_INT);
        hashMap2.put("os_version", sb.toString());
        hashMap2.put("sdk_version", AFb1zSDK.values);
        hashMap.put("device_data", hashMap2);
        this.AFVersionDeclaration = hashMap;
        this.getLevel = purchaseValidationCallback;
    }

    @Override // com.appsflyer.internal.AFd1vSDK, com.appsflyer.internal.AFc1eSDK
    public final void AFInAppEventType() {
        PurchaseHandler.PurchaseValidationCallback purchaseValidationCallback;
        PurchaseHandler.PurchaseValidationCallback purchaseValidationCallback2;
        super.AFInAppEventType();
        Throwable afErrorLog = afErrorLog();
        if (afErrorLog != null && (purchaseValidationCallback2 = this.getLevel) != null) {
            purchaseValidationCallback2.onFailure(afErrorLog);
        }
        ResponseNetwork<String> responseNetwork = ((AFd1vSDK) this).AFLogger;
        if (responseNetwork == null || (purchaseValidationCallback = this.getLevel) == null) {
            return;
        }
        purchaseValidationCallback.onResponse(responseNetwork);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public final Map<String, Object> AFVersionDeclaration() {
        return this.AFVersionDeclaration;
    }
}
