package com.appsflyer.internal;

import com.appsflyer.internal.components.network.http.ResponseNetwork;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
/* loaded from: classes.dex */
public class AFc1iSDK<Body> implements ResponseNetwork<Body> {
    public final AFc1rSDK AFInAppEventParameterName;
    private final Body AFInAppEventType;
    final boolean AFKeystoreWrapper;
    final Map<String, List<String>> valueOf;
    final int values;

    public AFc1iSDK(Body body, int i, boolean z, Map<String, List<String>> map, AFc1rSDK aFc1rSDK) {
        this.AFInAppEventType = body;
        this.values = i;
        this.AFKeystoreWrapper = z;
        this.valueOf = new HashMap(map);
        this.AFInAppEventParameterName = aFc1rSDK;
    }

    @Override // com.appsflyer.internal.components.network.http.ResponseNetwork
    public Body getBody() {
        return this.AFInAppEventType;
    }

    @Override // com.appsflyer.internal.components.network.http.ResponseNetwork
    public int getStatusCode() {
        return this.values;
    }

    @Override // com.appsflyer.internal.components.network.http.ResponseNetwork
    public boolean isSuccessful() {
        return this.AFKeystoreWrapper;
    }

    @Override // com.appsflyer.internal.components.network.http.ResponseNetwork
    public List<String> getHeaderField(String str) {
        for (String str2 : this.valueOf.keySet()) {
            if (str2 != null && str2.equalsIgnoreCase(str)) {
                return this.valueOf.get(str2);
            }
        }
        return null;
    }

    public final String AFInAppEventParameterName(String str) {
        List<String> headerField = getHeaderField(str);
        if (headerField == null || headerField.isEmpty()) {
            return null;
        }
        Iterator<String> it = headerField.iterator();
        StringBuilder sb = new StringBuilder(it.next());
        while (it.hasNext()) {
            sb.append(", ");
            sb.append(it.next());
        }
        return sb.toString();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        AFc1iSDK aFc1iSDK = (AFc1iSDK) obj;
        if (this.values == aFc1iSDK.values && this.AFKeystoreWrapper == aFc1iSDK.AFKeystoreWrapper && this.AFInAppEventType.equals(aFc1iSDK.AFInAppEventType) && this.valueOf.equals(aFc1iSDK.valueOf)) {
            return this.AFInAppEventParameterName.equals(aFc1iSDK.AFInAppEventParameterName);
        }
        return false;
    }

    public int hashCode() {
        return (((((((this.AFInAppEventType.hashCode() * 31) + this.values) * 31) + (this.AFKeystoreWrapper ? 1 : 0)) * 31) + this.valueOf.hashCode()) * 31) + this.AFInAppEventParameterName.hashCode();
    }
}
