package com.appsflyer.internal;

import com.appsflyer.AFLogger;
import com.appsflyer.internal.components.network.http.exceptions.ParsingException;
import java.io.IOException;
import java.util.concurrent.atomic.AtomicBoolean;
import org.json.JSONException;
/* loaded from: classes.dex */
public final class AFc1uSDK<ResponseBody> {
    private final AtomicBoolean AFInAppEventType = new AtomicBoolean(false);
    public final AFb1wSDK AFKeystoreWrapper;
    private final AFc1pSDK valueOf;
    private final AFc1mSDK<ResponseBody> values;

    public AFc1uSDK(AFb1wSDK aFb1wSDK, AFc1pSDK aFc1pSDK, AFc1mSDK<ResponseBody> aFc1mSDK) {
        this.AFKeystoreWrapper = aFb1wSDK;
        this.valueOf = aFc1pSDK;
        this.values = aFc1mSDK;
    }

    public final AFc1iSDK<ResponseBody> AFInAppEventType() throws IOException {
        if (!this.AFInAppEventType.getAndSet(true)) {
            AFc1iSDK<String> AFInAppEventParameterName = this.valueOf.AFInAppEventParameterName(this.AFKeystoreWrapper);
            try {
                return new AFc1iSDK<>(this.values.AFKeystoreWrapper(AFInAppEventParameterName.getBody()), AFInAppEventParameterName.values, AFInAppEventParameterName.AFKeystoreWrapper, AFInAppEventParameterName.valueOf, AFInAppEventParameterName.AFInAppEventParameterName);
            } catch (JSONException e) {
                AFLogger.afErrorLogForExcManagerOnly("could not parse raw response - execute", e);
                throw new ParsingException(e.getMessage(), e, AFInAppEventParameterName);
            }
        }
        throw new IllegalStateException("Http call is already executed");
    }
}
