package com.appsflyer.internal;

import com.appsflyer.AFInAppEventParameterName;
import com.appsflyer.AFLogger;
import com.appsflyer.attribution.AppsFlyerRequestListener;
import com.appsflyer.internal.components.network.http.ResponseNetwork;
import com.appsflyer.unity.BuildConfig;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import org.json.JSONObject;
/* loaded from: classes.dex */
public final class AFd1aSDK extends AFd1vSDK<Map<String, Object>> {
    private static final List<String> afDebugLog = Arrays.asList("googleplay", "playstore", "googleplaystore");
    private Map<String, Object> AFLogger$LogLevel;
    private final AFc1vSDK AFVersionDeclaration;
    private final AFe1vSDK afErrorLogForExcManagerOnly;
    private final AFc1ySDK afWarnLog;
    private final AFd1mSDK getLevel;
    private String onInstallConversionDataLoadedNative;

    @Override // com.appsflyer.internal.AFd1vSDK
    public final boolean AFLogger() {
        return false;
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    public final AppsFlyerRequestListener afInfoLog() {
        return null;
    }

    @Override // com.appsflyer.internal.AFd1vSDK, com.appsflyer.internal.AFc1eSDK
    public final boolean valueOf() {
        return false;
    }

    public AFd1aSDK(AFb1aSDK aFb1aSDK) {
        super(AFc1fSDK.GCDSDK, new AFc1fSDK[]{AFc1fSDK.RC_CDN}, aFb1aSDK, "GCD-FETCH");
        this.AFVersionDeclaration = aFb1aSDK.valueOf();
        this.getLevel = aFb1aSDK.afInfoLog();
        this.afErrorLogForExcManagerOnly = aFb1aSDK.AFLogger();
        this.afWarnLog = aFb1aSDK.values();
        this.AFInAppEventType.add(AFc1fSDK.CONVERSION);
        this.AFInAppEventType.add(AFc1fSDK.LAUNCH);
    }

    @Override // com.appsflyer.internal.AFd1vSDK, com.appsflyer.internal.AFc1eSDK
    public final void AFInAppEventType() {
        super.AFInAppEventType();
        Map<String, Object> map = this.AFLogger$LogLevel;
        String str = this.onInstallConversionDataLoadedNative;
        if (map != null) {
            AFe1zSDK.AFInAppEventType(map);
        } else if (str != null && !str.isEmpty()) {
            AFe1zSDK.AFInAppEventType(str);
        } else {
            AFe1zSDK.AFInAppEventType("Unknown error");
        }
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    public final AFc1uSDK<Map<String, Object>> AFKeystoreWrapper(String str) {
        String str2;
        String valueOf = AFb1zSDK.valueOf(this.getLevel, this.afWarnLog.AFInAppEventParameterName());
        if (valueOf != null && !valueOf.trim().isEmpty()) {
            if (!afDebugLog.contains(valueOf.toLowerCase())) {
                str2 = "-".concat(String.valueOf(valueOf));
                AFc1uSDK<Map<String, Object>> AFInAppEventParameterName = this.AFVersionDeclaration.AFInAppEventParameterName(str2, str);
                StringBuilder sb = new StringBuilder("[GCD-B01] URL: ");
                sb.append(AFInAppEventParameterName.AFKeystoreWrapper.AFInAppEventParameterName);
                AFb1rSDK.AFInAppEventType(sb.toString());
                return AFInAppEventParameterName;
            }
            AFLogger.afWarnLog(String.format("[GCD] AF detected using redundant Google-Play channel for attribution - %s. Using without channel postfix.", valueOf));
        }
        str2 = BuildConfig.FLAVOR;
        AFc1uSDK<Map<String, Object>> AFInAppEventParameterName2 = this.AFVersionDeclaration.AFInAppEventParameterName(str2, str);
        StringBuilder sb2 = new StringBuilder("[GCD-B01] URL: ");
        sb2.append(AFInAppEventParameterName2.AFKeystoreWrapper.AFInAppEventParameterName);
        AFb1rSDK.AFInAppEventType(sb2.toString());
        return AFInAppEventParameterName2;
    }

    /* JADX WARN: Removed duplicated region for block: B:27:0x004c  */
    /* JADX WARN: Removed duplicated region for block: B:35:0x007d A[Catch: all -> 0x0105, Exception -> 0x0107, AFc1bSDK -> 0x0136, TryCatch #1 {AFc1bSDK -> 0x0136, blocks: (B:12:0x0025, B:15:0x002f, B:22:0x003f, B:30:0x0052, B:33:0x0069, B:35:0x007d, B:37:0x0097, B:39:0x009d, B:40:0x00a8, B:42:0x00ae, B:44:0x00b4, B:45:0x00ca, B:46:0x00db, B:48:0x00fa, B:49:0x00ff), top: B:68:0x0025, outer: #0 }] */
    /* JADX WARN: Removed duplicated region for block: B:42:0x00ae A[Catch: all -> 0x0105, Exception -> 0x0107, AFc1bSDK -> 0x0136, TryCatch #1 {AFc1bSDK -> 0x0136, blocks: (B:12:0x0025, B:15:0x002f, B:22:0x003f, B:30:0x0052, B:33:0x0069, B:35:0x007d, B:37:0x0097, B:39:0x009d, B:40:0x00a8, B:42:0x00ae, B:44:0x00b4, B:45:0x00ca, B:46:0x00db, B:48:0x00fa, B:49:0x00ff), top: B:68:0x0025, outer: #0 }] */
    /* JADX WARN: Removed duplicated region for block: B:48:0x00fa A[Catch: all -> 0x0105, Exception -> 0x0107, AFc1bSDK -> 0x0136, TryCatch #1 {AFc1bSDK -> 0x0136, blocks: (B:12:0x0025, B:15:0x002f, B:22:0x003f, B:30:0x0052, B:33:0x0069, B:35:0x007d, B:37:0x0097, B:39:0x009d, B:40:0x00a8, B:42:0x00ae, B:44:0x00b4, B:45:0x00ca, B:46:0x00db, B:48:0x00fa, B:49:0x00ff), top: B:68:0x0025, outer: #0 }] */
    /* JADX WARN: Removed duplicated region for block: B:71:0x0052 A[SYNTHETIC] */
    @Override // com.appsflyer.internal.AFd1vSDK, com.appsflyer.internal.AFc1eSDK
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final AFc1lSDK AFKeystoreWrapper() throws Exception {
        AFc1lSDK aFc1lSDK;
        boolean z;
        Map<String, Object> map;
        int statusCode;
        Boolean bool;
        AFc1lSDK aFc1lSDK2;
        if (((AFd1vSDK) this).afRDLog.values()) {
            AFLogger.afDebugLog("[GCD-E03] 'isStopTracking' enabled");
            this.onInstallConversionDataLoadedNative = "'isStopTracking' enabled";
            throw new AFc1aSDK();
        }
        AFc1lSDK aFc1lSDK3 = AFc1lSDK.FAILURE;
        int i = 0;
        while (i <= 2) {
            boolean z2 = i >= 2;
            this.afErrorLogForExcManagerOnly.getLevel = System.currentTimeMillis();
            try {
                try {
                    try {
                        aFc1lSDK = super.AFKeystoreWrapper();
                        ResponseNetwork responseNetwork = ((AFd1vSDK) this).AFLogger;
                        if (responseNetwork != null) {
                            int statusCode2 = responseNetwork.getStatusCode();
                            if (statusCode2 != 403 && statusCode2 < 500) {
                                z = false;
                                if (!responseNetwork.isSuccessful() && statusCode2 != 404) {
                                    if (!z2) {
                                        if (!z) {
                                        }
                                    }
                                    this.onInstallConversionDataLoadedNative = "Error connection to server: ".concat(String.valueOf(statusCode2));
                                    aFc1lSDK2 = AFc1lSDK.FAILURE;
                                    return aFc1lSDK2;
                                }
                                map = (Map) responseNetwork.getBody();
                                statusCode = responseNetwork.getStatusCode();
                                bool = (Boolean) map.get("iscache");
                                if (statusCode == 404) {
                                    map.remove("error_reason");
                                    map.remove("status_code");
                                    map.put("af_status", "Organic");
                                    map.put("af_message", "organic install");
                                }
                                if (bool != null && !bool.booleanValue()) {
                                    this.getLevel.valueOf("appsflyerConversionDataCacheExpiration", System.currentTimeMillis());
                                }
                                if (map.containsKey("af_siteid")) {
                                    if (map.containsKey(AFInAppEventParameterName.AF_CHANNEL)) {
                                        StringBuilder sb = new StringBuilder("[Invite] Detected App-Invite via channel: ");
                                        sb.append(map.get(AFInAppEventParameterName.AF_CHANNEL));
                                        AFLogger.afDebugLog(sb.toString());
                                    } else {
                                        AFLogger.afDebugLog(String.format("[CrossPromotion] App was installed via %s's Cross Promotion", map.get("af_siteid")));
                                    }
                                }
                                map.put("is_first_launch", Boolean.FALSE);
                                this.getLevel.values("attributionId", new JSONObject(map).toString());
                                if (!this.getLevel.values("sixtyDayConversionData")) {
                                    map.put("is_first_launch", Boolean.TRUE);
                                }
                                this.AFLogger$LogLevel = map;
                                aFc1lSDK2 = AFc1lSDK.SUCCESS;
                                return aFc1lSDK2;
                            }
                            z = true;
                            if (!responseNetwork.isSuccessful()) {
                                if (!z2) {
                                }
                                this.onInstallConversionDataLoadedNative = "Error connection to server: ".concat(String.valueOf(statusCode2));
                                aFc1lSDK2 = AFc1lSDK.FAILURE;
                                return aFc1lSDK2;
                            }
                            map = (Map) responseNetwork.getBody();
                            statusCode = responseNetwork.getStatusCode();
                            bool = (Boolean) map.get("iscache");
                            if (statusCode == 404) {
                            }
                            if (bool != null) {
                                this.getLevel.valueOf("appsflyerConversionDataCacheExpiration", System.currentTimeMillis());
                            }
                            if (map.containsKey("af_siteid")) {
                            }
                            map.put("is_first_launch", Boolean.FALSE);
                            this.getLevel.values("attributionId", new JSONObject(map).toString());
                            if (!this.getLevel.values("sixtyDayConversionData")) {
                            }
                            this.AFLogger$LogLevel = map;
                            aFc1lSDK2 = AFc1lSDK.SUCCESS;
                            return aFc1lSDK2;
                        }
                    } catch (AFc1bSDK e) {
                        AFLogger.afDebugLog("[GCD-E05] AppsFlyer dev key is missing");
                        this.onInstallConversionDataLoadedNative = "AppsFlyer dev key is missing";
                        throw e;
                    }
                } catch (Exception e2) {
                    StringBuilder sb2 = new StringBuilder("[GCD] Error: ");
                    sb2.append(e2.getMessage());
                    AFLogger.afErrorLog(sb2.toString(), e2);
                    aFc1lSDK = AFc1lSDK.FAILURE;
                    if (z2) {
                        this.onInstallConversionDataLoadedNative = e2.getMessage();
                        throw e2;
                    }
                }
                aFc1lSDK3 = aFc1lSDK;
                i++;
            } finally {
                this.afErrorLogForExcManagerOnly.valueOf(i);
                AFLogger.afDebugLog("[GCD-A03] Server retrieving attempt finished");
            }
        }
        return aFc1lSDK3;
    }
}
