package com.appsflyer.internal;

import com.appsflyer.AFLogger;
import java.util.Map;
import org.json.JSONException;
/* loaded from: classes.dex */
public final class AFd1cSDK extends AFc1eSDK<Void> {
    private final AFd1mSDK afErrorLog;
    private final AFc1iSDK<String> afInfoLog;
    private final Throwable afRDLog;

    @Override // com.appsflyer.internal.AFc1eSDK
    public final long AFInAppEventParameterName() {
        return 1000L;
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public final boolean valueOf() {
        return false;
    }

    public AFd1cSDK(AFd1pSDK aFd1pSDK, AFd1mSDK aFd1mSDK) {
        super(AFc1fSDK.GCDSDK, new AFc1fSDK[]{AFc1fSDK.RC_CDN}, "GCD-CHECK");
        this.afRDLog = aFd1pSDK.afErrorLog();
        this.afInfoLog = ((AFd1vSDK) aFd1pSDK).AFLogger;
        this.afErrorLog = aFd1mSDK;
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public final AFc1lSDK AFKeystoreWrapper() throws Exception {
        AFLogger.afDebugLog("[GCD-A01] Loading conversion data. Counter: ".concat(String.valueOf(this.afErrorLog.AFInAppEventType("appsFlyerCount"))));
        long valueOf = this.afErrorLog.valueOf("appsflyerConversionDataCacheExpiration");
        if (valueOf != 0 && System.currentTimeMillis() - valueOf > 5184000000L) {
            AFLogger.afDebugLog("[GCD-E02] Cached conversion data expired");
            this.afErrorLog.AFInAppEventParameterName("sixtyDayConversionData", true);
            this.afErrorLog.values("attributionId", null);
            this.afErrorLog.valueOf("appsflyerConversionDataCacheExpiration", 0L);
        }
        Map<String, Object> afInfoLog = afInfoLog();
        if (afInfoLog != null) {
            try {
                if (!afInfoLog.containsKey("is_first_launch")) {
                    afInfoLog.put("is_first_launch", Boolean.FALSE);
                }
                AFe1zSDK.AFInAppEventType(afInfoLog);
            } catch (Exception e) {
                StringBuilder sb = new StringBuilder("[GCD] Error executing conversion data callback: ");
                sb.append(e.getLocalizedMessage());
                AFLogger.afErrorLog(sb.toString(), e);
            }
            return AFc1lSDK.SUCCESS;
        }
        try {
        } catch (Exception e2) {
            StringBuilder sb2 = new StringBuilder("[GCD] Error executing conversion data callback: ");
            sb2.append(e2.getLocalizedMessage());
            AFLogger.afErrorLog(sb2.toString(), e2);
        }
        if (this.afRDLog != null) {
            StringBuilder sb3 = new StringBuilder("Launch exception: ");
            sb3.append(this.afRDLog.getMessage());
            AFe1zSDK.AFInAppEventType(sb3.toString());
            return AFc1lSDK.SUCCESS;
        }
        AFc1iSDK<String> aFc1iSDK = this.afInfoLog;
        if (aFc1iSDK != null && !aFc1iSDK.isSuccessful()) {
            StringBuilder sb4 = new StringBuilder("Launch status code: ");
            sb4.append(this.afInfoLog.getStatusCode());
            AFe1zSDK.AFInAppEventType(sb4.toString());
            return AFc1lSDK.SUCCESS;
        }
        return AFc1lSDK.FAILURE;
    }

    private Map<String, Object> afInfoLog() {
        String AFKeystoreWrapper = this.afErrorLog.AFKeystoreWrapper("attributionId", (String) null);
        if (AFKeystoreWrapper == null) {
            return null;
        }
        try {
            return AFc1qSDK.AFInAppEventType(AFKeystoreWrapper);
        } catch (JSONException e) {
            StringBuilder sb = new StringBuilder("[GCD] Failed to parse GCD response: ");
            sb.append(e.getMessage());
            AFLogger.afErrorLog(sb.toString(), e);
            return null;
        }
    }
}
