package com.appsflyer.internal;

import android.content.Context;
import android.telephony.TelephonyManager;
import androidx.core.os.EnvironmentCompat;
import com.appsflyer.AFLogger;
import com.appsflyer.AppsFlyerProperties;
import com.appsflyer.internal.AFd1hSDK;
import java.lang.reflect.InvocationHandler;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
/* loaded from: classes.dex */
public final class AFd1fSDK {
    Map<String, Object> AFInAppEventParameterName;
    public volatile String AFInAppEventType;
    public final AFc1xSDK AFKeystoreWrapper;
    private final AFd1hSDK afErrorLog;
    private boolean afInfoLog = false;
    public volatile boolean valueOf = false;
    public volatile String values;

    public AFd1fSDK(AFc1xSDK aFc1xSDK, AFd1hSDK aFd1hSDK) {
        this.AFKeystoreWrapper = aFc1xSDK;
        this.afErrorLog = aFd1hSDK;
    }

    public final boolean values() {
        return this.valueOf;
    }

    public final String AFInAppEventParameterName(AFd1mSDK aFd1mSDK) {
        String str;
        boolean z = AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.COLLECT_IMEI, false);
        String AFKeystoreWrapper = aFd1mSDK.AFKeystoreWrapper("imeiCached", (String) null);
        if (!z || !AFb1qSDK.values(this.values)) {
            if (this.values != null) {
                str = this.values;
            }
            str = null;
        } else {
            Context context = this.AFKeystoreWrapper.valueOf;
            if (context != null && AFKeystoreWrapper(context)) {
                try {
                    TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
                    str = (String) telephonyManager.getClass().getMethod("getDeviceId", new Class[0]).invoke(telephonyManager, new Object[0]);
                } catch (InvocationTargetException e) {
                    if (AFKeystoreWrapper != null) {
                        AFLogger.afDebugLog("use cached IMEI: ".concat(String.valueOf(AFKeystoreWrapper)));
                    } else {
                        AFKeystoreWrapper = null;
                    }
                    StringBuilder sb = new StringBuilder("WARNING: Can't collect IMEI because of missing permissions: ");
                    sb.append(e.getMessage());
                    AFLogger.afErrorLog(sb.toString(), e);
                } catch (Exception e2) {
                    if (AFKeystoreWrapper != null) {
                        AFLogger.afDebugLog("use cached IMEI: ".concat(String.valueOf(AFKeystoreWrapper)));
                    } else {
                        AFKeystoreWrapper = null;
                    }
                    StringBuilder sb2 = new StringBuilder("WARNING: Can't collect IMEI: other reason: ");
                    sb2.append(e2.getMessage());
                    AFLogger.afErrorLog(sb2.toString(), e2);
                }
                if (str == null) {
                    if (AFKeystoreWrapper != null) {
                        AFLogger.afDebugLog("use cached IMEI: ".concat(String.valueOf(AFKeystoreWrapper)));
                    } else {
                        AFKeystoreWrapper = null;
                    }
                    str = AFKeystoreWrapper;
                }
            }
            str = null;
        }
        if (!AFb1qSDK.values(str)) {
            aFd1mSDK.values("imeiCached", str);
            return str;
        }
        AFLogger.afInfoLog("IMEI was not collected.");
        return null;
    }

    public final Map<String, Object> AFKeystoreWrapper() {
        HashMap hashMap = new HashMap();
        if (AFInAppEventParameterName()) {
            hashMap.put("lvl", this.AFInAppEventParameterName);
        } else if (this.afInfoLog) {
            HashMap hashMap2 = new HashMap();
            this.AFInAppEventParameterName = hashMap2;
            hashMap2.put("error", "operation timed out.");
            hashMap.put("lvl", this.AFInAppEventParameterName);
        }
        return hashMap;
    }

    private boolean AFInAppEventParameterName() {
        Map<String, Object> map = this.AFInAppEventParameterName;
        return (map == null || map.isEmpty()) ? false : true;
    }

    public final boolean AFInAppEventType() {
        return this.afInfoLog && !AFInAppEventParameterName();
    }

    public final boolean valueOf() {
        try {
            Class.forName("com.appsflyer.lvl.AppsFlyerLVL");
            final long currentTimeMillis = System.currentTimeMillis();
            Context context = this.AFKeystoreWrapper.valueOf;
            final AFd1hSDK.AFa1ySDK aFa1ySDK = new AFd1hSDK.AFa1ySDK() { // from class: com.appsflyer.internal.AFd1fSDK.1
                @Override // com.appsflyer.internal.AFd1hSDK.AFa1ySDK
                public final void AFKeystoreWrapper(String str, String str2) {
                    AFd1fSDK.this.AFInAppEventParameterName = new ConcurrentHashMap();
                    AFd1fSDK.this.AFInAppEventParameterName.put("signedData", str);
                    AFd1fSDK.this.AFInAppEventParameterName.put("signature", str2);
                    AFd1fSDK.this.AFInAppEventParameterName.put("ttr", Long.valueOf(System.currentTimeMillis() - currentTimeMillis));
                    AFLogger.afInfoLog("Successfully retrieved Google LVL data.");
                }

                @Override // com.appsflyer.internal.AFd1hSDK.AFa1ySDK
                public final void values(String str, Exception exc) {
                    AFd1fSDK.this.AFInAppEventParameterName = new ConcurrentHashMap();
                    String message = exc.getMessage();
                    if (message == null) {
                        message = EnvironmentCompat.MEDIA_UNKNOWN;
                    }
                    AFd1fSDK.this.AFInAppEventParameterName.put("error", message);
                    AFLogger.afErrorLog(str, exc, true, true, false);
                }
            };
            try {
                try {
                    Class<?> cls = Class.forName("com.appsflyer.lvl.AppsFlyerLVL");
                    Class<?> cls2 = Class.forName("com.appsflyer.lvl.AppsFlyerLVL$resultListener");
                    cls.getMethod("checkLicense", Long.TYPE, Context.class, cls2).invoke(null, Long.valueOf(currentTimeMillis), context, Proxy.newProxyInstance(cls2.getClassLoader(), new Class[]{cls2}, new InvocationHandler() { // from class: com.appsflyer.internal.AFd1hSDK.4
                        @Override // java.lang.reflect.InvocationHandler
                        public final Object invoke(Object obj, Method method, Object[] objArr) {
                            if (method.getName().equals("onLvlResult")) {
                                String str = objArr[0] != null ? (String) objArr[0] : null;
                                String str2 = objArr[1] != null ? (String) objArr[1] : null;
                                AFa1ySDK aFa1ySDK2 = aFa1ySDK;
                                if (aFa1ySDK2 == null) {
                                    AFLogger.afDebugLog("onLvlResult invocation succeeded, but listener is null");
                                } else if (str != null && str2 != null) {
                                    aFa1ySDK2.AFKeystoreWrapper(str, str2);
                                } else if (str2 == null) {
                                    aFa1ySDK2.values("onLvlResult with error", new Exception("AFLVL Invalid signature"));
                                } else {
                                    aFa1ySDK2.values("onLvlResult with error", new Exception("AFLVL Invalid signedData"));
                                }
                            } else if (method.getName().equals("onLvlFailure")) {
                                AFa1ySDK aFa1ySDK3 = aFa1ySDK;
                                if (aFa1ySDK3 != null) {
                                    if (objArr[0] != null) {
                                        aFa1ySDK3.values("onLvlFailure with exception", (Exception) objArr[0]);
                                    } else {
                                        aFa1ySDK3.values("onLvlFailure", new Exception(EnvironmentCompat.MEDIA_UNKNOWN));
                                    }
                                } else {
                                    AFLogger.afDebugLog("onLvlFailure: listener is null");
                                }
                            } else {
                                AFa1ySDK aFa1ySDK4 = aFa1ySDK;
                                if (aFa1ySDK4 != null) {
                                    aFa1ySDK4.values("lvlInvocation failed", new Exception("com.appsflyer.lvl.AppsFlyerLVL$resultListener invocation failed"));
                                }
                            }
                            return null;
                        }
                    }));
                } catch (NoSuchMethodException e) {
                    aFa1ySDK.values(e.getClass().getSimpleName(), e);
                } catch (InvocationTargetException e2) {
                    aFa1ySDK.values(e2.getClass().getSimpleName(), e2);
                }
            } catch (ClassNotFoundException e3) {
                aFa1ySDK.values(e3.getClass().getSimpleName(), e3);
            } catch (IllegalAccessException e4) {
                aFa1ySDK.values(e4.getClass().getSimpleName(), e4);
            }
            this.afInfoLog = true;
        } catch (ClassNotFoundException unused) {
            this.afInfoLog = false;
        }
        return this.afInfoLog;
    }

    private static boolean AFKeystoreWrapper(Context context) {
        if (!(AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.COLLECT_ANDROID_ID_FORCE_BY_USER, false) || AppsFlyerProperties.getInstance().getBoolean(AppsFlyerProperties.COLLECT_IMEI_FORCE_BY_USER, false))) {
            AFb1zSDK.AFInAppEventType();
            if (AFb1zSDK.AFInAppEventType(context)) {
                return false;
            }
        }
        return true;
    }
}
