package com.appsflyer.internal;

import android.util.Base64;
import com.appsflyer.AFLogger;
import com.appsflyer.internal.components.network.http.exceptions.HttpException;
import com.appsflyer.internal.components.network.http.exceptions.ParsingException;
import java.io.IOException;
import java.io.InterruptedIOException;
/* loaded from: classes.dex */
public final class AFd1kSDK extends AFc1eSDK<AFd1jSDK> {
    private final AFd1iSDK AFLogger;
    private final AFd1eSDK AFLogger$LogLevel;
    private final AFd1gSDK AFVersionDeclaration;
    public AFd1jSDK afDebugLog;
    public AFb1qSDK afErrorLog;
    private final String afErrorLogForExcManagerOnly;
    public final AFd1mSDK afInfoLog;
    private final AFc1ySDK afRDLog;
    private final AFc1vSDK afWarnLog;
    private final AFd1fSDK getLevel;

    @Override // com.appsflyer.internal.AFc1eSDK
    public final long AFInAppEventParameterName() {
        return 1500L;
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public final boolean valueOf() {
        return false;
    }

    public AFd1kSDK(AFd1iSDK aFd1iSDK, AFc1ySDK aFc1ySDK, AFd1fSDK aFd1fSDK, AFd1eSDK aFd1eSDK, AFc1vSDK aFc1vSDK, AFd1gSDK aFd1gSDK, String str, AFd1mSDK aFd1mSDK) {
        super(AFc1fSDK.RC_CDN, new AFc1fSDK[0], "UpdateRemoteConfiguration");
        this.afDebugLog = null;
        this.AFLogger = aFd1iSDK;
        this.afRDLog = aFc1ySDK;
        this.getLevel = aFd1fSDK;
        this.AFLogger$LogLevel = aFd1eSDK;
        this.afWarnLog = aFc1vSDK;
        this.AFVersionDeclaration = aFd1gSDK;
        this.afErrorLogForExcManagerOnly = str;
        this.afInfoLog = aFd1mSDK;
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public final AFc1lSDK AFKeystoreWrapper() throws Exception {
        try {
            AFd1jSDK AFLogger = AFLogger();
            this.afDebugLog = AFLogger;
            if (AFLogger == AFd1jSDK.FAILURE) {
                return AFc1lSDK.FAILURE;
            }
            return AFc1lSDK.SUCCESS;
        } catch (InterruptedIOException | InterruptedException e) {
            AFLogger.afErrorLogForExcManagerOnly("RC update config failed", e);
            this.afDebugLog = AFd1jSDK.FAILURE;
            return AFc1lSDK.TIMEOUT;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:13:0x004d  */
    /* JADX WARN: Removed duplicated region for block: B:54:0x0055 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private AFd1jSDK AFLogger() throws InterruptedException, InterruptedIOException {
        String str;
        long currentTimeMillis = System.currentTimeMillis();
        String str2 = this.afErrorLogForExcManagerOnly;
        String str3 = this.getLevel.AFInAppEventType;
        if (str3 == null || str3.trim().length() == 0) {
            AFLogger.afWarnLog("CFG: Dev key is not set, SDK is not started.");
        } else if (str2 == null) {
            AFLogger.afWarnLog("CFG: Can't create CDN token, domain or version is not provided.");
        } else {
            str = AFb1vSDK.AFInAppEventType(AFb1vSDK.AFInAppEventType("appsflyersdk.com", str2, this.afRDLog.AFInAppEventParameterName.valueOf.getPackageName()), str3);
            if (str != null) {
                AFLogger.afRDLog("CFG: can't create CDN token, skipping fetch config");
                return AFd1jSDK.FAILURE;
            }
            try {
                if (this.AFVersionDeclaration.values()) {
                    AFLogger.afInfoLog("CFG: Cached config is expired, updating...");
                    AFc1iSDK<AFb1oSDK> AFInAppEventType = this.afWarnLog.AFInAppEventParameterName(this.AFVersionDeclaration.AFInAppEventType(), this.AFVersionDeclaration.AFInAppEventParameterName(), str, 1500).AFInAppEventType();
                    if (AFInAppEventType.isSuccessful()) {
                        AFb1oSDK body = AFInAppEventType.getBody();
                        String AFInAppEventParameterName = AFInAppEventType.AFInAppEventParameterName("x-amz-meta-af-auth-v1");
                        String AFInAppEventParameterName2 = AFInAppEventType.AFInAppEventParameterName("CF-Cache-Status");
                        String str4 = this.getLevel.AFInAppEventType;
                        if (str4 != null && str4.trim().length() != 0) {
                            AFb1kSDK valueOf = this.AFLogger.valueOf(body, AFInAppEventParameterName, str, str4);
                            if (valueOf.values()) {
                                long valueOf2 = this.AFVersionDeclaration.valueOf();
                                StringBuilder sb = new StringBuilder("CFG: using max-age fallback: ");
                                sb.append(valueOf2);
                                sb.append(" seconds");
                                AFLogger.afRDLog(sb.toString());
                                long currentTimeMillis2 = System.currentTimeMillis();
                                AFd1eSDK aFd1eSDK = this.AFLogger$LogLevel;
                                aFd1eSDK.values.values("af_remote_config", Base64.encodeToString(body.AFInAppEventType.getBytes(AFd1eSDK.valueOf), 2));
                                aFd1eSDK.values.valueOf("af_rc_timestamp", currentTimeMillis2);
                                aFd1eSDK.values.valueOf("af_rc_max_age", valueOf2);
                                aFd1eSDK.AFInAppEventType = body;
                                aFd1eSDK.AFKeystoreWrapper = currentTimeMillis2;
                                aFd1eSDK.AFInAppEventParameterName = valueOf2;
                                StringBuilder sb2 = new StringBuilder("CFG: Config successfully updated, timeToLive: ");
                                sb2.append(valueOf2);
                                sb2.append(" seconds");
                                AFLogger.afDebugLog(sb2.toString());
                                AFInAppEventParameterName(str, currentTimeMillis, valueOf.AFInAppEventParameterName, AFInAppEventParameterName2, AFInAppEventType);
                                return AFd1jSDK.SUCCESS;
                            }
                            AFInAppEventParameterName(str, currentTimeMillis, valueOf.AFInAppEventParameterName, AFInAppEventParameterName2, AFInAppEventType);
                            AFLogger.afWarnLog("CFG: fetched config is not valid (MITM?) refuse to use it.");
                            return AFd1jSDK.FAILURE;
                        }
                        AFLogger.afWarnLog("CFG: Dev key is not set, SDK is not started.");
                        return AFd1jSDK.FAILURE;
                    }
                    AFInAppEventParameterName(str, currentTimeMillis, null, null, AFInAppEventType);
                    StringBuilder sb3 = new StringBuilder("CFG: failed to fetch remote config from CDN with status code: ");
                    sb3.append(AFInAppEventType.getStatusCode());
                    AFLogger.afWarnLog(sb3.toString());
                    return AFd1jSDK.FAILURE;
                }
                AFLogger.afDebugLog("CFG: active config is valid, skipping fetch");
                return AFd1jSDK.USE_CACHED;
            } catch (IOException e) {
                StringBuilder sb4 = new StringBuilder("CFG: failed to fetch remote config: ");
                sb4.append(e.getMessage());
                AFLogger.afErrorLog(sb4.toString(), e, true, false, false);
                AFKeystoreWrapper(str, currentTimeMillis, e instanceof ParsingException ? ((ParsingException) e).getRawResponse() : null, null, null, null, e);
                if (e.getCause() instanceof InterruptedIOException) {
                    throw ((InterruptedIOException) e.getCause());
                }
                return AFd1jSDK.FAILURE;
            } catch (Throwable th) {
                StringBuilder sb5 = new StringBuilder("CFG: failed to update remote config: ");
                sb5.append(th.getMessage());
                AFLogger.afErrorLog(sb5.toString(), th, true, false, false);
                AFKeystoreWrapper(str, currentTimeMillis, null, null, null, null, th);
                if (th.getCause() instanceof InterruptedException) {
                    throw ((InterruptedException) th.getCause());
                }
                return AFd1jSDK.FAILURE;
            }
        }
        str = null;
        if (str != null) {
        }
    }

    private void AFInAppEventParameterName(String str, long j, AFe1gSDK aFe1gSDK, String str2, AFc1iSDK<AFb1oSDK> aFc1iSDK) {
        AFKeystoreWrapper(str, j, aFc1iSDK, aFc1iSDK != null ? aFc1iSDK.getBody() : null, aFe1gSDK, str2 != null ? str2 : null, null);
    }

    private void AFKeystoreWrapper(String str, long j, AFc1iSDK<?> aFc1iSDK, AFb1oSDK aFb1oSDK, AFe1gSDK aFe1gSDK, String str2, Throwable th) {
        long j2;
        int i;
        Throwable th2;
        long j3;
        if (aFc1iSDK != null) {
            j2 = aFc1iSDK.AFInAppEventParameterName.AFInAppEventParameterName;
            i = aFc1iSDK.getStatusCode();
        } else {
            j2 = 0;
            i = 0;
        }
        if (th instanceof HttpException) {
            th2 = th.getCause();
            j3 = ((HttpException) th).getMetrics().AFInAppEventParameterName;
        } else {
            th2 = th;
            j3 = j2;
        }
        this.afErrorLog = new AFb1qSDK(aFb1oSDK != null ? aFb1oSDK.values : null, str, j3, System.currentTimeMillis() - j, i, aFe1gSDK, str2, th2);
    }
}
