package com.appsflyer.internal;

import android.net.Uri;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import com.appsflyer.attribution.AppsFlyerRequestListener;
import com.appsflyer.internal.components.network.http.exceptions.ParsingException;
import com.appsflyer.unity.BuildConfig;
import java.util.Map;
import java.util.UUID;
/* loaded from: classes.dex */
public final class AFd1oSDK extends AFd1vSDK<Map<String, String>> {
    private final AFc1vSDK AFLogger$LogLevel;
    private String AFVersionDeclaration;
    public AFa1zSDK afDebugLog;
    private String afErrorLogForExcManagerOnly;
    private final boolean afWarnLog;
    private String getLevel;
    private final UUID onAppOpenAttributionNative;

    /* loaded from: classes.dex */
    public interface AFa1zSDK {
        void AFKeystoreWrapper(String str);

        void AFKeystoreWrapper(Map<String, String> map);
    }

    @Override // com.appsflyer.internal.AFd1vSDK, com.appsflyer.internal.AFc1eSDK
    public final long AFInAppEventParameterName() {
        return 3000L;
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final boolean AFLogger() {
        return false;
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final boolean AFLogger$LogLevel() {
        return false;
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final AppsFlyerRequestListener afInfoLog() {
        return null;
    }

    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
    public AFd1oSDK(AFb1aSDK aFb1aSDK, UUID uuid, Uri uri) {
        super(AFc1fSDK.ONELINK, new AFc1fSDK[]{AFc1fSDK.RC_CDN}, aFb1aSDK, uuid.toString());
        boolean z = false;
        this.AFLogger$LogLevel = aFb1aSDK.valueOf();
        this.onAppOpenAttributionNative = uuid;
        if (!AFb1qSDK.values(uri.getHost()) && !AFb1qSDK.values(uri.getPath())) {
            try {
                try {
                    Object invoke = ((Class) AFb1jSDK.AFInAppEventParameterName(31 - View.MeasureSpec.getMode(0), (char) View.combineMeasuredStates(0, 0), (-1) - MotionEvent.axisFromString(BuildConfig.FLAVOR))).getMethod("valueOf", null).invoke(((Class) AFb1jSDK.AFInAppEventParameterName(31 - TextUtils.getTrimmedLength(BuildConfig.FLAVOR), (char) (((byte) KeyEvent.getModifierMetaStateMask()) + 1), ViewConfiguration.getTapTimeout() >> 16)).getDeclaredConstructor(Uri.class).newInstance(uri), null);
                    try {
                        boolean booleanValue = ((Boolean) ((Class) AFb1jSDK.AFInAppEventParameterName(39 - TextUtils.indexOf((CharSequence) BuildConfig.FLAVOR, '0', 0, 0), (char) (8863 - View.resolveSize(0, 0)), View.resolveSize(0, 0) + 31)).getMethod("AFKeystoreWrapper", null).invoke(invoke, null)).booleanValue();
                        try {
                            z = ((Boolean) ((Class) AFb1jSDK.AFInAppEventParameterName((ViewConfiguration.getMaximumDrawingCacheSize() >> 24) + 40, (char) (8863 - View.resolveSizeAndState(0, 0, 0)), TextUtils.getOffsetBefore(BuildConfig.FLAVOR, 0) + 31)).getMethod("AFInAppEventType", null).invoke(invoke, null)).booleanValue();
                            String[] split = uri.getPath().split("/");
                            if (booleanValue && split.length == 3) {
                                this.afErrorLogForExcManagerOnly = split[1];
                                this.getLevel = split[2];
                                this.AFVersionDeclaration = uri.toString();
                            }
                        } catch (Throwable th) {
                            Throwable cause = th.getCause();
                            if (cause == null) {
                                throw th;
                            }
                            throw cause;
                        }
                    } catch (Throwable th2) {
                        Throwable cause2 = th2.getCause();
                        if (cause2 == null) {
                            throw th2;
                        }
                        throw cause2;
                    }
                } catch (Throwable th3) {
                    Throwable cause3 = th3.getCause();
                    if (cause3 == null) {
                        throw th3;
                    }
                    throw cause3;
                }
            } catch (Throwable th4) {
                Throwable cause4 = th4.getCause();
                if (cause4 == null) {
                    throw th4;
                }
                throw cause4;
            }
        }
        this.afWarnLog = z;
    }

    public final boolean afErrorLogForExcManagerOnly() {
        return (TextUtils.isEmpty(this.afErrorLogForExcManagerOnly) || TextUtils.isEmpty(this.getLevel) || this.afErrorLogForExcManagerOnly.equals("app")) ? false : true;
    }

    public final boolean afWarnLog() {
        return this.afWarnLog;
    }

    @Override // com.appsflyer.internal.AFd1vSDK, com.appsflyer.internal.AFc1eSDK
    public final void AFInAppEventType() {
        super.AFInAppEventType();
        AFa1zSDK aFa1zSDK = this.afDebugLog;
        if (aFa1zSDK != null) {
            if (this.AFKeystoreWrapper == AFc1lSDK.SUCCESS && ((AFd1vSDK) this).AFLogger != null) {
                aFa1zSDK.AFKeystoreWrapper((Map) ((AFd1vSDK) this).AFLogger.getBody());
                return;
            }
            Throwable afErrorLog = afErrorLog();
            if (afErrorLog instanceof ParsingException) {
                if (((ParsingException) afErrorLog).getRawResponse().isSuccessful()) {
                    aFa1zSDK.AFKeystoreWrapper("Can't parse one link data");
                    return;
                }
                String str = this.AFVersionDeclaration;
                aFa1zSDK.AFKeystoreWrapper(str != null ? str : "Can't get OneLink data");
                return;
            }
            String str2 = this.AFVersionDeclaration;
            aFa1zSDK.AFKeystoreWrapper(str2 != null ? str2 : "Can't get OneLink data");
        }
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final AFc1uSDK<Map<String, String>> AFKeystoreWrapper(String str) {
        return this.AFLogger$LogLevel.values(this.afErrorLogForExcManagerOnly, this.getLevel, this.onAppOpenAttributionNative, str);
    }
}
