package com.appsflyer.internal;

import com.appsflyer.AFLogger;
import com.appsflyer.AppsFlyerProperties;
import com.appsflyer.CreateOneLinkHttpTask;
import com.appsflyer.internal.AFe1dSDK;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import org.json.JSONObject;
/* loaded from: classes.dex */
public final class AFd1pSDK extends AFd1rSDK {
    private final AFe1aSDK AFLogger$LogLevel;
    private final AFe1vSDK afErrorLogForExcManagerOnly;
    public Map<String, Object> afWarnLog;
    private final AFd1mSDK getLevel;
    private final AppsFlyerProperties init;
    private final CreateOneLinkHttpTask onInstallConversionDataLoadedNative;

    public AFd1pSDK(AFa1qSDK aFa1qSDK, AFb1aSDK aFb1aSDK) {
        super(aFa1qSDK, aFb1aSDK);
        this.AFLogger$LogLevel = aFb1aSDK.AFVersionDeclaration();
        this.getLevel = aFb1aSDK.afInfoLog();
        this.afErrorLogForExcManagerOnly = aFb1aSDK.AFLogger();
        this.onInstallConversionDataLoadedNative = aFb1aSDK.afRDLog();
        this.init = AppsFlyerProperties.getInstance();
        this.AFInAppEventType.add(AFc1fSDK.RESOLVE_ESP);
        this.AFInAppEventType.add(AFc1fSDK.DLSDK);
    }

    @Override // com.appsflyer.internal.AFd1vSDK, com.appsflyer.internal.AFc1eSDK
    public final void AFInAppEventType() {
        super.AFInAppEventType();
        AFe1vSDK aFe1vSDK = this.afErrorLogForExcManagerOnly;
        int i = ((AFd1rSDK) this).afDebugLog.afInfoLog;
        long currentTimeMillis = System.currentTimeMillis();
        if (i == 1) {
            if (aFe1vSDK.AFLogger != 0) {
                aFe1vSDK.valueOf.put("net", Long.valueOf(currentTimeMillis - aFe1vSDK.AFLogger));
                aFe1vSDK.AFKeystoreWrapper.values("first_launch", new JSONObject(aFe1vSDK.valueOf).toString());
                return;
            }
            AFLogger.afInfoLog("Metrics: launch start ts is missing");
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.appsflyer.internal.AFd1rSDK
    public final void valueOf(AFa1qSDK aFa1qSDK) {
        AFe1dSDK[] valueOf;
        super.valueOf(aFa1qSDK);
        int i = aFa1qSDK.afInfoLog;
        this.afErrorLogForExcManagerOnly.values(i);
        Map map = (Map) aFa1qSDK.valueOf().get("meta");
        if (map == null) {
            map = new HashMap();
            aFa1qSDK.valueOf().put("meta", map);
        }
        AFb1qSDK AFInAppEventType = this.onInstallConversionDataLoadedNative.AFInAppEventType();
        if (AFInAppEventType != null) {
            HashMap hashMap = new HashMap();
            hashMap.put("cdn_token", AFInAppEventType.AFInAppEventType);
            if (AFInAppEventType.AFKeystoreWrapper != null) {
                hashMap.put("c_ver", AFInAppEventType.AFKeystoreWrapper);
            }
            if (AFInAppEventType.AFInAppEventParameterName > 0) {
                hashMap.put("latency", Long.valueOf(AFInAppEventType.AFInAppEventParameterName));
            }
            if (AFInAppEventType.valueOf > 0) {
                hashMap.put("delay", Long.valueOf(AFInAppEventType.valueOf));
            }
            if (AFInAppEventType.values > 0) {
                hashMap.put("res_code", Integer.valueOf(AFInAppEventType.values));
            }
            if (AFInAppEventType.afInfoLog != null) {
                StringBuilder sb = new StringBuilder();
                sb.append(AFInAppEventType.afInfoLog.getClass().getSimpleName());
                sb.append(": ");
                sb.append(AFInAppEventType.afInfoLog.getMessage());
                hashMap.put("error", sb.toString());
            }
            if (AFInAppEventType.afDebugLog != null) {
                hashMap.put("sig", AFInAppEventType.afDebugLog.toString());
            }
            if (AFInAppEventType.afRDLog != null) {
                hashMap.put("cdn_cache_status", AFInAppEventType.afRDLog);
            }
            map.put("rc", hashMap);
        }
        if (i == 1) {
            if (this.init.getBoolean(AppsFlyerProperties.AF_WAITFOR_CUSTOMERID, false)) {
                aFa1qSDK.valueOf().put("wait_cid", Boolean.toString(true));
            }
            HashMap hashMap2 = new HashMap(this.afErrorLogForExcManagerOnly.AFInAppEventParameterName);
            this.afErrorLogForExcManagerOnly.AFKeystoreWrapper.AFInAppEventParameterName("ddl");
            if (!hashMap2.isEmpty()) {
                map.put("ddl", hashMap2);
            }
            HashMap hashMap3 = new HashMap(this.afErrorLogForExcManagerOnly.valueOf);
            if (!hashMap3.isEmpty()) {
                map.put("first_launch", hashMap3);
            }
        } else if (i == 2) {
            HashMap hashMap4 = new HashMap(this.afErrorLogForExcManagerOnly.valueOf);
            if (!hashMap4.isEmpty()) {
                map.put("first_launch", hashMap4);
            }
            this.afErrorLogForExcManagerOnly.AFKeystoreWrapper.AFInAppEventParameterName("first_launch");
        }
        if (map.isEmpty()) {
            aFa1qSDK.valueOf().remove("meta");
        }
        if (i <= 2) {
            ArrayList arrayList = new ArrayList();
            for (AFe1dSDK aFe1dSDK : this.AFLogger$LogLevel.valueOf()) {
                boolean z = aFe1dSDK instanceof AFe1fSDK;
                int i2 = AnonymousClass4.AFInAppEventParameterName[aFe1dSDK.afErrorLog.ordinal()];
                if (i2 == 1) {
                    if (z) {
                        aFa1qSDK.valueOf("rfr", ((AFe1fSDK) aFe1dSDK).AFInAppEventType);
                        this.getLevel.AFInAppEventParameterName(AppsFlyerProperties.NEW_REFERRER_SENT, true);
                    }
                    arrayList.add(aFe1dSDK.AFKeystoreWrapper);
                } else if (i2 == 2 && i == 2 && !z) {
                    HashMap hashMap5 = new HashMap();
                    hashMap5.put("source", aFe1dSDK.valueOf);
                    hashMap5.put("response", "TIMEOUT");
                    hashMap5.put("type", aFe1dSDK.afInfoLog);
                    arrayList.add(hashMap5);
                }
            }
            if (!arrayList.isEmpty()) {
                aFa1qSDK.valueOf("referrers", arrayList);
            }
            Object obj = this.afWarnLog;
            if (obj != null) {
                aFa1qSDK.valueOf("fb_ddl", obj);
            }
        }
    }

    /* renamed from: com.appsflyer.internal.AFd1pSDK$4  reason: invalid class name */
    /* loaded from: classes.dex */
    static /* synthetic */ class AnonymousClass4 {
        static final /* synthetic */ int[] AFInAppEventParameterName;

        static {
            int[] iArr = new int[AFe1dSDK.AFa1zSDK.values().length];
            AFInAppEventParameterName = iArr;
            try {
                iArr[AFe1dSDK.AFa1zSDK.FINISHED.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                AFInAppEventParameterName[AFe1dSDK.AFa1zSDK.STARTED.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
        }
    }
}
