package com.appsflyer.internal;

import android.content.Context;
import android.net.Uri;
import androidx.core.app.NotificationCompat;
import com.appsflyer.AFLogger;
import com.appsflyer.unity.BuildConfig;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;
/* loaded from: classes.dex */
public final class AFd1sSDK extends AFc1eSDK<Map<String, Object>> {
    private static final int afErrorLog = (int) TimeUnit.SECONDS.toMillis(2);
    private final Map<String, Object> AFLogger;
    private final Context afDebugLog;
    private final Uri afInfoLog;
    private final List<String> afRDLog;

    @Override // com.appsflyer.internal.AFc1eSDK
    public final long AFInAppEventParameterName() {
        return 60000L;
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public final boolean valueOf() {
        return false;
    }

    public AFd1sSDK(Context context, Map<String, Object> map, Uri uri, List<String> list) {
        super(AFc1fSDK.RESOLVE_ESP, new AFc1fSDK[]{AFc1fSDK.RC_CDN}, "ResolveEsp");
        this.afDebugLog = context;
        this.AFLogger = map;
        this.afInfoLog = uri;
        this.afRDLog = list;
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public final AFc1lSDK AFKeystoreWrapper() throws Exception {
        if (!AFInAppEventParameterName(this.afInfoLog.toString())) {
            AFb1zSDK.AFInAppEventType().AFInAppEventType(this.afDebugLog, this.AFLogger, this.afInfoLog);
            return AFc1lSDK.SUCCESS;
        }
        long currentTimeMillis = System.currentTimeMillis();
        String obj = this.afInfoLog.toString();
        ArrayList arrayList = new ArrayList();
        int i = 0;
        Integer num = null;
        String str = null;
        while (i < 5) {
            Map<String, Object> AFInAppEventParameterName = AFInAppEventParameterName(Uri.parse(obj));
            String str2 = (String) AFInAppEventParameterName.get("res");
            Integer num2 = (Integer) AFInAppEventParameterName.get(NotificationCompat.CATEGORY_STATUS);
            String str3 = (String) AFInAppEventParameterName.get("error");
            if (str2 == null || !AFInAppEventParameterName(str2)) {
                str = str3;
                obj = str2;
                num = num2;
                break;
            }
            if (i < 4) {
                arrayList.add(str2);
            }
            i++;
            str = str3;
            obj = str2;
            num = num2;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("res", obj != null ? obj : BuildConfig.FLAVOR);
        hashMap.put(NotificationCompat.CATEGORY_STATUS, Integer.valueOf(num != null ? num.intValue() : -1));
        if (str != null) {
            hashMap.put("error", str);
        }
        if (!arrayList.isEmpty()) {
            hashMap.put("redirects", arrayList);
        }
        hashMap.put("latency", Long.valueOf(System.currentTimeMillis() - currentTimeMillis));
        synchronized (this.AFLogger) {
            this.AFLogger.put("af_deeplink_r", hashMap);
            this.AFLogger.put("af_deeplink", this.afInfoLog.toString());
        }
        AFb1zSDK.AFInAppEventType().AFInAppEventType(this.afDebugLog, this.AFLogger, obj != null ? Uri.parse(obj) : this.afInfoLog);
        return AFc1lSDK.SUCCESS;
    }

    private static Map<String, Object> AFInAppEventParameterName(Uri uri) {
        HashMap hashMap = new HashMap();
        try {
            StringBuilder sb = new StringBuilder("ESP deeplink resolving is started: ");
            sb.append(uri.toString());
            AFLogger.afDebugLog(sb.toString());
            HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(uri.toString()).openConnection();
            httpURLConnection.setInstanceFollowRedirects(false);
            int i = afErrorLog;
            httpURLConnection.setReadTimeout(i);
            httpURLConnection.setConnectTimeout(i);
            httpURLConnection.setRequestProperty("User-agent", "Dalvik/2.1.0 (Linux; U; Android 6.0.1; Nexus 5 Build/M4B30Z)");
            httpURLConnection.setRequestProperty("af-esp", "6.9.4");
            int responseCode = httpURLConnection.getResponseCode();
            hashMap.put(NotificationCompat.CATEGORY_STATUS, Integer.valueOf(responseCode));
            if (300 <= responseCode && responseCode <= 305) {
                hashMap.put("res", httpURLConnection.getHeaderField("Location"));
            }
            httpURLConnection.disconnect();
            AFLogger.afDebugLog("ESP deeplink resolving is finished");
        } catch (Throwable th) {
            hashMap.put("error", th.getLocalizedMessage());
            AFLogger.afErrorLog(th.getMessage(), th);
        }
        return hashMap;
    }

    private boolean AFInAppEventParameterName(String str) {
        if (str.contains("af_tranid=")) {
            return false;
        }
        StringBuilder sb = new StringBuilder("Validate if link ");
        sb.append(str);
        sb.append(" belongs to ESP domains: ");
        sb.append(this.afRDLog);
        AFLogger.afRDLog(sb.toString());
        try {
            return this.afRDLog.contains(new URL(str).getHost());
        } catch (MalformedURLException e) {
            AFLogger.afErrorLogForExcManagerOnly("MalformedURLException ESP link", e);
            return false;
        }
    }
}
