package com.appsflyer.internal;

import com.appsflyer.AFLogger;
import com.appsflyer.attribution.AppsFlyerRequestListener;
import com.appsflyer.attribution.RequestError;
import com.appsflyer.internal.components.network.http.exceptions.ParsingException;
import com.appsflyer.unity.BuildConfig;
import java.io.IOException;
/* loaded from: classes.dex */
public abstract class AFd1vSDK<Result> extends AFc1eSDK<AFc1iSDK<Result>> {
    public AFc1iSDK<Result> AFLogger;
    private AFa1mSDK afDebugLog;
    protected final AFc1vSDK afErrorLog;
    protected final AFb1nSDK afInfoLog;
    public final AFd1fSDK afRDLog;
    private String afWarnLog;

    @Override // com.appsflyer.internal.AFc1eSDK
    public long AFInAppEventParameterName() {
        return 60000L;
    }

    protected abstract AFc1uSDK<Result> AFKeystoreWrapper(String str);

    protected abstract boolean AFLogger();

    protected boolean AFLogger$LogLevel() {
        return true;
    }

    protected abstract AppsFlyerRequestListener afInfoLog();

    private AFd1vSDK(AFc1fSDK aFc1fSDK, AFc1fSDK[] aFc1fSDKArr, AFc1vSDK aFc1vSDK, AFd1fSDK aFd1fSDK, AFb1nSDK aFb1nSDK, AFa1mSDK aFa1mSDK, String str) {
        super(aFc1fSDK, aFc1fSDKArr, str);
        this.afErrorLog = aFc1vSDK;
        this.afRDLog = aFd1fSDK;
        this.afInfoLog = aFb1nSDK;
        this.afDebugLog = aFa1mSDK;
    }

    public AFd1vSDK(AFc1fSDK aFc1fSDK, AFc1fSDK[] aFc1fSDKArr, AFb1aSDK aFb1aSDK, String str) {
        this(aFc1fSDK, aFc1fSDKArr, aFb1aSDK.valueOf(), aFb1aSDK.AFLogger$LogLevel(), aFb1aSDK.getLevel(), aFb1aSDK.afErrorLogForExcManagerOnly(), str);
    }

    public AFd1vSDK(AFc1fSDK aFc1fSDK, AFc1fSDK[] aFc1fSDKArr, AFb1aSDK aFb1aSDK, String str, String str2) {
        this(aFc1fSDK, aFc1fSDKArr, aFb1aSDK.valueOf(), aFb1aSDK.AFLogger$LogLevel(), aFb1aSDK.getLevel(), aFb1aSDK.afErrorLogForExcManagerOnly(), str);
        this.afWarnLog = str2;
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public final void values() {
        String str;
        super.values();
        if (!AFLogger() || (str = this.afRDLog.AFInAppEventType) == null || str.trim().isEmpty()) {
            return;
        }
        values(AFKeystoreWrapper(str).AFKeystoreWrapper);
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public AFc1lSDK AFKeystoreWrapper() throws Exception {
        if (AFLogger$LogLevel() && this.afRDLog.values()) {
            AppsFlyerRequestListener afInfoLog = afInfoLog();
            if (afInfoLog != null) {
                afInfoLog.onError(RequestError.STOP_TRACKING, AFb1eSDK.AFInAppEventType);
            }
            throw new AFc1aSDK();
        }
        String str = this.afRDLog.AFInAppEventType;
        if (str != null && !str.trim().isEmpty()) {
            AFc1uSDK<Result> AFKeystoreWrapper = AFKeystoreWrapper(str);
            if (AFLogger()) {
                values(AFKeystoreWrapper.AFKeystoreWrapper);
            }
            AFc1iSDK<Result> AFInAppEventType = AFKeystoreWrapper.AFInAppEventType();
            this.AFLogger = AFInAppEventType;
            this.afInfoLog.values(AFKeystoreWrapper.AFKeystoreWrapper.AFInAppEventParameterName, AFInAppEventType.getStatusCode(), AFInAppEventType.getBody().toString());
            AppsFlyerRequestListener afInfoLog2 = afInfoLog();
            if (afInfoLog2 != null) {
                if (AFInAppEventType.isSuccessful()) {
                    afInfoLog2.onSuccess();
                } else {
                    int i = RequestError.RESPONSE_CODE_FAILURE;
                    StringBuilder sb = new StringBuilder();
                    sb.append(AFb1eSDK.valueOf);
                    sb.append(" ");
                    sb.append(AFInAppEventType.getStatusCode());
                    afInfoLog2.onError(i, sb.toString());
                }
            }
            if (AFInAppEventType.isSuccessful()) {
                return AFc1lSDK.SUCCESS;
            }
            return AFc1lSDK.FAILURE;
        }
        AppsFlyerRequestListener afInfoLog3 = afInfoLog();
        if (afInfoLog3 != null) {
            afInfoLog3.onError(RequestError.NO_DEV_KEY, AFb1eSDK.AFInAppEventParameterName);
        }
        throw new AFc1bSDK();
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public boolean valueOf() {
        if (afErrorLog() instanceof AFc1aSDK) {
            return false;
        }
        if (this.AFKeystoreWrapper == AFc1lSDK.TIMEOUT) {
            return true;
        }
        Throwable afErrorLog = afErrorLog();
        return (afErrorLog instanceof IOException) && !(afErrorLog instanceof ParsingException);
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public final void values(Throwable th) {
        AFLogger.afErrorLog("Error while sending request to server: ".concat(String.valueOf(th)), th, true);
        AppsFlyerRequestListener afInfoLog = afInfoLog();
        if (afInfoLog != null) {
            String message = th.getMessage();
            int i = RequestError.NETWORK_FAILURE;
            if (message == null) {
                message = BuildConfig.FLAVOR;
            }
            afInfoLog.onError(i, message);
        }
    }

    private void values(AFb1wSDK aFb1wSDK) {
        String str = this.afWarnLog;
        this.afWarnLog = this.afDebugLog.AFKeystoreWrapper(new AFa1bSDK(aFb1wSDK.AFInAppEventParameterName, aFb1wSDK.values(), "6.9.4", this.AFInAppEventParameterName));
        if (str != null) {
            this.afDebugLog.valueOf(str);
        }
    }

    @Override // com.appsflyer.internal.AFc1eSDK
    public void AFInAppEventType() {
        String str;
        if (this.AFKeystoreWrapper != AFc1lSDK.SUCCESS) {
            if (valueOf() || (str = this.afWarnLog) == null) {
                return;
            }
            this.afDebugLog.valueOf(str);
            return;
        }
        String str2 = this.afWarnLog;
        if (str2 != null) {
            this.afDebugLog.valueOf(str2);
        }
    }
}
