package com.appsflyer.internal;

import com.appsflyer.AppsFlyerProperties;
import com.appsflyer.attribution.AppsFlyerRequestListener;
import com.appsflyer.internal.components.network.http.exceptions.ParsingException;
import com.appsflyer.share.LinkGenerator;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;
/* loaded from: classes.dex */
public final class AFd1zSDK extends AFd1vSDK<String> {
    private final String AFLogger$LogLevel;
    private final String AFVersionDeclaration;
    private final AFc1ySDK afDebugLog;
    private final Map<String, String> afErrorLogForExcManagerOnly;
    private final LinkGenerator.ResponseListener afWarnLog;
    private final UUID getLevel;

    @Override // com.appsflyer.internal.AFd1vSDK, com.appsflyer.internal.AFc1eSDK
    public final long AFInAppEventParameterName() {
        return 3000L;
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final boolean AFLogger() {
        return false;
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final boolean AFLogger$LogLevel() {
        return false;
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final AppsFlyerRequestListener afInfoLog() {
        return null;
    }

    public AFd1zSDK(AFb1aSDK aFb1aSDK, UUID uuid, String str, Map<String, String> map, String str2, LinkGenerator.ResponseListener responseListener) {
        super(AFc1fSDK.ONELINK, new AFc1fSDK[]{AFc1fSDK.RC_CDN}, aFb1aSDK, uuid.toString());
        this.afDebugLog = aFb1aSDK.values();
        this.getLevel = uuid;
        this.AFLogger$LogLevel = str;
        this.afErrorLogForExcManagerOnly = new HashMap(map);
        this.afWarnLog = responseListener;
        this.AFVersionDeclaration = str2;
    }

    @Override // com.appsflyer.internal.AFd1vSDK, com.appsflyer.internal.AFc1eSDK
    public final void AFInAppEventType() {
        super.AFInAppEventType();
        LinkGenerator.ResponseListener responseListener = this.afWarnLog;
        if (responseListener != null) {
            if (this.AFKeystoreWrapper == AFc1lSDK.SUCCESS && ((AFd1vSDK) this).AFLogger != null) {
                responseListener.onResponse((String) ((AFd1vSDK) this).AFLogger.getBody());
                return;
            }
            Throwable afErrorLog = afErrorLog();
            if (afErrorLog instanceof ParsingException) {
                if (((ParsingException) afErrorLog).getRawResponse().isSuccessful()) {
                    responseListener.onResponseError("Can't parse one link data");
                    return;
                } else {
                    responseListener.onResponse(getLevel());
                    return;
                }
            }
            responseListener.onResponse(getLevel());
        }
    }

    @Override // com.appsflyer.internal.AFd1vSDK
    protected final AFc1uSDK<String> AFKeystoreWrapper(String str) {
        return ((AFd1vSDK) this).afErrorLog.values(this.AFLogger$LogLevel, this.afErrorLogForExcManagerOnly, this.AFVersionDeclaration, this.getLevel, str);
    }

    private String getLevel() {
        String string = AppsFlyerProperties.getInstance().getString(AppsFlyerProperties.ONELINK_DOMAIN);
        String packageName = this.afDebugLog.AFInAppEventParameterName.valueOf.getPackageName();
        LinkGenerator addParameters = new LinkGenerator("af_app_invites").setBaseURL(this.AFLogger$LogLevel, string, packageName).addParameter("af_siteid", packageName).addParameters(this.afErrorLogForExcManagerOnly);
        AFb1zSDK.AFInAppEventType();
        String AFKeystoreWrapper = AFb1zSDK.AFKeystoreWrapper();
        if (AFKeystoreWrapper != null) {
            addParameters.setReferrerCustomerId(AFKeystoreWrapper);
        }
        return addParameters.generateLink();
    }
}
