package com.appsflyer.internal;

import android.content.ContentResolver;
import android.content.Context;
import android.content.pm.PackageItemInfo;
import android.content.pm.ProviderInfo;
import android.database.Cursor;
import android.net.Uri;
import com.appsflyer.AFLogger;
import com.appsflyer.internal.AFe1dSDK;
/* loaded from: classes.dex */
public final class AFe1bSDK extends AFe1dSDK {
    private final AFb1aSDK AFInAppEventType;
    final ProviderInfo values;

    public AFe1bSDK(ProviderInfo providerInfo, Runnable runnable, AFb1aSDK aFb1aSDK) {
        super("af_referrer", providerInfo.authority, runnable);
        this.AFInAppEventType = aFb1aSDK;
        this.values = providerInfo;
    }

    @Override // com.appsflyer.internal.AFe1dSDK
    public final void AFInAppEventType(final Context context) {
        this.AFInAppEventType.AFKeystoreWrapper().execute(new Runnable() { // from class: com.appsflyer.internal.AFe1bSDK.4
            @Override // java.lang.Runnable
            public final void run() {
                AFe1bSDK aFe1bSDK = AFe1bSDK.this;
                aFe1bSDK.afDebugLog = System.currentTimeMillis();
                aFe1bSDK.afErrorLog = AFe1dSDK.AFa1zSDK.STARTED;
                aFe1bSDK.addObserver(new AFe1dSDK.AnonymousClass2());
                StringBuilder sb = new StringBuilder("content://");
                sb.append(AFe1bSDK.this.values.authority);
                sb.append("/transaction_id");
                Uri parse = Uri.parse(sb.toString());
                ContentResolver contentResolver = context.getContentResolver();
                StringBuilder sb2 = new StringBuilder("app_id=");
                sb2.append(context.getPackageName());
                Cursor query = contentResolver.query(parse, null, sb2.toString(), null, null);
                if (query != null) {
                    int columnIndex = query.getColumnIndex("transaction_id");
                    if (columnIndex == -1) {
                        AFLogger.afWarnLog("[Preinstall]: Wrong column name");
                        AFe1bSDK.this.AFKeystoreWrapper.put("response", "FEATURE_NOT_SUPPORTED");
                    } else {
                        AFe1bSDK.this.AFKeystoreWrapper.put("response", "OK");
                        if (query.moveToFirst()) {
                            String string = query.getString(columnIndex);
                            query.close();
                            if (string != null && !string.isEmpty()) {
                                AFe1bSDK.this.AFKeystoreWrapper.put("referrer", string);
                            }
                        }
                    }
                } else {
                    AFLogger.afWarnLog("[Preinstall]: ContentProvider query failed, got null Cursor");
                    AFe1bSDK.this.AFKeystoreWrapper.put("response", "SERVICE_UNAVAILABLE");
                }
                AFe1bSDK.this.AFKeystoreWrapper.put("api_ver", Long.valueOf(AFb1wSDK.values(context, ((PackageItemInfo) AFe1bSDK.this.values).packageName)));
                AFe1bSDK.this.AFKeystoreWrapper.put("api_ver_name", AFb1wSDK.AFInAppEventType(context, ((PackageItemInfo) AFe1bSDK.this.values).packageName));
                AFe1bSDK.this.values();
            }
        });
    }
}
