package com.appsflyer.internal;

import androidx.core.app.NotificationCompat;
import com.appsflyer.AFLogger;
import com.appsflyer.deeplink.DeepLinkResult;
import java.util.Collections;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import org.json.JSONObject;
/* loaded from: classes.dex */
public final class AFe1vSDK {
    public final Map<String, Object> AFInAppEventParameterName;
    public long AFInAppEventType;
    public final AFd1mSDK AFKeystoreWrapper;
    public long AFLogger;
    public final long[] afDebugLog;
    public final long[] afErrorLog;
    public long afInfoLog;
    public final long[] afRDLog;
    public long afWarnLog;
    public long getLevel;
    public final Map<String, Object> valueOf;
    public final Map<String, Object> values;

    public AFe1vSDK(AFd1mSDK aFd1mSDK) {
        ConcurrentHashMap concurrentHashMap = new ConcurrentHashMap();
        this.valueOf = concurrentHashMap;
        ConcurrentHashMap concurrentHashMap2 = new ConcurrentHashMap();
        this.AFInAppEventParameterName = concurrentHashMap2;
        ConcurrentHashMap concurrentHashMap3 = new ConcurrentHashMap();
        this.values = concurrentHashMap3;
        this.AFInAppEventType = 0L;
        this.afInfoLog = 0L;
        this.afRDLog = new long[2];
        this.afErrorLog = new long[2];
        this.afDebugLog = new long[2];
        this.AFLogger = 0L;
        this.getLevel = 0L;
        this.AFKeystoreWrapper = aFd1mSDK;
        concurrentHashMap.putAll(AFInAppEventType("first_launch"));
        concurrentHashMap2.putAll(AFInAppEventType("ddl"));
        concurrentHashMap3.putAll(AFInAppEventType("gcd"));
        this.afWarnLog = aFd1mSDK.valueOf("prev_session_dur");
    }

    public final void AFInAppEventType() {
        this.afInfoLog = System.currentTimeMillis();
        if (valueOf()) {
            long j = this.AFInAppEventType;
            if (j != 0) {
                this.valueOf.put("init_to_fg", Long.valueOf(this.afInfoLog - j));
                this.AFKeystoreWrapper.values("first_launch", new JSONObject(this.valueOf).toString());
                return;
            }
            AFLogger.afInfoLog("Metrics: init ts is missing");
        }
    }

    public final void AFInAppEventParameterName(AFe1xSDK aFe1xSDK) {
        if (valueOf()) {
            this.valueOf.put("start_with", aFe1xSDK.toString());
            this.AFKeystoreWrapper.values("first_launch", new JSONObject(this.valueOf).toString());
        }
    }

    public final void values(int i) {
        long currentTimeMillis = System.currentTimeMillis();
        this.AFLogger = currentTimeMillis;
        if (i == 1) {
            long j = this.afInfoLog;
            if (j != 0) {
                this.valueOf.put("from_fg", Long.valueOf(currentTimeMillis - j));
                this.AFKeystoreWrapper.values("first_launch", new JSONObject(this.valueOf).toString());
                return;
            }
            AFLogger.afInfoLog("Metrics: fg ts is missing");
        }
    }

    public final void AFInAppEventParameterName(DeepLinkResult deepLinkResult, long j) {
        this.AFInAppEventParameterName.put(NotificationCompat.CATEGORY_STATUS, deepLinkResult.getStatus().toString());
        this.AFInAppEventParameterName.put("timeout_value", Long.valueOf(j));
        this.AFKeystoreWrapper.values("ddl", new JSONObject(this.AFInAppEventParameterName).toString());
    }

    public final void valueOf(int i) {
        long currentTimeMillis = System.currentTimeMillis();
        long j = this.getLevel;
        if (j != 0) {
            this.values.put("net", Long.valueOf(currentTimeMillis - j));
        } else {
            AFLogger.afInfoLog("Metrics: gcdStart ts is missing");
        }
        this.values.put("retries", Integer.valueOf(i));
        this.AFKeystoreWrapper.values("gcd", new JSONObject(this.values).toString());
    }

    private Map<String, Object> AFInAppEventType(String str) {
        Map<String, Object> emptyMap = Collections.emptyMap();
        String AFKeystoreWrapper = this.AFKeystoreWrapper.AFKeystoreWrapper(str, (String) null);
        if (AFKeystoreWrapper != null) {
            try {
                return AFa1mSDK.AFKeystoreWrapper(new JSONObject(AFKeystoreWrapper));
            } catch (Exception e) {
                AFLogger.afErrorLog("Error while parsing cached json data", e, true);
                return emptyMap;
            }
        }
        return emptyMap;
    }

    public final boolean valueOf() {
        return this.AFKeystoreWrapper.AFInAppEventType("appsFlyerCount") == 0;
    }
}
