package com.appsflyer.internal;

import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import kotlin.UByte;
import kotlin.jvm.internal.IntCompanionObject;
/* loaded from: classes.dex */
public final class AFf1qSDK extends FilterInputStream {
    private final int AFLogger;
    private int AFLogger$LogLevel;
    private final byte[] AFVersionDeclaration;
    private final byte[] afDebugLog;
    private final int[] afErrorLog;
    private int afErrorLogForExcManagerOnly;
    private final int[] afInfoLog;
    private final byte[][] afRDLog;
    private int afWarnLog;
    private static final byte[] AFInAppEventParameterName = AFf1rSDK.values;
    private static final int[] values = AFf1rSDK.AFKeystoreWrapper;
    private static final int[] AFInAppEventType = AFf1rSDK.AFInAppEventType;
    private static final int[] valueOf = AFf1rSDK.AFInAppEventParameterName;
    private static final int[] AFKeystoreWrapper = AFf1rSDK.valueOf;

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final boolean markSupported() {
        return false;
    }

    public AFf1qSDK(InputStream inputStream, int i, byte[] bArr, byte[][] bArr2) {
        super(inputStream);
        this.afInfoLog = new int[4];
        this.afDebugLog = new byte[16];
        this.AFVersionDeclaration = new byte[16];
        this.AFLogger$LogLevel = IntCompanionObject.MAX_VALUE;
        this.afWarnLog = 16;
        this.afErrorLogForExcManagerOnly = 16;
        this.AFLogger = i;
        this.afErrorLog = AFf1rSDK.AFInAppEventParameterName(bArr, i);
        this.afRDLog = AFKeystoreWrapper(bArr2);
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final int read() throws IOException {
        AFInAppEventType();
        int i = this.afWarnLog;
        if (i >= this.afErrorLogForExcManagerOnly) {
            return -1;
        }
        byte[] bArr = this.AFVersionDeclaration;
        this.afWarnLog = i + 1;
        return bArr[i] & UByte.MAX_VALUE;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final int read(byte[] bArr) throws IOException {
        return read(bArr, 0, bArr.length);
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final int read(byte[] bArr, int i, int i2) throws IOException {
        int i3 = i + i2;
        for (int i4 = i; i4 < i3; i4++) {
            AFInAppEventType();
            int i5 = this.afWarnLog;
            if (i5 >= this.afErrorLogForExcManagerOnly) {
                if (i4 == i) {
                    return -1;
                }
                return i2 - (i3 - i4);
            }
            byte[] bArr2 = this.AFVersionDeclaration;
            this.afWarnLog = i5 + 1;
            bArr[i4] = bArr2[i5];
        }
        return i2;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final long skip(long j) throws IOException {
        long j2 = 0;
        while (j2 < j && read() != -1) {
            j2++;
        }
        return j2;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final int available() throws IOException {
        AFInAppEventType();
        return this.afErrorLogForExcManagerOnly - this.afWarnLog;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream, java.io.Closeable, java.lang.AutoCloseable
    public final void close() throws IOException {
        super.close();
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final synchronized void mark(int i) {
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final synchronized void reset() throws IOException {
    }

    private static byte[][] AFKeystoreWrapper(byte[][] bArr) {
        byte[][] bArr2 = new byte[bArr.length];
        for (int i = 0; i < bArr.length; i++) {
            bArr2[i] = new byte[bArr[i].length];
            for (int i2 = 0; i2 < bArr[i].length; i2++) {
                bArr2[i][bArr[i][i2]] = (byte) i2;
            }
        }
        return bArr2;
    }

    private int AFInAppEventType() throws IOException {
        if (this.AFLogger$LogLevel == Integer.MAX_VALUE) {
            this.AFLogger$LogLevel = ((FilterInputStream) this).in.read();
        }
        if (this.afWarnLog == 16) {
            byte[] bArr = this.afDebugLog;
            int i = this.AFLogger$LogLevel;
            bArr[0] = (byte) i;
            if (i < 0) {
                throw new IllegalStateException("unexpected block size");
            }
            int i2 = 1;
            do {
                int read = ((FilterInputStream) this).in.read(this.afDebugLog, i2, 16 - i2);
                if (read <= 0) {
                    break;
                }
                i2 += read;
            } while (i2 < 16);
            if (i2 < 16) {
                throw new IllegalStateException("unexpected block size");
            }
            valueOf(this.afDebugLog, this.AFVersionDeclaration);
            int read2 = ((FilterInputStream) this).in.read();
            this.AFLogger$LogLevel = read2;
            this.afWarnLog = 0;
            this.afErrorLogForExcManagerOnly = read2 < 0 ? 16 - (this.AFVersionDeclaration[15] & UByte.MAX_VALUE) : 16;
        }
        return this.afErrorLogForExcManagerOnly;
    }

    private void valueOf(byte[] bArr, byte[] bArr2) {
        int[] iArr = this.afInfoLog;
        char c = 1;
        int i = (bArr[0] << 24) | ((bArr[1] & UByte.MAX_VALUE) << 16) | ((bArr[2] & UByte.MAX_VALUE) << 8) | (bArr[3] & UByte.MAX_VALUE);
        int[] iArr2 = this.afErrorLog;
        iArr[0] = i ^ iArr2[0];
        iArr[1] = ((((bArr[4] << 24) | ((bArr[5] & UByte.MAX_VALUE) << 16)) | ((bArr[6] & UByte.MAX_VALUE) << 8)) | (bArr[7] & UByte.MAX_VALUE)) ^ iArr2[1];
        iArr[2] = ((((bArr[8] << 24) | ((bArr[9] & UByte.MAX_VALUE) << 16)) | ((bArr[10] & UByte.MAX_VALUE) << 8)) | (bArr[11] & UByte.MAX_VALUE)) ^ iArr2[2];
        int i2 = (bArr[13] & UByte.MAX_VALUE) << 16;
        iArr[3] = iArr2[3] ^ (((i2 | (bArr[12] << 24)) | ((bArr[14] & UByte.MAX_VALUE) << 8)) | (bArr[15] & UByte.MAX_VALUE));
        int i3 = 1;
        int i4 = 4;
        while (i3 < this.AFLogger) {
            int[] iArr3 = values;
            int[] iArr4 = this.afInfoLog;
            byte[][] bArr3 = this.afRDLog;
            int i5 = iArr3[iArr4[bArr3[0][0]] >>> 24];
            int[] iArr5 = AFInAppEventType;
            int i6 = i5 ^ iArr5[(iArr4[bArr3[c][0]] >>> 16) & 255];
            int[] iArr6 = valueOf;
            int i7 = iArr6[(iArr4[bArr3[2][0]] >>> 8) & 255] ^ i6;
            int[] iArr7 = AFKeystoreWrapper;
            int i8 = iArr7[iArr4[bArr3[3][0]] & 255] ^ i7;
            int[] iArr8 = this.afErrorLog;
            int i9 = i8 ^ iArr8[i4];
            int i10 = ((iArr6[(iArr4[bArr3[2][c]] >>> 8) & 255] ^ (iArr3[iArr4[bArr3[0][c]] >>> 24] ^ iArr5[(iArr4[bArr3[c][c]] >>> 16) & 255])) ^ iArr7[iArr4[bArr3[3][c]] & 255]) ^ iArr8[i4 + 1];
            int i11 = (((iArr5[(iArr4[bArr3[c][2]] >>> 16) & 255] ^ iArr3[iArr4[bArr3[0][2]] >>> 24]) ^ iArr6[(iArr4[bArr3[2][2]] >>> 8) & 255]) ^ iArr7[iArr4[bArr3[3][2]] & 255]) ^ iArr8[i4 + 2];
            iArr4[0] = i9;
            iArr4[1] = i10;
            iArr4[2] = i11;
            iArr4[3] = (((iArr3[iArr4[bArr3[0][3]] >>> 24] ^ iArr5[(iArr4[bArr3[1][3]] >>> 16) & 255]) ^ iArr6[(iArr4[bArr3[2][3]] >>> 8) & 255]) ^ iArr7[iArr4[bArr3[3][3]] & 255]) ^ iArr8[i4 + 3];
            i3++;
            i4 += 4;
            c = 1;
        }
        int[] iArr9 = this.afErrorLog;
        int i12 = iArr9[i4];
        byte[] bArr4 = AFInAppEventParameterName;
        int[] iArr10 = this.afInfoLog;
        byte[][] bArr5 = this.afRDLog;
        bArr2[0] = (byte) (bArr4[iArr10[bArr5[0][0]] >>> 24] ^ (i12 >>> 24));
        bArr2[1] = (byte) (bArr4[(iArr10[bArr5[1][0]] >>> 16) & 255] ^ (i12 >>> 16));
        bArr2[2] = (byte) (bArr4[(iArr10[bArr5[2][0]] >>> 8) & 255] ^ (i12 >>> 8));
        bArr2[3] = (byte) (i12 ^ bArr4[iArr10[bArr5[3][0]] & 255]);
        int i13 = iArr9[i4 + 1];
        bArr2[4] = (byte) (bArr4[iArr10[bArr5[0][1]] >>> 24] ^ (i13 >>> 24));
        bArr2[5] = (byte) (bArr4[(iArr10[bArr5[1][1]] >>> 16) & 255] ^ (i13 >>> 16));
        bArr2[6] = (byte) (bArr4[(iArr10[bArr5[2][1]] >>> 8) & 255] ^ (i13 >>> 8));
        bArr2[7] = (byte) (i13 ^ bArr4[iArr10[bArr5[3][1]] & 255]);
        int i14 = iArr9[i4 + 2];
        bArr2[8] = (byte) (bArr4[iArr10[bArr5[0][2]] >>> 24] ^ (i14 >>> 24));
        bArr2[9] = (byte) (bArr4[(iArr10[bArr5[1][2]] >>> 16) & 255] ^ (i14 >>> 16));
        bArr2[10] = (byte) (bArr4[(iArr10[bArr5[2][2]] >>> 8) & 255] ^ (i14 >>> 8));
        bArr2[11] = (byte) (i14 ^ bArr4[iArr10[bArr5[3][2]] & 255]);
        int i15 = iArr9[i4 + 3];
        bArr2[12] = (byte) (bArr4[iArr10[bArr5[0][3]] >>> 24] ^ (i15 >>> 24));
        bArr2[13] = (byte) (bArr4[(iArr10[bArr5[1][3]] >>> 16) & 255] ^ (i15 >>> 16));
        bArr2[14] = (byte) (bArr4[(iArr10[bArr5[2][3]] >>> 8) & 255] ^ (i15 >>> 8));
        bArr2[15] = (byte) (i15 ^ bArr4[iArr10[bArr5[3][3]] & 255]);
    }
}
