package com.appsflyer.internal;

import androidx.core.view.MotionEventCompat;
import androidx.core.view.ViewCompat;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import kotlin.UByte;
import kotlin.jvm.internal.IntCompanionObject;
/* loaded from: classes.dex */
public final class AFf1xSDK extends FilterInputStream {
    private byte[] AFInAppEventParameterName;
    private byte[] AFInAppEventType;
    private byte[] AFKeystoreWrapper;
    private int AFLogger;
    private int afDebugLog;
    private int[] afErrorLog;
    private int afInfoLog;
    private int afRDLog;
    private final int valueOf;
    private AFf1vSDK values;

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final boolean markSupported() {
        return false;
    }

    public AFf1xSDK(InputStream inputStream, int[] iArr, byte[] bArr, int i, boolean z, int i2) throws IOException {
        super(inputStream);
        this.afDebugLog = IntCompanionObject.MAX_VALUE;
        int min = Math.min(Math.max(i, 3), 16);
        this.valueOf = min;
        this.AFKeystoreWrapper = new byte[8];
        byte[] bArr2 = new byte[8];
        this.AFInAppEventParameterName = bArr2;
        this.AFInAppEventType = new byte[8];
        this.afErrorLog = new int[2];
        this.afRDLog = 8;
        this.afInfoLog = 8;
        this.AFLogger = i2;
        if (i2 == 2) {
            System.arraycopy(bArr, 0, bArr2, 0, 8);
        }
        this.values = new AFf1vSDK(iArr, min, true, false);
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final int read() throws IOException {
        valueOf();
        int i = this.afRDLog;
        if (i >= this.afInfoLog) {
            return -1;
        }
        byte[] bArr = this.AFKeystoreWrapper;
        this.afRDLog = i + 1;
        return bArr[i] & UByte.MAX_VALUE;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final int read(byte[] bArr, int i, int i2) throws IOException {
        int i3 = i + i2;
        for (int i4 = i; i4 < i3; i4++) {
            valueOf();
            int i5 = this.afRDLog;
            if (i5 >= this.afInfoLog) {
                if (i4 == i) {
                    return -1;
                }
                return i2 - (i3 - i4);
            }
            byte[] bArr2 = this.AFKeystoreWrapper;
            this.afRDLog = i5 + 1;
            bArr[i4] = bArr2[i5];
        }
        return i2;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final long skip(long j) throws IOException {
        long j2 = 0;
        while (j2 < j && read() != -1) {
            j2++;
        }
        return j2;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public final int available() throws IOException {
        valueOf();
        return this.afInfoLog - this.afRDLog;
    }

    private void AFInAppEventType() {
        if (this.AFLogger == 2) {
            byte[] bArr = this.AFKeystoreWrapper;
            System.arraycopy(bArr, 0, this.AFInAppEventType, 0, bArr.length);
        }
        byte[] bArr2 = this.AFKeystoreWrapper;
        AFf1wSDK.AFInAppEventType(((bArr2[0] << 24) & ViewCompat.MEASURED_STATE_MASK) + ((bArr2[1] << 16) & 16711680) + ((bArr2[2] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) + (bArr2[3] & UByte.MAX_VALUE), ((-16777216) & (bArr2[4] << 24)) + (16711680 & (bArr2[5] << 16)) + (65280 & (bArr2[6] << 8)) + (bArr2[7] & UByte.MAX_VALUE), false, this.valueOf, this.values.AFKeystoreWrapper, this.values.valueOf, this.afErrorLog);
        int[] iArr = this.afErrorLog;
        int i = iArr[0];
        int i2 = iArr[1];
        byte[] bArr3 = this.AFKeystoreWrapper;
        bArr3[0] = (byte) (i >> 24);
        bArr3[1] = (byte) (i >> 16);
        bArr3[2] = (byte) (i >> 8);
        bArr3[3] = (byte) i;
        bArr3[4] = (byte) (i2 >> 24);
        bArr3[5] = (byte) (i2 >> 16);
        bArr3[6] = (byte) (i2 >> 8);
        bArr3[7] = (byte) i2;
        if (this.AFLogger == 2) {
            for (int i3 = 0; i3 < 8; i3++) {
                byte[] bArr4 = this.AFKeystoreWrapper;
                bArr4[i3] = (byte) (bArr4[i3] ^ this.AFInAppEventParameterName[i3]);
            }
            byte[] bArr5 = this.AFInAppEventType;
            System.arraycopy(bArr5, 0, this.AFInAppEventParameterName, 0, bArr5.length);
        }
    }

    private int valueOf() throws IOException {
        if (this.afDebugLog == Integer.MAX_VALUE) {
            this.afDebugLog = ((FilterInputStream) this).in.read();
        }
        if (this.afRDLog == 8) {
            byte[] bArr = this.AFKeystoreWrapper;
            int i = this.afDebugLog;
            bArr[0] = (byte) i;
            if (i < 0) {
                throw new IllegalStateException("unexpected block size");
            }
            int i2 = 1;
            do {
                int read = ((FilterInputStream) this).in.read(this.AFKeystoreWrapper, i2, 8 - i2);
                if (read <= 0) {
                    break;
                }
                i2 += read;
            } while (i2 < 8);
            if (i2 < 8) {
                throw new IllegalStateException("unexpected block size");
            }
            AFInAppEventType();
            int read2 = ((FilterInputStream) this).in.read();
            this.afDebugLog = read2;
            this.afRDLog = 0;
            this.afInfoLog = read2 < 0 ? 8 - (this.AFKeystoreWrapper[7] & UByte.MAX_VALUE) : 8;
        }
        return this.afInfoLog;
    }
}
