package com.appsflyer.internal;

import android.content.Context;
import com.appsflyer.AFLogger;
import com.appsflyer.internal.AFe1dSDK;
import com.miui.referrer.api.GetAppsReferrerClient;
import com.miui.referrer.api.GetAppsReferrerDetails;
import com.miui.referrer.api.GetAppsReferrerStateListener;
import java.util.HashMap;
/* loaded from: classes.dex */
public final class AFf1zSDK extends AFe1hSDK {
    public AFf1zSDK(Runnable runnable) {
        super("store", "xiaomi", runnable);
    }

    private static boolean values(Context context) {
        if (AFKeystoreWrapper(context)) {
            try {
                Class.forName("com.miui.referrer.api.GetAppsReferrerClient");
                AFLogger.afDebugLog("Xiaomi Install Referrer is allowed");
                return true;
            } catch (ClassNotFoundException unused) {
                StringBuilder sb = new StringBuilder("Class ");
                sb.append("com.miui.referrer.api.GetAppsReferrerClient");
                sb.append(" not found");
                AFLogger.afRDLog(sb.toString());
                return false;
            } catch (Throwable th) {
                AFLogger.afErrorLog("An error occurred while trying to access GetAppsReferrerClient", th);
                return false;
            }
        }
        return false;
    }

    @Override // com.appsflyer.internal.AFe1dSDK
    public final void AFInAppEventType(final Context context) {
        if (values(context)) {
            this.afDebugLog = System.currentTimeMillis();
            this.afErrorLog = AFe1dSDK.AFa1zSDK.STARTED;
            addObserver(new AFe1dSDK.AnonymousClass2());
            final GetAppsReferrerClient build = GetAppsReferrerClient.Companion.newBuilder(context).build();
            build.startConnection(new GetAppsReferrerStateListener() { // from class: com.appsflyer.internal.AFf1zSDK.1
                public final void onGetAppsServiceDisconnected() {
                }

                public final void onGetAppsReferrerSetupFinished(int i) {
                    AFf1zSDK.this.AFKeystoreWrapper.put("api_ver", Long.valueOf(AFb1wSDK.values(context, "com.xiaomi.mipicks")));
                    AFf1zSDK.this.AFKeystoreWrapper.put("api_ver_name", AFb1wSDK.AFInAppEventType(context, "com.xiaomi.mipicks"));
                    if (i == -1) {
                        AFLogger.afWarnLog("XiaomiInstallReferrer SERVICE_DISCONNECTED");
                        AFf1zSDK.this.AFKeystoreWrapper.put("response", "SERVICE_DISCONNECTED");
                    } else if (i == 0) {
                        AFf1zSDK aFf1zSDK = AFf1zSDK.this;
                        GetAppsReferrerClient getAppsReferrerClient = build;
                        aFf1zSDK.AFKeystoreWrapper.put("response", "OK");
                        try {
                            AFLogger.afDebugLog("XiaomiInstallReferrer connected");
                            if (getAppsReferrerClient.isReady()) {
                                GetAppsReferrerDetails installReferrer = getAppsReferrerClient.getInstallReferrer();
                                String installReferrer2 = installReferrer.getInstallReferrer();
                                if (installReferrer2 != null) {
                                    aFf1zSDK.AFKeystoreWrapper.put("referrer", installReferrer2);
                                }
                                aFf1zSDK.AFKeystoreWrapper.put("click_ts", Long.valueOf(installReferrer.getReferrerClickTimestampSeconds()));
                                aFf1zSDK.AFKeystoreWrapper.put("install_begin_ts", Long.valueOf(installReferrer.getInstallBeginTimestampSeconds()));
                                HashMap hashMap = new HashMap();
                                hashMap.put("click_server_ts", Long.valueOf(installReferrer.getReferrerClickTimestampServerSeconds()));
                                hashMap.put("install_begin_server_ts", Long.valueOf(installReferrer.getInstallBeginTimestampServerSeconds()));
                                hashMap.put("install_version", installReferrer.getInstallVersion());
                                aFf1zSDK.AFKeystoreWrapper.put("xiaomi_custom", hashMap);
                            } else {
                                AFLogger.afWarnLog("XiaomiReferrerClient: XiaomiInstallReferrer is not ready");
                            }
                        } catch (Throwable th) {
                            StringBuilder sb = new StringBuilder("Failed to get Xiaomi install referrer: ");
                            sb.append(th.getMessage());
                            AFLogger.afWarnLog(sb.toString());
                        }
                    } else if (i == 1) {
                        AFf1zSDK.this.AFKeystoreWrapper.put("response", "SERVICE_UNAVAILABLE");
                        AFLogger.afWarnLog("XiaomiInstallReferrer not supported");
                    } else if (i == 2) {
                        AFLogger.afWarnLog("XiaomiInstallReferrer FEATURE_NOT_SUPPORTED");
                        AFf1zSDK.this.AFKeystoreWrapper.put("response", "FEATURE_NOT_SUPPORTED");
                    } else if (i == 3) {
                        AFLogger.afWarnLog("XiaomiInstallReferrer DEVELOPER_ERROR");
                        AFf1zSDK.this.AFKeystoreWrapper.put("response", "DEVELOPER_ERROR");
                    } else if (i == 4) {
                        AFLogger.afWarnLog("XiaomiInstallReferrer DEVELOPER_ERROR");
                        AFf1zSDK.this.AFKeystoreWrapper.put("response", "PERMISSION_ERROR");
                    } else {
                        AFLogger.afWarnLog("responseCode not found.");
                    }
                    AFLogger.afDebugLog("Xiaomi Install Referrer collected locally");
                    AFf1zSDK.this.values();
                    build.endConnection();
                }
            });
        }
    }
}
