package com.onevcat.uniwebview;

import android.graphics.Bitmap;
import android.graphics.Rect;
import android.webkit.CookieManager;
import com.appsflyer.unity.BuildConfig;
import com.unity3d.player.UnityPlayer;
import java.io.ByteArrayOutputStream;
import java.util.List;
import kotlin.Metadata;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.JvmStatic;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.Regex;
import kotlin.text.StringsKt;
@Metadata(d1 = {"\u0000\f\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0005\u0018\u0000 \u00042\u00020\u0001:\u0001\u0005B\u0007¢\u0006\u0004\b\u0002\u0010\u0003¨\u0006\u0006"}, d2 = {"Lcom/onevcat/uniwebview/UniWebViewInterface;", BuildConfig.FLAVOR, "<init>", "()V", "Companion", "com/onevcat/uniwebview/k4", "uniwebview_release"}, k = 1, mv = {1, 6, 0})
/* loaded from: classes.dex */
public final class UniWebViewInterface {
    public static final k4 Companion = new k4();
    public static final long RUN_SYNC_WAIT_TIME_MS = 5000;
    private static UniWebViewNativeChannel channel;

    @JvmStatic
    public static final void addJavaScript(String name, String jsString, String identifier) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        Intrinsics.checkNotNullParameter(jsString, "jsString");
        Intrinsics.checkNotNullParameter(identifier, "identifier");
        k kVar = k.c;
        kVar.c("Interface addJavaScript to: " + name);
        k4.a(name, new t0(jsString, identifier));
    }

    @JvmStatic
    public static final void addPermissionTrustDomain(String str, String str2) {
        s0.a(Companion, str, "name", str2, "domain");
        k kVar = k.c;
        kVar.c("Interface addPermissionTrustDomain: " + str + ", domain: " + str2);
        k4.a(str, new u0(str2));
    }

    @JvmStatic
    public static final void addSslExceptionDomain(String str, String str2) {
        s0.a(Companion, str, "name", str2, "domain");
        k kVar = k.c;
        kVar.c("Interface addSslExceptionDomain: " + str + ", domain: " + str2);
        k4.a(str, new v0(str2));
    }

    @JvmStatic
    public static final void addUrlScheme(String str, String str2) {
        s0.a(Companion, str, "name", str2, "scheme");
        k kVar = k.c;
        kVar.c("Interface addUrlScheme: " + str + ", scheme: " + str2);
        k4.a(str, new w0(str2));
    }

    @JvmStatic
    public static final boolean animateTo(String str, int i, int i2, int i3, int i4, float f, float f2, String str2) {
        s0.a(Companion, str, "name", str2, "identifier");
        k kVar = k.c;
        kVar.c("Interface animateTo: {" + i + ", " + i2 + ", " + i3 + ", " + i4 + '}');
        Boolean bool = (Boolean) k4.c(str, new x0(i, i2, i3, i4, f, f2, str2));
        if (bool != null) {
            return bool.booleanValue();
        }
        return false;
    }

    @JvmStatic
    public static final void authenticationInit(String name, String url, String scheme) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        Intrinsics.checkNotNullParameter(url, "url");
        Intrinsics.checkNotNullParameter(scheme, "scheme");
        k kVar = k.c;
        kVar.c("Interface authenticationInit: " + name + ", url: " + url + ", scheme: " + scheme);
        k4.a(new y0(name, url, scheme));
    }

    @JvmStatic
    public static final void authenticationSetPrivateMode(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface authenticationSetPrivateMode: " + name + ", flag: " + z);
        k4.a(new z0(name, z));
    }

    @JvmStatic
    public static final void authenticationStart(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface authenticationStart: " + name);
        k4.a(new a1(name));
    }

    @JvmStatic
    public static final void bringContentToFront(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k4.a(name, b1.a);
    }

    @JvmStatic
    public static final boolean canGoBack(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface canGoBack: " + name);
        Boolean bool = (Boolean) k4.c(name, c1.a);
        if (bool != null) {
            return bool.booleanValue();
        }
        return false;
    }

    @JvmStatic
    public static final boolean canGoForward(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface canGoForward: " + name);
        Boolean bool = (Boolean) k4.c(name, d1.a);
        if (bool != null) {
            return bool.booleanValue();
        }
        return false;
    }

    @JvmStatic
    public static final void captureSnapshot(String name, String str) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface captureSnapshot: " + name + ". File name: " + str);
        k4.a(name, new e1(str));
    }

    @JvmStatic
    public static final void cleanCache(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface cleanCache: " + name);
        k4.a(name, f1.a);
    }

    @JvmStatic
    public static final void clearCookies() {
        Companion.getClass();
        k kVar = k.c;
        kVar.getClass();
        Intrinsics.checkNotNullParameter("Interface clearCookies", "message");
        kVar.a(j.INFO, "Interface clearCookies");
        k0.a();
    }

    @JvmStatic
    public static final void clearHttpAuthUsernamePassword(String str, String str2) {
        s0.a(Companion, str, "host", str2, "realm");
        k kVar = k.c;
        kVar.c("Interface clearHttpAuthUsernamePassword. Host: " + str + ", realm: " + str2);
        k4.a(new g1(str, str2));
    }

    @JvmStatic
    public static final void destroy(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface destroy web view: " + name);
        k4.a(name, h1.a);
    }

    @JvmStatic
    public static final void evaluateJavaScript(String name, String jsString, String identifier) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        Intrinsics.checkNotNullParameter(jsString, "jsString");
        Intrinsics.checkNotNullParameter(identifier, "identifier");
        k kVar = k.c;
        kVar.c("Interface evaluateJavaScript in: " + name);
        k4.a(name, new i1(jsString, identifier));
    }

    @JvmStatic
    public static final String getCookie(String url, String key) {
        s0.a(Companion, url, "url", key, "key");
        k kVar = k.c;
        kVar.c("Interface getCookie from: " + url + " | key: " + key);
        Intrinsics.checkNotNullParameter(url, "url");
        Intrinsics.checkNotNullParameter(key, "key");
        String cookie = CookieManager.getInstance().getCookie(url);
        if (cookie == null) {
            kVar.b("The content for given url '" + url + "' is not found in cookie manager.");
            return BuildConfig.FLAVOR;
        }
        kVar.d("Cookie string is found: '" + cookie + "', for url: " + url);
        StringBuilder sb = new StringBuilder("Trying to parse cookie to find value for key: ");
        sb.append(key);
        kVar.d(sb.toString());
        for (String str : CollectionsKt.reversed(new Regex(";").split(cookie, 0))) {
            List<String> split = new Regex("=").split(StringsKt.trim((CharSequence) str).toString(), 0);
            if (split.size() >= 2 && Intrinsics.areEqual(split.get(0), key)) {
                String str2 = split.get(1);
                k kVar2 = k.c;
                kVar2.d("Found cookie value: " + str2 + " for key: " + key);
                return str2;
            }
        }
        k kVar3 = k.c;
        kVar3.d("Did not find the key '" + key + "' in cookie.");
        return BuildConfig.FLAVOR;
    }

    @JvmStatic
    public static final byte[] getRenderedData(String name, int i, int i2, int i3, int i4) {
        byte[] bArr;
        ByteArrayOutputStream byteArrayOutputStream;
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        f fVar = f.b;
        fVar.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        j0 j0Var = (j0) fVar.a.get(name);
        Rect rect = null;
        if (j0Var != null && (byteArrayOutputStream = j0Var.m) != null) {
            byteArrayOutputStream.reset();
            Bitmap bitmap = j0Var.n;
            if (bitmap != null) {
                try {
                    bitmap.compress(Bitmap.CompressFormat.PNG, 100, byteArrayOutputStream);
                    bArr = byteArrayOutputStream.toByteArray();
                } catch (Exception e) {
                    k.c.a("Creating snapshot buffer exception: " + e);
                }
                if (i == -1 || i2 != -1 || i3 != -1 || i4 != -1) {
                    rect = new Rect(i, i2, i3 + i, i4 + i2);
                }
                k4.a(name, new j1(rect));
                return bArr;
            }
        }
        bArr = null;
        if (i == -1) {
        }
        rect = new Rect(i, i2, i3 + i, i4 + i2);
        k4.a(name, new j1(rect));
        return bArr;
    }

    @JvmStatic
    public static final String getUrl(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface getUrl: " + name);
        String str = (String) k4.c(name, k1.a);
        return str == null ? BuildConfig.FLAVOR : str;
    }

    @JvmStatic
    public static final String getUserAgent(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface getUserAgent: " + name);
        String str = (String) k4.c(name, l1.a);
        return str == null ? BuildConfig.FLAVOR : str;
    }

    @JvmStatic
    public static final float getWebViewAlpha(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface getWebViewAlpha: " + name);
        Float f = (Float) k4.c(name, m1.a);
        if (f != null) {
            return f.floatValue();
        }
        return 1.0f;
    }

    @JvmStatic
    public static final void goBack(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface goBack: " + name);
        k4.a(name, n1.a);
    }

    @JvmStatic
    public static final void goForward(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface goForward: " + name);
        k4.a(name, o1.a);
    }

    @JvmStatic
    public static final boolean hide(String str, boolean z, int i, float f, String str2) {
        s0.a(Companion, str, "name", str2, "identifier");
        k kVar = k.c;
        kVar.getClass();
        Intrinsics.checkNotNullParameter("Interface hide", "message");
        kVar.a(j.INFO, "Interface hide");
        Boolean bool = (Boolean) k4.c(str, new p1(z, i, f, str2));
        if (bool != null) {
            return bool.booleanValue();
        }
        return false;
    }

    @JvmStatic
    public static final void hideAsync(String str, boolean z, int i, float f, String str2) {
        s0.a(Companion, str, "name", str2, "identifier");
        k kVar = k.c;
        kVar.getClass();
        Intrinsics.checkNotNullParameter("Interface hideAsync", "message");
        kVar.a(j.INFO, "Interface hideAsync");
        k4.a(str, new q1(z, i, f, str2));
    }

    @JvmStatic
    public static final void hideSpinner(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface hideSpinner: " + name);
        k4.a(name, r1.a);
    }

    @JvmStatic
    public static final void init(String name, int i, int i2, int i3, int i4) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface init: " + name);
        k4.a(new s1(name, i, i2, i3, i4));
    }

    @JvmStatic
    public static final boolean isAuthenticationIsSupported() {
        Companion.getClass();
        k kVar = k.c;
        kVar.getClass();
        Intrinsics.checkNotNullParameter("Interface authenticationIsSupported.", "message");
        kVar.a(j.INFO, "Interface authenticationIsSupported.");
        Boolean bool = (Boolean) k4.c(t1.a);
        if (bool != null) {
            return bool.booleanValue();
        }
        return false;
    }

    @JvmStatic
    public static final boolean isSafeBrowsingSupported() {
        Companion.getClass();
        Boolean bool = (Boolean) k4.c(t1.a);
        if (bool != null) {
            return bool.booleanValue();
        }
        return false;
    }

    @JvmStatic
    public static final boolean isWebViewSupported() {
        Companion.getClass();
        Boolean bool = (Boolean) k4.c(u1.a);
        if (bool != null) {
            return bool.booleanValue();
        }
        return false;
    }

    @JvmStatic
    public static final void load(String name, String str) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface load: " + name + ", url: " + str);
        k4.a(name, new v1(str));
    }

    @JvmStatic
    public static final void loadHTMLString(String name, String str, String str2) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.getClass();
        Intrinsics.checkNotNullParameter("Interface loadHTMLString", "message");
        kVar.a(j.INFO, "Interface loadHTMLString");
        k4.a(name, new w1(str, str2));
    }

    @JvmStatic
    public static final void prepare() {
        Companion.getClass();
        k4.c(x1.a);
    }

    @JvmStatic
    public static final void print(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface print: " + name);
        k4.a(name, y1.a);
    }

    @JvmStatic
    public static final void registerChannel(UniWebViewNativeChannel channel2) {
        k4 k4Var = Companion;
        k4Var.getClass();
        Intrinsics.checkNotNullParameter(channel2, "channel");
        k4.a(new z1(k4Var, channel2));
    }

    @JvmStatic
    public static final void reload(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface reload: " + name);
        k4.a(name, a2.a);
    }

    @JvmStatic
    public static final void removeCookie(String str, String str2) {
        s0.a(Companion, str, "url", str2, "key");
        k kVar = k.c;
        kVar.c("Interface removeCookie: " + str + ", key: " + str2);
        k0.a(str, str2);
    }

    @JvmStatic
    public static final void removeCookies(String url) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(url, "url");
        k kVar = k.c;
        kVar.c("Interface remove cookies for: " + url);
        Intrinsics.checkNotNullParameter(url, "url");
        k0.a(url, (String) null);
    }

    @JvmStatic
    public static final void removePermissionTrustDomain(String str, String str2) {
        s0.a(Companion, str, "name", str2, "domain");
        k kVar = k.c;
        kVar.c("Interface removePermissionTrustDomain: " + str + ", domain: " + str2);
        k4.a(str, new b2(str2));
    }

    @JvmStatic
    public static final void removeSslExceptionDomain(String str, String str2) {
        s0.a(Companion, str, "name", str2, "domain");
        k kVar = k.c;
        kVar.c("Interface removeSslExceptionDomain: " + str + ", domain: " + str2);
        k4.a(str, new c2(str2));
    }

    @JvmStatic
    public static final void removeUrlScheme(String str, String str2) {
        s0.a(Companion, str, "name", str2, "scheme");
        k kVar = k.c;
        kVar.c("Interface removeUrlScheme: " + str + ", scheme: " + str2);
        k4.a(str, new d2(str2));
    }

    @JvmStatic
    public static final void safeBrowsingInit(String name, String str) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface safeBrowsingInit: " + name + ", url: " + str);
        k4.a(new g2(str, name));
    }

    @JvmStatic
    public static final void safeBrowsingSetToolbarColor(String name, float f, float f2, float f3) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface safeBrowsingSetToolbarColor: " + name + ", rgb: {" + f + ", " + f2 + ", " + f3 + ')');
        k4.a(new h2(name, f, f2, f3));
    }

    @JvmStatic
    public static final void safeBrowsingShow(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface safeBrowsingShow: " + name);
        k4.a(new i2(name));
    }

    @JvmStatic
    public static final float screenHeight() {
        Companion.getClass();
        return UnityPlayer.currentActivity.findViewById(16908290).getHeight();
    }

    @JvmStatic
    public static final float screenWidth() {
        Companion.getClass();
        return UnityPlayer.currentActivity.findViewById(16908290).getWidth();
    }

    @JvmStatic
    public static final void scrollTo(String name, int i, int i2, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface scrollTo: " + name + ", {" + i + ", " + i2 + "}, animated: " + z);
        k4.a(name, new j2(i, i2, z));
    }

    @JvmStatic
    public static final void setAcceptThirdPartyCookies(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setAcceptThirdPartyCookies: " + name + ", enabled: " + z);
        k4.a(name, new k2(z));
    }

    @JvmStatic
    public static final void setAllowAutoPlay(boolean z) {
        Companion.getClass();
        k kVar = k.c;
        kVar.c("Interface setAllowAutoPlay: " + z);
        k4.a(new l2(z));
    }

    @JvmStatic
    public static final void setAllowFileAccess(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setAllowFileAccess: " + name + ", enabled: " + z);
        k4.a(name, new m2(z));
    }

    @JvmStatic
    public static final void setAllowFileAccessFromFileURLs(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setAllowFileAccessFromFileURLs: " + name + ", enabled: " + z);
        k4.a(name, new n2(z));
    }

    @JvmStatic
    public static final void setAllowHTTPAuthPopUpWindow(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setAllowHTTPAuthPopUpWindow: " + name + ", flag: " + z);
        k4.a(name, new o2(z));
    }

    @JvmStatic
    public static final void setAllowJavaScriptOpenWindow(boolean z) {
        Companion.getClass();
        k kVar = k.c;
        kVar.c("Interface setAllowJavaScriptOpenWindow: " + z);
        k4.a(new p2(z));
    }

    @JvmStatic
    public static final void setAllowUniversalAccessFromFileURLs(boolean z) {
        Companion.getClass();
        k kVar = k.c;
        kVar.c("Interface setAllowUniversalAccessFromFileURLs: " + z);
        k4.a(new q2(z));
    }

    @JvmStatic
    public static final void setAllowUserDismissSpinnerByGesture(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setAllowUserDismissSpinnerByGesture: " + name + ", flag: " + z);
        k4.a(name, new r2(z));
    }

    @JvmStatic
    public static final void setBackgroundColor(String name, float f, float f2, float f3, float f4) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setBackgroundColor rgba: {" + f + ", " + f2 + ", " + f3 + ", " + f4 + '}');
        k4.a(name, new s2(f, f2, f3, f4));
    }

    @JvmStatic
    public static final void setBouncesEnabled(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setBouncesEnabled: " + name + ", enabled: " + z);
        k4.a(name, new t2(z));
    }

    @JvmStatic
    public static final void setCalloutEnabled(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setCalloutEnabled: " + name + ", flag: " + z);
        k4.a(name, new u2(z));
    }

    @JvmStatic
    public static final void setCookie(String str, String str2) {
        s0.a(Companion, str, "url", str2, "cookie");
        k kVar = k.c;
        kVar.c("Interface setCookie: " + str2 + " | to url: " + str);
        k0.b(str, str2);
    }

    @JvmStatic
    public static final void setDefaultFontSize(String name, int i) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setDefaultFontSize: " + name + ", size: " + i);
        k4.a(name, new v2(i));
    }

    @JvmStatic
    public static final void setDownloadEventForContextMenuEnabled(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface SetDownloadEventForContextMenuEnabled: " + name + ", enabled: " + z);
        k4.a(name, new w2(z));
    }

    @JvmStatic
    public static final void setDragInteractionEnabled(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setDragInteractionEnabled: " + name + ", enabled: " + z);
        k4.a(name, new x2(z));
    }

    @JvmStatic
    public static final void setEmbeddedToolbarBackgroundColor(String name, float f, float f2, float f3, float f4) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setEmbeddedToolbarBackgroundColor: " + name + ", rgba: {" + f + ", " + f2 + ", " + f3 + ", " + f4 + ')');
        k4.a(name, new y2(f, f2, f3, f4));
    }

    @JvmStatic
    public static final void setEmbeddedToolbarButtonTextColor(String name, float f, float f2, float f3, float f4) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setEmbeddedToolbarButtonTextColor: " + name + ", rgba: {" + f + ", " + f2 + ", " + f3 + ", " + f4 + ')');
        k4.a(name, new z2(f, f2, f3, f4));
    }

    @JvmStatic
    public static final void setEmbeddedToolbarDoneButtonText(String str, String str2) {
        s0.a(Companion, str, "name", str2, "text");
        k kVar = k.c;
        kVar.c("Interface setEmbeddedToolbarDoneButtonText: " + str + ", text: " + str2);
        k4.a(str, new a3(str2));
    }

    @JvmStatic
    public static final void setEmbeddedToolbarGoBackButtonText(String str, String str2) {
        s0.a(Companion, str, "name", str2, "text");
        k kVar = k.c;
        kVar.c("Interface setEmbeddedToolbarGoBackButtonText: " + str + ", text: " + str2);
        k4.a(str, new b3(str2));
    }

    @JvmStatic
    public static final void setEmbeddedToolbarGoForwardButtonText(String str, String str2) {
        s0.a(Companion, str, "name", str2, "text");
        k kVar = k.c;
        kVar.c("Interface setEmbeddedToolbarGoForwardButtonText: " + str + ", text: " + str2);
        k4.a(str, new c3(str2));
    }

    @JvmStatic
    public static final void setEmbeddedToolbarNavigationButtonsShow(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setEmbeddedToolbarNavigationButtonsShow: " + name + ", show: " + z);
        k4.a(name, new d3(z));
    }

    @JvmStatic
    public static final void setEmbeddedToolbarOnTop(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setEmbeddedToolbarOnTop: " + name + ", top: " + z);
        k4.a(name, new e3(z));
    }

    @JvmStatic
    public static final void setEmbeddedToolbarTitleText(String str, String str2) {
        s0.a(Companion, str, "name", str2, "text");
        k kVar = k.c;
        kVar.c("Interface setEmbeddedToolbarTitleText: " + str + ", text: " + str2);
        k4.a(str, new f3(str2));
    }

    @JvmStatic
    public static final void setEmbeddedToolbarTitleTextColor(String name, float f, float f2, float f3, float f4) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setEmbeddedToolbarTitleTextColor: " + name + ", rgba: {" + f + ", " + f2 + ", " + f3 + ", " + f4 + ')');
        k4.a(name, new g3(f, f2, f3, f4));
    }

    @JvmStatic
    public static final void setEnableKeyboardAvoidance(boolean z) {
        Companion.getClass();
        k kVar = k.c;
        kVar.c("Interface setEnableKeyboardAvoidance: " + z);
        k4.a(new h3(z));
    }

    @JvmStatic
    public static final void setForwardWebConsoleToNativeOutput(boolean z) {
        Companion.getClass();
        k kVar = k.c;
        kVar.c("Interface setForwardWebConsoleToNativeOutput: " + z);
        k4.a(new i3(z));
    }

    @JvmStatic
    public static final void setFrame(String name, int i, int i2, int i3, int i4) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setFrame: " + name + ", {" + i + ", " + i2 + ", " + i3 + ", " + i4 + '}');
        k4.a(name, new j3(i, i2, i3, i4));
    }

    @JvmStatic
    public static final void setHeaderField(String str, String str2, String str3) {
        s0.a(Companion, str, "name", str2, "key");
        k kVar = k.c;
        kVar.c("Interface setHeaderField: " + str + ". {key: " + str2 + ", value: " + str3 + '}');
        k4.a(str, new k3(str2, str3));
    }

    @JvmStatic
    public static final void setHorizontalScrollBarEnabled(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setHorizontalScrollBarEnabled: " + name + ", enabled: " + z);
        k4.a(name, new l3(z));
    }

    @JvmStatic
    public static final void setJavaScriptEnabled(boolean z) {
        Companion.getClass();
        k kVar = k.c;
        kVar.c("Interface setJavaScriptEnabled: " + z);
        k4.a(new m3(z));
    }

    @JvmStatic
    public static final void setLoadWithOverviewMode(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setLoadWithOverviewMode: " + name + ", flag: " + z);
        k4.a(name, new n3(z));
    }

    @JvmStatic
    public static final void setLogLevel(int i) {
        Companion.getClass();
        k.c.b = i;
    }

    @JvmStatic
    public static final void setOpenLinksInExternalBrowser(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setOpenLinksInExternalBrowser: " + name + ", enabled: " + z);
        k4.a(name, new o3(z));
    }

    @JvmStatic
    public static final void setPosition(String name, int i, int i2) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setPosition: " + name + ", {" + i + ", " + i2 + '}');
        k4.a(name, new p3(i, i2));
    }

    @JvmStatic
    public static final void setShowEmbeddedToolbar(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setShowEmbeddedToolbar: " + name + ", show: " + z);
        k4.a(name, new q3(z));
    }

    @JvmStatic
    public static final void setShowSpinnerWhileLoading(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setShowSpinnerWhileLoading: " + name + ", show: " + z);
        k4.a(name, new r3(z));
    }

    @JvmStatic
    public static final void setSize(String name, int i, int i2) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setSize: " + name + ", {" + i + ", " + i2 + '}');
        k4.a(name, new s3(i, i2));
    }

    @JvmStatic
    public static final void setSpinnerText(String str, String str2) {
        s0.a(Companion, str, "name", str2, "text");
        k kVar = k.c;
        kVar.c("Interface setSpinnerText: " + str + ", text: " + str2);
        k4.a(str, new t3(str2));
    }

    @JvmStatic
    public static final void setSupportMultipleWindows(String name, boolean z, boolean z2) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setSupportMultipleWindows: " + name + ", flag: " + z + ", allowJS: " + z2);
        k4.a(name, new u3(z2));
    }

    @JvmStatic
    public static final void setTextZoom(String name, int i) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setTextZoom: " + name + ", textZoom: " + i);
        k4.a(name, new v3(i));
    }

    @JvmStatic
    public static final void setTransparencyClickingThroughEnabled(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setTransparencyClickingThroughEnabled: " + name + ", flag: " + z);
        k4.a(name, new w3(z));
    }

    @JvmStatic
    public static final void setUseWideViewPort(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setUseWideViewPort: " + name + ", flag: " + z);
        k4.a(name, new x3(z));
    }

    @JvmStatic
    public static final void setUserAgent(String str, String str2) {
        s0.a(Companion, str, "name", str2, "userAgent");
        k kVar = k.c;
        kVar.c("Interface setUserAgent: " + str + ", UA: " + str2);
        k4.a(str, new y3(str2));
    }

    @JvmStatic
    public static final void setUserInteractionEnabled(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setUserInteractionEnabled: " + name + ", flag: " + z);
        k4.a(name, new z3(z));
    }

    @JvmStatic
    public static final void setVerticalScrollBarEnabled(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setVerticalScrollBarEnabled: " + name + ", enabled: " + z);
        k4.a(name, new a4(z));
    }

    @JvmStatic
    public static final void setWebContentsDebuggingEnabled(boolean z) {
        Companion.getClass();
        k kVar = k.c;
        kVar.c("Interface setWebContentsDebuggingEnabled: " + z);
        k4.a(new b4(z));
    }

    @JvmStatic
    public static final void setWebViewAlpha(String name, float f) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setWebViewAlpha: " + name + ", alpha: " + f);
        k4.a(name, new c4(f));
    }

    @JvmStatic
    public static final void setZoomEnabled(String name, boolean z) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface setZoomEnabled: " + name + ", enabled: " + z);
        k4.a(name, new d4(z));
    }

    @JvmStatic
    public static final boolean show(String str, boolean z, int i, float f, String str2) {
        s0.a(Companion, str, "name", str2, "identifier");
        k kVar = k.c;
        kVar.getClass();
        Intrinsics.checkNotNullParameter("Interface show", "message");
        kVar.a(j.INFO, "Interface show");
        Boolean bool = (Boolean) k4.c(str, new e4(z, i, f, str2));
        if (bool != null) {
            return bool.booleanValue();
        }
        return false;
    }

    @JvmStatic
    public static final void showAsync(String str, boolean z, int i, float f, String str2) {
        s0.a(Companion, str, "name", str2, "identifier");
        k kVar = k.c;
        kVar.getClass();
        Intrinsics.checkNotNullParameter("Interface showAsync", "message");
        kVar.a(j.INFO, "Interface showAsync");
        k4.a(str, new f4(z, i, f, str2));
    }

    @JvmStatic
    public static final void showSpinner(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface showSpinner: " + name);
        k4.a(name, g4.a);
    }

    @JvmStatic
    public static final void startSnapshotForRendering(String name, String str) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface startSnapshotForRendering: " + name);
        k4.a(name, new h4(str));
    }

    @JvmStatic
    public static final void stop(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface stop: " + name);
        k4.a(name, i4.a);
    }

    @JvmStatic
    public static final void stopSnapshotForRendering(String name) {
        Companion.getClass();
        Intrinsics.checkNotNullParameter(name, "name");
        k kVar = k.c;
        kVar.c("Interface stopSnapshotForRendering: " + name);
        k4.a(name, j4.a);
    }
}
