package com.onevcat.uniwebview;

import android.app.Activity;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Point;
import android.graphics.Rect;
import android.os.Handler;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AlphaAnimation;
import android.view.animation.AnimationSet;
import android.view.animation.TranslateAnimation;
import android.view.inputmethod.InputMethodManager;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.Toolbar;
import androidx.core.view.ViewCompat;
import com.appsflyer.unity.BuildConfig;
import java.io.ByteArrayOutputStream;
import java.util.Objects;
import kotlin.NoWhenBranchMatchedException;
import kotlin.jvm.internal.Intrinsics;
import kotlin.ranges.RangesKt;
import org.json.JSONObject;
/* loaded from: classes.dex */
public final class j0 implements l4, r0, m0 {
    public static FrameLayout s;
    public final Activity a;
    public final String b;
    public final s4 c;
    public boolean d;
    public final q0 e;
    public i0 f;
    public String g;
    public boolean h;
    public boolean i;
    public AnimationSet j;
    public boolean k;
    public boolean l;
    public ByteArrayOutputStream m;
    public Bitmap n;
    public b o;
    public final u p;
    public final l0 q;
    public final LinearLayout r;

    public j0(Activity activity, String name, g messageSender, l4 l4Var) {
        Intrinsics.checkNotNullParameter(activity, "activity");
        Intrinsics.checkNotNullParameter(name, "name");
        Intrinsics.checkNotNullParameter(messageSender, "messageSender");
        this.a = activity;
        this.b = name;
        this.c = messageSender;
        this.d = true;
        q0 q0Var = new q0(activity, this);
        this.e = q0Var;
        this.k = true;
        if (s == null) {
            FrameLayout frameLayout = new FrameLayout(activity);
            frameLayout.setVisibility(4);
            frameLayout.setBackgroundColor(ViewCompat.MEASURED_STATE_MASK);
            activity.addContentView(frameLayout, new FrameLayout.LayoutParams(-1, -1));
            s = frameLayout;
        }
        q0Var.setX(0.0f);
        q0Var.setY(0.0f);
        q0Var.setVisibility(4);
        q0Var.setId(View.generateViewId());
        FrameLayout frameLayout2 = s;
        Intrinsics.checkNotNull(frameLayout2);
        u uVar = new u(activity, q0Var, frameLayout2, name, messageSender, l4Var == null ? this : l4Var);
        uVar.setOnTouchListener(new View.OnTouchListener() { // from class: com.onevcat.uniwebview.j0$$ExternalSyntheticLambda0
            @Override // android.view.View.OnTouchListener
            public final boolean onTouch(View view, MotionEvent motionEvent) {
                return j0.a(j0.this, view, motionEvent);
            }
        });
        this.p = uVar;
        l0 l0Var = new l0(activity);
        l0Var.setDelegate(this);
        l0Var.setLayoutParams(new Toolbar.LayoutParams(-1, -2));
        l0Var.setVisibility(8);
        this.q = l0Var;
        LinearLayout linearLayout = new LinearLayout(activity);
        linearLayout.setOrientation(1);
        linearLayout.setLayoutParams(new LinearLayout.LayoutParams(-1, -1));
        linearLayout.setBackgroundColor(0);
        this.r = linearLayout;
    }

    public final boolean a(int i, int i2, int i3, int i4, float f, float f2, String identifier) {
        Intrinsics.checkNotNullParameter(identifier, "identifier");
        if (this.j != null) {
            k kVar = k.c;
            kVar.getClass();
            Intrinsics.checkNotNullParameter("Trying to animate web view but an other transition animation is not finished yet. Ignore this one.", "message");
            kVar.a(j.CRITICAL, "Trying to animate web view but an other transition animation is not finished yet. Ignore this one.");
            return false;
        }
        float f3 = 1000;
        long j = f * f3;
        long j2 = f3 * f2;
        AnimationSet animationSet = new AnimationSet(false);
        TranslateAnimation translateAnimation = new TranslateAnimation(0.0f, i - this.e.getX(), 0.0f, i2 - this.e.getY());
        translateAnimation.setFillAfter(true);
        translateAnimation.setDuration(j);
        translateAnimation.setStartOffset(j2);
        animationSet.addAnimation(translateAnimation);
        q0 q0Var = this.e;
        l lVar = new l(q0Var, q0Var.getWidth(), i3, this.e.getHeight(), i4);
        lVar.setFillAfter(true);
        lVar.setDuration(j);
        lVar.setStartOffset(j2);
        animationSet.addAnimation(lVar);
        animationSet.setAnimationListener(new g0(this, i, i2, i3, i4, identifier));
        this.e.startAnimation(animationSet);
        return true;
    }

    public final void b() {
        Object systemService = this.a.getSystemService("input_method");
        InputMethodManager inputMethodManager = systemService instanceof InputMethodManager ? (InputMethodManager) systemService : null;
        if (inputMethodManager != null) {
            inputMethodManager.hideSoftInputFromWindow(this.p.getWindowToken(), 0);
        }
    }

    public final float c() {
        return this.e.getAlpha();
    }

    public final void b(boolean z) {
        this.q.setVisibility(z ? 0 : 8);
    }

    public final void c(boolean z) {
        if (this.f == null) {
            this.f = new i0(this.a);
        }
        i0 i0Var = this.f;
        if (i0Var != null) {
            i0Var.setCanceledOnTouchOutside(this.d);
        }
        if ((z || this.h) && this.e.getVisibility() == 0) {
            k kVar = k.c;
            kVar.getClass();
            Intrinsics.checkNotNullParameter("Show progress dialog.", "message");
            kVar.a(j.VERBOSE, "Show progress dialog.");
            i0 i0Var2 = this.f;
            if (i0Var2 != null) {
                String str = this.g;
                if (str == null) {
                    str = this.a.getResources().getString(R.string.LOADING);
                    Intrinsics.checkNotNullExpressionValue(str, "activity.resources.getString(R.string.LOADING)");
                }
                i0Var2.setMessage(str);
            }
            i0 i0Var3 = this.f;
            if (i0Var3 != null) {
                i0Var3.show();
            }
        }
    }

    public final Bitmap a(Rect rect) {
        if (rect == null) {
            rect = new Rect(0, 0, this.e.getWidth(), this.e.getHeight());
        }
        Bitmap createBitmap = Bitmap.createBitmap(rect.width(), rect.height(), Bitmap.Config.ARGB_8888);
        Intrinsics.checkNotNullExpressionValue(createBitmap, "createBitmap(r.width(), … Bitmap.Config.ARGB_8888)");
        Canvas canvas = new Canvas(createBitmap);
        canvas.translate(-rect.left, -rect.top);
        this.e.draw(canvas);
        return createBitmap;
    }

    public final void a(boolean z) {
        boolean z2 = false;
        if (z || this.h) {
            i0 i0Var = this.f;
            if (i0Var != null && i0Var.isShowing()) {
                z2 = true;
            }
            if (z2) {
                k kVar = k.c;
                kVar.getClass();
                Intrinsics.checkNotNullParameter("Hide progress dialog.", "message");
                kVar.a(j.VERBOSE, "Hide progress dialog.");
                i0 i0Var2 = this.f;
                if (i0Var2 != null) {
                    i0Var2.dismiss();
                }
            }
        }
    }

    @Override // com.onevcat.uniwebview.l4
    public final void a(String str, int i) {
        k kVar = k.c;
        kVar.c("onPageFinished. URL: " + str + ", status code: " + i);
        l0 l0Var = this.q;
        u uVar = this.p;
        boolean z = true;
        boolean z2 = uVar.d.i != null || uVar.canGoBack();
        u uVar2 = this.p;
        u uVar3 = uVar2.d.i;
        if (!(uVar3 != null ? uVar3.canGoForward() : false) && !uVar2.canGoForward()) {
            z = false;
        }
        l0Var.a(z2, z);
        this.i = false;
        a(false);
        String valueOf = String.valueOf(i);
        if (str == null) {
            str = BuildConfig.FLAVOR;
        }
        this.c.a(this.p.getName(), t4.PageFinished, new o4(BuildConfig.FLAVOR, valueOf, str, null));
    }

    @Override // com.onevcat.uniwebview.l4
    public final void a(String str) {
        k kVar = k.c;
        kVar.c("onPageStarted: " + str);
        l0 l0Var = this.q;
        u uVar = this.p;
        boolean z = uVar.d.i != null || uVar.canGoBack();
        u uVar2 = this.p;
        u uVar3 = uVar2.d.i;
        l0Var.a(z, (uVar3 != null ? uVar3.canGoForward() : false) || uVar2.canGoForward());
        this.i = true;
        c(false);
        s4 s4Var = this.c;
        String name = this.p.getName();
        t4 t4Var = t4.PageStarted;
        if (str == null) {
            str = BuildConfig.FLAVOR;
        }
        s4Var.a(name, t4Var, str);
    }

    @Override // com.onevcat.uniwebview.l4
    public final void a(o4 payload) {
        Intrinsics.checkNotNullParameter(payload, "payload");
        JSONObject jSONObject = payload.d;
        String string = jSONObject != null ? jSONObject.getString("failingURL") : null;
        k kVar = k.c;
        kVar.a("onReceivedError. URL: " + string + ", error code: " + payload.b + ", description: " + payload.c);
        l0 l0Var = this.q;
        u uVar = this.p;
        boolean z = true;
        boolean z2 = uVar.d.i != null || uVar.canGoBack();
        u uVar2 = this.p;
        u uVar3 = uVar2.d.i;
        if (!(uVar3 != null ? uVar3.canGoForward() : false) && !uVar2.canGoForward()) {
            z = false;
        }
        l0Var.a(z2, z);
        this.i = false;
        a(false);
        this.c.a(this.p.getName(), t4.PageErrorReceived, payload);
    }

    @Override // com.onevcat.uniwebview.l4
    public final void a() {
        this.i = false;
        a(false);
        this.c.a(this.p.getName(), t4.WebContentProcessDidTerminate, BuildConfig.FLAVOR);
    }

    public final void a(float f) {
        this.e.setAlpha(RangesKt.coerceIn(f, 0.0f, 1.0f));
    }

    public final void a(int i, int i2, int i3, int i4) {
        k kVar = k.c;
        kVar.d("Setting web container frame to {(" + i + ", " + i2 + "), (" + i3 + ", " + i4 + ")}");
        a(i, i2);
        int max = Math.max(0, i3);
        int max2 = Math.max(0, i4);
        ViewGroup.LayoutParams layoutParams = this.e.getLayoutParams();
        Objects.requireNonNull(layoutParams, "null cannot be cast to non-null type android.widget.FrameLayout.LayoutParams");
        FrameLayout.LayoutParams layoutParams2 = (FrameLayout.LayoutParams) layoutParams;
        layoutParams2.width = max;
        layoutParams2.height = max2;
        layoutParams2.gravity = 51;
        this.e.setLayoutParams(layoutParams2);
        b bVar = this.o;
        if (bVar != null) {
            bVar.g = max2;
        }
    }

    public final void a(int i, int i2) {
        this.e.setX(i);
        this.e.setY(i2);
    }

    /* JADX WARN: Removed duplicated region for block: B:82:0x011e  */
    /* JADX WARN: Removed duplicated region for block: B:83:0x0126  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final boolean a(final boolean z, boolean z2, int i, float f, final String identifier) {
        int i2;
        AlphaAnimation alphaAnimation;
        int i3;
        TranslateAnimation translateAnimation;
        int i4;
        Intrinsics.checkNotNullParameter(identifier, "identifier");
        int i5 = 0;
        if (this.p.get_webChromeClient$uniwebview_release().f) {
            FrameLayout frameLayout = s;
            if (frameLayout != null) {
                frameLayout.setVisibility(z ? 0 : 4);
            }
            return true;
        }
        boolean z3 = this.e.getVisibility() == 0;
        if (z3 && z) {
            k kVar = k.c;
            kVar.getClass();
            Intrinsics.checkNotNullParameter("Showing web view is ignored since it is already visible.", "message");
            kVar.a(j.CRITICAL, "Showing web view is ignored since it is already visible.");
            return false;
        } else if (!z3 && !z) {
            k kVar2 = k.c;
            kVar2.getClass();
            Intrinsics.checkNotNullParameter("Hiding web view is ignored since it is already invisible.", "message");
            kVar2.a(j.CRITICAL, "Hiding web view is ignored since it is already invisible.");
            return false;
        } else if (this.j != null) {
            k kVar3 = k.c;
            kVar3.getClass();
            Intrinsics.checkNotNullParameter("Trying to show or hide web view but an other transition animation is not finished yet. Ignore this one.", "message");
            kVar3.a(j.CRITICAL, "Trying to show or hide web view but an other transition animation is not finished yet. Ignore this one.");
            return false;
        } else {
            if (z) {
                this.e.setVisibility(0);
                if (this.i) {
                    c(false);
                }
            } else {
                b();
                a(false);
            }
            this.e.requestLayout();
            int[] b = c.b(5);
            int length = b.length;
            int i6 = 0;
            while (true) {
                if (i6 >= length) {
                    i2 = 0;
                    break;
                }
                i2 = b[i6];
                if (c.a(i2) == i) {
                    break;
                }
                i6++;
            }
            if (i2 == 0) {
                i2 = 1;
            }
            if ((z2 || i2 != 1) && f > 0.0f) {
                AnimationSet animationSet = new AnimationSet(false);
                long j = f * 1000;
                if (z2) {
                    AlphaAnimation alphaAnimation2 = new AlphaAnimation(z ? 0.0f : this.e.getAlpha(), z ? this.e.getAlpha() : 0.0f);
                    alphaAnimation2.setFillAfter(true);
                    alphaAnimation2.setDuration(j);
                    alphaAnimation = alphaAnimation2;
                } else {
                    alphaAnimation = null;
                }
                if (alphaAnimation != null) {
                    animationSet.addAnimation(alphaAnimation);
                }
                Display defaultDisplay = this.a.getWindow().getWindowManager().getDefaultDisplay();
                Point point = new Point();
                defaultDisplay.getRealSize(point);
                int a = c.a(i2);
                if (a != 0) {
                    if (a != 1) {
                        if (a == 2) {
                            i3 = -point.x;
                        } else if (a == 3) {
                            i4 = point.y;
                        } else if (a != 4) {
                            throw new NoWhenBranchMatchedException();
                        } else {
                            i3 = point.x;
                        }
                        if (!z) {
                            translateAnimation = new TranslateAnimation(i3, 0.0f, i5, 0.0f);
                        } else if (z) {
                            throw new NoWhenBranchMatchedException();
                        } else {
                            translateAnimation = new TranslateAnimation(0.0f, i3, 0.0f, i5);
                        }
                        translateAnimation.setFillAfter(true);
                        translateAnimation.setDuration(j);
                        animationSet.addAnimation(translateAnimation);
                        this.j = animationSet;
                        animationSet.setAnimationListener(new h0(this, z, identifier));
                        this.e.startAnimation(animationSet);
                    } else {
                        i4 = -point.y;
                    }
                    i5 = i4;
                }
                i3 = 0;
                if (!z) {
                }
                translateAnimation.setFillAfter(true);
                translateAnimation.setDuration(j);
                animationSet.addAnimation(translateAnimation);
                this.j = animationSet;
                animationSet.setAnimationListener(new h0(this, z, identifier));
                this.e.startAnimation(animationSet);
            } else {
                new Handler().postDelayed(new Runnable() { // from class: com.onevcat.uniwebview.j0$$ExternalSyntheticLambda1
                    @Override // java.lang.Runnable
                    public final void run() {
                        j0.a(j0.this, z, identifier);
                    }
                }, 1L);
            }
            return true;
        }
    }

    public static final void a(j0 this$0, boolean z, String identifier) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(identifier, "$identifier");
        if (z) {
            this$0.c.a(this$0.p.getName(), t4.ShowTransitionFinished, identifier);
            return;
        }
        this$0.e.setVisibility(4);
        this$0.c.a(this$0.p.getName(), t4.HideTransitionFinished, identifier);
    }

    public static final boolean a(j0 this$0, View view, MotionEvent motionEvent) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        return !this$0.k;
    }
}
